Help Home Page

WeatherLink Help

Click on the Topics below for help using WeatherLink 6.0.5:

Getting Started

Menu Commands

Bulletin

Summary

Strip Charts

Plotting

Browse Database

Reports

Internet Features

Technical Reference

Hot Keys

Power User Tips

Troubleshooting

Home | Menu Commands | Bulletin | Summary | Strip Charts | Plots | Browse Database | Reports | Internet Features | Technical Reference | Hot Keys | User Tips | Troubleshooting

WeatherLink 6.0.5 Help - June 20, 2018


Getting Started

The following topics will help you understand and use your WeatherLink software:

Getting Started with WeatherLink

Introduction to WeatherLink

What's New in WeatherLink

WeatherLink Prior Release Notes

Upgrading WeatherLink 5.1 or earlier

Using the Tool Bar

Using WeatherLink Help

Back to Help Home Page

Home | Menu Commands | Bulletin | Summary | Strip Charts | Plots | Browse Database | Reports | Internet Features | Technical Reference | Hot Keys | User Tips | Troubleshooting


Introduction to WeatherLink

  • Displays the current weather station data in a real-time ”r;bulletin” on the computer.

  • Allows you to set and clear data in the weather station console (time and date, highs and lows, alarm thresholds, calibration numbers, etc.) from the computer.

  • Graphs archived weather data on an hourly, daily, weekly, monthly, or yearly basis.

  • Generates Weather Watcher reports in the National Climatic Data Center (NOAA) format.

  • Collects data from multiple weather stations on the same computer.

  • Posts weather conditions to your web site and uploads other files such as webcam images.

  • Sends weather data to the Weather Underground and The Citizen Weather Observer Program.

  • Archives weather data for subsequent transfer to the computer.

  • Manages data communication between the Vantage Pro weather station and the WeatherLink software.

  • Archives your weather data at user-selectable intervals ranging from 1 minute up to 2 hours.

  • Stores up to seven months of weather data for your Vantage Pro station console or up to four months and 10 days of data for your Monitor II, Wizard, or Perception II weather station console, depending on the chosen storage interval.

WeatherLink makes it easy for you to participate in a number of worthwhile programs including:

  • The Citizen Weather Observer Program. Your data, submitted via APRS (Automatic Position Reporting System) radio or the Internet, can help the National Weather Service (NWS) develop improved weather prediction models. See our CWOP Info Pages for more information.

  • The GLOBE Program. An international weather-related science program for students from elementary through high school, supported by NASA and NSF. See the GLOBE Info Page for more information.

  • Weather World ’Round. Use WeatherLink's HTML templates to create your own weather web page, then send your URL to news@davisnet.com and we’ll add it to our growing list of Davis stations around the world. Visit Weather World 'Round.

  • NOAA-Style reports summarize data by month or year.

  • Yearly Rain report summarizes rainfall information.

  • Fuel Demand report tracks and estimates heating fuel usage and demand.

  • Sunburn Risk report in the Window menu, calculates sunburn risk for six skin types based on current UV index data.

  • Alarm and Battery Status report in the Window menu, displays the alarm and battery status for all Vantage Pro console alarms and battery status for all wireless transmitters.

  • Quickly create your own weather web site using the WeatherLink HTML templates.

  • Use our included HTML web site templates or design your own.

  • Add graphs, text lines, or scrolling ticker tapes.

  • Upload other files such as web cam images along with your weather data.

Archive Memory

Database Files

GLOBE Info Page

CWOP Links Page

HTML Features

Introduction to WeatherLink

Welcome to WeatherLink for Windows, the best software and hardware solution for connecting your Davis Weather Station to a computer and for sharing your weather data with the world. With WeatherLink you can collect, store, view, plot, analyze, export, and print weather data, configure your weather station, and monitor weather station alarms.

WeatherLink supports the following Davis weather stations: Vantage Vue®, Vantage Pro®, Vantage Pro® Plus, Vantage Pro2™, Vantage Pro2™ Plus, Weather Envoy (for Vantage Pro® and Vantage Pro2 ™), Weather Monitor II®, Weather Wizard II®, IIs®, or II®, and Perception II®.

WeatherLink Software Features

WeatherLink Data Logging Features

Sharing Your Weather Data

WeatherLink Reports

Internet & HTML Features

Note: Some listed features may require optional software or hardware.

Related Topics

Back to Getting Started Menu


What's New in WeatherLink

WeatherLink for Windows version 6.0.5 includes the following new features:

Version 6.0.5 Features

  • Supports 15 minutes and 5 minutes auto download and network upload in additional to hourly schedule.

  • In Yearly Rainfall report, display dashes for yearly total rainfall if not all months have valid data.

Version 6.0.5 Bugs Fixed

  • Fixed data gap and data spike issues when multiple stations configured for network upload.

  • Fixed midnight records missing bug when export for months or years with Use 00:00 selected.

Version 6.0.4 Features

  • Updated heat index calculation table.

  • Changed ET display format in Summary Window.

  • Added Device ID (DID) as authorization when setting up Web Download.

Version 6.0.4 Bugs Fixed

  • The file header is truncated when export records from Browser window with large number of data columns.

Version 6.0.3 Bugs Fixed:

  • Replaced .Net 2.0 with .Net 3.5 for Windows 8 compatibility.

Version 6.0.2 Bugs Fixed:

  • Fixed bug that occurs when the user clicks "OK” in the "WeatherLink Network” screen for creating a user, even with a pair of valid DID and key.

Version 6.0.1 Bugs Fixed:

  • Humidity was displayed incorrectly (as "N/A”) on WeatherLink.com.

  • Monitor II values sent to Weatherlink.com did not include calibration numbers. Also, in some instances, humidity was displayed as over 100.

  • For APRS data upload, if there multiple servers for the specified APRS site, WeatherLink shall try each of them until the upload is a successful.

  • For Web-Download, WeatherLink now validates initial data from server before proceeding.

  • On the "Set Station Alarms” screen, the error message for invalid "ET Day” value is now corrected.

  • On the "Vantage Summary” screen, the alignment issue for the "Today’s Highs” column and the "Today’s Lows” column are now corrected for Windows Vista and Windows 7.

Back to Getting Started Menu


WeatherLink Prior Release Notes

Note: See the readme.txt file in the WeatherLink directory for a complete list of bugs and features from prior releases of the WeatherLink software.

WeatherLink 6.0 Release Notes

  • Program supports the WeatherLink Network Upgrade which allows you to configure the software to upload data to the WeatherLink.com server if you have purchased the WeatherLink Annual Subscription Plan. (Not required for WeatherLinkIP.)

WeatherLink 5.9.3 Release Notes

WeatherLink for Windows version 5.9.3 includes the following changes:

  • Program can now import Envoy8x data exported by the Weather Data Transfer Utility.

    Version 5.9.3 Bugs Fixed

  • APRS data upload operation now tries up to 3 APRS server before giving up.

WeatherLink 5.9.2 Release Notes

Version 5.9.2 includes the following changes:

  • APRS data transfers with Vantage Pro2 firmware version 1.90

  • Slow internet transfer issue introduced in WeatherLink version 5.9.1

  • Corrected the "Plot" unit label for "Inside Air Density"

WeatherLink 5.9.1 Release Notes

WeatherLink for Windows version 5.9.1 includes the following changes:

  • Air density unit could be configured as either ”r;kg/cu m” or ”r;lb/cu.ft”.

  • Added communication delay for getting HiLow data and the Time for Internet upload. Also added some miliseconds delay for getting reply from firmware. This avoids some of the ”r;Data read error”.

  • USB spike handling is now done by unloading and re-loading the USB Express driver upon drop-out. If the bulletin is running after USB connection is dropped for a period of time &endash; more than 20 seconds, software shall display error to inform user the loss of connection.

  • Open Plot problem introduced in 5.9.0 has been fixed so the Open Plot dialog shall show up.

WeatherLink 5.9.0 Release Notes

WeatherLink for Windows version 5.9.0 is a major upgrade, which includes the following changes:

  • USB Connection Dropout issues, which might happen to a nominal number of USB WeatherLink users, has been reduced. Now if a ”r;drop-out” actually occurs and re-connection happens a second or later, WeatherLink software shall be able to put itself back into a ready state. Drop out and reconnection activities are logged.

  • For Vantage Vue model, or Vantage Pro and Vantage Pro2 stations with firmware 1.90 and later, the following 3 pieces of Bulletin data: Last-hour-rain, last-24-hour-rain, and Wind gust, should be on the APRS report even if Bulletin is not running.

  • WeatherLink software, upon starting, shall create the ”Expansion_modules” folder, if it does not exist yet. That will get rid of the potential problem seen during Expansion module software installation.

  • Sunshine/Sunset now should not show time with hours and 60 minutes. 60 minutes shall be rounded to next hour.

  • The Vantage Vue model is now supported. This model is similar to the VantagePro model. However, the only supported optional ”Accessories” are: Rain Collector, Solar Radiation, and UV.

  • Right Click on Bulletin should now lead to the Summary screen.

  • If modem is configured, WeatherLink will not try to dial upon user quitting the program.

  • Information dialog boxes are suppressed for better usability. This includes the following 3 scenarios:

  • When the WeatherLink program is minimized.

  • After the screen saver has been activated.

  • If any Active Monitor windows, such as Bulletin, Strip charts and Plot, are running.

  • ”Show indoor data only” mode will be available for all Vantage models. If the ”Show indoor data only” checkbox is checked in the Station Config screen, all ”Accessories” sensors information shall be invisible. Two pieces of ”Indoor data” -- EMC and Air Density; have been added to all Vantage Models.

  • The ”Station renaming” problem has been fixed. Now stations stored outside the WeatherLink directory can also be renamed.

  • In case a *.wlk Database file was somehow changed to Read-only and the software tries to Write to it, an error message shall be generated.

  • The ”Readme.wri” has been converted to ”Readme.rtf” file, in order to be sure that the file type is recognized by more Operating Systems.

  • Web download Password may contain special characters. So WeatherLink.com users could safely use those special characters for their password and WeatherLink application software will recognize them. Here is the complete special character set: ”!”, ”*”, ”\”, ”(”, ”)”, ”;”, ”@”, ”&”, ”=”, ”+”, ”$”, ”,”, ”/”, ”?”, ”%”, ”#”, ”[”, ”]”.

  • For Vantage Vue, or Vantage Pro and Vantage Pro2 stations with firmware 1.90 and later, the following 3 pieces of Bulletin data: Last-hour-rain, last-24-hour-rain, and Wind gust, should be on the APRS report even if Bulletin is not running.

  • WebDownload TimeOut has been lengthened from 30 seconds to 60 seconds.

  • Upon entering the ”Set Transceiver” screen, the software shall check for model mismatch between hardware and software configuration. The user shall be prompted to change the console model in the ”Station Config” screen, if there is a mismatch.

  • If we open a Web-Download station, and then open a non-Web-Download station, the menu items availability will now reflect a non-Web-Download station; for example, the "Internet Settings..." menu item shall be enabled.

  • For Wind Run, the unit will be ”r;n mi” (nautical miles) instead of ”r;knots”. This can be see on the Plot and on the Web Graph.

WeatherLink 5.8.3 Release Notes

WeatherLink for Windows version 5.8.3 includes the following changes:

  • Added the ability to set the Wind Direction calibration on the VP2 console or Envoy.

  • Added the ability to synchronize the units used on the VP or Envoy console with the software settings.

  • Save weather data received from a station when a download is interrupted. The next download attempt does not have to start over from the beginning.

  • Fixed the "Unable to copy log file" pop-up error when logging messages.

  • Fixed the issue where WeatherLink, when using a dial-up modem connection, dials the modem upon quitting the program.

  • Fixed bad error message "Error (-1) on COM0" when testing Comm port with no station attached.

WeatherLink 5.8.2 Release Notes

WeatherLink for Windows version 5.8.2 includes the following changes:

  • The USB virtual comport driver has been upgraded to version 5.3.

  • The installation of the USB virtual comport driver has been improved.

WeatherLink Software 5.8.1 Release Notes

WeatherLink for Windows version 5.8.1 includes the following changes:

  • The following USB driver .dll files have been updated: CP210xManufacturing.dll, SiUSBXp.dll

  • A problem was corrected that was related to using a direct USB driver with the Vista operating system.

  • A problem was corrected that was related to a CRC error occurring during the use of direct USB communication.

  • A problem was corrected that was causing WeatherLink to crash when a user added a note to the browsed data.

  • A template file was fixed so that it now reflects the correct leaf temperature.

  • The UV Dose reading on the Daily Summary screen was corrected.

WeatherLink Software 5.8.0 Release Notes

WeatherLink for Windows version 5.8.0 includes the following new features and changes:

  • Support has been added for the new WeatherLink IP data logger.

  • The CommunicationsPort now supports both a direct USB connection and multiple connection methods for WetherLinkIP.

  • The Station Walkthrough has been modified to accommodate the addition of a web station.

  • A problem was corrected that was causing WeatherLink to crash when it could not access database files over a network.

WeatherLink Software 5.8 Release Notes

WeatherLink for Windows version 5.8 includes the following new features:

  • Support has been added for the new WeatherLinkIP data logger (# 6555). This products allows WeatherLink to connect to your Vantage Pro or Vantage Pro2 console or Envoy over your local network, a remote network, or through the Davis web site: www.weatherlink.com.

  • The Davisweb site allows you to see your weather information using any browser without setting up your own web site. This also means you are part of a community of weather enthusiasts in which you can view your own station weather information, along with data from many other weather station owners.

  • The Communications Port now supports both a direct USB connection and multiple connection methods for WeatherLinkIP.

  • The Station Walkthrough has been modified to accommodate the addition of a web station.

WeatherLink Software 5.7.1 Release Notes

WeatherLink for Windows version 5.7.1 includes the following new features:

  • Updated new daylight savings dates for North America for years after 2006.

  • Calculated hourly rain and last 24-hour rain for APRS.

  • Changed APRS default server to "rotate.aprs.net".

  • Changed Console Diagnostic dialog box to display console or Envoy firmware version and/or date.

WeatherLink Software 5.7 Release Notes

WeatherLink for Windows version 5.7 includes the following features:

  • APRS Feature changes - Option of APRS vs. NOAA report has been removed. The standard is NOAA. WeatherLink software now sends 2 minute average wind speed and 10 minute gust into the APRS string for NOAA requirement. For Vantage Pro console, altimeter setting is reported instead of barometer in the APRS string. WeatherLink now supports rotating APRS server. The default APRS server is "rotatewx.aprs2.net"

  • Bright Sunshine Hours Report has been added to the reports menu

  • Number of COM ports have been increased to 18 ports

WeatherLink Software 5.6 Release Notes

WeatherLink for Windows version 5.6 includes the following changes:

  • Support for configuring VP2 repeaters.

  • Display repeater battery status.

  • Changed layout of the Alarm & Battery Status window

  • Ability to separately clear Day, Month, or Year High and Low data in the Clear dialog. Still does not allow individual sensor high/low values to be cleared.

  • If the Bulletin, Summary, etc. window is open when an APRS upload is scheduled, then additional wind parameters are included in the APRS data packet. The new data is user selectable between a 1 minute average speed with a 5 minute high speed, or a 2 minute average speed with a 10 minute high speed.

  • A table of wind speed data is displayed in the Summary window with Average and High wind speeds over the last 1, 2, 5, and 10 minutes.

  • New HTML tags for Weather Forecast, Moon Phase, Average Wind Speeds (1, 2, 5, & 10 min), High Wind Speed (1, 2, 5, & 10 min),

  • Inside Dewpoint and Inside Heat Index are calculated and shown in the Browser, Plot, and Summary windows. See the instructions below to enable this feature in existing weather station databases.

  • In the Browser window, "Rain" is renamed "Total Rain" and "ET" is renamed "Total ET" See the instructions below to enable this change in existing weather station databases.

  • Following international reporting standards, current wind direction readings of due north in the Bulletin, Summary, HTML templates, and APRS data packets, is reported as 360 instead of 0.

  • FTP uploads attempt to reset the FTP connection on the first failure, and skips uploading the rest of the files on a second (consecutive) failure.

  • Modified Wind Chill calculations between 40 F (4.4 C) and 93 F (33.9 C) to give more "intuitive" readings for temperatures above the upper limit of the official wind chill formula (which is 40 F). The result of this modification is lower wind chill values in the above temperature range than using the official formula.

  • Slight change in the Bulletin Layout for VP Plus

  • 8 update profiles are available in the Internet upload feature for increased flexibility.

  • Internet Proxy settings are available in the Internet Configuration dialog.

  • Extend range of Air Density measurement value below 0 C (32 F) and above 49 C (120 F).

  • Added the ability to reset the time stamp of the last data uploaded to Weather Underground, if the Weather Underground module is installed.

  • New USB drivers that can be installed automatically when WeatherLink is installed.

  • Add a Mediterranean forecast zone between 30 N to 45 N and 10 W to 45 E.

  • Updated the default APRS server to arizona.aprs2.net and updated the default password to reflect the WeatherLink version number.

  • Fixed some issues with uploading to Weather Underground.

WeatherLink Software 5.5.1 Release Notes

WeatherLink for Windows version 5.5.1 includes the following changes:

  • Includes USB Drivers for Vantage USB support. (CP2101)

  • Auto Detect functionality in communication setup dialog box. Used to detect which port the Vantage Console is connected.

  • Includes Streaming Data Logger Configuration software

  • High/Low Soil moisture values larger than 128 are correctly reported as positive numbers.

WeatherLink Software 5.5 Release Notes

WeatherLink for Windows version 5.5 includes the following changes:

  • Supports Software Expansion Modules to provide additional and optional functionality.

  • The Expansion Module Programming Interface will be published after the final 5.5 version is released to allow 3rd parties to write their own modules. This will involve creating Windows DLLs. C or C++ is the recommended development system.

  • Module Management function added to WeatherLink under the File menu.

  • Supports GLOBE soil data report format.

  • Both WeatherLink and the Expansion Modules use HTML Help. Windows 95, 98, and NT 4 require Microsoft Internet Explorer 4.0 or later and the latest version of HHUPD.exe from your WeatherLink CD or from www.microsoft.com.

  • Note: See the WeatherLink release notes file included with the software for a list of bug files and other changes to the program.

WeatherLink Software 5.4 Release Notes

WeatherLink for Windows version 5.4 includes the following changes:

  • Support for Monitor, Wizard, and Perception stations

  • Support for sending archived data to Weather Underground

  • Option to download archive data when you start the Bulletin/Summary

  • Duplicate midnight records on export are fixed.

  • GLOBE wind run reported in km instead of m

  • Correctly set Temp and Temp/Hum stations for Vantage and Envoy stations

  • NOAA mean temps are converted correctly from 4.x and 5.0-5.1 weather stations

  • Heat Index range extended to -57 F to 250 F

  • Sunrise Report daylight savings settings are separate from Set Time dialog settings. Automatic daylight savings time adjustments in Sunrise Reports for US, European, and Australian daylight savings times dates.

  • Improvements to Internet features:

  • More HTML tags

  • Allow FTP transfer to the home directory

  • Current wind speed gif image will not fill the background blue.

  • HTML Tags only work if the corresponding sensors are present on the station.

WeatherLink Software 5.3 Release Notes

WeatherLink for Windows version 5.3 includes the following changes:

  • Added all extra temps and hums to the Summary Window.

  • Alarm Status with PC Buzzer Support & Diagnostic windows.

  • Support for extra temp hum calibration.

  • Support for extra temp hum alarms.

  • Support for Leaf/Soil alarms.

  • THSW variable supported in the browse, plots, and strip charts.

  • Console messages appear in the Summary window.

  • Console Diagnostics Report dialog added.

  • Support for WeatherLink Downloader (Palm OS product)

  • Internet Wind Chill Tag bug fixed

  • ET plots are smoother

  • Low Battery and Reception monitoring

  • (GLOBE) Data Format Support for exporting records.

  • Skin Type Scale Factor implemented for UV Meds calculations

WeatherLink Software 5.2 Release Notes

WeatherLink for Windows version 5.2 includes the following changes:

  • New database format with space for all Vantage sensor data, including Rain Rate, Solar, UV, ET, Extra Temperature, Extra Humidity, Soil Moisture, and Leaf Wetness.

  • New formula for the Heat Index designed to work for cool and cold conditions.

  • New data parameter Temp-Hum-Wind (THW) Index that combines the features of the Heat Index and Wind Chill.

  • Bulletin and Summary windows include Solar, UV, and ET data.

  • The program automatically opens the station that was open when the program was last run.

  • Supports archiving of average temperature values (instead of the temperature at the end of the archive period).

  • Dialog to set up transmitter types, and other options found in the Vantage console setup screens.

  • Convert 4.x and 5.0/5.1 weather stations or import data files from these database versions.

  • Internet APRS weather reporting is supported for the Citizen Weather Observers Program

WeatherLink Software 5.1 Release Notes

WeatherLink for Windows version 5.1 includes the following changes:

  • Internet Features implemented: HTML template files, NOAA reports, Archived Data reports, Current images, and Historical graphs.

  • Inside dew point and heat index values are calculated for HTML uploads.

  • Sample templates are included.

  • Improved davisticker java applet.

  • The National Weather Service's new wind chill formula is used for all data downloaded after the software is installed.

  • Wind direction is dashed, when downloading, if the high wind speed for the archive is zero.

  • The Auto-Download feature works in the case where there is only one station.

  • Printing NOAA and Browse reports work on HP printers.

  • The CPU usage of the software is not reported as 100%.

Back to Getting Started Menu


Using the Tool bar

The tool bar, located on the main screen below the main menu, displays icons that provide quick access to frequently used or time critical options. Click on any of the menu items or tool bar icons in the illustration below to view the help topic for the command or menu item.

Back to Getting Started Menu


Using WeatherLink Help

  • Tool Bar Help Button - Opens the help topic for the active WeatherLink window.

  • Dialog Box Help Button - Opens the help topic for that dialog box.

  • F1 Key - Opens the help topic for the active dialog box or the active WeatherLink window.

Blue Underline : indicates link to WeatherLink help topic. When selected, the new topic will replace the previous topic in the window.

Bold blue Underline : indicates link outside of WeatherLink Help to information such as an external help topic, web page, or document in the program directory. Open in a new window that uses your default web browser.

Green Underline : indicates drop-down text or illustrations that will display below the drop-down link in the current help topic window.

If you have Internet Explorer installed on your computer, WeatherLink Help opens in the Microsoft HTML Help viewer. If you don't have Internet Explorer, it opens your default browser.

To learn more information about using the Microsoft HTML Help Viewer, click the following links.

Resizing the HTML Help viewer

Opening and closing the left-hand panes

Using the navigation buttons

Using the Options menu

To: | Do this
To minimize the window | Click Minimize [image] to shrink the viewer so it is displayed in the button bar on the bottom of the Windows Desktop. Right-click this button and select Restore to display the viewer.
To maximize the window | Click Maximize [image] to maximize the window so it occupies the entire desktop area.
To restore the viewer to its default size | Click Restore [image] to restore the viewer to it's default size.
To manually resize the viewer | Place the pointer over the edge of the viewer so it turns into a line with arrows on each end . Press the left mouse button and drag up, down, left or right. The viewer is resized after you release the mouse button.

To: | Do this
Close the left-hand tabs from view | Click
Open the left-hand tabs | Click

To: | Do this
Display the previous topic going backwards in your topic selection sequence. | Click
Display the next topic going forward in your topic selection sequence. | Click

The Options button opens a menu with selections for hiding the left-hand tabs, going back and forward, stopping a topic or Web page from loading, refreshing the information displayed in the window, printing, and turning search highlighting on or off. You can also access Internet options from this menu.

Using WeatherLink Help

Here is some information on getting and using WeatherLink Help:

Help Menu Help

Context-Sensitive Help

WeatherLink Hyperlink Conventions

Using Windows HTML Help

Back to Getting Started Menu


Menu Commands

Click on a topic below to view help for the indicated WeatherLink menu:

File Menu

Setup Menu

Reports Menu

Window Menu

Strip Chart Menu

Plot Menu

Color Menu

Browse Menu

Rain Menu

Help Menu


File Menu

To print the active program window, select Print from the File menu, press Ctrl-P, or click on the Print icon on the toolbar. Specify printing options (In most cases, Landscape mode is set automatically) in Windows' print dialog box and select OK. Using the Print icon also lets you print plots, the bulletin, and so on.

The Print icon is always visible on the WeatherLink toolbar.

To close the active program window, select Close from the File Menu or press Ctrl-F4 (or Ctrl-Z).

To hang up a modem connection from a remote weather station, select Hang-Up from the File menu, or choose the On-Line icon from the toolbar.

On-Line toolbar icon:

Note: The On-Line icon only appears in the toolbar when you are connected to a remote station or are connected to the Internet.

To disconnect from your Internet Service Provider (ISP), select Hang-Up Internet from the File Menu, or select the On-Line icon from the toolbar.

On-Line toolbar icon:

Note: The On-Line icon only appears in the toolbar when you are connected to your ISP or are connected to a remote weather station.

To silence an active alarm, select Silence Alarms from the File menu, or click the ringing alarm icon on the toolbar. The Quiet Alarm icon will remain on the toolbar as long as the alarm is active.

Ringing Alarm Toolbar Icon:

Quiet Alarm Toolbar Icon:

Note: This feature is only available with Vantage Pro and Vantage Pro2 stations.

Note: The alarm icons only appear in the toolbar when an alarm is active and when WeatherLink is displaying one of the following windows: Bulletin, Strip Chart, Summary, Extra Temp Hum Summary, Station(s) Status or Extra Temp Hum Alarm Status.

To exit the software, select Exit from the File menu or click the Exit ("X") icon on the toolbar.

File Menu

The File menu contains options relating to stations and station files. Note that the contents of the File menu may change, depending on what window is currently active. For example, when the Plot window is the active window, several commands that enable you to save and open plots and plot templates are added to the File menu.

New Station

Open Station

Delete Station

Import Database File

Import Palm Database

Download

View Log

Print

Close

Hang Up (Modem)

Hang Up Internet

Silence Alarm

Manage Modules

Exit


New Station

Each station connected to the computer must have its own "station" within the software. This tells the software which database to store the new data, provides the necessary communication settings (communications port, baud rate, etc.), and other station-specific information. To add a new weather station:

  1. Select New Station from the File menu. The New Station dialog box displays.

  2. Type the desired station name (up to 40 characters/spaces) into the Station Name text box

  3. Click OK to save the new station or click Cancel to exit without saving.

The software saves the new station, creates a directory (using the first eight characters in the station name, not including punctuation and spaces) and a configuration file for the station, and prompts you to indicate whether you want to enter the walk-through procedure.

Back to File Menu


Open Station

Only one station can be open at a time. That way the software knows which database to downloaded the data, which communications settings to use, and which database to use when plotting.

Note: At startup, WeatherLink automatically opens the last open station when more than one station is connected to WeatherLink.

To open a station:

  1. Select Open Station from the File menu or select the Open Station icon from the toolbar.

  2. Select a station name from the list box on the left and click OK to open that station.

Back to File Menu


Delete Station

You can delete a station from the software quickly and easily. Deleting a station removes the station directory, sub-directories and database files from your hard disk.

To delete a station:

  1. Select Delete Station from the File menu.

  2. Select a station from the list box on the left and click OK.

The Remove dialog box displays.

  3. Click OK to confirm the deletion.

The software deletes the station and all related files.

Back to File Menu


File Menu: Import Data Files

Import Database Files

Import Database Files menu option allows you to convert data files from earlier versions of WeatherLink (3, 4, 5.0, or 5.1) for use with WeatherLink 5.2 or later. To learn about importing a database file created by the Weather Data Transfer Utility for Envoy8X, see below.

Note: WeatherLink does not import database files created by versions of WeatherLink 5.2 or later using the Import Database File option. The Import Database Files option only imports database files created by WeatherLink version 5.1 or earlier. To use data files from WeatherLink 5.2 or later, copy the .wlk file directly into your weather station directory.

  1. Select Import Database Files from the File menu.

The Browse dialog box displays.

  2. Select the data files you want to import. Navigate to the folder containing the database files you want to convert. You can select one file or multiple files in the same folder.

  3. Select Open to have the selected files converted for use by WeatherLink 5.5.1. The converted files will be saved in a directory called Converted Database Files.

  4. Use Windows Explorer to copy the converted files from the Converted Database Files folder to the corresponding station folder.

  5. Open your station in WeatherLink to access the converted database files.

To Import Envoy8x Data

Use this option to import an Envoy8x data file created in the Weather Data Transfer Utility for Envoy8X. When you export data in the Weather Data Transfer Utility, it creates an export file with the name you gave for your export profile and gives them the .bin extension. The file is placed in the \Profiles\Export folder of the Utility's program directory.

  1. Select Import Database Files from the File menu.
    The Browse dialog box displays.

  2. Select the data files you want to import. Navigate to the folder containing the database you want to import. The default path is C:\Weather DTU\Profiles\Export. If your profile name is MyProfile.txt, then your export .bin file will be named MyProfile.bin. Choose this file and it will automatically be imported into your weather database.

  3. Select Open to have the selected files converted for use by WeatherLink.

Note: you will probably need to configure the WeatherLink station to include the weather variables you are interested in. For example, if you are exporting a temperature to the 2nd Temp in WeatherLink, you will need to make sure that check box is selected in the Setup/Station Config before you can see it.

Also, note if you have solar radiation your THSW Index will not be calculated until you set the latitude and longitude for this station. Use Setup/Set Latitude/Longitude on the Envoy8x or other Vantage weather station.

See also:

Database Conversion

Retrieving Data From the Data Logger

Database File

Back to File Menu


Import Palm Database

For Vantage Pro stations only. The Import Palm Database menu option lets you download weather data from a Palm PDA that has been collected from a remote Vantage Pro or Vantage Pro2 weather station. Using a Palm to transfer weather data requires the optional WeatherLink Downloader.

Note: If you are not using Palm Desktop on your computer, please refer to the instructions that came with your Palm OS PDA software before proceeding.

  1. Open the Palm Desktop, the Hot Sync Manager or equivalent software on your PC.

  2. Verify that the correct user account is displayed in the User box.

  3. Place your Palm in the HotSync cradle.

  4. Press the HotSync button on the cradle. The weather data on your Palm is automatically uploaded to your computer and stored in the Palm Desktop user’s Backup directory. The file is named: "station name-WL01.PDB". For example, if the station on your Palm was named "Davis", the file name would be "Davis-WL01.PBD".

  5. If you wish, you can now remove the Palm from the HotSync cradle and exit the Palm Desktop or HotSync Manager.

Note: If you use the same COM port for the Palm HotSync and WeatherLink, you will need to close the HotSync Manager to free up the COM port for use by WeatherLink.

  6. Select Import Palm Database from the WeatherLink File menu.

  7. Locate the downloaded weather database. The database file is "station name-WL01.pdb" and is usually located in the Palm user’s backup file, located in a subdirectory of the Palm program directory.

  8. Select the database file and click Open to begin the download, or double-click the database file name.

  9. Click Yes to download, click No to cancel the operation.

See Also:

Downloading Vantage Pro Weather Data to a Palm OS PDA

Installing WeatherLink Downloader Software

Back to File Menu


Download

Download from Data Logger

Downloading lets you transfer weather data from the data logger archive memory to the database stored on your computer.

To download data from the Data Logger:

  1. Select Download from the File menu or click the Download button [image] on the toolbar.

A dialog displays data download and console information. Check your console type for the download information that displays.

Vantage Vue, Vantage Pro and Vantage Pro2 - The software displays how much new information is currently stored in the archive memory (as a number of "pages" &endash; each page holding five records &endash; and as a percentage of the archive memory’s capacity) and prompts you to confirm that you wish to download.

Monitor, Wizard and Perception &endash; The software displays the total number of records stored in the archive memory, including records that have been previously downloaded, and prompts you to confirm that you wish to download. If you have set up your station to clear the archive memory after download, the software clears the archive memory.

  2. Click OK to start downloading the information.

The software begins to download data. The software displays the progress of the download in the form of a status bar, a text display of the number of pages of memory that have been transferred, and the total number of pages to be transferred. After all records have been transferred, the software saves the information into the open station’s database.

Note: Vantage Vue, Vantage Pro and Vantage Pro2 consoles do not respond to any key commands while data is downloaded.

Back to File Menu


View Log

View Automatic Download Log

Information about all the automatic downloads and web uploads to your station is written to a file called "download.log" located in the WeatherLink program folder. The log shows the date and time for each upload or download, indicates whether the action was successful, and records any communication errors. To view the log file:

  1. Select View Log from the File menu.

The download.log file displays.

  2. To close the log window, double-click on the control box or select Close from the File menu.

Note: To clear the log file, delete the "download.log" file in Windows. If you want to save log file information, rename the file. WeatherLink creates a new log file.

Back to File Menu


Print

To print the active program window, select Print from the File menu, press Ctrl-P, or click on the Print icon on the toolbar. Specify printing options (In most cases, Landscape mode is set automatically) in the print dialog box and click OK. Click the Print icon to print plots, bulletins, and other graph information when they are displayed.

The Print button is always visible on the WeatherLink toolbar.

Back to File Menu


Close

Close Window

To close the active program window, select Close from the File Menu or press Ctrl-F4 (or Ctrl-Z).

Back to File Menu


Hang Up

Hang Up Remote Connection

To hang up a modem connection to a remote weather station, select Hang-Up from the File menu, or click the On-Line icon on the toolbar.

On-Line toolbar icon:

Note: The On-Line button only displays on the toolbar when you are connected to a remote station or are connected to the Internet.

Back to File Menu


Hang Up Internet

To disconnect from your Internet Service Provider (ISP), select Hang-Up Internet from the File menu, or click the On-Line icon on the toolbar.

On-Line toolbar icon:

Note: The On-Line icon only displays in the toolbar when you are connected to your ISP or are connected to a remote weather station.

Back to File Menu


Silence Alarm

To silence an active alarm, select Silence Alarms from the File menu, or click the Ringing Alarm icon on the toolbar. The quiet alarm icon remains on the toolbar as long as the alarm is active.

Ringing Alarm Toolbar Icon:

Quiet Alarm Toolbar Icon:

Note: This feature is only available with Vantage Vue, Vantage Pro and Vantage Pro2 stations.

Note: The alarm icons only displays in the toolbar when an alarm is active and when WeatherLink is displaying one of the following windows: Bulletin, Strip Chart, Summary, Extra Temp Hum Summary, Station(s) Status or Extra Temp Hum Alarm Status.

Back to File Menu


Exit

Exit WeatherLink Software

To exit the software, select Exit from the File menu or click the Exit ("X") icon on the toolbar.

Back to File Menu


Manage Modules

Use the Manage Modules menu option in the File Menu to display the Expansion Module Management dialog box.

  1. Select Manage Modules from the File menu. The Expansion Module Management dialog box is displayed.

  2. Perform any of the following tasks from the Expansion Module Management dialog box:

Add an Expansion Module

Delete an Expansion Module

Enable an Expansion Module

Disable an Expansion Module

Change Expansion Module Order

  3. Click OK to approve any changes and exit the dialog box or click Cancel to exit the dialog box without making any changes.

Back to File Menu


Setup Menu

The Setup menu contains options that are used to configure the WeatherLink software and to configure the Vantage Vue/Vantage Pro/Vantage Pro2 console or Weather Envoy.

Note: Do not use WeatherLink to configure your Envoy8X. You must use Weather Data Transfer Utility for Envoy8x for all communication with the Envoy8x.

Click on a topic below to view help for a particular setup option:

Walkthrough

Station Configuration

Communications Port

Set Transceiver

Set Password

Select Units

Set Time and Date

Set Archive Interval

Set Barometer

Set Rain Calibration

Set Temperature & Humidity Calibration

Set Extra Temp Calibration

Set Extra Hum Calibration

Set Yearly Rain

Set Latitude & Longitude

Set Wind Cup Size

Set Skin Type Scale Factor

Set Alarms

Set Extra Temp Hum Alarms

Clear

Auto Clear

Auto Download

Internet Settings

WeatherLink Network

Back to WeatherLink Help


Walkthrough

Station Setup Walkthrough

The software includes a station setup walkthrough that steps you through the weather station configuration procedures. After adding a new station, the Walkthrough dialog box automatically displays. By selecting Yes, the walkthrough process begins. By selecting No, the Walkthrough process is exited. You can set up and configure your station by separately selecting all of the necessary setup options from the Setup menu. A Walkthrough option is included in the Setup menu that allows you to access the Walkthrough at any time.

Note: Where necessary, the software will automatically dial a phone modem station.

By selecting the Walkthrough process, the software displays a series of dialog boxes listed below. At each step in the Walkthrough process, confirmation boxes are provided to perform or skip the next step in the Walkthrough. To continue, select OK. To skip this step and move to the next step, select Skip. To cancel the entire walkthrough process, select Cancel.

Walkthrough Sequence

The dialog boxes included in the Walkthrough for your station vary depending on the type of station and optional accessories.

Station Configuration - Set station name, model, accessories, and download options.

Communication Port Settings - Select the communications type for your station. If you are using a dial-up connection to your weather station console, specify the modem connection settings such as baud rate, phone number, and modem initialization string.

Select Units - Select the units of measure in which station information is displayed.

Set Auto Download Time - Select the stations for WeatherLink to automatically download data from and set the times of day at which the download occurs.

Set Console Transceiver - Vantage Vue, Vantage Pro and Vantage Pro2 only - Set transmitter ID assignments and the console retransmit function.

Set Barometer and Elevation - Vantage Vue, Vantage Pro, and Vantage Pro2 only - Set barometric pressure and elevation on station and software. You must set the correct elevation for the forecast, ET, and THSW Index (THSW for Pro and Pro2 only) calculations to work correctly..

Note: Monitor, Wizard and Perception &endash; Enter the current corrected barometric pressure. Elevation is only used by NOAA reports.

Set Rain Calibration - Set the station’s rain calibration number.

Set Temperature and Humidity Calibration - Adjust the temperature and humidity settings on your station if necessary.
Vantage Vue/Vantage Pro/Vantage Pro2 only - Enable or disable averaging of the recorded temperature reading over the archive period.

Set Rain Season and Yearly Rain - Set year to date rainfall amount.
Vantage Pro/Vantage Pro2 only - Set the start of the rain season.

Set Time and Date, Time Zone, and Daylight Savings Time - Set the time and date on the station, software, and computer to make sure all three are synchronized. Set daylight savings time.

Note: When you set the time and date, you will be prompted to clear your archive memory. If you do not clear archive memory, you may end up with data stored at an incorrect time or duplicate records. We recommend that you download before setting the time (unless you are creating a brand new station or adjusting the time) so you may safely clear the archive memory.

Set Archive Interval - Select the interval at which you want records created and stored to the data logger archive memory. If you change the archive interval WeatherLink automatically clears archive memory.

Set Latitude & Longitude - Vantage Pro/Vantage Pro2 only - You must set the correct latitude and longitude for the station’s forecast, moon phase, ET, and THSW calculations, and sunrise and sunset algorithms to work correctly.
All stations - Latitude and longitude are also required for APRS reporting, GLOBE reporting, Sunrise and Sunset reports, and is shown in NOAA reports.

Set Wind - Vantage Vue, Vantage Pro, and Vantage Pro2 only - Large wind cups are standard on all Vantage Pro and Vantage Pro2 weather stations. Use the default Wind Cup Size setting unless you have installed the optional small wind cups on your anemometer. For Wind Direction calibration, the offset shall be calculated and set to the firmware based on the raw data, and the user-adjusted value.

Set Skin Type Factor - Vantage Pro/Vantage Pro2 Plus only - Select the skin type factor used for the UV Meds calculation. This dialog box is only displayed if you have the optional UV sensor. The default is "Type II".

Set Alarms - Set alarm thresholds on the station.

Auto Clear - Monitor, Wizard and Perception only - Specify the high/low registers and rainfall registers you want cleared at the same time each day and the time at which you want them cleared.

Back to Setup Menu


Station Configuration

The Station Configuration option in the Setup menu allows you to enter your weather station name, select your station model, indicate optional sensors installed in your station, select download options and select Bulletin/Summary window options.

Note: The station name shows up on the main screen, in printed reports, and is used in an HTML Template tag.

  1. Select the Station Configuration option from the Setup menu or press Ctrl-C.

  2. Enter the name of your station.

Note: When you first create a station, the software uses the first eight characters of the station name as the name of the directory where the station’s data files and configuration file are stored. If you change the station name and click OK, the Rename dialog box displays prompting you to change the directory file directory to match the new station name.

  3. Select your model of weather station from the drop-down list.

Note: If you are using a Weather Envoy, select either Vantage Pro or Vantage Pro Plus, depending on the type of Integrated Sensor Suite (ISS) you are using.

  4. For Vantage Vue, Vantage Pro and Vantage Pro2, "Show indoor data only" check box is enabled, and it is grayed out for other models. Checking the "Show indoor data only" check-box means the console is to be used for indoor data only, and all "Accessories" items shall be grayed out. Also, outdoor data shall be excluded in the following screens: Summary, Plot, Bulletin, and Strips Chart. Unchecking the "Show indoor data only" check box shall restored the original "Accessories" selections

  5. Select the optional sensors used by your station:

Rain Collector

Select the increment in which your rain collector measures rainfall. If you’re using a Vantage Pro2, use either the 0.01 in. or 0.2 mm setting.

Note: The 0.2 mm setting is available for Vantage Pro, and Vantage Pro2 users who have installed a metric rain adapter in their rain collectors. The metric rain adapter is available with all Vantage Pro2 weather stations. See the Vantage Pro2 and Vue console and ISS manuals for information on installing the metric rain adapter or housing and configuring the console to accept the 0.2 mm readings. Vantage Vue has a different rainhousing for metric, not an adaptor.

If you have a Monitor or Wizard station, the options are .1 in, .01 in, and 0.2mm. If you do not have a rain collector, select None from the drop down list.

Other Sensors

Check each of the listed optional sensors that are installed in your weather station.

Note: Solar Radiation and UV are only available for Vantage Pro or Vantage Pro2 weather stations.

Note: Extra temperature and humidity sensors as well as leaf and soil sensors are only available for Wireless Vantage Pro or Vantage Pro2 stations.

Note: WeatherLink logs only three of the extra temperature readings, called 2nd Temp, 3rd Temp, and 4th Temp. These three readings come from the three Wireless Temp or Temp/Hum stations with the lowest station ID numbers. The temperature reading from the Wireless Temp or Temp/Hum station with the lowest ID number is assigned to the 2nd Temp. The temperature reading from the Wireless Temp or Temp/Hum station with the second lowest ID number is assigned to the 3rd Temp. The temperature reading from the Wireless Temp or Temp/Hum station with the third lowest ID number is assigned to the 4th Temp.

Note: WeatherLink only logs two extra humidity readings, called 2nd Hum and 3rd Hum. These two readings come from the two Wireless Temp/Hum stations with the lowest station ID number. The humidity reading from the Wireless Temp/Hum station with the lowest ID number is assigned to the 2nd Hum. The humidity reading from the Wireless Temp/Hum station with the next lowest ID number is assigned to the 3rd Hum.

  5. Select the download options for your station:

After download automatically export last 2 days to "download.txt"

The software is capable of automatically creating a space-delimited text file that contains all downloaded records for the last 2 days (the day on which you downloaded and the previous day) after each download. To enable this feature, select the check box. The file (named "download.txt") is saved into the station’s directory.

Note: The "download.txt" file’s information is written as a space-delimited file. The export feature in the Browse Window produces a tab-delimited file.

Clear archive memory after download.

If you are using a Monitor, Wizard, or Perception weather station, you can select this option to have WeatherLink automatically clear the archive memory in the WeatherLink data logger after each download. Clearing after each download decreases the time it takes to download because there is less "accumulated" data in the archive memory. Not clearing after each download allows you to download data into multiple databases (if more than one person uses a single weather station, for example). To clear data in the archive memory after each download, select the check box.

  6. Select the Bulletin/Summary window options for your station:

Download Hi/Low data when the Bulletin or Summary is started.

WeatherLink can be configured to either always download the high and low data when you start the Bulletin or Summary window, to never download the high and low data, or to always ask you if you want to download the data.

  • The hi and low data must be downloaded to be included in the Bulletin or Summary.

  • It takes very little time to download the data from a Vantage Vue, Vantage Pro or Vantage Pro2 station.

  • It takes approximately 20 seconds to download the high and low data from a Monitor, Wizard or Perception station.

  • Select Always to download the data automatically when the Bulletin or Summary windows are opened.

  • Select Never if you do not want to include the high and low data in the Bulletin and Summary.

  • Select Confirm each time if you want to decide whether to download or not each time you open the Bulletin or Summary window.

Download archive data when the Bulletin or Summary is started:

WeatherLink can be configured to either always download the archive data when you start the Bulletin or Summary window, to never download the archive, or to always ask you if you want to download the archive.

  • The archive data must be downloaded to include the forecast and the Bar history in the Bulletin for the Vantage Pro, Vantage Pro2, Monitor, or Perception.

  • Select Always to download the data automatically when the Bulletin or Summary windows are opened.

Note: If there is no new data in the console’s archive data, there will be no download when you start the Bulletin or Summary even if you have selected Always.

  • Select Never if you do not want to download the archived data in the Bulletin and Summary.

  • Select Confirm each time if you want to decide whether to download or not each time you open the Bulletin or Summary window.

  7. Click OK to confirm the configuration options.

The software saves the station configuration settings.

Back to Walkthrough | Setup


Communications Port

Communications Port Settings

The Communications Port dialog box in the Setup menu allows you to specify the communications port settings to connect the console, data logger and weather station to the WeatherLink software. To configure your communication port settings:

  1. Select Communications Port from the Setup menu or press Ctrl-I.

  2. Select the type of data logger or communications device that is connected to the computer in the Communications field.

    • Serial - Select Serial if you have a serial data logger (# 6510SER for Vantage Vue, Vantage Pro and Vantage Pro2, # 7862 for Perception or Weather Wizard) or one of the streaming data logger products (# 6540, 6544, 6550, 6560).

    • USB - Select USB if you have a USB data logger (# 6510USB).

    • TCP/IP - Select TCP/IP if you have a WeatherLinkIP data logger (# 6555).

    • Modem - Select Modem if you are connecting a station with a serial data logger to a computer through a modem.

For a Serial Connection

Use the following instructions if you are connecting a serial data logger:

  1. Select Serial from the Communications field. The areas you need to define for serial communication become active in the dialog box.

  2. Select the communications port that connects the data logger to the computer from the Com Port drop-down list box. See Finding the COM Port (Auto Detect) for more information.

  3. Select the rate at which the console or Envoy connects to the computer from the Baud Rate drop-down list box. If you are connecting a Vantage Vue, Vantage Pro or Vantage Pro2 directly to your computer, leave the Baud Rate at 19200.

    To change the Baud Rate setting on a Vantage Vue, Vantage Pro or Vantage Pro2 console:

  4. On the console, press and hold the console’s DONE key, then press the console’s down arrow (-) key. Use the BAR key to reach the Baud Rate setup screen. The ticker displays "serial Baud Rate". Use the UP(+) and DOWN(-) arrow keys to change the console’s setting. Press and hold the DONE key to exit setup mode. Make sure that the Baud Rate that is selected on the console also displays in the Communications Port dialog box.

    For Monitor, Wizard and Perception stations the Baud Rate setting must match the switch setting on your WeatherLink data logger. The choices are 1200 and 2400.

  5. Click Test to verify the connection.

    The software checks the connection to the station or modem using the current settings and lets you know if it successfully connected to your weather station.

    If you are using a serial port and are not sure which serial port your console is connected to, or if you want to test that the port works correctly, use the Loopback device and the Loopback button.

  6. Once the communications port settings are correct, click OK. The software saves the correct communications port settings.

For a USB Connection

Note: If you are using third party software that emulates a com port DO NOT choose this option. Click Cancel below then select Serial instead.

Use the following instructions if you are connecting a USB data logger:

  1. Select USB from the communications field.

  2. The USB Connection dialog box displays when the USB radio button is selected.

    Only one USB data logger should be connected when testing/setting up communications. If you have more than one USB station connected to the computer, the application associates with the first data logger it finds, so connect only the desired station to the computer during this process.

  3. Click OK if one USB is connected. The Serial To USB Mode dialog box displays.

    Note: The above message only occurs on first usage of a new USB data logger.

  4. Click OK. The Communications Port dialog box displays again.

  5. If you are using a USB or WeatherLinkIP data logger, the console Baud Rate must be set to the default value of 19200.

    To check if the Baud Rate setting on a Vantage Vue, Vantage Pro or Vantage Pro2 console is set at 19200:

    On the console, press and hold the console’s DONE key, then press the console’s down arrow (-) key. Use the BAR key to reach the Baud Rate setup screen. The ticker displays "serial Baud Rate". Use the UP(+) and DOWN(-) arrow keys to change the console’s setting. Press and hold the DONE key to exit setup mode. Make sure that the Baud Rate that is selected on the console also displays in the Communications Port dialog box.

  6. Click Test to verify the connection.

  7. Click OK once the communications port settings are correct.

For a TCP/IP Connection

A WeatherLinkIP data logger is required to create a TCP/IP connection. The WeatherLinkIP data logger provides you with all the same archiving features as a serial or USB data logger but also automatically uploads all your Vantage Vue, Vantage Pro or Vantage Pro2 console or Envoy information to a web server provided by Davis Instruments that lets you see your weather data via the internet without having to set up your own web page. In addition, your weather data is automatically saved to our web servers which provide four times the memory storage of a data logger. See www.weatherlink.com for more information on this product and to set up your own account on our server.

Use the following instructions if you are creating a TCP/IP connection:

  1. Select TCP/IP from the communications field. The areas you need to define for TCP/IP communication become active in the dialog box.

  2. Select one of the three available radio buttons that best describes the type of TCP/IP connection you want to setup:

    • Local Device ID &endash; Connects to the WeatherLinkIP data logger through a Local Area Network connection. Use this option if your computer is connected to the same router or switch as your WeatherLinkIP data logger.

    • Remote IP Address &endash; Connects the WeatherLinkIP data logger and station to the WeatherLink Software through a remote connection using an IP address. This connection generally requires a static IP address.

    • Web Download &endash; Downloads data collected from a console or Envoy connected to a WeatherLinkIP data logger via www.weatherlink.com.

To connect WeatherLinkIP to a Local Area Network (LAN)

  1. Click the Local Device ID radio button.

    Note: Even though the TCP Port text box is available for edit, the default port number already in the text box should be used.

  2. Click the Find button. A Communication Settings dialog box pops up when the Find button has been clicked and a console or Envoy with a WeatherLinkIP data logger is found.

  3. Verify that the Device ID in the Communications Setting dialog box matches the Device ID located on a label on the side of the Link indicator section of the data logger.

    Note: If multiple devices with multiple WeatherLinkIP data loggers are connected to the software, the first available device is found. Click OK to select the found Device ID or click Cancel to display the next available device. Once all of the available devices have been cycled through, the Communications Port dialog box redisplays without a Device ID in the Local Device ID field. Once a device is selected and OK is clicked, the selected device’s ID displays in the field.

  4. Click Test to verify the connection.

  5. Click OK in the Communications Port dialog box to save the TCP/IP settings.

To connect WeatherLinkIP to a Remote IP address

Note: This option is only used if your WeatherLink IP equipped console or Envoy is at a location on the internet that is remote from the location of the computer on which your are running your WeatherLink software. It works best when the broadband internet account to which the WeatherLinkIP is connected has a static IP address. With a dynamic IP address (which most residential users have) the external IP address assigned by your Internet service provider will change frequently, requiring you to change the entry in the Remote IP Address field often. Setting up a remote account and using this field requires a substantial knowledge of Internet processes.

  1. Click the Remote IP Address radio button.

    Note: Even though the TCP Port text box is available for edit, the default port number already in the text box should be used.

  2. Determine the external IP address assigned by your Internet service provider, and enter it in the data field.

  3. Click Test to verify the connection.

  4. Click OK in the Communications Port dialog box to save the Remote IP settings.

To connect WeatherLinkIP through a Web Download

The Web download option allows you to download all data collected from the console or Envoy at the Davis web site. You must set up an account on www.weatherlink.com first.

  1. Click the Web Download radio button.

  2. Enter the Device ID and your password you created on www.weatherlink.com.

  3. Click OK to save the web download settings.

Note: Many of the real time features available in WeatherLink such as the Bulletin, are not available when connecting to a WeatherLinkIP data logger through web download. The features are grayed out when using the web download feature for your weather station.

For a Modem Connection

Use the following instructions if you are creating a modem connection:

  1. Select the Modem radio button from the Communications field. The areas you need to define for serial communication become active in the dialog box.

  2. Select the communications port that connects your modem to the computer from the Com Port drop-down list box.

  3. Select a Baud Rate from the Baud Rate drop-down list box that your modem and your weather station have in common. Generally, use the highest possible Baud Rate setting. However, if you get unreliable results, selecting that lower rate will improve reliability.

    F    or Vantage Vue, Vantage Pro and Vantage Pro2, The Baud Rate choices are 1200, 2400, 4800, 9600, 14400, and 19200 baud. Note that the value set here must match the value on the Baud Rate setup screen on the Vantage console.

  4. To change the Baud Rate settings:

  5. On the console, press and hold the console’s DONE key, then press the console’s down arrow (-) key. Use the BAR or DONE key to page through the setup screens until you reach the Baud Rate setup screen. The ticker displays "serial Baud Rate". Use the UP and DOWN arrow keys to change the console’s setting. Press and hold the DONE key to exit setup mode. Make sure that the Baud Rate that is selected on the console also displays in the Communications Port dialog box.

    For Monitor, Wizard and Perception stations the choices are 1200 and 2400 baud. The Baud Rate setting must match the switch setting on your WeatherLink data logger.

  4. In the Hangup Wait Time drop-down list box enter the amount of time, in minutes, the program should wait before hanging up the connection and releasing the serial port during an idle connection. If, for example, you have dialed up your station, downloaded data, then left the connection open without the bulletin or summary running, the software will hang up the modem after the time specified in this box. This feature is useful if another program uses the modem or another program accesses the data logger. Fractional values, such as 1.5 min., can be entered.

    Note: If you’re running the bulletin, summary, strip chart, sunburn risk report, alarm status, or extra Temp/Hum status the station will be sending continuous data through the serial connection. The software will keep the connection open until you close those windows.

  5. In the Weather Station Phone Number box, enter the phone number for the modem connected to the station in this text box. Make sure to enter the area code and any necessary prefixes (for example, 1, 011, etc.). Enter a comma "," to force the modem to pause before dialing the next digit. Enter more than one comma to increase the length of time for which the modem pauses. Enter a "w" to force the modem to wait for a dial tone before dialing the next digit.

  6. Enter in the necessary modem initialization string in the Modem Init. String box or click Default to use the default modem initialization string. The default should work in almost all cases.

  7. In the After Connect Wait box, enter the time (in seconds) the modem should wait after connecting to the station before sending commands. If you’re connecting to the station, but having trouble communicating with it, try increasing the wait time.

  8. Select the Rotary Dial check box if your phone line is rotary dial.

  9. Click the Modem Test button to send the initialization string to the modem and listen for the appropriate response. It will not dial the station.

  10. Click Test to verify the connection. The software checks the connection to the modem using the current settings and let you know if it successfully connected to your weather station. The program will dial up the station and establish a connection.

  11. Once the communications port settings are correct, click OK. The software saves the correct communications port settings.

Back to Walkthrough | Setup


Set Transceiver

Use the Set Transceiver dialog box to view and/or configure your Vantage Vue, Vantage Pro or Vantage Pro2 console or Weather Envoy transmitter ID and repeater ID assignments and to control the console retransmit function.

Note: These settings can also be configured using the Setup Mode in the Vantage Vue, Vantage Pro or Vantage Pro2 consoles.

Note: This dialog box is the only available tool for configuring the transmitter ID and repeater ID settings on your Weather Envoy.

To set transceiver options:

  1. Choose Set Transceiver from the Setup menu. The Set Transceiver dialog box displays.

    If you have a Vantage Vue, Vantage Pro, Vantage Pro2 console or Envoy with firmware dated May 2005 or later (or version 1.6 or later), the Set Transceiver dialog box displays with special functionality related to repeater use. See Enable Repeaters for more information.

  2. Enter the following information for each station in your network:

Set Transmitter IDs

You need to configure your receiver for the station type used by each of the transmitter IDs.

  • Station selections are: Off, ISS, ISS 0.25x (for Vantage Pro stations only), TEMP, TEMP 4x (for Vantage Pro stations only), TEMP HUM, TEMP HUM 4x (for Vantage Pro stations only), WIND, LEAF, SOIL, LEAF/SOIL. For the Vantage Vue station, the selections are: Off, VUE ISS, WIND, and VP2 ISS.

WeatherLink only logs three of the extra temperature readings, called 2nd Temp, 3rd Temp, and 4th Temp. These three readings will come from the three Wireless Temp or Temp/Hum stations with the lowest station ID number. The temperature reading from the Wireless Temp or Temp/Hum station with the lowest ID number will be assigned to the 2nd Temp. The temperature reading from the Wireless Temp or Temp/Hum station with the second lowest ID number will be assigned to the 3rd Temp. The temperature reading from the Wireless Temp or Temp/Hum station with the third lowest ID number will be assigned to the 4th Temp.

WeatherLink only logs two extra humidity readings, called 2nd Hum and 3rd Hum. These two readings will come from the two Wireless Temp/Hum stations with the lowest station ID number. The humidity reading from the Wireless Temp/Hum station with the lowest ID number will be assigned to the 2nd Hum. The humidity reading from the Wireless Temp/Hum station with the next lowest ID number will be assigned to the 3rd Hum.

  • You can select CLEAR ALL to set all transmitters to Off.

ISS Options

  • Select ISS for an ISS used as an ISS.

  • If you have a Vantage Pro and you are using an ISS as a Temp Hum station, select TEMP HUM 4x. If you have a Vantage Pro2 station, select TEMP HUM.

Temperature Humidity Station Options

  • If you are using a Temperature Humidity Station built before April 2003, or if you have a Vantage Pro2, select TEMP HUM.

  • If you are using a Temperature Humidity Station built in April 2003 or later, select TEMP HUM 4x. This is required because of changes in the Temperature Humidity Station transmitter board.

  • If you are using a Temperature Humidity Station built before April 2003 as an ISS station, select ISS 0.25x.

  • If you are using a Temperature Humidity Station built in April 2003 or later or if you have a Vantage Pro2 as an ISS station, select ISS.

Temperature Station Options

  • If you are using a Temp Station built before April 2003 or if you have a Vantage Pro2, select TEMP.

  • If you are using a Temperature Station built in April 2003 or later, select TEMP 4x. This is required because of changes in the Temperature Station transmitter board.

Enable Repeaters

If you are using wireless repeaters to repeat station information:

  1. Click the Enable Repeaters check box. The Repeater drop down box for every station is enabled.

  2. Select the repeater through which the station is communicating to a console or receiver.

    The repeater selected for the station should be the repeater closest to the console or receiver. For example, in a daisy chain of one station and three repeaters, the last repeater in chain (C) is the repeater that should be selected.

  3. Continue selecting the correct repeater ID for each station in the network. Click OK to save the settings and exit the dialog box.

Retransmit

If you want your Vantage Vue, Vantage Pro or Vantage Pro2 console or Envoy to retransmit weather data, say to either another console or a Weather Echo, turn Retransmit ON by selecting the transmitter ID number for the retransmitted signal.

  1. Click OK to save the changes, or click Cancel to exit the dialog without saving the changes.

Back to Walkthrough | Setup


Set Password

Vantage Vue, Vantage Pro and Vantage Pro2 only - You can set an optional password that will be required to change any of the console configuration parameters listed below. Once you have entered a password to perform one of the protected functions, you will not be required to re-enter the password again until you restart the software or open a different station.

NOTE: You will still be able to check the current settings without having to know the password.

The following functions can be password protected:

Clear

Set Transceiver

Set Alarms

Set Archive Interval

Set Barometer

Set Latitude/Longitude

Set Password

Set Rain Calibration

Set Temp/Hum Calibration

Set Time

Set Yearly Rain

To Enter a New Password

  1. Select Set Password from the Setup menu.

  2. Enter the password in the Enter Password: text box.

  1. Enter the same password a second time in the Re enter password: text box.

  2. Click OK to have the password take effect.

  3. To clear the password, check "Clear Password" and click OK.

NOTE: If a password has been set, you will have to enter the Password to access the Set Password dialog box.

To Clear a Password

  1. Select Set Password from the Setup menu.

  2. Enter the password in the Enter Password dialog box.

  4. Check the Clear Password box.

  5. Select OK.

Password protection will be removed from WeatherLink.

Back to Walkthrough | Setup


Select Units

Select Units of Measure

Select the units of measure in which data is displayed within the software. All program windows, such as the bulletin, summary, plots, database, etc. are display data in the selected units of measure. Choosing units of measure in the software shall now, upon the "Set" command, synchronize the units of measure displayed on the console.

  1. Select Choose Units from the Setup menu or press Ctrl-U.

  2. Select the desired units of measure:

  • Temperature:

Fahrenheit (°F) or Celsius (°C)

Note: Wind chill, dew point, degree-days, and temperature indexes are all displayed in the same unit of measure as temperature.

  • Barometer:

Inches of Hg (in), Millimeters of Hg (mm), Millibars (mb), or Hectopascals (hPa)

  • Wind Speed:

Miles per Hour (mph), Knots (knot), kilometers per Hour (km/hr), or Meters per Second (m/s)

  • If you are using mph to measure wind speed, wind run will be reported in miles.

  • If you are using knots to measure wind speed, wind run will be reported in nautical miles.

  • If you are using kph to measure wind speed, wind run will be reported in kilometers.

  • If you are using m/s to measure wind speed, wind run will be reported in kilometers.

  • Rain:

Inches (in) or Millimeters (mm)

  • Elevation:

Feet or Meters

  3. After selecting units of measure, click:

  4. OK, if you are satisfied with your settings

  5. Set, to upload your settings to your console

  6. Cancel, to exit this window without saving your settings

The software saves your choices. All information is displayed in the units of measure you selected.

Back to Walkthrough | Setup


Set Time & Date

You can set the time and date on your station console and your computer from the WeatherLink software. Make sure that both the station and computer display the same time and date. Because changing the settings on the station can affect data in the data logger’s archive memory (unless you are creating a new station), we recommend that you download data before changing the time and date settings, and then clear your archive memory when finished.

Note: The Vantage Pro or Vantage Pro2 console clock is more accurate than most computer clocks. Double-check the correct time from a source other than your computer.

  1. Select Set Time & Date from the Setup menu.

The Set Time & Date dialog box displays. The time and date currently displayed by the station console appear at the top of the dialog box. The software automatically enters the time and date displayed by the computer into the text boxes at the bottom of the dialog box.

  2. Enter the following information:

  • Time/Date

Enter the current time and/or date.

  • Set the PC time also

If you want the software to set the time and date on both the station console and the computer, select this check box.

  • Daylight Savings

You can manually select daylight savings time by selecting On in the Time Settings box when daylight savings time is in effect and de-selecting On when standard time is in effect.

See Manually Setting Daylight Savings Time for the correct procedure to set daylight savings manually.

Vantage station only: If you have a Vantage Vue, Vantage Pro or Vantage Pro2 console, you can use the Auto Detect function to automatically turn daylight saving time on and off.

If you select Auto Detect Daylight Savings:

Before 2007:

        • If you are in a time zone with a negative offset from UTC (North America), then daylight savings starts on the first Sunday in April at 2:00 am.

        • If you are in a time zone with a positive offset from UTC (Europe, Africa, Middle East, Asia), the daylight savings starts on the last Sunday in March at 2:00 am.

        • Daylight savings always ends on the last Sunday in October at 2:00 am.

After 2007 in the United States:

        • If you are in a time zone with a negative offset from UTC (North America) then daylight savings starts on the second Sunday in March at 2:00 am.

        • Daylight savings in a time zone with a negative offset ends on the first Sunday in November.

If neither On or Auto Detect Daylight Savings are selected, daylight savings is set to off.

More information about how daylight savings time is used and set in WeatherLink can be found in the Technical Reference Menu.

  • Time Zone

Select your local time zone from the list. Time zones are defined by the number of hours the local time is offset from Greenwich Mean Time (GMT).

Note: The correct time zone is required to create the Sunrise and Sunset Report and for GLOBE reporting. If you have a Vantage Pro or Vantage Pro2 station with a solar radiation sensor, the correct time zone is also required to calculate the THSW index.

  3. After entering time and date, select OK.

The software sets the time and date on the station console (and the PC if desired) and then prompts you to indicate whether you want to clear your archive memory as well.

  4. To indicate whether you want to clear your archive memory, select Yes or No.

If you select Yes, the software clears your archive memory.

Note: Time and date formats on the PC are set under the "regional options", "regional settings" or "international settings" (depending on the Windows version) in the Windows control panel. WeatherLink supports the following settings:

On the Time tab, select either 24 hour or 12 hour (am/pm) mode. You can also select a time separation character (usually it is ":")

On the Date tab, you can select one of the following date orders in the Short date style: Day-Month-Year, Month-Day-Year, or Year-Month-Day. Other date formats are not supported. You can also select a date separation character (typically it is "/", "-", or ".")

Other aspects of Time and Date display are set in the program and cannot be changed.

See also:

Daylight Savings Time in WeatherLink

Back to Walkthrough | Setup


Set Archive Interval

The Set Archive Interval option in the Setup menu allows you to select the time interval the data is stored onto the data logger's archive memory. The selections are: 1, 5, 10, 15, 30, 60, or 120 minutes. This interval is known as the archive interval.

Caution: Setting the archive interval clears the data logger archive memory. You should download data before changing archive interval.

  1. Select Set Archive Interval from the Setup menu.

  2. Select the desired archive interval and click OK.

The software warns you that it is about to clear the archive memory.

  3. To continue, select OK.

The software sets the archive interval and clears the archive memory.

See also:

Archive Memory

Back to Walkthrough | Setup


Set Barometer

  1. Choose Set Barometer from the Setup menu.

  2. Enter the elevation.

    If you have a Vantage Vue, Vantage Pro or Vantage Pro2 station, the elevation is required for the forecast and THSW Index calculations to work correctly. If you don’t know your elevation, there are many ways to find out. For example, you can try calling the reference desk at your local library, look up your town in an almanac, try calling a local airport, search the Internet or use Google Maps (in "terrain" view). In the USA, you can look for a United States Geological Survey topographical map of your area.

    If you have a Monitor, Wizard or Perception station, the elevation value is used only in the NOAA reports and does not affect the barometer reading

  3. Enter the correct sea-level barometric pressure.

    Vantage Vue, Vantage Pro or Vantage Pro2 Stations

    For the most accurate barometer readings, enter a "Sea-level Barometer" pressure from a reliable nearby reference. The Vantage Vue, Vantage Pro and Vantage Pro2 consoles use this value to fine-tune it’s own adjusted barometric pressure calculations.

Note: Only enter this if you have a current reading from a very reliable nearby reference. Do not use the Sea-level Barometer setting alone to correct your barometer to sea-level.

Note: If you set the Sea-Level Barometric pressure to 0, the bar calibration number is erased. The station displays the pressure reading altered by the station elevation only.

Monitor and Perception Stations

Enter the correct sea-level barometric pressure from a nearby reliable reference.

Note: For Monitor and Perception stations, you must enter a sea-level barometer reading because these stations do not perform an elevation based barometric correction.

  4. Click OK.

The software saves the barometer settings in both the console and the station configuration file, as well as a in text string printed in the NOAA reports.

Back to Walkthrough | Setup


Set Rain Calibration

The Set Rain Calibration dialog box sets the rain collector setting you provided in the Station Configuration dialog box to your console or Envoy.

  1. Select Set Rain Cal from the Setup menu select OK when prompted from the Walkthrough.

The software prompts you to confirm that you wish to set the rain collector calibration.

  2. Click Yes.

The software sets the rainfall calibration number on your station.

Use the Station Configuration dialog box to select the rain collector settings. This dialog box confirms the calibration setting and transfers the setting to your console or Weather Envoy.

Back to Walkthrough | Setup


Set Temp and Hum Calibration

Set Temperature and Humidity Calibrations

Inside temperature and humidity readings come from the weather station console. Outside temperature and humidity readings usually come from the Vantage Vue, Vantage Pro or Vantage Pro2 ISS, or from individual outside sensors if you have a Monitor or Wizard station.

Note: Consult your station manual for a more detailed description of calibration numbers.

  1. Select Set Temp & Hum Calibration from the Setup menu.

The Set Temperature and Humidity Calibration dialog box displays.

  2. Enter the adjusted reading for the sensor you want to calibrate.

Note: The inside humidity sensor on a Monitor II cannot be calibrated.

Vantage Vue/Vantage Pro/Vantage Pro2 only - The software updates the station’s calibration numbers. The station and software will accept temperature adjustments up to ±12.7ºF (~ 7.1ºC) away from the raw reading. For example, if the console displays an inside temperature reading of 60º F (15.6ºC), you could set the temperature anywhere between 47.3ºF (8.6ºC) and 72.7ºF (22.6ºC). (60-12.7=47.3, 60+12.7=72.7)

Note: Vantage Vue/Vantage Pro minimum and maximum temperature settings are -90ºF and +164ºF. Humidity calibrations can be anywhere between 0 and 100%.

If you have trouble setting calibrations in the software, check to make sure that no calibrations are already set in the console itself. You can use the Clear dialog box to reset all temperature and humidity calibration numbers at once.

  3. Average Temp Over Archive Period

Vantage Pro Only

If your Vantage Pro console has firmware dated July 18, 2001 or newer, you can enable the logging of the average temperature over the archive period. The default is to log the temperature at the end of the archive period.

  • You can check your firmware date by pressing down DONE and then pressing the up arrow (+) on your console at the same time. The firmware revision date will scroll across the bottom of the console’s LCD screen.

  • You can also use WeatherLink’s Console Diagnostics report to view your console’s firmware date.

Note: Monitor, Wizard and perception stations always log average temperature values.

  4. Click OK to save the changes, or click Cancel to exit the dialog without saving the changes.

Back to Walkthrough | Setup


Set Extra Temp Calibration

Use the Set Extra Temp Calibration dialog box to calibrate temperature sensors located in optional Vantage Pro and Vantage Pro2 Wireless Temperature Stations and Wireless Temperature/Humdity Stations. The temperature sensors are identified by the station transmitter ID number.

Note: WeatherLink only logs three of the extra temperature readings, called 2nd Temp, 3rd Temp, and 4th Temp. These three readings will come from the three Wireless Temp or Temp/Hum stations with the lowest station ID number. The temperature reading from the Wireless Temp or Temp/Hum station with the lowest ID number will be assigned to the 2nd Temp. The temperature reading from the Wireless Temp or Temp/Hum station with the second lowest ID number will be assigned to the 3rd Temp. The temperature reading from the Wireless Temp or Temp/Hum station with the third lowest ID number will be assigned to the 4th Temp.

Note: If you have trouble setting calibrations in the software, check to make sure that no calibrations are already set in the console itself. You can use the Clear dialog box to reset all temperature and humidity calibration numbers at once.

  1. Select Set Extra Temp Calibration from the Setup menu.

The Set Extra Temperature Calibration dialog box displays.

  2. Enter the adjusted reading for the temperature sensor you want to calibrate.

The software updates the station’s calibration numbers. The station and software will accept temperature adjustments up to ±12.7ºF (~ 7.1ºC) away from the raw reading. For example, if the sensor reports a temperature reading of 60º F (15.6ºC), you could set the temperature anywhere between 47.3ºF (8.6ºC) and 72.7ºF (22.6ºC). (60-12.7=47.3, 60+12.7=72.7)

Note: Minimum and maximum temperature settings are &endash;90ºF and +164ºF. Humidity calibrations can be anywhere between 0 and 100%. Extra temperature sensor readings are always rounded to the nearest whole degree Fahrenheit. Celsius readings are always converted from the nearest whole degree Fahrenheit.

  3. Click OK to save the changes, or click Cancel to exit the dialog without saving the changes.

Back to Setup


Set Extra Hum Calibration

Set Extra Humidity Calibration

Use the Set Extra Humidity Calibration dialog box to calibrate temperature sensors located in optional Vantage Pro and Vantage Pro2 Wireless Temperature/Humidity Stations. The humidity sensors are identified by the Wireless Temp/Hum station transmitter ID number.

Note: WeatherLink only logs two extra humidity readings, called 2nd Hum and 3rd Hum. These two readings will come from the two Wireless Temp/Hum stations with the lowest station ID number. The humidity reading from the Wireless Temp/Hum station with the lowest ID number will be assigned to the 2nd Hum. The humidity reading from the Wireless Temp/Hum station with the next lowest ID number will be assigned to the 3rd Hum.

Note: If you have trouble setting calibrations in the software, check to make sure that no calibrations are already set in the console itself. You can use the Clear dialog box to reset all temperature and humidity calibration numbers at once.

  1. Select Set Extra Hum Calibration from the Setup menu.

The Set Extra Humidity Calibration dialog box displays.

  2. Enter the adjusted reading for the humidity sensor you want to calibrate.

The software updates the station’s calibration numbers.

Note: Minimum and maximum humidity calibrations can be anywhere between 0 and 100%.

  3. Select OK to save the changes, or Select Cancel to exit the dialog without saving the changes.

Back to Setup


Set Yearly Rain

Use the Set Yearly Rain dialog box to enter a correction to the year to date rainfall or to set the start of the rainy season for your area. The year-to-date rainfall correction can be used to reflect any rainfall that occurred before you obtained your station or before you started using the software.

  1. Select Set Yearly Rain from the Setup menu. The Set Yearly Rain dialog box displays.

  2. Enter the year-to-date rainfall amount.

  3. Select the month your rain season starts.

Vantage Pro/Vantage Pro2 only - The yearly rainfall total on your Vantage Pro or Vantage Pro2 console or Weather Envoy will be calculated from the first day of the month selected for the Rain Season Start.

  4. Click OK to save the changes, or click Cancel to exit the dialog without saving the changes.

Back to Walkthrough | Setup


Set Latitude & Longitude

To give you the best forecast, THSW Index and ET calculations, to calculate the correct times for sunset and sunrise for your location, and to participate in the APRSWXNET, you must set the latitude and longitude in the console.

Note: If you have a Monitor, Wizard or Perception station, the latitude and longitude are only used to calculate sunrise and sunset times.

Note: Latitude and longitude are a way of identifying your position on the earth. Latitude measures distance north or south of the equator. Longitude measures distance east or west of the Prime Meridian, an imaginary line running north and south through Greenwich, England.

If you do not know your latitude and longitude, there are many ways to find out. Many atlases and maps include latitude and longitude lines. You can also talk to the reference department of your local library, or try calling your local airport. If you are installing your station in the United States, the US Geological Survey (USGS) produces topographic maps with elevations. The more accurate you are, the better; however; a reasonable estimate will work, too.

This dialog box includes text boxes to input your position. You can enter your latitude and longitude as degrees, minutes, and seconds, or as fractions of a degree. For example, Hayward, California, the home of Davis Instruments, lies at approximately 37 degrees 38 minutes 10 seconds north of the equator and 122 degrees 7 minutes and 30 seconds west of the Prime Meridian.

You could also enter the latitude and longitude in decimal form by putting 37.6 in the first box for the latitude and 122.1 in the first box for the longitude and leaving the other boxes blank.

The dialog box also shows what the station’s current settings are. You can use this dialog box to set the latitude and longitude for the NOAA reports, the sunrise and sunset calculations, and APRS weather reports even if the weather station is not connected to the PC. See the Reports section for more info.

Back to Walkthrough | Setup


Set Wind

Vantage Pro and Vantage Pro2 weather stations are shipped with the large wind cups as standard. Optional small wind cups are available. The "Vue(Other)" cup size is usually shipped with the Vantage Vue station, but Vantage Pro and Vantage Pro2 could be configured to use the "Vue(Other) cup size too. The Vantage Vue could use the "Small" and "Large" size as well if it has the VP2 ISS.

Note: The optional small wind cups are less sensitive to low wind speeds but can survive higher wind speeds than the larger wind cups. See the Vantage Vue, Vantage Pro and Vantage Pro2 spec sheets for more information.

To set the wind cup size:

  1. Select Set Wind from the Setup Menu.

  2. Cup Size: Select Small, Large, or Vue(Other).

    All Vantage Pro and Vantage Pro2 stations include large wind cups from the factory. Select Small if you have separately purchased and installed small wind cups, or select Vue(Other) if you are using Vantage Vue or a third-party anemometer.

  3. Direction Calibration: When the dialog box is initialized, raw reading and Offset are obtained from the firmware. The Adjusted Reading is calculated as (Raw Reading + Offset). This field is editable. If we change it and hit OK. The Offset is calcualted as "Adjust Reading - Raw Reading" and store back in the console firmware.

  4. Click OK to save the wind cup size, or click Cancel to exit without changing the setting.

Back to Setup


Set Skin Factor

Set Skin Type Scale Factor

The skin type scale factor is used to calculate UV MED exposure. UV MEDs can be viewed in plots, strip charts, and in the browse window.

To set the skin factor:

  1. Select Set Skin Type Scale Factor from the Setup Menu.

  2. Select your desired skin factor from the list of skin types. You can "fine tune" or change your skin type scale factor directly in the Enter Skin Factor text box. Refer to the chart below.

  3. Click OK to save the displayed skin factor, or click Cancel to exit without changing the setting.

Chart of Skin Types and Skin Factor Ranges

Skin Type History of Sunburning and Tanning Skin Factor Range

I Always burns easily, never tans 1.2 to 1.4

II Always burns easily, tans minimally 0.9 to 1.1

III Burns moderately, tans gradually and uniformly 0.7 or 0.8

IV Burns minimally, always tans well 0.5 or 0.6

V Rarely burns, tans profusely 0.4 or 0.5

VI Never burns, deeply pigmented 0.3 or 0.4

Back to Setup


Set Alarms

You can quickly set the alarm thresholds on the station console using the software. Consult your station manual for information on the available alarms and how they work.

Set Alarms for Monitor, Wizard and Perception Stations

Set Alarms for Vantage Vue, Vantage Pro and Vantage Pro2 Stations

Back to Walkthrough | Setup


Set Extra Temp Hum Alarms

Use the Set Extra Temp Hum Alarms dialog box to set alarm thresholds for extra temperature and humidity sensors located in optional Wireless Temperature Stations and Wireless Temperature/Humidity Stations. The temperature and humidity sensors are identified by the station transmitter ID number.

Note: WeatherLink only logs three of the extra temperature readings, called 2nd Temp, 3rd Temp, and 4th Temp. These three readings will come from the three Wireless Temp or Temp/Hum stations with the lowest station ID number. The temperature reading from the Wireless Temp or Temp/Hum station with the lowest ID number will be assigned to the 2nd Temp. The temperature reading from the Wireless Temp or Temp/Hum station with the second lowest ID number will be assigned to the 3rd Temp. The temperature reading from the Wireless Temp or Temp/Hum station with the third lowest ID number will be assigned to the 4th Temp.

Note: WeatherLink only logs two extra humidity readings, called 2nd Hum and 3rd Hum. These two readings will come from the two Wireless Temp/Hum stations with the lowest station ID number. The humidity reading from the Wireless Temp/Hum station with the lowest ID number will be assigned to the 2nd Hum. The humidity reading from the Wireless Temp/Hum station with the next lowest ID number will be assigned to the 3rd Hum.

Note: Enter all temperature alarms in whole degrees. The range of valid temperature alarm settings is &endash;90 to +164ºF.

  1. Select Set Extra Temp Hum Alarms from the Setup menu.

  2. Enter the following information:

  • High/Low Alarm

For all standard high/low alarms, enter the desired alarm threshold into the text box. To clear an alarm, delete the contents of the text box or enter "&emdash;" (two dashes).

  3. When finished entering alarm information, click Set. Click Cancel to exit without changing the settings.

The software sets the alarms on the station console to match the settings in this dialog box.

Note: You can clear all alarm settings at once using the Clear function on the Setup menu.

Back to Setup


Clear Data Registers

You can quickly clear the station’s data registers.

If you have a Vantage Vue, Vantage Pro or Vantage Pro2 station, you can clear high values, low values, graph data, archive data, alarm settings, calibration numbers, and rainfall & evapotranspiration (ET) totals from the software.

If you have a Monitor, Wizard or Perception station, you can clear the high and low data values and the rainfall totals from the software.

Note: This command is unavailable when the bulletin, summary, strip chart or any of the alarm status windows are running.

  1. Select Clear from the Setup menu.

    The Clear dialog box will appear.

Clear dialog box for Vantage Vue/Vantage Pro/Vantage Pro2 stations

Clear dialog box for Monitor, Wizard and Perception stations

Note: Sensors that are not configured for the selected station are disabled in the dialog box.

  2. Check the boxes next to the values you want to clear.

Note: The clear dialog box will not clear the barometer’s calibration, or the wind direction calibration. Go to set Barometer to clear the barometric pressure calibration or do Set Wind to clear the Wind direction offset by setting the Adjusted value to match the Raw data.

Tip: Quickly select all registers by choosing Check All. Quickly de-select all registers by choosing Check None.

  3. To clear the selected registers, click OK.

The software clears the selected value on the station console.

Note: When you clear high and low values on Vantage Vue, Vantage Pro or Vantage Pro2 stations, the high and low values for all weather parameters for the selected time period (day, month, or year) are cleared. To clear a single value (for example: High Monthly Outside Temperature) see the Vantage Vue, Vantage Pro or Vantage Pro2 console manual for instructions. Clearing individual high and low values is not available for Envoy Stations.

Back to Walkthrough | Setup


Set Auto Clear

If you have a Monitor, Wizard or Perception station you can set up the software to automatically clear selected high/low registers and rainfall totals at a set time each day. WeatherLink must be running for this command to function.

Vantage Vue, Vantage Pro and Vantage Pro2 stations automatically clear daily values at midnight, and reset monthly and yearly values at the start of the new month or year. See Set Yearly Rain for details about setting the start of the rain season

  1. Select Set Auto Clear from the Setup menu.

  2. Indicate which high/low registers and/or rainfall totals you wish cleared automatically by selecting the appropriate check box.

You can quickly select all high/low registers and rainfall totals by choosing Check All. You can quickly de-select all high/low registers and rainfall totals by choosing Check None.

  3. Enter the time at which you want the station to clear the selected highs and lows each day into the Time text box.

  4. When finished setting up Auto Clear, click OK.

The software saves the Auto Clear settings. The selected high/low registers and rainfall totals will be cleared at the specified time each day.

Back to Walkthrough | Setup


Auto Download

Setting Up Auto Download

You can set up the software to automatically download data at specified times each day (the software must be running).

Here are a few important points about the auto download option:

  • Downloads using this option are in addition to any downloads requested in an Internet Data Upload Profile.

  • This command allows you to automatically download data from a different station than the currently open station.

  • The same download times are used for all stations selected for auto download.

  1. Select Auto Download from the Setup menu or press Ctrl-J.

The Auto Download dialog box displays. The stations appearing in the Auto Download List is downloaded automatically.

  2. To add a station to the Auto Download List, double-click on the station name or select the station from the Station Names list and click Add.

The station name is moved to the Auto Download List.

  3. To add several stations at once, select all the stations to be added before clicking Add.

  4. To quickly add all stations in the Station Names, click Add All.

  5. To remove a station from the Auto Download List, select the station and click Remove.

The station name is removed from the Auto Download List. You can select more than one station before choosing Remove to remove several stations at once.

  6. To quickly remove all stations in the list, click Clear.

  7. To set the time at which the selected station(s) should be downloaded, select Download At. The Download At dialog box displays.

  8. In the Download At dialog box, you can choose to download at specific times (on the hour with an offset time you choose), or automatically download every 15 or 5 minutes

    If you wish to select the hours at which to download, choose Download at selected hours, then choose one, several or all 24 hours. Then enter the offset time for the download. The offset time is the number of minutes after the hour that the download will begin. We recommend setting the offset at least 2 minutes after an archive interval to ensure the download does not interfere with creating a data record.

    If you wish to automatically download more frequently, choose either Download every 15 minutes or Download every 5 minutes.

  8. In the Download At dialog box, click OK to save the download times.

  9. Click OK in the Auto Download dialog box to save the auto download settings.

Back to Walkthrough | Setup


Internet Settings

The Internet Settings dialog box displays a summary of the current WeatherLink Internet configuration and data upload settings. The Internet Connection Summary displays WeatherLink’s Internet connection, FTP host information and Local Path information. The Data Upload Summary displays an overview of the three Data Upload Profiles used to configure the file transfers required to move weather data from your computer to your web site.

Internet Connection Summary

Data Upload Summary

Exit Internet Settings

Internet Connection Summary

This window shows a summary of the Internet Connection and FTP settings, provides access to change those settings, and also allows you to toggle ON and OFF file transfers to the Internet or to a local path.

To enable Internet file transfers of weather data to your web site:

  • The "Internet Transfer Enabled" button toggles Internet file transfers ON and OFF.

  • ON allows the files selected in the enabled Data Upload Profile dialog boxes to be transferred.

  • OFF disables the transfer of files selected in the Data Upload Profile dialog box.

To enable "Data Upload" file transfers to a hard disk:

  • The "Local Transfer Enabled" button toggles local path file transfers ON and OFF.

  • ON allows the files selected in the enabled Data Upload Profile dialog boxes to be transferred.

  • OFF disables the transfer of files selected in the Data Upload Profile dialog box.

To change the Internet Connection or FTP settings:

  • Click Internet Connection Settings to access the "Internet Connection Settings" dialog box.

Internet Connection Summary Features

  • Internet Logon

  • Connection Type

  • FTP Host

  • FTP Logon

  • FTP Path

  • Local Path

  • Proxy Server

Data Upload Summary

This window displays a summary of the current Data Upload Profile configurations and provides a link to the Data Upload Profile dialog box where you can edit the configurations.

To change one of the Data Upload Profiles:

  • Click Configure for the desired Data Upload Profile.

Data Upload Summary Features

  • Data Upload Profile

  • Offset Time

  • Upload Frequency

  • Automatically download before Internet upload

  • Number of Template Files to transfer

  • Number of Reports to transfer

  • Number of Current Data Images to transfer

  • Number of Historical Data Images to transfer

Exit Internet Settings

To Exit the Internet Settings Dialog Box:

  • Click OK exit and save the changes made in this dialog box.

  • Click Cancel to exit without saving any changes made in this dialog box.

Note: Any changes made in the Internet Connection Settings or Data Upload Profile dialog boxes are saved when you click OK in that dialog box. Clicking Cancel here will not cancel those changes.

Back to Internet Features | Setup


WeatherLink Network

Joining the WeatherLink Network with WeatherLink for PC (USB or SER)

Note: These instructions do not apply to WeatherLinkIP.

You can easily upload your data to WeatherLink.com and be part of the WeatherLink Network. You do not need a subscription plan.

The WeatherLink Network command allows you to configure WeatherLink to upload data to the WeatherLink.com server, as long as your computer is on and the software is running, current readings will be uploaded to the WeatherLink.com server every minute, and archive data every hour or as scheduled (see below).

This feature can be used with Vantage Pro2, Vantage Vue, original Vantage Pro, Weather Monitor II, Weather Wizard, and Perception stations.

Activating this Feature

Note: Make sure your software is installed and your data logger is plugged into your computer.

Do this steps in order.

  1. Create your WeatherLink.com account.

  2. Set Up Uploads in WeatherLink software.

To modify the archive data upload schedule:

Archive data is uploaded on the Auto Download schedule. If no schedule was previously set, archived data will be uploaded every hour. You may modify this schedule in the Auto Download dialog.

Tip: The Weather Monitor II stations do not maintain daily high and low readings. For Monitor stations, you should make sure the weather bulletin is running. It will calculate a forecast and maintain the high/low information.

Note: It is possible to upload data from more than one station, but each station will require its own Device ID and its own WeatherLink.com account.

Back to Setup


Create a WeatherLink.com User Account

  1. Go to www.weatherlink.com and create a user account. Click "Sign up free."

  2. Setup your station on WeatherLink.com. A default bulletin page will appear. Click the ADD DEVICE button in the upper right corner.

  3. Choose your data logger. Under Data Logger, click INSTALL.

  4. Describe your station. Enter a name for your station, keeping in mind that this will be the public name of your station on WeatherLink.com. Choose the station model, whether the rain collector is metric or US unites, and a station use from the drop down lists. Click NEXT.

  5. Set your station location. A default map will appear based on your location. You can move the pin on the map to the exact location of your station. Choose whether your data should be open for viewing by everyone, or private. If you choose public, your station will appear on the map and data from the sensor suite will appear in the bulletin. If is private, your station will not appear on the map. Click NEXT.

  6. Data Logger ID and Key. Yo will receive a Data Logger ID and Key in the next screen. An email will also be sent to your with this information. Click NEXT.

Back to Joining the WeatherLink Network


Set Up Uploads in WeatherLink Software

Before setting up uploads, make sure you have set up this station in the software and set up your account on WeatherLink.com

  1. From the SETUP menus, choose WeatherLink Network...

  2. Enter the data logger Device ID and Key received when you set up your WeatherLink.com account.

  3. View your data on WeatherLink.com. Your data will now start uploading to your WeatherLink.com page! Log in to your account to see data within a few minutes.

Back to Joining the WeatherLink Network


Reports Menu

The Reports menu contains commands to quickly generate reports using (in most cases) data in your database. Each of the commands is explained separately below.

Click here for instructions on printing a report.

NOAA Setup

NOAA This Month

NOAA Summarize Month

NOAA This Year

NOAA Summarize Year

Yearly Rainfall

Fuel Demand

Console Diagnostics

Sunrise & Sunset

Hours of Bright Sunshine


Reports: NOAA Setup

Enter all necessary setup information, and the software can generate NOAA weather watcher reports in seconds.

1. Select NOAA Setup from the Reports menu.

2. Enter the following information:

  • City

Enter the city into the text box.

  • State

Enter the state into the text box.

  • Elevation

Enter the location’s elevation into the text box. Entering your elevation here will not set that value in the software or on the console. Click here to set the elevation in the barometric pressure dialog box.

  • Latitude and Longitude

Enter the location’s longitude and latitude into the text box. Click here for advice on finding your latitude and longitude. Entering your latitude and longitude here will not set those values in the software or on the console. It will only make a text string the program uses to print on your NOAA report. To set the latitude and longitude, click here.

  • Normal Mean Temp

Enter the normal mean temperature for each month of the year into the appropriate text box.

How to find mean temperature, precipitation, and so on? There are different places to try. You can try the reference section of your local library, or the weather section of your local newspaper. As of November 2017, the following web site offered lists of historical weather data for many locations:

http://www.worldclimate.com/

  • Normal Precipitation

Enter the normal mean precipitation for each month of the year into the appropriate text box.

  • Cooling Degree-Day Base Temperature

Enter the desired cooling degree-day base temperature into the text box.

  • Heating Degree-Day Base Temperature

Enter the desired heating degree-day base temperature into the text box.

  • Calculate using integration method

Calculate degree-days using integration method rather than averaging high and low temperature reading for the day. The integration method calculates a heating or cooling degree day amount for each archive record and then adds them up. It is possible to accumulate both heating and cooling degree days within a single day using the integration method.

The method selected here will also be used to calculate the mean temperature in NOAA summary reports.

3. After entering information, click OK.

The software saves all NOAA report setup information.

Back to Reports Menu


Generating NOAA Summary for Current Month

To quickly generate a NOAA monthly summary using all existing data for the current month, select NOAA This Month from the Report menu, click on the NOAA icon in the toolbar, or press F7.

Back to Reports Menu


Reports: NOAA Summarize Month

Reports: Generate NOAA Monthly Summary

The software can automatically generate a report similar to monthly NOAA weather watcher reports using the information in your database and NOAA Setup information.

1. Select NOAA Summarize Month from the Reports menu.

If you want a NOAA monthly summary using all existing data for the current month, select NOAA This Month from the Report menu, click on the NOAA icon in the toolbar, or press F7.

2. Select a month from the list.

3. Enter the desired file name into the Export File text box.

Whenever you create a monthly summary, the software automatically saves an export file (ASCII text) that contains the report information. You can enter the desired file name in this text box or use the default file name.

You must enter a different file name if you want to create more than one report. For example, you may wish to create a report for every month in a year. In this case you would need to name each report something different.

4. Click OK.

The software generates the NOAA Monthly Summary.

5. To close the report, click Close from the File menu, press Ctrl-F4, or double-click on the Control menu in the upper left corner of the window.

Back to Reports Menu


Generating NOAA Summary for Current Year

To quickly generate a NOAA yearly summary using all existing data for the current year, select NOAA This Year from the Report menu or press F8.

Back to Reports Menu


Reports: NOAA Summarize Year

Reports: Generate NOAA Yearly Summary

The software can automatically generate a report similar to yearly NOAA weather watcher reports using the information in your database and NOAA Setup information.

  1. Select NOAA Summarize Year from the Reports menu.

If you want a NOAA yearly summary using all existing data for the current year, select NOAA This Year from the Reports menu or press F7.

  2. Select a year from the list.

  3. Enter the desired file name into the Export File text box.

Whenever you create a yearly summary, the software automatically saves an export file (ASCII text) that contains the report information. You can enter the desired file name in this text box or use the default file name.

You must enter a different file name if you want to create more than one report. For example, you may wish to create a report for each of the last three years. In this case, you’d need to name each report something different.

  4. Click OK.

The software generates the NOAA Yearly Summary.

  5. To close the report window, double-click on the Control menu in the upper left corner of the window, or press Ctrl-F4.

Back to Reports Menu


Reports: Yearly Rainfall

Reports: Using the Yearly Rainfall Database

The WeatherLink software keeps a separate rainfall database that lets you view accumulated rainfall totals broken down by month and year. If you have existing data in your main weather database, the software creates the rainfall database using the data stored in your main weather database. Once created, the software updates the rainfall database after each download. It is also possible to alter any existing entry in the rainfall database without affecting your main database, as well as enter rainfall totals for months and years not contained in your main weather database. If you do make changes to the main weather database, you will be prompted to update the rainfall database.

Note: When the Yearly Rainfall window is active, a Rain menu is added to the menu bar. This menu allows you to start a new rainfall database, edit data, add years of rainfall data, or delete years of rainfall data.

Opening the Yearly Rainfall Database

Editing/Adding Rainfall Data

Deleting Years of Rainfall Data

Starting a New Yearly Rainfall Database

Back to Reports Menu


Reports: Fuel Demand

The software includes a versatile fuel demand feature which allows you to track fuel demand for hundreds of customers. This section of the manual explains how to use the fuel demand feature. To use the fuel demand feature, choose Fuel Demand from the Reports menu, or press Ctrl-F.

The list shows all entered fuel customers. The check box at the bottom of the screen allows you to select the method by which the software calculates heating degree-day totals. By default, the software calculates heating degree-days using the average temperature for an interval and the interval time. For example, if the average temperature during a 15 minute interval was 75°F, the software would calculate 2.5 degree-hours during that interval for a base threshold of 65°F (10° * 15 minutes / 60 minutes). The number of degree-hours during each interval since the start date are added together to arrive at a heating degree-day total for use in estimating fuel usage.

You may select (by checking the check box) to have the software use the high/low method for calculating heating degree-days instead. In this method, the software uses the highest temperature and the lowest temperature to calculate the average temperature for each day. It then calculates heating degree-days by multiplying the number of degrees by which this "average" exceeds the heating degree day threshold by 24 hours.

Click on a topic below for further help:

Adding a Customer

Opening a Customer Record

Deleting a Customer

Estimating Fuel Usage

Calculating K Factor

Generating Fuel Demand Report

Back to Reports Menu


Reports: Console Diagnostics

The Wireless Vantage Vue, Vantage Pro and Vantage Pro2 consoles and Weather Envoys continuously monitor the reception of ISS data and calculate various signal strength statistics. The radio signal data can be viewed in the Console Diagnostics Report. To view the Console Diagnostics dialog box:

  1. Select Console Diagnostics from the Reports Menu. The Console Diagnostics displays in one of two ways:

Console Diagnostics with date

Console Diagnostics with firmware version

  • The Console Diagnostics report is only available for Vantage Vue, Vantage Pro, Vantage Pro2 consoles, and Weather Envoys.

  • The Console Diagnostics report cannot be displayed if the Bulletin window, Summary window, or Strip Chart are open.

  • All diagnostic measurements are the total counts since 12:00 am Midnight or since the values were last cleared on the console.

The Console Diagnostics dialog box displays the following parameters:

Parameter | Description
Firmware Version | The firmware version is identified either by firmware date or version number. The latest console or Envoy firmware shows version 1.6 or later. Older console or Envoy firmware shows firmware date April 2006 or earlier.
Total Received | The total number of data packets received from the ISS.
Total Resynchs | The number of times the console has needed to re-synchronize itself with the ISS.
Total Misses | The total number of missed data packets.
Max in a Row | The largest number of consecutive data packets successfully received by the console.
CRC Errors | The number of CRC errors reflects the quality of the data being received by the console
% Good | The percentage of the total number of data packets that have been successfully received.
Console Battery | Console battery voltage. This is the total voltage of the three (3) C-cells installed in the Vantage Pro console. The Vantage Pro console needs at least 3.2 VDC to operate. The "Low Console Battery Voltage" message appears on the console when the battery voltage drops below 3.2 VDC

Back to Reports Menu


Reports: Sunrise & Sunset

Reports: Generating Sunrise & Sunset Report

You can calculate sunrise and sunset times for any location and date.

  1. Select Sunrise & Sunset from the Reports menu or press F2.

  2. Enter the following information:

  • Date

Enter the date for the report. If calculating for a day, the software calculates sunrise and sunset for the entered date. If calculating for a month or a year, the software calculates sunrise and sunset for the month/year during which the date(s) fall(s).

  • Time Zone

Select the appropriate time zone from the drop-down list. Use the time zone selection to adjust the calculated sunrise/sunset times to the desired time zone. Note that the software uses the longitude and latitude to actually determine the times; the time zone simply allows it to adjust the displayed time correctly. This lets you determine the time at your location when the sun is setting anywhere else in the world.

  • Daylight Savings Time

You can create a Sunrise & Sunset Report that either adjusts for daylight savings, has all times set to daylight savings, or has all times set to standard time.

Note: The start and stop dates for daylight savings time will be correctly adjusted for North America and Europe based on the latitude and longitude configured in the software. Other parts of the world will most likely need to use the manual settings for daylight savings time.

Note: If you select Auto Detect Daylight Savings and are located in the Northern hemisphere, daylight savings time will automatically turn on at 2 am on the first Sunday in April in the Western Hemisphere (last Sunday in March in the Eastern Hemisphere) and turn off at 2 am on the last Sunday in October. In the Southern Hemisphere the dates are the same but the functions are reversed with daylight savings time enabled between October and April and disabled between April and October.

  • Select Automatic to have WeatherLink automatically adjust for daylight savings time in the Sunrise Sunset Report.

  • Select On to have all times in the Sunrise & Sunset Report set to daylight savings time.

  • Select Off to have all times in the Sunrise & Sunset Report set to standard time.

  • Latitude/Longitude

Verify the latitude and longitude of the location for which you want sunrise and sunset times calculated. You can click on Modify to adjust the latitude and longitude settings.

Note: The latitude and longitude values shown here are for informational purposes only.

  • Calculate

Select the length of time for which you want Sunrise and Sunset times calculated by selecting among Day, Month, or Year.

  3. After entering all necessary information, click OK.

The software calculates the sunrise and sunset for the period specified.

See also:

Sunrise Sunset Report

Daylight Savings Time in WeatherLink

Back to Reports Menu


Hours of Bright Sunshine Report

Hours of Bright Sunshine

Note: A solar radiation sensor is required for this report.

The Hours of Bright Sunshine Report contains the following information:

  • Total Hours

The total hours of daylight that occurred during the selected period of time.

  • Start Date, End Date, Threshold

The select start and end dates for the report, and the solar radiation threshold used to determine "daylight".

  • Hours for the last 15 days

The report shows the hours of daylight which occurred on each of the last 15 days of the report time period.


Printing a Report

To print any of the reports generated by the software, select Print from the File menu, click on the Print icon in the Toolbar, or press Ctrl-P.

Back to Reports Menu


Windows Menu

Window Menu

The options in the Windows menu allow you to open and use many of the software's most important features: Bulletin, database browser, plot window, strip charts, and the summary window. The Windows menu also contains standard commands for closing, cascading, and tiling all open program windows. In addition, the names of open program windows are listed at the bottom of the menu, allowing you to quickly bring the desired window to the front.

Note: Only options appropriate for the currently selected station and station configuration are enabled.

Bulletin

Browse

Plot

Strip Charts

Sunburn Risk

Summary

Alarm and Battery Status

Extra Temp Hum Summary

Extra Temp Hum Alarm Status


Bulletin

The bulletin displays a graphic (and numeric) representation of current weather conditions that changes in real time.

Note: The weather variables displayed in the Bulletin vary depending on the type of station and optional sensors selected in the Station Configuration dialog box.

Open Bulletin Window

To start the bulletin, select Bulletin from the Windows menu, click on the Bulletin icon in the toolbar, or press Ctrl-B.

Download Highs, Lows and Archive Data

To have the current high and low values, the barometer history, and the forecast for the Bulletin, WeatherLink needs to download the values and archive data. You can set defaults for downloading this data in the Station Configuration dialog box.

View Summary Window

To view the Summary window, which lists all current weather information in text-only format, (including the time at which today’s highs and lows occurred) press Page Down, right mouse click, or double-click in the bulletin window.

Print Bulletin

To print the bulletin, choose Print from the File menu, click on the Print icon in the toolbar, or press Ctrl-P. Set your printer options in the Print dialog box and then choose OK. For best results, make sure landscape mode is selected in the Print dialog box. (In most cases, this is set automatically.)

Close Bulletin

To close the bulletin, choose Close from the File menu, double-click on the Control-menu box in the upper left corner of the window or press Ctrl-F4.

Features

  • Highs and lows

As long as the bulletin is running, the software automatically updates today’s highs and lows as they occur. They’re represented by white lines that appear above the bar (high) or within the bar (low).

  • Forecasts

If you have a Vantage Pro, Vantage Pro2, Monitor, or Perception station the Bulletin includes both a forecast icon and a detailed forecast. The forecast icon predicts the dominant weather for the next twelve hours. The detailed forecast printed across the bottom of the Bulletin predicts the dominant weather expected up to 48 hours into the future.

Note: If you have a Monitor or Perception station, you must download the archive data when opening the Bulletin in order to get an accurate forecast.

  • Sunrise & Sunset Times

WeatherLink displays the times of sunset and sunrise &endash; the same as on the console.

Note: After 6:00pm (1800 hours), the time of sunrise displayed will be for the NEXT day.

  • Moon Phase Icon

The Bulletin’s Moon Phase icon shows the illuminated fraction of the moon. That is, it shows what the moon looks like when you look in the sky. The Vantage Pro/Vantage Pro2 console display and the text on the WeatherLink Summary Page divide the lunar cycle into approximately equal time intervals (actually equal angular divisions of its orbit around the earth). The illuminated fraction of the moon changes slowly at the New and Full phases and quickly at the Quarter phases. In a typical 4 week lunar cycle, you might spend 1 week at the nearly New moon, 1 week to go from mostly New to mostly Full, another week nearly Full, and the last week going from mostly Full to mostly New.

  • Line graph of barometric pressure over the past six hours.

When you first open the bulletin, the software graphs the current barometric pressure and any barometric pressure data that exists in your database for the past six hours. While the bulletin is running, the software plots another point on this graph every 15 minutes.

Note: For best results, the data logger should be downloaded before opening the Bulletin.

See also:

Weather Data Calculation

Back to Windows Menu


Browse Database

Using the Browse Window

The browse window allows you to view, edit, print, annotate, and export the raw data collected by the WeatherLink.

Note: When the Browse window is active, a Browse menu appears in the menu bar. The Browse menu contains commands that allow you to view, edit, print, export, and copy database information.

Note: The weather variables displayed in the Browse Window will vary depending on the type of station and optional sensors selected in the Station Configuration dialog box.

View Records from a Specific Date

Annotate a Record

Edit a Record

Copy Records to the Clipboard

Export Records to Tab Delimited Text File

Export Records in GLOBE Format

Delete a Group of Records

Delete a Single Record

Print Records

Recalculate Daily Values

Recalculate THSW Index

See also:

Weather Data Calculation


Plotting

Using the Plot Window

The software includes powerful plotting capabilities that let you view and compare data in graphical format. The three most basic elements of any plot are the variables (the weather conditions you are plotting), the date, and the plot span (the length of time over which you are plotting those conditions). The software allows you to quickly select those three elements and also includes many other useful features that make it easier to view and compare data. Almost all plot features may be accessed directly from the plot window.

Note: When the Plot window is active, a Plot menu and a Color menu are added to the main menu bar and some new commands (Open Plot, Save Plot, Open Plot Template, and Save Plot Template) are added to the File menu.

Click on any topic below to view further help:

  • Adding and Removing Variables

  • Choose a Specific Date to Plot

  • Scroll Through Dates

  • Choose Plot Span

  • Enter Plot Title

  • Choose Axis Information

  • Choose Line or Bar Plot

  • Set Axis Minimums and Maximums

  • Lock Axis

  • Pause Plot Calculation/Redraw

  • View Database Information

  • View Plot Details

  • Zoom In/Zoom Out

  • Plot Data from More that One Date (Overlay)

  • Plot Data From Previous Years (Last Year)

  • Clear Entire Plot

  • Save and Open Plots and Plot Templates

  • Make Default Plot Template

  • Printing Plots

See also:

Weather Data Calculation

Home | Menu Commands | Bulletin | Summary | Strip Charts | Plots | Browse Database | Reports | Internet Features | Technical Reference | Hot Keys | User Tips | Troubleshooting


Strip Charts

Using the Strip Charts

The strip charts are four line graphs, stacked one on top of another, onto which you can plot any data contained in your database. Unlike the normal plots, however, strip charts can also be set to update at each archive interval allowing you to view changes in weather conditions as they occur.

When you open the strip chart window, the software automatically downloads data. Thereafter, as long as the strip chart is in "auto update" mode, the software will download and update the strip charts at each archive interval.

If, upon opening, the strip charts are unable to perform an initial download, they will open with the auto update feature turned off.

Note: When the Strip Chart window is active, a Strip Chart menu and a Color menu are added to the main menu bar and two new commands (Save Chart and Open Chart) are added to the File menu.

Click on any topic below to view further help:

  • Add Variable to a Strip Chart

  • Remove Variable from a Strip Chart

  • Choose Axis Information

  • Choose Plot Span

  • Printing

  • View Historical Data

  • View Database Information

  • View Details

  • Save Strip Chart Template

  • Open Strip Chart Template

See also:

Weather Data Calculation

Home | Menu Commands | Bulletin | Summary | Strip Charts | Plots | Browse Database | Reports | Internet Features | Technical Reference | Hot Keys | User Tips | Troubleshooting


Sunburn Risk

The Sunburn Risk window shows the minutes of sunshine estimated to cause a sunburn for six different skin types, based on the current UV Index reading. WeatherLink uses the Environment Canada classification of skin types, as categorized by T. B. Fitzpatrick of the Harvard Medical School.

The UV readings from the Vantage Vue/Vantage Pro/Vantage Pro2, however, do not take into account UV reflected off sand, snow, or water, all of which can significantly increase the amount of UV to which you are exposed. In addition, individual response to UV exposure varies widely. You should not consider the readings from WeatherLink as a guide when deciding how much time to spend in the sun. Scientific evidence suggests that UV exposure should be avoided and that even low UV doses can be harmful.

You should also be aware that UV radiation poses many serious health hazards (including cataracts and suppression of the immune system) beyond the risk of sunburn. The sunburn risk screen does not represent these dangers in any way.

  • Open Sunburn Risk Window

To open the sunburn risk window, choose Sunburn Risk from the Windows menu or press Ctrl-Y.

  • Print Sunburn Risk Window

To print the sunburn risk window, choose Print from the File menu, click on the Print icon in the toolbar, or press Ctrl-P.

  • Close Sunburn Risk Window

To close the sunburn risk window, choose Close from the File menu, double-click on the Control-menu box in the upper left corner of the window or press Ctrl-F4.

Environment Canada Skin Types and Reaction to the Sun

Skin Type | Skin Color | History of Tanning & Sunburning
I | White | Always burns easily, never tans
II | White | Always burns easily, tans minimally
III | Light Brown | Burns moderately, tans gradually
IV | Moderate Brown | Burns minimally, tans well
V | Dark Brown | Burns rarely, tans profusely
VI | Black | Never burns, deep pigmentation

Note: More information on the Fitzpatrick Skin Types can be found in: Fitzpatrick TB. Editorial: the validity and practicality of sun-reactive skin types I through VI. Arch Dermatol 1988; 124:869-871

Back to Windows Menu


Summary

The summary shows a text table with sunrise and sunset times, the current conditions as well as the highs and lows with the times and dates at which they occurred. The information on the high/low summary is updated in the same way as the bulletin.

Note: If you have a Monitor, Wizard or Perception station the date of the high and low data is also shown in the Summary window, since these stations do not automatically reset the high and low values at midnight like the Vantage Pro and Vantage Pro2 stations. The high and low data can be reset on these stations using the Clear or Auto Clear command in the Setup Menu.

Note: After 6:00pm (1800 hours), the sunrise time listed is for the NEXT day’s sunrise.

As long as the summary or other real-time window is open (whether or not it is active), the software automatically updates today’s highs and lows as they occur.

Note: The Summary window includes some variables not displayed in the Bulletin. For example, if you have a Soil Moisture Station, it’s readings will be displayed on the Summary window but not in the Bulletin.

Open Summary Window

To open the summary window, choose Summary from the Windows menu or press Ctrl-Y.

Download Highs, Lows and Archive Data

To have the current high and low values, the barometer history, and the forecast for the Summary, WeatherLink needs to download the values and archive data. You can set defaults for downloading this data in the Station Configuration dialog box.

View Bulletin

To view the Bulletin window, press Page Down, right mouse click, or double-click within the Summary window.

Print Summary Window

To print the summary, choose Print from the File menu, click on the Print icon in the toolbar, or press Ctrl-P.

Close Summary Window

To close the summary, choose Close from the File menu, double-click on the Control-menu box in the upper left corner of the window or press Ctrl-F4.

Features

  • Forecasts

If you have a Vantage Vue, Vantage Pro, Vantage Pro2, Monitor, or Perception station the Summary window provides a detailed forecast. The detailed forecast printed across the bottom of the Summary predicts the dominant weather expected up to 48 hours into the future.

Note: If you have a Monitor or Perception station, you must download the archive data when opening the Summary in order to get an accurate forecast.

  • Moon Phase Icon

The Summary’s Moon Phase icon shows the illuminated fraction of the moon. That is, it shows what the moon looks like when you look in the sky. The Vantage Vue/Vantage Pro/Vantage Pro2 console display and the text on the WeatherLink Summary Page divide the lunar cycle into approximately equal time intervals (actually equal angular divisions of its orbit around the earth). The illuminated fraction of the moon changes slowly at the New and Full phases and quickly at the Quarter phases. In a typical 4 week lunar cycle, you might spend 1 week at the nearly New moon, 1 week to go from mostly New to mostly Full, another week nearly Full, and the last week going from mostly Full to mostly New.

  • Highs and lows

As long as the summary is running, the software automatically updates today’s highs and lows as they occur. They’re represented by white lines that appear above the bar (high) or within the bar (low).

  • Wind statistics over the last one, two, five, or 10 minutes

    While the Summary or other real-time window is open, WeatherLink monitors the current wind speed values and calculates the average and High wind speed over the last one, two, five, and 10 minute intervals. When the window is first opened, these values are dashed out until the corresponding time interval has elapsed. This data is available in HTML weather tags and in APRS reports if a real-time window is open at the time the upload occurs.

  • Last hour rain and last 24-hour rain

While the summary or other real-time window is open, WeatherLink keeps track of the last hour and last 24-hour rain. When the window is first opened, these values are dashed out until the corresponding time interval has elapsed. However, if the rain storm value is 0, both last hour rain and last 24-hour rain values are set to 0 initially. These data values are available in APRS reports if a real-time window is opened at the time the upload occurs.

See also:

Weather Data Calculation

Back to Windows Menu


Extra Temp Hum Summary

The Extra Temp Hum Summary shows the current readings for all Wireless Temperature Stations and Wireless Temp/Hum Stations being used by a Vantage Pro or Vantage Pro2 weather station. The temperature and humidity readings from the ISS are not included in the list of numbered stations, but are always listed as the "outside" temperature and humidity. Unlike Vantage Pro or Pro2, Vantage Vue station does not have those extra data.

Note: The temperature and humidity readings are numbered according to their station transmitter ID. The station ID used by the ISS will always be dashed out in this summary.

How Extra Temperature and Humidity Readings are Logged

WeatherLink only logs three of the extra temperature readings, called 2nd Temp, 3rd Temp, and 4th Temp. These three readings will come from the three Wireless Temp or Temp/Hum stations with the lowest station ID number. The temperature reading from the station with the lowest ID number will be assigned to the 2nd Temp. The temperature reading from the station with the second lowest ID number will be assigned to the 3rd Temp. The temperature reading from the station with the third lowest ID number will be assigned to the 4th Temp.

WeatherLink only logs two extra humidity readings, called 2nd Hum and 3rd Hum. These two readings will come from the two Wireless Temp/Hum stations with the lowest station ID number. The humidity reading from the station with the lowest ID number will be assigned to the 2nd Hum. The humidity reading from the station with the next lowest ID number will be assigned to the 3rd Hum.

  • Open Extra Temp Hum Summary Window

To open the Extra Temp Hum Summary window, choose Extra Temp Hum Summary from the Windows menu.

  • Print Extra Temp Hum Summary Window

To print the Extra Temp Hum Summary window, choose Print from the File menu, click on the Print icon in the toolbar, or press Ctrl-P.

  • Close Extra Temp Hum Summary Window

To close the Extra Temp Hum Summary window, choose Close from the File menu, double-click on the Control-menu box in the upper left corner of the window or press Ctrl-F4.

Back to Windows Menu


Alarm and Battery Status

The Alarm and Battery Status window shows the alarm status for all Vantage Vue, Vantage Pro and Vantage Pro2 console alarms and also shows the voltage of the console batteries, and battery status for all wireless sensors and Vantage Pro2 Repeaters.

Note: If you have a Vantage Pro2 or Vantage Vue console or Envoy with firmware dated May 2005 or later (or version 1.6 or later), battery status displays for every station and repeater selected in the Set Transceiver dialog box, and for repeater A through the highest repeater selected in theSet Transceiver dialog box.

  • Open Alarm and Battery Status Window

To open the Alarm and Battery Status window, choose Alarm and Battery Status from the Windows menu.

  • Print Alarm and Battery Status Window

To print the Alarm and Battery Status window, choose Print from the File menu, click on the Print icon in the toolbar, or press Ctrl-P.

  • Close Alarm and Battery Status Window

To close the Alarm and Battery Status window, choose Close from the File menu, double-click on the Control-menu box in the upper left corner of the window or press Ctrl-F4.

Back to Windows Menu


Extra Temp Hum Alarm Status

The Extra Temp Hum Summary shows the current readings for all Wireless Temperature Stations and Wireless Temp/Hum Stations being used by a Vantage Pro or Vantage Pro2 weather station.

The temperature and humidity readings from the ISS are not included in the list of numbered stations, but are always listed as the "outside" temperature and humidity. Unlike Vantage Pro or Pro2, Vantage Vue station does not have those extra data.

How Extra Temperature and Humidity Readings are Logged

WeatherLink only logs three of the extra temperature readings, called 2nd Temp, 3rd Temp, and 4th Temp. These three readings will come from the three Wireless Temp or Temp/Hum stations with the lowest station ID number. The temperature reading from the station with the lowest ID number will be assigned to the 2nd Temp. The temperature reading from the station with the second lowest ID number will be assigned to the 3rd Temp. The temperature reading from the station with the third lowest ID number will be assigned to the 4th Temp.

WeatherLink only logs two extra humidity readings, called 2nd Hum and 3rd Hum. These two readings will come from the two Wireless Temp/Hum stations with the lowest station ID number. The humidity reading from the station with the lowest ID number will be assigned to the 2nd Hum. The humidity reading from the station with the next lowest ID number will be assigned to the 3rd Hum.

  • Open Extra Temp Hum Alarm Status Window

To open the Extra Temp Hum Alarm Status window, choose Extra Temp Hum Alarm Status from the Windows menu.

  • Print Extra Temp Hum Alarm Status Window

To print the Extra Temp Hum Alarm Status window, choose Print from the File menu, click on the Print icon in the toolbar, or press Ctrl-P.

  • Close Extra Temp Hum Alarm Status Window

To close the Extra Temp Hum Alarm Status window, choose Close from the File menu, double-click on the Control-menu box in the upper left corner of the window or press Ctrl-F4.

Back to Windows Menu


Strip Chart Menu

Strip Charts Menu

The commands in the Strip Chart menu allow you to create strip charts and set various strip chart-related options.

Make Default

Auto Update

Lock Axes

Add/Remove Sub-Menu

Span Sub-Menu

Print Options

Hi Low Summary Options

Clear Plots

Zoom In/Zoom Out

In addition, commands are added to the File Menu that allow you to save strip chart templates and open strip chart templates.


Make Default

Strip Charts: Make Default

To make the current strip chart the default strip chart (which appears initially whenever you open the strip chart window), choose Make Default from the Strip Chart menu or press Ctrl-M.

Back to Strip Charts


Auto Update

Strip Charts: Auto Update

When you first open the strip chart window, the strip chart is automatically placed into auto update mode unless it is unable to download data. When in auto update mode, the software downloads data from the archive memory and updates the strip charts at each archive interval. It will remain in that mode (downloading and updating the charts at each archive interval) until you click on the scroll bar (to view historical data) or click and drag to view details of the strip chart, at which point it is automatically taken out of auto update mode. To return to auto update mode, choose Auto Update from the Strip Chart menu. If necessary, the software will download any data in the archive memory before entering auto update mode. The strip charts will automatically move to the most current date in the database.

If the program can’t perform the initial download, the strip charts open showing the most recent data in the database and auto update is turned off. For best results, be sure the console is connected to the computer.

Back to Strip Charts


Lock Axes

Strip Charts: Lock Axes

To lock (or unlock) the axes of all strip charts, choose Lock Axis from the Strip Chart menu. When the strip charts’ axes are locked, a check mark appears beside the command name. Locking the axes will cause subsequent plot spans (when viewing historical data) to use the same scale as the plot span currently being viewed

Note: When you move to a date that contains data falling outside of the scale, the software automatically re-scales so the all of the new data fits on the strip chart and then locks the scale at the new settings.

Back to Strip Charts


Add/Remove Sub Menu

Strip Charts: Add/Remove Sub Menu

Note: The variables listed for selection in the Strip Chart Add/Remove Menu will vary depending on the optional sensors selected in the Station Configuration dialog box.

To add a variable to a strip chart, select the desired chart (top, bottom, etc.) by clicking anywhere within the chart. Choose Add/Remove from the Strip Chart menu (to open the sub-menu). Then, choose the variable you want added to the selected strip chart from the sub-menu. Note that any variables already plotted on the selected strip chart have check marks next to their names.

Note: Add at least one variable to the bottom strip chart so that the time axis will display correctly.

Back to Strip Charts


Span Sub Menu

Strip Charts: Span Sub Menu

Choose the desired chart span from the Span sub-menu in the Strip Chart menu. To "zoom in" one plot span (for example, to go from a plot span of a Week to a plot span of 3 Days) choose Zoom In from the Strip Chart menu or press F3. To "zoom out" one plot span (for example, to go from a plot span of 3 Days to a plot span of a Week) choose Zoom Out from the Strip Chart menu or press F4.

Note: Hi and Low variables automatically shift from the archive interval values to the daily values when the strip chart span is greater than a set threshold.


Strip Charts Print Options

The Print Options command in the Plot Menu gives you some control over the colors used when you print a plot.

Note: Strip Charts and Plots share the same print options. A change made to the print options for Strip Charts will also affect the print options for Plots.

  • Color Printing.

When using a color printer you can print plots using either a white background with black text, or print using the screen colors.

  • Black & White Printing

When using a non-color printer you can print plots using either a white background with black text or a grayscale version of the screen colors.

Back to Strip Charts


Strip Charts Hi Low Summary Options

The daily high and low values are used instead of the data from the archive period for long plot spans for the high and low outside temperature, high wind speed and direction, high rain rate, high solar, and high UV.

  • You can choose to display the daily values instead of the archive values in plot spans of one week or longer, plot spans of one month or longer, or plot spans of one year.

  • You can also select the same plot span or a different plot span for averaging values for each of the variables.

Note: Strip Charts and Plots share the same summary options. A change made to the summary options for Strip Charts will also affect the summary options for Plots.

Back to Strip Charts


Clear Plots

To clear all variables from the strip charts, select Clear Plots from the Strip Chart menu. The software prompts you to confirm that you want to clear all data before it continues.

Back to Strip Charts


Zoom In/Zoom Out

To "zoom in" the chart span (for example, to go from a chart span of a week to a plot span of three days), click the Zoom In icon, press F3, or select Zoom In from the Strip Chart menu. To "zoom out" on the span (for example, to go from a chart span of three days to a chart span of a week), click on the Zoom Out icon, press F4, or choose Zoom Out from the Strip Chart menu.

Back to Strip Charts


Plot Menu

The commands in the Plot menu allow you to create plots and set various plot-related options. See also the information about the Plot window.

Note: Click here for information on printing plots.

  • Make Default
  • Choose Date
  • Span Sub-Menu
  • Options Sub-Menu
  • Add/Remove Sub-Menu
  • Print Options
  • Overlay
  • Last Year
  • Zoom In/Zoom Out

In addition, plot commands are added to the file menu that let you save and open plots and plot templates.


Make Default Plot

To make the current plot the default plot (the plot that appears first whenever you open the plot window), select Make Default from the Plot menu or press Ctrl-M.

Back to Plot Menu


Choose Plot Date

You can choose a specific date for plotting. See also Scroll through plot dates.

1. Click on the Date button, press Ctrl-D, click anywhere in the Plot window with the right mouse button, or select Date from the Plot menu.

A list of dates in your database displays.

2. Select the desired date from the list and choose OK.

For plot spans that show more than one day, the date you pick will be plotted on the left side of the axis and the rest of the plot will fill in with subsequent data. The date displayed on the date button always indicates what data is plotted on the left-hand side of the axis.

For plot spans shorter than one day, the left side of the plot will be midnight on the selected day.

Back to Plot Menu | Using the Plot Window


Plot Span

To select a plot span, click on the Span button or choose the Span sub-menu from the Plot menu. A list containing all available plot spans appears. Select the desired plot span from the list.

Note: Hi and Low variables automatically shift from the archive interval values to the daily values when the plot span is greater than the set threshold. See the Hi/Low Summary Options.


Plot Options

The commands in the Options sub-menu allow you to set a variety of plot options.

  • Left, Right and Time Gridlines

You may turn the gridlines on or off for the left axis, right axis, and time axis separately. When the gridlines are on, a check mark appears beside the menu command. To change the gridline setting from on to off (or vice versa) choose the appropriate command from the Options sub-menu.

  • Like Variable Same Scale

Turning this option on facilitates comparison of variables which use the same unit of measure by forcing the software to use the same scale for any variables which use the same unit of measure. When this option is on, a check mark appears beside the menu command. To turn this option on or off, choose Like Variable Same Scale from the Options sub-menu.

  • Lock Left or Right Scale

To lock (or unlock) the axis of a plot, choose Lock Scale for the desired axis.

  • Choose Left or Right Variable

To choose the information you want displayed on either axis, select Choose Variable for the desired axis. A pop-up list appears next to the axis information button. Select the desired variable from the pop-up list.

  • Choose Left or Right Line or Bar

To select either a bar or line graph, select Choose Line/Bar for the desired axis. A pop-up list appears next to the Line/Bar button. Choose either Line or Bar from the list. Note that bar plots are available for rain plots only. The rain plot must span one week or longer.

  • Edit Title

To edit the plot title, choose Edit Title from the Options sub-menu. The software moves the cursor to the Plot Title text box.

  • Edit Left or Right Minimum or Maximum

To edit the Min/Max setting for either axis, choose the appropriate command from the Options sub-menu. The software moves the cursor to the appropriate Min/Max text box. If both axes show the same variable, only one set of edit boxes will appear.

  • Hi/Low Summary Options
  • Hide Variable Box

You can hide the Variables Box in order to maximize the size of your plot. When the Variables Box is hidden, a check mark appears beside the menu command. To turn this option on or off, choose Hide Variable Box from the Options sub-menu.

  • Clear Plot

To clear all variables from the plot (giving you a blank plot to work with), choose Clear Plot from the Options sub-menu.

Back to Plot Menu | Using the Plot Window


Add/Remove Plot variables

Note: The variables listed for selection in the Plot Variables Box or in the Plot Menu will vary depending on the station model and any optional sensors selected in the Station Configuration dialog box.

  • Variables Box

The variables box at the bottom of the screen makes it possible to add and remove variable with a click of the mouse. To add or remove a variable from a plot, click on the box next to the variable’s name in the variables box. When you add a variable to the plot, the color of that variable fills the box and the variable is added to the plot. When you remove a variable, the box becomes white again and the variable is removed from the plot. (Variables plotted in white show as an X in the box.)

To add or remove multiple variables at one time, hold down the Shift key while clicking on the desired variables. The program will wait until you release the Shift key before beginning to draw the plot.

Note: You can plot a maximum of 15 variables at one time.

Note: When a Plot is printed, only the data variables that actually appear in the plot are shown in the variables box, unless the variables box is hidden.

You may need to scroll up and down in the variables box in order to display all of the available variables.

Note: Hi and Low variables automatically shift from the archive interval values to the daily values when the plot span is greater than the set threshold. See the Hi/Low Summary Options.

  • Plot Menu

You may also choose variables from the Add/Remove sub-menu in the Plot menu to add or remove variables. A variable that is already plotted will have a check mark before its name in the menu.

  • Keyboard

If you have only one variable plotted, pressing the up and down arrows quickly scrolls through the available variables. Watch the plot title or the axis info button to see what variable is being plotted.

  • Remove All / Clear All

To remove all variables from the plot (giving you a blank plot to work with), click on the Clear Plot icon (next to the Title Bar) or choose Clear Plot from the Options sub-menu in the Plot menu.

Back to Plot Menu | Using the Plot Window


Plot Print Options

The Print Options command in the Plot Menu gives you some control over the colors used when you print a plot.

Note: When a Plot is printed, only the data variables that actually appear in the plot are shown in the variables box, unless the variables box is hidden.

Note: Plots and Strip Charts share the same print options. A change made to the print options for Plots will also affect the print options for Strip Charts.

  • Color Printing.

When using a color printer you can print plots using either a white background with black text, or print using the screen colors.

  • Black & White Printing

When using a non-color printer you can print plots using either a white background with black text or a grayscale version of the screen colors.

Back to Plot Menu | Using the Plot Window


Overlay Plot

Plotting Data from More than one Date

The software features an "overlay" plotting mode that lets you plot data from more than one day on a single plot. Overlaying is only possible when you have a single variable plotted.

Note: Overlay colors are set in the Color Menu.

  1. Choose Overlay from the Plot menu or press F9.

The Overlay dialog box appears. The single date currently plotted appears in the Plot Dates list. The dates of all data in your database appear in the Dates Available list.

  2. To add a date to the plot, double-click on a date in the Dates Available list or select a date and choose Add.

All dates that will be plotted in the Overlay plot appear in the Plot Dates list (you can have a maximum of 10 dates plotted). To remove a single date from the plot, double-click on the desired date in the Plot Dates list (or select the date and choose Remove). To remove all but the original date from the Plot Dates list, choose Clear.

The order of the dates in the Plot Dates list box determines the plot colors. The Plot line starting on the first listed date uses the color "Plot Overlay 1", etc. This overrides the colors for different plot variables until overlay mode is turned off.

  3. To view the Overlay plot, select OK.

The software plots data for all selected dates. Note that the span button and the zoom icons disappear (you can’t zoom in/out, change plot spans, or view details while viewing an overlay plot) and the axis info buttons now display date information instead of variable information.

While viewing overlay plots, you can scroll through dates using the scroll bar or left/right arrow keys; all plotted dates will shift by the same amount as you scroll. You can also change the variable you are plotting by choosing a new variable from the variables box or Add/Remove sub-menu, or by pressing the up/down arrow keys.

Note: If you click on the variable that is currently being displayed, overlay mode will be turned off and the plot will be empty.

  4. To return to normal plot operation, Choose Overlay from the Plot menu (or press F9) to open the Overlay dialog box and choose Overlay Off.

The software returns you to the Plot window. The only date plotted will be the top date from the Plot Dates list.

Back to Plot Menu | Using the Plot Window


Last Year

Plotting Data from the Previous Year (Last Year)

The software can quickly compare plotted data to data for the same period from the previous year. For example, if you are viewing a 3-day plot span starting on March 1, 1999, this feature will quickly show you, on the same plot, the data for March 1, 2000.

Note: You cannot use this feature unless you have data from a previous year in your database.

  • To view previous year’s data, choose Last Year from the Plot menu or press F10.

The software plots data for the previous year. Note that the span button and the zoom icons disappear (you may not zoom in/out, change plot spans, or view details while viewing last year’s data) and the axis info buttons now display date information instead of variable information. While viewing last year’s data, you may scroll the date using the scroll bar or left/right arrow keys. You may also change the variable you are plotting by choosing a new variable from the variables box or Add/Remove sub-menu, or by pressing the up/down arrow keys.

  • To remove the previous years’ data, choose Last Year from the Plot menu or press F10 again.

The software removes the second date and returns you to normal Plot operation.

Back to Plot Menu | Using the Plot Window


Zoom Plot

To "zoom in" one plot span (for example, to go from a plot span of a Week to a plot span of 3 Days), click on the Zoom In icon, press F3, or choose Zoom In from the Plot menu.

To "zoom out" one plot span (for example, to go from a plot span of 3 Days to a plot span of a Week), click on the Zoom Out icon, press F4, or choose Zoom Out from the Plot menu.

Back to Plot Menu


Color Menu

Colors Menu

You can change the color scheme used by the software in creating strip charts, plots and web images. To change the color used for the plot text, plot background, or any of the variables plotted by the software, choose the appropriate command from the Colors menu. The WeatherLink opens the Windows' Color dialog box from which you may select or create a color.

After selecting a new color or creating a custom color, choose OK to save.

Make Default

Load Default

Load Program Default


Colors: Make Default

To save the current color scheme as the default, choose Make Default from the Colors menu. If you make a change to a plot color and don’t choose Make Default, the program will prompt you to save those color changes before you close the Plot window.

You can only make default the colors of the standard plot elements.

Note: The strip chart window and the plot window use the same color scheme. Changing the default color scheme in the one window will change the color scheme used in the other the next time the other window is opened.

Note: Changes made to the color setting do not affect the weather data images used in internet web pages unless the "Make Default" command is used.

Back to Color Menu


Colors: Load Default

If you have made changes to the color scheme and want to return to a previously saved default color scheme (see above), choose Load Default from the Colors menu. You can use this to quickly "undo" any changes you don’t like.

You can only load default colors for the standard plot elements.

Back to Color Menu


Colors: Load Program Default

To load the color scheme in which the program originally displayed plots and strip charts, choose Load Program Default from the Colors menu. To make this color scheme your default once again, choose Make Default.

WeatherLink will only load program default colors for the standard plot elements.

Back to Color Menu


Browse Menu

The Browse menu appears whenever the Browse window is active. The Browse menu contains commands that allow you to view, edit, print, export, and copy database information.

Note: Click here for instructions on printing records.

Choose a Date

Make a Note

Edit

Delete (a single record)

Copy Records

Export Records

Delete Records

Export Records (Globe Format)

Recalculate Daily Values

Recalculate THSW Index


Rain Menu

The commands in the Rain menu let you work with the Yearly Rainfall Database.

Create New Rain Database

Edit Rain Database

Delete Year from Database


Rain Menu: New

Start a New Database

If you want to start the rainfall database over, choose New from the Rain menu. You will be prompted to confirm that you want to continue. Your existing rainfall database will be deleted and a new database constructed using whatever data exists in your main weather database.

Back to Rain Menu


Rain Menu: Edit

You may edit the data for any existing year or add entire years of rainfall data.

  • Edit Data for an Existing Year

To edit data, double-click on any line in the rainfall database (or select the desired line and press Enter or choose Edit from the Rain menu). The Edit dialog box appears. Change the data in any of the text boxes and choose OK to save changes.

Note: Changes made to the rainfall database are not reflected in the main weather database, but, if you make changes to WeatherLink’s main database you will be prompted to update the rain database. New data is automatically appended when you download the station.

  • Add Rain Data for an Entire Year

To add a year to the rainfall database, choose Add from the Rain menu. The Add dialog box appears. Enter the year at the top of the box and the rainfall amounts for each month into the appropriate text box. When finished, choose OK to save.

Back to Rain Menu


Rain Menu: Delete

To delete an entire year's worth of data from the rainfall database, select the desired year and choose Delete from the Rain menu or press Delete. The software will prompt you to confirm that you wish to delete data before continuing.

Back to Rain Menu


Help Menu

Help Topics

  • If Help is not already open, the Help Window opens and displays the left-hand Contents Tab and Help Home Page.

  • If Help is already open, the Help Window will display the left-hand Contents tab without changing the help topic.

Index

  • If Help is not already open, the Help Window will open and display the left-hand Index Tab and Help Home Page.

  • If Help is already open, the Help Window will display the left-hand Index Tab without changing the Help Topic.

Help Home Page

  • If Help is not already open, the Help Window will open and display the left-hand Contents Tab and Help Home Page.

  • If Help is already open, the Help Window will display the Help Home Page and leave the left-hand tab unchanged.

Expansion Module Help - Optional

  • Links to Help for installed Expansion Modules are displayed here.

Note: The Help link is not displayed for an installed Expansion Module that has been disabled. Also, not all Expansion Modules have online help files that are added to the help menu.

About

Displays version information for WeatherLink and lists installed Expansion Modules.


Add Variable

Strip Charts: Add Variable

To add a variable to a strip chart, select the desired chart (top, bottom, etc.) by clicking anywhere within the chart. Choose Add/Remove from the Strip Chart menu (to open the sub-menu). Then, choose the variable you want added to the selected strip chart from the sub-menu. Note that any variables already plotted on the selected strip chart have check marks next to their name.

Note: You can plot a maximum of 15 variables at one time on each strip.


Remove Variable

Strip Charts: Remove Variable

To remove a variable from a strip chart, select the desired chart (top, bottom, etc.) by clicking anywhere within the chart. Choose Add/Remove from the Strip Chart menu (to open the sub-menu). Then, choose the variable you want removed from the selected strip chart. Note that any variables already plotted on the selected strip chart have check marks next to their names.


Choose Axis Information

Strip Charts: Choose Axis Information

Although you can have as many variables as desired on any strip chart, the axis and gridlines for each strip chart will display information for only one of those variables at a time. To choose the axis information you want displayed, click on the axis button for the desired strip chart. A pop-up menu appears, containing the name (and color) of the variables plotted on this strip chart. Select a variable from the pop-up menu.


Choose Plot Span

Strip Charts: Choose Plot Span

Choose the desired plot span from the Span sub-menu in the Strip Chart menu. To "zoom in" one plot span (for example, to go from a plot span of a Week to a plot span of 3 Days) choose Zoom In from the Strip Chart menu or press F3. To "zoom out" one plot span (for example, to go from a plot span of 3 Days to a plot span of a Week) choose Zoom Out from the Strip Chart menu or press F4.


Strip Charts: Printing

Strip Charts: Printing Strip Charts

To print the active program window, first make sure you select your desired print options using Print Options in the Strip Chart menu. Then you can choose Print from the File menu or click on the Print icon in the toolbar to print the plot.

Print using Landscape mode for best results.


View Historical Data

Strip Charts: View Historical Data

Use the scroll bar along the bottom of the strip chart window to view historical data on the strip charts.

Note: Viewing historical data and using the Zoom feature take the strip chart out of auto update mode. Select Auto Update on the Strip Chart menu to resume Auto update.

  • Scroll bar

How much you move when using the scroll bar depends on what span of time you have plotted in the window.

  • Strip Chart span < = 1 day

Clicking on the arrows at either end of the scroll bar, or clicking within the scroll bar will move the chart backward or forward one span length, whatever the current span is.

  • Strip Chart span = 3 days

Clicking on the arrows at either end of the scroll bar will move the chart backwards or forwards 1 day. Clicking within the scroll bar will move it backwards or forwards 3 days.

  • Strip Chart span = 1 week

Clicking on the arrows at either end of the scroll bar will move the chart backwards or forwards 1 day. Clicking within the scroll bar will move it backwards or forwards 7 days.

  • Strip Chart span = 1 month

Clicking on the arrows at either end of the scroll bar will move the chart backwards or forwards 1 day. The first click within the scroll bar will move it backwards or forwards to the first day of the month. Each subsequent click moves it one month.

  • Strip Chart span = 1 year

Clicking on the arrows at either end of the scroll bar will move the chart backwards or forwards 1 month. Clicking within the scroll bar will move it backwards or forwards 12 months.

  • Scroll bar slider

Drag the slider to quickly find a specific date. As you drag, watch the date button of the window until the desired date appears, then release the scroll box.

Back to Strip Charts


View Database Information

Strip Charts: View Database Information

Double-clicking on any location in the strip chart will open the Browse window to view the raw data for that time and date.


View Details

Strip Charts: View Details

Click and drag to select a portion of the strip chart that you wish to see in detail. The software will zoom in on that section of the strip chart, using the closest possible plot span.

Note: This takes the strip charts out of Auto Update mode. Select Auto Update on the Strip Chart menu to resume Auto Update.


Save Strip Chart Template

Strip Charts: Save Strip Chart Template

Strip chart templates save all information about which variables are plotted on the four strip charts, what information is displayed on the axis for each strip chart, and the chart span. Templates do not save any date information and, when opened, will always show the latest data in your database and be placed into auto update mode. To save the current strip chart as a template, choose Save Chart from the File menu. Enter the desired file name and choose OK to save the template.

Note: You must plot at least one variable in the bottom chart to display the time axis.


Open Strip Chart Template

Strip Charts: Open a Strip Chart Template

To open a previously saved Strip Chart template, choose Open Chart from the File menu and choose the desired strip chart template file.


Scroll Through Plot Dates

Plot: Scroll Through Dates

The Plot window offers several ways to move through plotted data. You can choose a starting date by clicking on the date bar at the bottom of the plot. You can also use the scroll bar along the bottom of the plot window to move quickly back and forth through plotted data.

  • Scroll bar

How much you move when using the scroll bar depends on what span of time you have plotted in the window.

  • Plot span < = 1 day

Clicking on the arrows at either end of the scroll bar, or clicking within the scroll bar will move the plot backward or forward one span length, whatever the current span is.

  • Plot span = 3 days

Clicking on the arrows at either end of the scroll bar will move the plot backwards or forwards 1 day. Clicking within the scroll bar will move it backwards or forwards 3 days.

  • Plot span = 1 week

Clicking on the arrows at either end of the scroll bar will move the plot backwards or forwards 1 day. Clicking within the scroll bar will move it backwards or forwards 7 days.

  • Plot span = 1 month

Clicking on the arrows at either end of the scroll bar will move the plot backwards or forwards 1 day. The first click within the scroll bar will move it backwards or forwards to the first day of the month. Each subsequent click moves it one month.

  • Plot span = 1 year

Clicking on the arrows at either end of the scroll bar will move the plot backwards or forwards 1 month. Clicking within the scroll bar will move it backwards or forwards 12 months.

  • Scroll bar slider

Drag the slider to quickly find a specific date. As you drag, watch the date button of the window until the desired date appears, then release the scroll box. If overlays are active, each overlay will scroll by the same amount. See also Choose Plot Date.

  • Keyboard

The left and right arrow keys will scroll the plot by the same amount as clicking the arrows on the horizontal scroll bar.

Back to Using the Plot Window | Plot Menu


Changing the Plot Span

Choose the desired plot span from the Span sub-menu in the Plot menu, or press the Span button and select your desired plot span from the pop-up menu.

To "zoom in" one plot span (for example, to go from a plot span of a Week to a plot span of 3 Days) choose Zoom In from the Plot menu, click the Zoom In icon, or press F3.

To "zoom out" one plot span (for example, to go from a plot span of 3 Days to a plot span of a Week) choose Zoom Out from the Plot menu, click the Zoom Out icon, or press F4.

Zoom In Icon: Zoom Out Icon:

Back to Using the Plot Window | Plot Menu


Enter Plot Title

Plot: Enter Title

Enter a plot title into the Plot Title text box at the top of the window. You can also choose Edit Title from the Options sub-menu in the Plot menu to move the cursor to the Title text box.

Back to Using the Plot Window | Plot Menu


Choose Plot Axis Information

Plot: Choose Axis Information

Although you may have up to 15 variables on any plot, each axis (left/right) on a plot can only display information for one of those variables at a time.

To choose the axis information you want displayed, click on the desired Axis Info button or choose the desired Variable command from the Options sub-menu in the Plot menu. A pop-up list appears, containing the name (and color) of the variables on this plot. Select the desired variable from the pop-up list.

Back to Using the Plot Window | Plot Menu


Choose Line or Bar Plot

Plot: Choose Line or Bar

A line plot shows a line drawn from one data point to another until the whole plot span is filled. A bar graph, on the other hand, shows cumulative totals during a specific interval (each day on week and month plots, each month on year plots). You can use bar graphs for rain total, wind run, solar energy, UV dose, cooling degree-days, heating degree-days, and ET for spans of a week, month, or year.

To select either a bar or line graph, click on the Line/Bar button or choose the Line/Bar option for the desired axis from the Options sub-menu in the Plot menu. A pop-up list appears next to the Line/Bar button. Choose either Line or Bar from the list.

Back to Using the Plot Window | Plot Menu


Axis Min & Max

Plot: Set Axis Min & Max

Set your own minimum or maximum for each axis by entering the desired number into the Axis Min/Max text box (the first and last numbers in the axis.) You can also choose the Edit Min/Max option from the Options sub-menu in the Plot menu to move the cursor into the Min/Max text box. Setting the minimum or maximum automatically "locks" the axis. If both axes show the same variable, only one set of min/max boxes are show.

Note: The Min and Max values you specify may not end up being the actual minimum and maximum values used to create the plot. For simplicity, the grid lines on any axis are always multiples of one of the following numbers: .01, .02, .05, .1, .2, .5, 1, 2, 5, 10, 20, 50, 100, 200, 500, or 1000. The software will determine the closest possible match to your specified max or min value.

Back to Using the Plot Window | Plot Menu


Lock Plot Axis

Plot: Lock Axis

To lock (or unlock) a plot’s axis, click on the Lock Axis icon for the desired axis or choose the desired locking option from the Options sub menu in the Plot menu. Locking the axis causes subsequent plot spans (when you scroll through plot spans) to use the same scale as the plot span you’re currently viewing.

Note: When you move to a date containing data falling outside of the plot scale, the software automatically re-scales so the all of the new data fits on the plot and then locks the scale at the new settings.

Back to Using the Plot Window | Plot Menu


Pause Plot Redraw

Plot: Pause Redraw

Stop the program from drawing a plot at any time by pressing Esc. The program will stop calculating and drawing the plot as soon as it is possible and wait for further input before continuing. This feature can be especially useful on slower systems or larger plot spans when you want to make a change without waiting for the plot to finish drawing.

Back to Using the Plot Window | Plot Menu


Plot: View Database Info

Double-clicking on any location in a plot will open the Browse window to view the raw data for that time and date.

Back to Using the Plot Window | Plot Menu


Plot: View Details

Click and drag to select a portion of the plot you wish to see in detail. The software will zoom in on that section of the plot, using the closest possible plot span.

Back to Using the Plot Window | Plot Menu


Clear Plot

Clear the Entire Plot

To remove all variables from the plot (giving you a blank plot to work with), click on the Clear Plot icon (next to the Title Bar) or choose Clear Plot from the Options sub-menu in the Plot menu.

Clear Plot Icon:


Save & Open Plots

Plot: Save & Open Plots and Plot Templates

The commands added to the File menu when the Plot window is active let you save and open plots and plot templates. When you save a plot, all information is stored, including the date of the data currently plotted. When you open that plot, it automatically loads all variables and settings to restore the plot to the exact way it looked when you saved it. When you save a plot template, all information except for the date is stored. When you open a plot template, the software loads all variables and settings, but plots the data from whatever date is currently being viewed.

Note: Color changes are not saved in saved plots or plot templates. For example, if you save a plot and then change the color of one of the variables in the saved plot the new colors will be used when the saved plot is opened instead of the original colors.

  • Open Plot

To open a previously saved plot, choose Open Plot from the File menu. Select the desired plot in the Open dialog box and choose OK.

  • Save Plot

To save a plot, choose Save Plot from the File menu or press Ctrl-S. Enter the desired file name and choose OK.

  • Open Template

To open a previously saved plot template, choose Open Template from the File menu. Select the desired plot template in the Open dialog box and choose OK.

  • Save Template

To save a plot template, choose Save Template from the File menu. Enter the desired file name and choose OK.

Back to Using the Plot Window | Plot Menu


Printing Plots

Plot: Printing Plots

To print the active program window, first make sure you select your desired print options using Print Options in the Plot menu. Then you can choose Print from the File menu or click on the Print icon in the toolbar to print the plot.

Back to Using the Plot Window | Plot Menu


View Records From a Specific Date

You can quickly view the records for any date in the database.

  1. To choose a date, click anywhere in the Browse window with the right mouse button, select Choose Date from the Browse menu, or press Ctrl-D. The software prompts you to select the desired date.

  2. Select the desired date from the list and choose OK. The software locates and displays the first record from the selected date.

Back to Browse Window


Annotate Record

Browse: Annotate Record

You can add notes to any record in the database.

Note: The text of database notes are saved in the "DATANOTE" subdirectory for the open station. The notes are assigned a coded file name that identifies them to the program. Do not change these file names.

  1. To add a note, double-click on the area just to the left of a record’s date (or select the desired record and choose Make a Note from the Browse menu or press Ctrl-N).

  2. Enter the desired text into the note area.

  3. When finished, choose OK.

The software saves the note and returns you to the Browse window. After you add a note to a record, the software adds a note icon to the left of the record.

  4. To edit, delete, or add to an existing note, double click on the note icon.

The Data Notes window (with the text of previously entered notes) appears. Edit or add to the note and choose OK to save. Choose Remove to delete the note completely.

Back to Browse Window


Edit Record

Browse: Edit Record

In the Browse Window you can edit the data contained in any record in your database.

  1. To edit a record, double-click on the desired record in the Browse window (or select the desired record and choose Edit from the Browse menu or press Enter).

The Edit dialog box appears. The date and time of the record appear in the title bar.

  2. You can enter or change any of the record data by simply entering the desired data into the appropriate text box.

  • You can only edit data fields which have been enabled in the Station Configuration dialog box.

  • You cannot edit heat index, dew point, wind chill, THSW index, wind run, UV dose, cooling degree-days or heating degree-days data directly because they are calculated as needed for display. For example, to change heat index data, edit the outside temperature and / or outside humidity data.

  • If you have created a rain database and then change a rain value while editing the main database, you will be prompted whether to update your rain database also.

  3. When finished editing data, choose OK.

The software saves your changes and closes the Edit dialog box. Choose Next to save your changes and move to the next record in the database. Choose Previous to save your changes and move to the previous record in the database. Choose Cancel to undo all changes to the current record and close the Edit dialog box.

Note: If you have a solar radiation sensor and you have modified the temperature, humidity, wind, or solar radiation data, please select Recalculate THSW Index from the Browse Menu to update the THSW calculations.

Back to Browse Window


Copy Records

Browse: Copy Records

You can copy all record information for a specific group of records to Windows’ clipboard (from which you can paste the information into most Windows programs).

  1. To copy records to the clipboard, choose Copy Records from the Browse menu.

The software prompts you to select the records you want copied.

  2. Select the desired days, months, or years (you can choose more than one) and choose OK.

The software copies the selected records in a tab-delimited format to the clipboard.

Back to Browse Window


Export Records

Browse: Export Records

The Export Records dialog box allows you to export record information to a tab-delimited export file that can be used in most database, spreadsheet, or word processing programs. To export weather records:

  1. Select Export from the Browse menu. The Export Records dialog box displays.

  2. Select the desired days, months, or years (you can choose more than one).

  3. Select the Use 00:00 or the Use 24:00 radio button from the Select Midnight Record to Export radio button box.

    For each day of data that is exported (either by individual days or as part of a month or year selection) that day's data can be saved and exported with the day beginning at 00:00 and ending at 23:59 (with the Use 00:00 radio button selected), or with the day beginning at 00:01 and ending at 24:00 (with the Use 24:00 radio button selected). The day's data can include either the midnight record at the beginning of the next day or at the end of the previous day. The midnight record will always have a time stamp of 12:00a or 00:00 no matter where the record is placed.

    Because the midnight record includes data averaged over a period that ends at midnight (for example, from 11:30 P.M. - 12:00 A.M. with a 30 minute archive interval) WeatherLink's default behavior corresponds to the Use 24:00 option. This includes calculations of high, low, and accumulated values over a day.

  4. Click OK. The software prompts you to enter an export file name.

  5. Enter the desired file name and click OK.

The software saves all record information for the selected days, months, or years (in tab delimited format) into the export file. You can use this file to import data into most popular database, spreadsheet, and/or word processing programs.

Back to Browse Window


Export Records in GLOBE Format

To export records in the GLOBE file format:

  1. Select Browse from the Window menu.

Note: The Browse window must be displayed in order to access the Browse menu.

The Browse Menu displays.

  2. Select Export Records (GLOBE Format) from the Browse menu.

The GLOBE export dialog box displays and allows you to select the records to be exported. You can select records by the day, month, or year.

  3. Enter your GLOBE school ID.

  4. Enter your GLOBE site ID.

  5. If you are also sending a soil report, check the box for Include Soil Report and enter your GLOBE soil site ID.

Note: WeatherLink stores GLOBE ID entries in the Station Configuration File.

  6. Select the desired days, months, or years of data to be exported (you can select more than one).

  7. Click OK to continue or click Cancel to exit without exporting GLOBE data.

  8. If you are setting daylight savings time manually in WeatherLink, enter the date and time you switched the daylight savings time settings then click OK to continue.

  9. If you are in an area that does not use daylight savings time, leave the dates and times as they are (dashed) and click OK.

Note: If you are setting daylight savings time manually in WeatherLink, only export data recorded within the same calendar year. Otherwise the starting and ending dates for daylight savings time may be incorrect.

  10. Enter the desired file name for your GLOBE export data in the export files dialog box.

  11. Click Save to export the report data or click Cancel to exit the dialog box without exporting the report data.

If you click save, the software saves all record information for the selected days, months, or years into the GLOBE export file.

  12. Open the GLOBE export file in a text editor.

  13. Copy the contents of the file.

  14. Paste the export file contents into the body of the GLOBE Report email and send the report.

See also:

GLOBE Info Page

GLOBE Email File Format

Daylight Savings Time in WeatherLink

Back to Browse Window


Delete Records

Browse: Delete Records

You can quickly delete a group of records.

  1. To delete records, choose Delete Records from the Edit menu.

The software prompts you to select the records you want deleted.

  2. Select the desired days, months, or years (you can choose more than one) and choose OK.

The software prompts you to confirm that you want to delete the records.

  3. To delete the records, choose OK.

The software deletes the selected records.

Note: If you delete all records in a monthly file, the software will delete the file. If you delete all records in a station’s database, the Browse window will close.

Back to Browse Window


Delete Single Record

Browse: Delete Single Record

To delete a single record:

  1. Select the desired record.

  2. Click Delete.

  3. Click OK to delete the record or click Cancel to exit without deleting the record.

Note: If you delete all records in a monthly file, the software will delete the file for that month. If you delete all records in a station’s database, the Browse window will close.


Print Records

Browse: Print Records

You can print all record data for a specific group of records.

  1. To print records, choose Print from the File menu or click on the print icon in the toolbar. The software prompts you to select the days, month, or years you want printed.

  2. Select the desired days, months, or years (you can choose more than one) and choose OK. The software prints the selected records.

Note: When printing, each page will automatically break at the column boundary on the right side of the page. All the pages will print in order, printing only those columns on the left side of the column break. The remaining columns on each of the pages will then print in page order, until all columns on all pages have been printed.

Back to Browse Window


Reports

Click on a topic below to view information on a particular report.

  • NOAA Monthly Summary
  • NOAA Yearly Summary
  • Yearly Rainfall Database
  • Fuel Demand: Short
  • Fuel Demand: Long
  • Console Diagnostics
  • Sunrise & Sunset

  • Hours of Bright Sunshine

  • Printing Reports


NOAA Monthly Summary

NOAA Monthly Summary Report

General station information (Station Name, City, State, Units of Measure, etc.) appears at the top of the report. For each day in the report, you can view the following information (and a total for the month):

  • Day

Each row in the report shows information for a single day. The date for each row appears at the left of the row.

  • Mean Temperature

The mean temperature for the day. At the bottom of the column, the mean temperature for the month is displayed.

If "Calculate using integration method" is checked in the Degree-Day section of the NOAA setup dialog window, then the mean temperature is calculated by adding up all the temperature measurements for that day and then dividing by the number of samples. If "Calculate using integration method" is not checked in the NOAA setup, the mean temperature is the average of the daily high and low temperatures.

  • High Temperature & Time

The high temperature for the day and the time at which it occurred. At the bottom of the column, the highest temperature recorded during the month and the day on which it occurred is displayed.

  • Low Temperature & Time

The low temperature for the day and the time at which it occurred. At the bottom of the column, the lowest temperature recorded during the month and the day on which it occurred is displayed.

  • Heating Degree-Days

The number of heating degree-days accumulated on each day. At the bottom of the column, the total heating degree-days accumulated during the month is displayed. Heating degree-days can be calculated using either the high/low summary or the integration methods. See NOAA Setup for more info.

  • Cooling Degree-Days

The number of cooling degree-days accumulated on each day. At the bottom of the column, the total cooling degree-days accumulated during the month is displayed. Cooling degree-days can be calculated using either the high/low summary or the integration methods. See NOAA Setup for more info.

  • Rain

The rainfall accumulated on each day. At the bottom of the column, the total rainfall accumulated during the month is displayed.

  • Average Wind Speed

The average wind speed for each day. At the bottom of the column, the accumulated average wind speed during the month is displayed.

  • High Wind Speed & Time

The high wind speed for each day and the time at which it occurred. At the bottom of the column, the highest wind speed for the month and the day on which it occurred is displayed.

  • Dominant Wind Direction

The dominant wind direction for the day. At the bottom of the column, the dominant wind direction for the month is displayed.

At the bottom of the report, the following monthly information is summarized.

  • Max >= 90ºF (32ºC)

The number of days on which the daily high temperature was 90° F (32°C) or above.

  • Max <= 32ºF (0ºC)

The number of days on which the daily high temperature was 32° F (0°C) or below.

  • Min <= 32ºF (0ºC)

The number of days on which the daily low temperature was 32° F (0°C) or below.

  • Min <= 0ºF (-18ºC)

The number of days on which the daily low temperature was 0° F (-18°C) or below.

Note: Thresholds are always in whole degrees. It’s therefore possible for the number of days in these last four items to be different, depending on whether you’re using US or metric units. For example, if there were a daily high registered between 89.6 and 89.9ºF the maximum would not count as >= 90ºF; however, if you were using metric units, the maximum would count as >= 32 ºC (the equivalent of 90ºF).

  • Max Rain

The maximum daily rainfall during the month.

  • Days of Rain

The number of days on which rainfall exceeded 0.01" (0.2 mm), 0.1" (2 mm), or 1" (20 mm) is displayed.

Click here for instructions on generating the report.

Back to Reports Window


NOAA Yearly Rain Summary

NOAA Yearly Rainfall Summary

For each month in the NOAA Yearly Summary, you can view the rainfall information listed below (and total and average for the year). The NOAA Yearly Summary also contains a Temperature and a Wind summary section.

  • Year & Month

Each row in the report shows information for a single month. The month and year appear at the left of the row.

  • Total

The total rainfall for the month. At the bottom of the column, the total rainfall for the year is displayed.

  • Departure From Norm

The amount by which the total rainfall departed from normal for the month. At the bottom of the column, the amount by which the total rainfall departed from normal for the year is displayed.

  • Maximum Observation Day & Date

The highest daily rainfall total during the month and the date on which it occurred. At the bottom of the column, the highest daily rainfall total during the year and the month during which it occurred are displayed.

  • Days of Rain Over .01 in (0.2 mm)

The number of days on which total rainfall exceeded 0.01" (0.2 mm) during the month. At the bottom of the column, the number of days on which rainfall exceeded 0.01" (0.2 mm) during the year is displayed.

  • Days of Rain Over .1 in (2 mm)

The number of days on which total rainfall exceeded 0.1" (2 mm) during the month. At the bottom of the column, the number of days on which rainfall exceeded 0.1" (2 mm) during the year is displayed.

  • Days of Rain Over 1.0 in (20 mm)

The number of days on which total rainfall exceeded 1" (20 mm) during the month. At the bottom of the column, the number of days on which rainfall exceeded 1" (20 mm) during the year is displayed.

Click here for instructions on generating the report.

Back to Reports Window


NOAA Yearly Summary

General station information (Station Name, City, State, Units of Measure, etc.) appears at the top of the report. Below the general information section are separate temperature, rainfall, and wind summary sections.

Back to Reports Window


NOAA Yearly Temperature Summary

For each month in the NOAA Yearly Summary, you may view the temperature information listed below (and total and average for the year). The NOAA Yearly Summary also contains a rainfall and a wind summary section.

  • Year & Month

Each row in the report shows information for a single month. The month and year appear at the left of the row.

  • Mean Max

The mean maximum temperature for the month. At the bottom of the column, the mean maximum temperature for the year is displayed.

  • Mean Min

The mean minimum temperature for the month. At the bottom of the column, the mean minimum temperature for the year is displayed.

  • Mean

The mean temperature for the month. At the bottom of the column, the mean temperature for the year is displayed.

  • Departure From Norm

The amount by which the mean temperature departed from normal for the month. At the bottom of the column, the amount by which the mean temperature departed from normal for the year is displayed.

  • Heating Degree-Days

The number of heating degree-days accumulated on each day. At the bottom of the column, the total heating degree-days accumulated during the month is displayed. Heating degree-days can be calculated using either the high/low summary or the integration methods. See NOAA Setup for more info.

  • Cooling Degree-Days

The number of cooling degree-days accumulated on each month. At the bottom of the column, the total cooling degree-days accumulated during the year is displayed. Cooling degree-days can be calculated using either the high/low summary or the integration methods. See NOAA Setup for more info.

  • Hi Temperature & Date

The highest temperature for the month and the date on which it occurred. At the bottom of the column, the highest temperature recorded during the year and the month in which it occurred is displayed.

  • Low Temperature & Date

The lowest temperature for the month and the date on which it occurred. At the bottom of the column, the lowest temperature recorded during the year and the month in which it occurred is displayed.

  • Max >= 90ºF (32ºC)

The number of days on which the high temperature was 90°F (32°C) or above during the month. At the bottom of the column, the total number of days on which the high temperature was 90°F (32°C) or above during the year is displayed.

  • Max <= 32ºF (0ºC)

The number of days on which the high temperature was 32°F (0°C) or below during the month. At the bottom of the column, the total number of days on which the high temperature was 32°F (0°C) or below during the year is displayed.

  • Min <= 32ºF (0ºC)

The number of days on which the low temperature was 32° F (0°C) or below during the month. At the bottom of the column, the total number of days on which the low temperature was 32°F (0°C) or below during the year is displayed.

  • Min <= 0ºF (-18ºC)

The number of days on which the low temperature was 0°F (-18°C) or below during the month. At the bottom of the column, the total number of days on which the low temperature was 0° F (-18°C) or below during the year is displayed.

Note: Thresholds are always in whole degrees. It’s therefore possible for the number of days in these last four items to be different, depending on whether you’re using US or metric units. For example, if there were a daily high registered between 89.6 and 89.9ºF the maximum would not count as >= 90ºF; however, if you were using metric units, the maximum would count as >= 32ºC (the equivalent of 90ºF).

Click here for instructions on generating the report.

Back to Reports Window


NOAA Yearly Wind Summary

For each month in the NOAA Yearly Summary, you may view the wind information listed below (and an average for the year). The NOAA Yearly Summary also contains a temperature and a rainfall summary section.

  • Year & Month

Each row in the report shows information for a single month. The month and year appear at the left of the row.

  • Average

The average wind speed for the month. At the bottom of the column, the average wind speed for the year is displayed.

  • High & Date

The high wind speed for the month and the date on which it occurred. At the bottom of the column, the highest wind speed recorded during the year and the month in which it occurred is displayed.

  • Dominant Direction

The dominant wind direction for the month. At the bottom of the column, the dominant wind direction during the year is displayed.

Click here for instructions on generating the report.

Back to Reports Window


Fuel Demand: Short

The short Fuel Demand Report shows the following information for each customer:

  • Last Name

The report shows the last name and customer number (in parenthesis) for each customer.

  • Gallons Left

The report shows the estimated gallons of fuel remaining for each customer.

  • Street Address

The report shows the street address of each customer.

Back to Reports Window


Fuel Demand: Long

The long Fuel Demand Report shows the following information for each customer:

Last Name | The report shows the last name and customer number (in parenthesis) for each customer.
Address | The report shows the address information for each customer.
Gallons Left | The report shows the estimated gallons of fuel remaining for each customer.
Last Reading | The report shows the last reading date for each customer.
K Factor | The report shows the K factor for each customer.
Water Heater | The report shows the number of gallons of hot water used per day, if applicable.
Comments | The report shows the comments for each customer.

Back to Reports Window


Console Diagnostics

The Wireless Vantage Vue, Vantage Pro and Vantage Pro2 consoles and Weather Envoys continuously monitor the reception of ISS data and calculate various signal strength statistics. The radio signal data can be viewed in the Console Diagnostics Report. To view the Console Diagnostics dialog box:

  1. Select Console Diagnostics from the Reports Menu. The Console Diagnostics displays in one of two ways:

Console Diagnostics with date

Console Diagnostics with firmware version

  • The Console Diagnostics report is only available for wireless Vantage Pro, Vantage Pro2 consoles, and Weather Envoys.

  • The Console Diagnostics report cannot be displayed if the Bulletin window, Summary window, or Strip Chart are open.

  • All diagnostic measurements are the total counts since 12:00 am Midnight or since the values were last cleared on the console.

The Console Diagnostics dialog box displays the following parameters:

Parameter | Description
Firmware Version | The firmware version is identified either by firmware date or version number. The latest console or Envoy firmware shows version 1.6 or later. Older console or Envoy firmware shows firmware date April 2006 or earlier.
Total Received | The total number of data packets received from the ISS.
Total Resynchs | The number of times the console has needed to re-synchronize itself with the ISS.
Total Misses | The total number of missed data packets.
Max in a Row | The largest number of consecutive data packets successfully received by the console.
CRC Errors | The number of CRC errors reflects the quality of the data being received by the console
% Good | The percentage of the total number of data packets that have been successfully received.
Console Battery | Console battery voltage. This is the total voltage of the three (3) C-cells installed in the Vantage Pro console. The Vantage Pro console needs at least 3.2 VDC to operate. The "Low Console Battery Voltage" message appears on the console when the battery voltage drops below 3.2 VDC

Back to Reports Window


Sunrise Sunset Report

The report contains the following information:

  • Latitude/Longitude

The report shows the latitude and longitude setting you entered.

  • Time Zone / UTC Offset

The report shows the time zone you selected and the number of hours the sunset and sunrise times are offset from UTC (Universal Time Coordinates), due to time zone and daylight savings adjustments. UTC is equivalent to Greenwich Mean Time (GMT) & Zulu (Z) Time and is measured on the Prime Meridian (zero degrees longitude) in Greenwich, England.

  • Daylight Savings Time

You can configure the report to have daylight savings time automatically adjusted, turned on, or turned off.

Note: The start and stop dates for daylight savings time will be correctly adjusted for North America, Europe, and Australia based on the latitude and longitude configured in the software. Other parts of the world will most likely need to use the manual settings for daylight savings time.

  • Date

Each row in the report shows the sunrise and sunset times for a single day. The date for each row appears at the left of the row.

  • Twilight Times (Morning and Evening)

The report lists twilight times for both morning and evening for each day in the report. The morning twilight times appear on the left and the evening twilight times appear on the right. There are three separate twilight times listed for each:

  1. Astronomical Twilight (Astro) is defined as the time at which the center of the sun is 18° below the horizon. At this time, stars and planets of sixth magnitude are visible directly above and generally there is no trace of twilight glow on the horizon. It’s the time of complete darkness without an artificial light source.

  2. Nautical Twilight (Naut) is defined as the time at which the center of the sun is 12° below the horizon. Distinguishing the outlines of objects on the ground is impossible past this point toward darkness, thus it marks the point at which navigation is impossible without an artificial light source.

  3. Civil Twilight (Civil) is defined as the time at which the center of the sun is 6° below the horizon. At this time, stars and planets of first magnitude are visible and suspension of outdoor activities is required without artificial lighting. Civil twilight is roughly 30 minutes long during the equinox.

  • Sunrise

The report lists the time at which sunrise (defined as the time at which the upper limb of the sun appears) occurs for each day in the report.

  • Sunset

The report lists the time at which sunset (defined as the time at which the upper limb of the sun disappears) occurs for each day in the report.

  • Daylight Hours

The report shows the total hours of daylight for each day in the report.

Click here for instructions on generating the report.

Back to Reports Window


Hours of Bright Sunshine

WeatherLink can calculate the total hours of bright sunshine during any given period. To do so, enter a solar energy threshold above which is considered "bright sunshine". The default is 100 W/m2. WeatherLink calculates the amount of time the solar energy was above the threshold and reports that amount of time as the hours of bright sunshine.

Note: This report requires a solar radiation sensor.

  1. Select Bright Sunshine Hours from the Reports menu.

  2. Enter the following information:

  • Start Date

Enter the starting date for the hours of sunshine calculation.

  • End Date

Enter the ending date for the hours of sunshine calculation.

Note: Even if a start and End date are selected, the Hours of Bright Sunshine report displays data for the last 15 days from the selected end date.

  • Solar Radiation Threshold

Enter the solar radiation threshold used to determine "sunshine".

  3. After entering all the necessary information, choose OK to view the hours of daylight.

WeatherLink calculates and displays the hours of daylight accumulated between the start and end dates. The report is opened into Window’s Notepad, from which you can print or copy the information.

  • Total Hours

The total hours of daylight that occurred during the selected period of time.

  • Start Date, End Date, Threshold

The select start and end dates for the report, and the solar radiation threshold used to determine "sunshine".

  • Hours for the last 15 days

The report shows the hours of daylight which occurred on each of the last 15 days of the report time period.

Back to Reports Window


Internet Features

Use WeatherLink’s FTP and HTML features to post current and historical data from your Davis weather station to a web site. Upload custom HTML pages, reports that WeatherLink generates, raw weather data and more.

The following topics will help you set up WeatherLink’s Internet access and display weather data on your web site.

Internet Settings

Internet Connection Settings

Data Upload Profile

HTML Features

Introduction to HTML Template Files

Sample HTML Templates

Creating Your Own Web Page Template

Data Upload Process

CWOP Reporting Using APRS

GLOBE Reporting


Internet Connection Settings

There are three parts to configuring your Internet connection settings:

  • You need to set up the Internet connection to your Internet Service Provider (ISP).

  • In order to upload weather information to a web site you will need to enter your FTP Host information.

  • If you are putting weather data on a local hard disk, either in your computer or on your local network, you will need to set your local path information.

Here are the options available to configure your Internet Connection settings:

Internet Connection

FTP Setup

Proxy Settings

Local Transfer Path

Exit Internet Connection Settings

Internet Connection

To specify how your computer connects to the Internet, select the appropriate radio button in the Internet Connection section of the Internet dialog box.

If you connect to the Internet Through a Local server

Use this option if you are not dialing a phone number to connect to the Internet.

  1. Click Internet Settings.. in the Setup Menu.

  2. Click Internet Connection Settings in the Internet Settings dialog box.

  3. Click Connect through a local server in the Internet Connection frame of the Internet Connection Settings dialog box. This is all you need to do to setup your Internet connection if you are connecting through a local server.

If You Connect to the Internet Through a Dial-up Connection:

Note: These selections are grayed-out if you are not using a dial-up connection, or if you do not have dial-up networking installed on your computer.

  1. Click Internet Settings in the Setup Menu.

  2. Click Internet Connection Settings in the Internet Settings dialog box.

  3. Click Connect through a dial-up connection in the Internet Connection frame of the Internet Connection Settings dialog box.

Select a Dial-up Connection:

  1. If your computer has already been setup with a dial-up connection, it should appear in the Select a Dial-up Connection window. If you see the connection you want to use, click the connection to select it. Continue to Step 6.

  2. If no connection appears, you need to create a dial-up connection through another application. Depending on your computer configuration, use one of the following paths to open the Dial-Up Networking application, then set up a dial-up connection.

Note: If you cannot find the Dial-Up Networking application, it may not be installed on your system. Check your operating system’s help files or user guide for assistance if you have any trouble finding or installing the application, or setting up a new connection.

  • Start menu > Programs > Accessories > Dial-Up Networking

  • Start menu > Programs > Accessories > Communications > Network Dial-up Connections

  • Start > Settings > Network Dial-up Connections

  3. After you have created the dial-up connection, return to the WeatherLink and re-open the Internet Settings dialog box to continue with the configuration. The connection you created should appear in the Select a Dial-up Connection window. Click the connection to select it.

  4. Enter the user name you use to log inot your Internet Service Provider (ISP) in the User Name text box. This may be a different user name than the one used to log into your FTP (or Web) site.

  5. Enter the password you use to log into your ISP in the Password text box located below the User Name. This may be a different password than the one used to log into your FTP site or web site.

Select your ISP connection duration/hang-up option:

  6. Select "Stay Connected all the Time" if you want your computer to stay connected to the Internet all the time. You must hang up manually if this option is selected.

  7. Select "Only Connect during Transfer" if you want your computer to only connect to the Internet when it is transferring files. The software will dial your Internet connection when it is time to upload data and then hang-up when the transfer is complete.

Note: WeatherLink will only hang-up a dial-up internet connection if the connection was established by WeatherLink. If your computer is already connected to the internet, then WeatherLink will share the connection and will not hang up after transferring files.

  8. Select the number of times to attempt to connect:

  • Select the number of times your computer will attempt to make a dial up Internet connection.

  • Additional attempts to make the connection will only occur if the line is busy. No additional attempts will be made if the connection cannot be completed for any other reason.

  • If there is no dial tone, then WeatherLink will not attempt another connection until the next scheduled data upload.

  • The default is 5 attempts.

  9. Select the number of seconds to wait between connection attempts:

  • Select the number of seconds your computer will wait between dial-up attempts in case the line is busy.

  • The default time is 5 seconds.

FTP Setup

Enter the specific destination on the Internet to transfer your files in the FTP section of the Internet Connection Settings dialog box. If you simply want to transfer the files to a shared network drive or save them somewhere on your own computer, you can leave this section blank.

To Configure your FTP Host Information:

Note: Check out FTP Help for answers to common FTP questions.

  1. Enter the FTP Host name:

  • The site you want to send the data to. For example, here at Davis, we might want to send the data to www.davisnet.com, or to our local intranet site. You can enter either a domain name (e.g., www.davisnet.com) or an IP address (e.g., 207.226.250.66).

Note: The FTP Host address may be different than your web site address.

  2. Enter the FTP Port used by your host:

  • The "channel" on which you want to communicate with the host site. The standard port for FTP is 21. Unless you know that your host site’s FTP service "listens" on a different port number, use the default of 21.

  3. Select Use Passive Mode only if required:

  • Passive Mode is a security measure that is typically required to transfer files through a firewall. Select this feature only if required.

  4. Enter your FTP User Name

  • If your host site requires that you have a user name to log in, enter that name here.

Note: If you also have a dial-up connection, this is not necessarily the same user name you use for your dial-up connection.

  5. Enter your Password

  • If your host site requires that you have a password to log in, enter that name here.

Note: If you also have a dial-up connection, this is not necessarily the same password you use for your dial-up connection.

  6. Enter the Remote Path Directory (Optional)

  • The path to the particular directory where you want to place the uploaded files.

  • If you want your files transferred to your default directory at your FTP server, leave the Remote Path box empty.

Note: If the Remote Path is empty, WeatherLink inserts a single back slash "\".

Note: WeatherLink uses the backslash "\" for all paths. Windows converts forward and backward slashes as required for FTP transfers.

  • If, however, you want your files transferred to a subdirectory, enter the name of the subdirectory in the Remote Path box. WeatherLink will create the subdirectory if it doesn't already exist.

  • Suppose, for example, that you have your own directory at the davisnet.com site "www.davisnet.com/~yourdirectory" and your default ftp directory and HTML homepage is "/users/yourdirectory".

In that case, if you want to store your data in a subdirectory of www.davisnet.com/~yourdirectory (e.g., www.davisnet.com/~yourdirectory/weather), you can simply enter the subdirectory "weather/" in the Remote Path box.

  • To send the files to www.davisnet.com/~yourdirectory/weather/moreweather, you would simply enter "weather/moreweather/" into the Remote Path box.

Proxy Server Settings

Enter proxy server information (Optional)

  1. Select a proxy server option, if directing web site information through a proxy server.

    The radio button options are:

  • Direct - Select no proxy server to use.

  • Proxy - Create a connection to a proxy server (used in conjunction with the Proxy Server text box).

  • Pre-configured - Use default proxy settings from the Windows registry. (Used in conjunction with the Auto-Proxy button).

If the Proxy radio button is selected, enter the path to the proxy server in the Proxy Server text box.

If the Pre-configured radio button is selected, make sure the Auto-Proxy check box is checked, or Windows will prevent the use of an auto-proxy file.

If the Direct radio button is selected, no action for determining the proxy server is required.

Local Transfer Path

Enter the Local Path Directory (Optional)

  • Enter the path to transfer weather data into a directory on your network or on a local disk drive.

  • This is required only if you are putting weather data on an Intranet or posting current weather information to a server in your local network. A Local Transfer Path is not required to upload data to a remote web server.

Tip: Use a local transfer path to test your HTML templates before uploading them to your web site.

Note: Network paths must be mapped to a drive letter (e.g.: "H:") to be used for a local path.

Exit Internet Connection Settings

To Exit the Internet Connection Settings Dialog Box:

  • Click "OK" exit and save the changes made in this dialog box (Upload Interval, Reports File to Upload)

  • Click "Cancel" to exit without saving any changes made in this dialog box.

Back to Internet Settings | Internet Features


Data Upload Profiles

The Data Upload dialog box allows you to select the weather data to be displayed on your web site, as well as determine how it is displayed and how often it is updated. The eight Data Upload Profiles can be independently configured to upload different data at different frequencies, and to upload to different subdirectories on your web server.

Here are the options available for configuring your Data Upload Profile settings:

Set the Upload Frequency

Template Files to Upload

Report Files to Upload

Current Data Images to Upload

Historical Data Images to Upload

Exit Data Upload

Set the Upload Frequency

The Data Upload Frequency allows you to determine how often you upload weather data to your web site.

Configure the Data Upload Frequency:

  1. Select the data upload frequency:

  • Select the time interval between uploads in the "Upload every" pull-down menu.

  • The upload frequency can be set to 1, 5, 10, 15 or 30 minutes; 1, 2, 3, 4, 6, 8 or 12 hours; or 1 day.

  • The default setting of "----" prevents the profile from uploading.

  2. Enter the "Starting at" time:

  • The "Starting at" time is a reference point which WeatherLink uses to determine when exactly to upload your weather data. WeatherLink determines the moment to initiate a data upload by checking the upload interval and starting time against your computer’s system time.

  • If you are uploading every 15 minutes with a starting at time of 12:03, then WeatherLink uploads your data every 15 minutes at 3, 18, 33 and 48 minutes after the hour.

  • If you are uploading every 6 hours with a starting time of 2:30, WeatherLink uploads your data every 6 hours at 2:30 am, 8:30 am, 2:30 pm, and 8:30 pm.

  • If you are uploading once a day with a starting time of 6:30 am, WeatherLink uploads your data once a day at 6:30 am.

  • Your computer must be running WeatherLink at the time of scheduled upload for the upload to take place.

  3. If you want your computer to "Download Weather Station First" before uploading new data:

  • Select "Download Weather Station First" to have WeatherLink download the most recently archived data from your weather station before transferring the weather data files to the Internet.

Template Files to Upload

The display box shows all currently selected template files to be uploaded by the selected profile.

  1. Select HTX Template files or other files to upload:

  • Click on the Select Template Files radio button. This takes you to the "Weather Template Files for Data Upload Profile 1, 2, or 3" dialog box.

  • Select the template files to be uploaded to your web server.

  • Only the template file name is shown here. To see the full path for the Template File, click on Select Template Files.

Report Files to Upload

These are standardized NOAA reports and data lists that you can upload for display on the Internet.

  1. Click on Select Report Files to select report files to upload to your web server, to configure APRS reporting.

Select Current Data Images

The display box shows all Current Data Image files selected to be uploaded by the indicated Data Upload Profile.

  1. Add or remove Current Data Image files to upload:

  • Click the Select Images radio button. This takes you to the "Current Data Images for Data Upload Profile 1, 2, or 3" dialog box.

Select Historical Data Images

The display box shows all Historical Data Image files selected to be uploaded by the indicated Data Upload Profile.

  1. Add or remove Historical Data Image files to upload:

  • Click the Select Images radio button. This takes you to the "Historical Data Images for Data Upload Profile 1, 2, or 3" dialog box.

Exit Data Upload

  1. Exit the Data Upload Profile Dialog Box:

  • Click OK exit and save the changes made in this dialog box (Upload Interval, Reports File to Upload)

  • Click Cancel to exit without saving any changes made in this dialog box

Note: Any changes made in the Template Files, Current Data Images, or Historical Data Images will be saved when you click OK in that dialog box. Clicking Cancel here will not cancel those changes.

Back to Internet Settings | Internet Features


Select Template Files

This allows you to upload HTML files using current weather data from your weather station. The HTML files are created from .HTX templates that you can either select from the samples we provide or that you can create yourself. For more details, see "Creating Your Own Web Page Template".

  1. Select the Template Files to Upload

  • Add any desired templates or other files to the Files to be transferred window of the Data dialog box.

Note: To add non-template files, click Add and choose "All Files (*.*)" from the "Files of Type" selection.

  • The full pathname of the file is displayed in the window. Files from more than one directory may be selected for upload in the same profile.

  • To add files (especially templates with the extension .htx) to the Files to be transferred window, click Add. In the dialog box that appears, browse for the files you wish to upload, select them, and click Open.

  • The Add button can select multiple files only from one directory at a time. Use the Add button again to add files from more than one directory.

  • The Remove button will remove selected files from the Template Files window.

  • The Remove All button will remove all files from the Template Files window.

  • The files you select here appear in the "Template Files to Upload" window of the Data Upload dialog box.

Note: WeatherLink automatically eliminates duplicate files.

  2. Select the sub-directory to upload these files to (Optional):

  • Enter the sub-directory to which these files will be uploaded.

  • This is a sub-directory of the FTP Remote Path or of the Local Path, set in the Internet Connection Settings dialog box.

  • WeatherLink automatically creates the sub-directory if it does not already exist.

  • Leave blank if you want to upload files to your default directory.

  3. Set the extension of converted Weather HTML Template files:

  • While the default setting is "htm", you can specify a different extension to be used by the converted "htx" files.

  • Extensions can contain up to five (5) characters.

  • Do not include a period (.) in the extension. WeatherLink will automatically add a period to the extension when creating the new file.

  • At the time of transfer, the software converts all .htx files to HTML files, inserts weather data into the new file, and adds the extension that is specified here.

  • The newly created files are then uploaded to the web site.

  4. Exit Select Template Files

  • Click OK exit and save the changes made in this dialog box.

  • Click Cancel to exit without saving any changes made in this dialog box.

Related Topics

Using HTML Template Files

Creating Your Own Web Page Template

HTML Template Examples

Back to Data Upload


Current Data Image Uploads

Current Data Images are .gif files that present current weather information in a graphical format. All the images except for Wind Speed and Wind Direction are bar graphs similar in format to those used for temperature and humidity in the WeatherLink Bulletin Window. Wind Speed and Wind Direction use a dial graph similar to those found in the Bulletin Window.

Note: The images displayed on this screen will vary depending on your station configuration.

  • Weather data images use the WeatherLink plot or strip chart color.

  • The colors cannot be modified for Wind Speed, or Wind Direction images.

  1. Select Current Data Images:

  • Check all weather data images to be uploaded to your web server. Only checked data will be uploaded.

  • Click the Clear All button to deselect all images.

  • Click the Select All button to select all images.

Note: All Current Data Images include the console time and date when the sensor readings were taken.

  • WeatherLink calculates the Heat Index, Wind Chill, and Dew Point using inside sensor readings from the console. All other weather data is provided directly by the console.

  2. Show Hi/Low Values:

  • Check if you want the image to draw lines in the bar graph that indicate the daily high and/or low values.

Note: Some weather data variables record only a high value, such as wind speed. Some variables will record only a low value, such as wind chill.

  3. Use Websafe Colors:

  • Websafe Colors ensures that the colors used in the current data images will be compatible with computer systems that use a 256-color graphic display.

  4. Select Background Color:

  • Click on the background to be used by the Current Data Images.

  • The default color is the default Plot Window background color.

  • You can change the Plot Window background color in the Plot or Strip Chart Color Menu.

  • Clicking Transparent allows the web page background color to show though. You can specify individual colors on your web page by putting each image in a separate table entry with a background color selected.

  5. Sub-directory for Current Data Images (Optional)

  • Enter the sub-directory to which these images will be uploaded. This is a sub-directory of the FTP path or the local path, set in Internet Connection Settings . Leave this blank if you want the uploaded files saved in your default directory.

  6. Exit Current Data Images

  • Click OK exit and save the changes made in this dialog box.

  • Click Cancel to exit without saving any changes made in this dialog box.

Related Topics

Current Data Image GIF Filenames

Back to Data Upload


Historical Data Uploads

Historical Data Images are GIF files that display historical archived weather information in line graphs that are similar to WeatherLink Plots.

Note: The images displayed on this screen will vary depending on your station configuration.

  1. Check all weather data images to be uploaded to your web server. Only the checked images will be uploaded.

  2. To select all the images, click Select All.

  3. To de-select all the images, click Clear All .

  4. Click on the background color to be used for the Historical Data Images. The default color is the default Plot Window background color. The color cannot be changed in the Inside Heat Index and Inside Dew Point images.

  5. Check Use Websafe Colors if you wish to ensure the colors used in the historical data images will be compatible with computer systems that use a 256-color graphic display.

  6. Check Plot all lines in black to use black plot lines instead using the plot configuration colors. Looks better when used with the white and yellow background colors. If this is not selected, the plot lines will use the same color selected for each weather variable in the Plot Color Menu.

  7. Select the time span used to create the historical data images from the drop-down list.

Note: The 1-day time span plots the past 24 hours of weather data.

  8. If you wish, you can enter a sub-directory for the uploaded images. This is a sub-directory of the FTP path or the local path, set in Internet Connection Settings .

  9. Click OK exit and save the changes made in this dialog box or click Cancel to exit without saving any changes.

Related Topics:

Historical Data Image GIF Filenames

Back to Data Upload


Upload Progress

The Upload Progress dialog box displays the status for each Data Upload Profile as it is being processed.

  • WeatherLink checks every 20 seconds to see if a data upload is scheduled.

  • If more than one profile is scheduled for the same time, the profiles will all run at the same time.

  • The tasks are listed in the Upload Progress dialog box in the order they will be performed.

  • While a task is in progress, it has a gray check and is surrounded by a focus box.

  • When a task is finished, the check mark turns black and the focus box around the task is cleared.

  • If a task is grayed-out, that means it has not been configured for the active data upload profile.

  • After each upload, a message is added to the WeatherLink log file indicating the success or failure of the upload. If a failure is logged, additional messages will be added indicating the nature of the problem.

Notes for this Example:

  • In this example, Download Data and Generate Reports are grayed-out, indicating these tasks are not enabled for this profile.

  • You can tell by looking that this profile does use Current Data Images, Historical Data Images, and template files, and that upload will be made to the Internet and to a local path.

  • The black check marks indicate that both the Read Current Data and the Process Template Files tasks have been completed.

  • The gray check mark indicates that the current task is Create Current Images.

List of Tasks and Features

Uploading:

Displays which Data Upload Profiles are currently being uploaded.

Download Data | Downloads the most recently archived weather data from the weather station's data logger.
Read Current Data | Reads current weather data directly from the weather station. This is the data used by Weather Tags and by Current Data Images.
Process Template Files | Replaces weather tags in the template files with weather data. File extensions are changed from .htx to the extension specified in the Weather Template Files dialog box.
Generate Reports | Generates the reports selected for this Data Upload Profile.
Create Current Images | Generates the Current Data Images selected for this Data Upload Profile.
Create Historical Images | Generates the Historical Data Images selected for this Data Upload Profile.
Connect to Internet | Dials the Internet Service Provider if you have a dialup connection.
Upload File to Internet | FTPs all files selected for this Data Upload Profile to the remote web server.
Copy File to Local Path | transfers all files selected for this Data Upload Profile to the Local Path.
Current file being processed: | Names the current file being processed or transferred.
Progress bar | Indicates how much of the upload operation has been completed.
Cancel button | Click this button to cancel the data upload.

Back to Introduction to HTML Template Files | HTML Features | Internet Features


HTML Features

WeatherLink’s built-in HTML and web features make it easy to put your weather data up on the Internet. The following topics help you create your own weather web pages and also give some background information on how WeatherLink’s HTML features work.

Related Topics

Introduction to HTML Template Files

Sample HTML Templates

Creating Your Own Web Page Template

Data Upload Process

WeatherLink Weather Tags

Report File Names

Current Data Images GIF Filenames

Historical Data Images GIF Filenames

Ticker Tape Java Applet

Back to Internet Features


Introduction to HTML Template Files

WeatherLink HTML Template Files provide an easy way to place weather data into a weather web page that can be automatically updated with current and historical weather information.

How Weather HTML Template Files Work

HTML Template Files use weather tags, basically "placeholders" for weather data, that are inserted in the body of the template file. When WeatherLink prepares the template file for uploading, it first searches through the file and replaces all weather tags with weather data, then changes the template file's extension from ".htx" to the extension specified in the Weather Template Files dialog box. The default extension, .htm, is used to create an HTML file for a web page, but any extension of up to 5 characters can be specified. WeatherLink then transfers the file to your remote web server or to a local server or hard disk, as specified in the Internet Connection Settings dialog box.

Note: All template files in the same Data Upload Profile will use the same extension.

Sample HTML Template Files

We have included five sample HTML template files that can be used as is to create your own weather web page, modified as you wish, or serve as an example of how WeatherLink HTML template files work.

Sample HTML template files are located in the "Sample Templates" sub-directory of the WeatherLink program directory.

HTML Template File Directory

When you select template files for uploading, WeatherLink looks in your weather station's "Templates" sub-directory by default. We recommend that you place template files that you will be uploading into the "Templates" sub-directory. You may, however, select template files from any directory and WeatherLink will store the converted HTML files in the same directory where the template file was located.

Uploading HTML Template Files

When WeatherLink uploads a template file as specified in the Data Upload Profile dialog box, it reads each file selected for upload, creates a new file with the specified extension, saves the new files in the same directory that the template file was located. WeatherLink then uploads the new file to the remote server or local path specified in the Internet Connection Settings dialog box.

The Upload Progress dialog box is displayed during the upload.

How to Use a Template File:

Here's a brief description of how to use a template file:

  1. Create the Weather HTML Template File.

  • The template file must use the .htx extension

  • Use weather tags as placeholders for weather information.

  • Insert file names for the Current Data Images and Historical Data Images you want to include in your web page.

  • See Creating Your Own Web Page Template for more information.

  2. Place the template file in the "Templates" subdirectory of your weather station directory.

  • This is the default directory for uploading template files. A different directory could be used as well.

  3. Select the Template File in the Weather Template Files dialog box.

  4. In the Data Upload Profile dialog box, select all report files required by the template.

  5. In the Current Data Images dialog box, select all Current Data Image files required by the template.

  6. In the Historical Data Images dialog box, select all Historical Data Image files required by the template.

  7. Configure the Data Upload Profile Upload Frequency.

  8. Make sure the Internet Transfer and/or Local Path Transfer is enabled in the Internet Settings or Internet Connection Settings dialog box.

Note: We recommend use the Local Path Transfer to test your template before uploading it to your web site.

  9. WeatherLink processes and uploads the template file.

  10. Use your web browser to view the weather web page.

Related Topics

Sample HTML Template Files

Creating Your Own Web Page Template

WeatherLink Weather Tags

Current Data Images GIF Filenames

Historical Data Images GIF Filenames

Ticker Tape Java Applet

Back to HTML Features | Internet Features


Sample HTML Templates

There are several sample HTML Templates located in the "Sample Templates" subdirectory of the WeatherLink program directory. Each sample template is located in it's own subdirectory. There is a "Template Description.txt" file in each template directory that gives instructions for using the template.

You can also get instructions on how to use each of the sample templates by selecting the template from the list below.

List of Templates

Click on the links below for information on using the template files available for each weather station:

Vantage Pro HTML Templates

Monitor HTML Templates

Wizard HTML Templates

Perception HTML Templates

You can also create your own template using WeatherLink Weather tags.

Related Topics

Introduction to HTML Template Files

Creating Your Own HTML Template File

WeatherLink Weather Tags

Current Data Images GIF Filenames

Historical Data Images GIF Filenames

Ticker Tape Java Applet

Back to Introduction to HTML Template Files | HTML Features | Internet Features


Creating Your Own Web Page Template

Creating Your Own HTML Template File

WeatherLink's Web Page Templates can be used to automatically create HTML files with weather data embedded in the text.

Sample web page templates with extension .htx are included with the program, and are located in the templates folder. You can use any of the sample templates as is, or you can create your own HTML template files.

To create your own HTML HTML templates, it will be helpful to know some basic HTML. Below is an example of a very simple page that specifies which information from your Vantage Vue, Vantage Pro or Vantage Pro2 weather station to include using WeatherLink Weather Tags.

We’ll call this template page "first.htx":

<HTML>

<BODY>

Station Date is <!--stationDate--> <br>

Inside Temperature is <!--insideTemp--><!--tempUnit--> <br>

</BODY>

</HTML>

<!--stationDate-->. <!--insideTemp-->, and <!--tempUnit--> are WeatherLink Weather Tags. When the template is processed for uploading, WeatherLink replaces all the Weather Tags with data. This is how you can create weather web pages that are automatically updated with current weather conditions.

At the time of upload, WeatherLink converts the above .htx file to an .htm file, or other extension you specify such as .txt or .html. It is the converted file that is uploaded to your web site or local path.

See the converted "first.htm" below:

<HTML>

<BODY>

Station Date is 10/16/01 <br>

Inside Temperature is 68°F <br>

</BODY>

</HTML>

Which looks like this in Internet Explorer:

To add graphics to your template, use an Image tag. For example, to add an outside temperature current data image to the example above you can modify "first.htx" to read as follows:

<HTML>

<BODY>

Station Date is <!--stationDate--> <br>

Inside Temperature is <!--insideTemp--><!--tempUnit--> <br>

<IMG SRC="outsideTemp.gif" ALT="Outside Temperature">

</BODY>

</HTML>

Which looks like this after being converted to HTML:

Be sure to include the correct relative path if the image is not in the same remote directory as the uploaded template file.

  • The Current Weather Data Images for wind speed, ten minute average wind speed, and wind direction are 192 by 192 pixels in size. All other Current Weather Data Images are 128 by 220 pixels.

  • Historical Weather Data Images are 320 by 200 pixels in size.

  • There is a limit of 200 characters for each line in the template file.

  • Look below in Related Topics for file names used by WeatherLink's current data images, historical data images, and report files.

  • In addition to the readings, graphs and reports, WeatherLink also comes with a Java applet that scrolls weather information in a ticker tape format.

Related Topics

Introduction to HTML Template Files

WeatherLink Weather Tags

Current Data Images GIF Filenames

Historical Data Images GIF Filenames

Report File Names

Ticker Tape Java Applet

Back to Introduction to HTML Template Files | HTML Features | Internet Features


Ticker Tape Java Applet

In addition to the tags that can put specific readings and graphs onto your web page, WeatherLink also comes with a Java applet that can scroll your weather data across a web page. Also included is a sample web page, ticker.htm, which demonstrates how to incorporate the applet in your page.

Note: Additional information can be found in the ticker.htm file located in the "Sample Templates\Ticker Example" sub-directory of your WeatherLink program directory.

How it works

The Java applet either uses text specified directly in the web page HTML code or read from a separate file on your web site and displays the contents in a ticker tape format.

  • If a separate applet content file is used, the message in the ticker can update automatically without having to reload or refresh the web page.

  • If the text is specified directly in the web page, the message will only change when a new page is uploaded to the web site an additional file in order to function.

Creating an External Template File for the Ticker Contents

If you will be specifying the text directly in the HTML file, start with Step 3.

  1. Create the text for the applet and save it in an .htx template file called appletcontents.htx, for the purposes of this procedure.

  • To create the ticker’s text, create a template file using weather tags to define the weather content of the ticker tape message.

  • For a sample of a template file used to transfer the ticker content, see Ticker Tape Java Applet Template File.

Note: The applet content file used in our sample templates is called "data.htx".

  2. Add the file you created (appletcontents.htx) to the list of files to be uploaded to the site.

  • Select the template file in the Weather Template Files dialog box.

  3. Reference the applet program, called "davisticker.class" in the web page where you want the applet to appear.

  • For details on how to reference the applet and the various ticker applet parameters you can adjust, see Referencing the Applet.

  • Our sample web page is called ticker.htm. You can, however, reference the ticker applet in an HTML file generated from a Weather HTML Template File or from any other HTML file.

  • If you use a Weather HTML Template File for your web page, the contents of the ticker can be embedded directly in that template file and a separate "appletcontents.htx" file won't be necessary.

  4. If you use a template file to reference the applet, such as "tickerpage.htx", make sure it is in the list of files to be uploaded to the site.

  • Select the template file in the Weather Template Files dialog box.

  5. The applet class "davisticker.class", and the page that references the class such as our sample file "ticker.htm" or "tickerpage.htx", must be in the same directory.

  • The java applet "davisticker.class" only needs to be uploaded once, so after the initial upload you may want to go back and change the list of files to be uploaded.

Related Topics

Referencing the Applet

Sample Java Applet Code


APRS Features

You can use WeatherLink’s APRS (Automatic Position Reporting System) to participate in the National Oceanic and Atmospheric Administration (NOAA) Citizen Weather Observation Program (CWOP) . Sent Your real-time weather data is sent via the APRS Weather Network (APRSWXNET) for use in developing NOAA prediction models

Weather from APRSWXNET sites all over the country can be found at: http://www.wxqa.com/search.htm .

Citizen Weather Observers Program

APRS Setup

APRS Data Fields

APRS Internet Links

Use the following URLs to find more information about APRS and additional information useful in setting up your own APRS reporting station:

APRSWXNET Info: http://www.findu.com/citizenweather/

FSL Mesonet Map Display: https://madis-data.ncep.noaa.gov/MadisSurface/

National Hurricane Center Volunteer Observers Page: http://w4ehw.fiu.edu

Findu Citizen Weather Page: http://www.findu.com/cgi-bin/cw.cgi

Citizen Weather Data Quality Page: http://www.wxqa.com/aprswxnetqc.html

Latitude, Longitude Finder: https://www.latlong.net

Elevation Finder: https://www.whatismyelevation.com/


APRS Setup

Here you can enter your amateur radio call sign or Citizen Weather Observers Program (CWOP) identification number, modify the Telnet settings if necessary, and enter the latitude and longitude settings for your station.

Note: The APRSWXNET used by the CWOP requires a higher resolution for latitude and longitude coordinates than the settings used by your Vantage Vue, Vantage Pro and Vantage Pro2 weather stations. If you haven’t already entered your exact latitude and longitude coordinates, please use the URLs listed below to get your precise location information and enter it in the APRS Setup dialog box.

To Access the APRS Setup Window:

  1. Select Internet Settings from the Setup menu.

  2. Find the Data Upload Summary section of the Internet Settings window, and click Configure for the data upload profile you will use for APRS.

Note: Eight data upload profiles are available for internet and APRS uploading.

  3. Click the Select Report Files button under the Report Files to Upload text box. The Upload Weather Reports for Data Upload Profile dialog box displays.

  4. Click Configure in the APRS Weather Report selection box.

To Configure Your APRS Setup:

  1. Enter your CWOP number or amateur radio call sign.

  2. Verify the APRS IS Server setting:

  • rotate.aprs.net &endash; the primary APRS IS server and the default in WeatherLink

  • first.aprs.net - backup APRS IS server

  • second.aprs.net - backup APRS IS server

  • third.aprs.net - backup APRS IS server

Note: The APRS IS server names provided above are current as of 1/2007. Please check the CWOP Info Page for the latest server information. The default server setting automatically cycles through all the APRS servers and sends the APRS upload information to the least busy server.

  3. Verify the telnet port setting:

  • The Telnet Port should be set to "14580".

  4. Verify the telnet password setting:

  • The Telnet Password default setting is "-1 vers WL 5.7.1"

  • "-1 vers" is required by the APRS system. "WL 5.7.1" is optional and can be changed if you wish.

  5. Edit your station location settings:

  • APRS requires more precise location information than is used by WeatherLink. You can find the exact Latitude and Longitude settings for your address online at a site such as:

https://www.latlong.net

  • Click Modify to edit the Latitude and Longitude settings.

The reporting standard uses average wind speed and wind gust information. The standard is NOAA (reports a 2-minute average and a 10-minute wind gust).

Note: This reporting standard will be uploaded if a real-time window, excluding the Strip Chart window, is open at the time of upload.

  6. To Exit APRS Setup:

  • Click OK exit and save the changes made in this dialog box.

  • Click Cancel to exit without saving any changes made in this dialog box.

Back to APRS Features | Data Upload Profile | APRS Reporting | APRS Data Fields


Citizen Weather Observers Program

If you are an amateur radio operator currently sending APRS weather data to findu.com, you can join APRSWXNET by sending an e-mail to Russell.B.Chadwick@noaa.gov with your call sign, elevation in meters, and nearby town. If you are an amateur radio operator who is not sending APRS weather data and you want to send weather data over the internet, just use your call sign. Your ham radio call sign takes the place of the CW Designator in steps B and C below. You won't need a CW number.

Citizen Weather Observers Program (CWOP)

Real time observations from your home weather station can be of great interest to the many people across the country who share your interest in the weather. Your data is also valuable to NOAA in their ongoing weather research. Weather data from stations participating in the APRSWXNET appear on the NOAA Mesonet Map Display.

Are you an Amateur Radio Operator?

Citizen Weather Observers

If you would like to send data via the Internet, participation in the program requires four simple steps:

  1. Register your CW designator or ham radio call sign with NOAA.

  2. Obtain a CW designation number (or designator) using the form located at: http://www.findu.com/citizenweather/cw_form.html. You will receive an e-mail reply with your assigned number (similar to "CW9999").

  3. Enter your WeatherLink Internet Connection Settings. You need to configure the Internet connection settings but the FTP connection settings are not required for CWOP., but note that no FTP information is required for APRS.

  4. If WeatherLink gives you an Invalid FTP Host, Invalid FTP User Name, or Invalid FTP Password message, and asks if you want to use it anyway, click Yes to use it. Valid FTP information is not required for APRS. You only need to enter the FTP information if you are uploading data to your web site.

  5. Make sure Internet Transfer Enabled is turned ON in either Internet Settings or Internet Connection Settings.

  6. Complete the WeatherLink APRS Setup. WeatherLink has been configured to produce and send these packets to the findu.com server via Internet. Just enter your Amateur Radio call sign or CW number along with the latitude and longitude.

  7. Turn ON APRS in the Data Upload Profile dialog box.

  8. Check that your data is successfully reaching the findu.com server at one of the following web sites:

http://wx.findu.com/CWxxxx - This gives the location of the CWxxxx reporting station and displays the last packet received. Substitute your CW designation number for CWxxxx to view your station location and the last packet findu.com received from your station.

http://www.wxqa.com/activecwd.html&endash; Packet Checking (parts 1 and 2).

http://www.findu.com/cgi-bin/cw.cgi - Lists all active CWOP sites on the www.findu server.

http://www.findu.com/cgi-bin/wxpage.cgi?CWXXXX &endash; Lists the last weather data received plus charts of the previous five (5) days of weather.

If your data and location are correct, send an e-mail to Russell.B.Chadwick@noaa.gov giving your CW designator or ham radio call sign and ask to be registered so your data can flow from the findu.com server to NOAA.

Back to APRS Features


Power User Tips

The following is a list of features that may not be immediately apparent from using the software but may make it easier for you.

General

  • Click with the right mouse button in an empty area of the main window to open a station.

  • Check out the available command line options that make it possible to automatically open a station, download data, and/or clear data from a particular station when you launch the software.

Plot Window

  • If you have only one variable plotted, use the up and down arrow keys to scroll through the available variables on the current plot.

  • While choosing variables from the variables box, hold down the SHIFT key to prevent the Plot from re-drawing each time you select a variable. This will allow you to select a whole group of variables at one time without waiting for the software to draw the plot over and over.

  • At any time during a plot redraw, press ESC to stop the program from re-drawing. The software will pause and wait for further input before re-drawing the plot.

  • You can press the Shift key to resume plotting if the plot was stopped using the ESC key.

  • Click anywhere in the Plot window with the right mouse button to choose a date for plotting.

  • You should be aware that data collected at a 30 &endash; minute interval plots 30 times faster than data collected at 1 minute (and so on for other archive intervals).

Browse Window

  • Double click on the empty area to the left of a records date to make a note for that record.

Bulletin

  • To move to the Summary window from the Bulletin Window: click anywhere in the Bulletin with the right mouse button, press the PAGE DOWN key or double-click anywhere in the Bulletin window.

Summary

  • To move to the Bulletin window from the Summary Window: click anywhere in the Summary with the right mouse button, press the PAGE UP key, or double-click anywhere in the Summary window.


Hot Keys

The following Hot Keys are available in WeatherLink:

Main Program Window |  | Strip Chart Window
Ctrl-A | Set Alarms | Ctrl-M | Make Default
Ctrl-B | View Bulletin | Ctrl-P | Print Strip Chart
Ctrl-C | Station Configuration | F3 | Zoom In
Ctrl-E | Internet Settings | F4 | Zoom Out
Ctrl-G | Degree-Days Report |  |
Ctrl-H | Hang Up (Modem or Internet) | Plot Window
Ctrl-I | Communications Port Settings | Esc | Stop Plot Update
Ctrl-J | Automatic Download | Shift | Hold Plot Update
Ctrl-K | Walkthrough | Ctrl-D | Choose Date
Ctrl-L | Download | Ctrl-M | Make Default
Ctrl-O | Open Station | Ctrl-P | Print Plot
Ctrl-P | Print Active Window | F3 | Zoom In
Ctrl-Q | Open Plot Window | F4 | Zoom Out
Ctrl-R | Yearly Rain Report | F9 | Overlay Plots
Ctrl-S | Open Strip Charts | F10 | Last Year Plot
Ctrl-T | Set Time & Date |  |
Ctrl-U | Select Units | Browse Window
Ctrl-V | View Download Log | Ctrl-D | Choose Date
Ctrl-W | Browse Database | Ctrl-N | Add Note
Ctrl-X | Auto Fax Settings | Ctrl-P | Print Records
Ctrl-Y | View Summary Window | Enter | Edit Record
Ctrl-Z | Close Window | Delete | Delete Record
F1 | Context-Sensitive Help |  |
F2 | Sunrise/Sunset Report | Yearly Rainfall Window
F7 | NOAA This Month | Enter | Edit Year
F8 | NOAA This Year |  |


GLOBE Info Page

GLOBE is a worldwide hands-on, primary and secondary school-based education and science program. Students participating in GLOBE take scientifically valid measurements in the fields of atmosphere, hydrology, soils, and land cover/phenology and report their data via the Internet. Data reported to GLOBE is used and shared by scientists and other GLOBE students around the world.

WeatherLink supports two of the protocols used for measuring environmental data: the Davis Weather Station Atmosphere Data Protocol and the Davis Soil Moisture and Temperature Station Soil Data Protocol. WeatherLink exports data into text files that conform to the GLOBE e-mail data entry formats for the supported protocols. The data is then reported by copying the exported text into the body of an e-mail message and sending it to GLOBE.

Links to GLOBE Help Topics

Export Records in GLOBE Format

GLOBE Output File Formats

Davis Air Data Report Format

Davis Soil Data Report Format

Links to the GLOBE Web Site

GLOBE Flash Page

GLOBE Program Home Page

View GLOBE Data from schools around the world

GLOBE Teachers Guide

Learn More About GLOBE

Globe USA Teacher Training Workshop Schedule

List of GLOBE Protocols

GLOBE E-Mail Data Entry Information


CWOP Links Page

Citizen Weather Observer Program (CWOP) Info Page

The National Oceanic and Atmospheric Administration (NOAA) needs volunteers for its Citizen Weather Observer Program (CWOP). Data from CWOP volunteers helps improve NOAA weather prediction models and provides a valuable resource for important research and for government agencies such as the National Hurricane Center. Plus, weather enthusiasts around the world will be able to see your weather data via the Internet. It costs nothing to participate and it's easy.

Note: WeatherLink for Windows provides all the software support needed to report CWOP data via the internet.

Links to CWOP Help Topics

APRS Setup

APRS Features

Citizen Weather Observers Program

Links to CWOP Web Sites

Find out how to join: http://www.findu.com/citizenweather/signup.html

View data from participating volunteers:http://www.wxqa.com/stations.html

Requirements

  • A computer running Windows 95/NT or later with Internet access.

  • A Vantage Pro, Pro2, or Weather Envoy station with WeatherLink for Windows (#6510C, 6510SER, 6510USB, 6540, 6544, 6550, 6560) version 5.2 or later.

  • Or, a Weather Monitor II, Weather Wizard II or III, or Perception II station with WeatherLink for Windows (#7862) version 5.4 or later.

Back to APRS Features


Technical Reference Home Page

This section covers several technical topics that may help you better understand and use the software.

Archive Memory

Database

Database Conversion - Upgrading from WeatherLink 3, 4, 5.0 or 5.1

Retrieving Data From the Data Logger

Downloading to a Palm PDA

Automatic Download

Daylight Savings Time in WeatherLink

Program and Station Directory Structure

Weather Data Calculation and Storage

Calibration Numbers

Station Modem Initialization String

Command Line Options

Tips on Exporting Data for other Programs

HTML Features

APRS Data Fields

GLOBE Email File Formats


Archive Memory

The Vantage Pro or Vantage Pro2 data logger (serial or USB) has room in the archive memory for 2560 records.

  • The shortest archive interval of one minute allows the logger to store approximately 2560 minutes of data (42 hours and 40 minutes, or 1.7 days).

  • The longest archive interval of two-hours (120 minutes) allows the logger to store 213 days of data.

Data Logger Storage Capacity

This is the amount of time it takes to completely fill the archive memory:

Archive Interval Setting | Data Storage Capacity (time to fill memory)
1 Minute | 1.7 days (42 hours, 40 minutes)
5 Minute | 8.8 days
10 Minute | 17.7 days
15 Minute | 26.6 days
30 Minute | 53.3 days
60 Minute | 106.7 days
120 Minute | 213.3 days

Data is not erased from the archive when you download. The Vantage Pro and Vantage Pro2 consoles are smart enough to send only the data accumulated since the last time you downloaded. The data remains in the data logger as a backup until you intentionally clear the memory, reset the archive interval, or the archive memory is full.

Since this backup data is stored on the logger, you can restore edits you have made near the end (the more recent data) of the database. Delete the last records from the database file and download again. If you want to see how many records are stored in the archive memory, download into an empty database. The entire archive is downloaded.

  • The data logger uses 21-byte records to store weather data. The 32K of memory in the data logger allows a maximum of 1560 records to be stored.

  • Maxima, minima, and average weather data values are taken over the archive interval.

Data Logger Storage Capacity

This is the amount of time it takes to completely fill the archive memory:

Archive Interval Setting | Data Storage Capacity (time to fill memory)
1 Minute | 1.08 days (26 hours)
5 Minute | 5.4 days
10 Minute | 10.8 days
15 Minute | 16.25 days
30 Minute | 32.5 days
60 Minute | 65 days
120 Minute | 130 days

Archive Memory

The archive memory is the weather information storage area in the data logger itself. At each archive interval, the data logger stores one record to archive memory.

When the archive memory "fills", the logger overwrites old data each time it stores a new record. Because of this, it’s best to choose the longest archive interval that suits your purpose. In addition, make sure to download data before your archive memory fills or you will have gaps in your database.

  • To help you know how often to download, the software shows you what percent of archive memory is full whenever you download data.

  • Data stored in the archive memory is erased whenever you reset the archive interval.

Vantage Vue, Vantage Pro, Vantage Pro2 Archive Memory

Monitor, Wizard and Perception Archive Memory

Back to Technical Reference


Database

The database is the permanent record of data stored on disk. When you download, the software transfers all information in the archive memory to the computer and writes the information into the appropriate database files. If you do not clear the archive memory when downloading data, the software overwrites any existing data when writing to the database, including any records you have edited.

The software stores data to disk in monthly blocks, each of which is a separate data file in the weather station's directory. The name of the data file indicates the year and the month of the data and uses the three character file extension ".wlk".

Back to Technical Reference


Database File

Database Files

The software stores downloaded data in monthly files with the format YYYY-MM.wlk. Whenever you download, the database files are saved into the open station's directory. The database file name indicates the year and month of the data. The three-character file extension "wlk" identifies the files as a WeatherLink data file. As an example, the March 2004 data file is named "2004-03.wlk".

Database Storage Requirements

Each archive record in the database is 88 bytes. Every day in the database has an additional two records totalling 176 bytes that store daily summary information. A database containing data stored at a 30 minute archive interval requires approximately 4400 bytes of disk space per day or 132KB of disk space per month. The file size changes in a linear fashion depending on the archive interval. For example, data stored at a one minute interval requires approximately 3.9 MB a month while the data stored at a two hour interval requires approximately 33 KB a month.

You cannot combine database files. For example, if you download half of your April data to one station directory and the other half to another station directory, you cannot combine the two database files into a single file containing all of your April data. (If you do not clear your archive memory, you may be able to download the data into the correct file at a later date.) Take care when downloading to make sure the open station is correct.

  • The "readme.wri" file located in your WeatherLink program directory provides a detailed description of the WeatherLink database format for programmers.

  • Additional technical information can be found in our web site: Weather Software Support.

Back to Technical Reference


This method converts all the data files in an existing WeatherLink station directory. It also retains the previously entered station configuration data.

  1. Use Windows Explorer to copy the station folder from your previous WeatherLink program folder to the WeatherLink 5.2 or later program folder.

  2. Select the Open Station command in the File Menu to open the copied station folder.

WeatherLink will automatically detect that the station was created by a previous version of the software and ask if you want to convert the data and station.

  3. Choose OK to convert the station configuration, including the weather data files.

WeatherLink automatically creates a backup copy of the old files and converts them for use by WeatherLink 5.2 or later.

Database Conversion

If you have an existing weather database from WeatherLink 5.1 or earlier, including versions of WeatherLink 3 and 4, there are two ways you can convert those files for use by WeatherLink 5.2 or later:

Convert a WeatherLink Station

Import Database Files

CAUTION: Do not convert data files from WeatherLink 5.2 or later. Your existing data files will work as is with the new WeatherLink software. The conversion process will corrupt your data files unless the files were created by WeatherLink 5.1 or earlier.

See also:

Import Database Files

Retrieving Data From the Data Logger

Database File

Back to Technical Reference


Retrieving Data From the Data Logger

The archive memory in your Vantage Vue, Vantage Pro or Vantage Pro2 data logger contains data not used by WeatherLink 5.0 or 5.1, such as UV, solar radiation, and rain rate. Depending on the archive interval, you may have up to 200 days of this data in your logger. Using WeatherLink 5.2 or later this data can be downloaded and included in your WeatherLink data files.

To incorporate this data into your WeatherLink data files:

  1. Choose New Station in the File menu to create a temporary weather station folder.

  2. Choose Download in the File menu or click on the download icon. WeatherLink will do a full download of all data stored in the data logger.

  3. Choose Browse in the Window menu or click on the Browse icon.

  4. Scroll to the beginning of the data file, and write down the time and date of the first entry in the database.

  5. Open your original WeatherLink station using the Open Station command in the File menu.

  6. Choose Browse in the Window menu or click on the Browse icon.

  7. Choose Delete Records in the Browse Menu

  8. Select the records for all the days following the earliest date in your temporary station database.

Note: Do not select the records for the day on which your temporary database begins. We will individually delete the records for that day in the next step.

  9. In the Browse Window, you will need to individually select and delete each record in the data base that is dated after the earliest record in your temporary database.

  10. Once you have finished with the deleting, choose Download in the File menu or click on the Download icon to download data from the data logger. You should now have records in your data base up to the current time that include all the new information that has been stored in your data logger.

  11. You can now delete the temporary station you created in Step 1.

After retrieving data from the data logger, you may need to recalculate the THSW Index.

Back to Technical Reference


Downloading Weather Data to a Palm PDA

Use the following instructions to download archived weather data from a Vantage Pro console or from a Weather Envoy.

  1. Use the supplied 9-pin cable adapter and your Palm serial cable to connect your Palm to the data logger installed on a Vantage Pro console or Weather Envoy.

Connecting Your Palm to a Vantage Console

  2. Open the Palm Launch window and tap on the WeatherLink Download Data icon [image].

  3. Tap WeatherLink Downloader in the title area at the top of the screen.

  4. Tap Open Station in the drop-down File menu.

  5. Tap the name of the Palm station you will be downloading to.

  6. Tap OK to select the station, tap Cancel to exit without selecting a station.

  7. Tap WeatherLink in the title area at the top of the screen.

  8. Tap Download in the drop-down File menu. The Download window shows download status as the data is transferred to the Palm .

  9. When you see the Download Complete message, tap OK to return to the WeatherLink Downloader main window.

Related Topics:

Installing WeatherLink Downloader Software

Import Palm Database Into WeatherLink

Back to Technical Reference


Automatic Download

You can configure WeatherLink to perform a download at the time interval specified in one of the three Data Upload Profiles.

  1. Create a Data Upload Profile.

  2. Set the "Upload Every " interval to the desired download interval.

  3. Check "Download Weather Station First"

Use these additional Upload Profile settings if a Data Upload Profile isn't already uploading data at your desired download interval:

  1. Select one of the report files to upload.

  2. Configure a local path in the Internet Configuration Settings dialog box

  3. Enable Local Transfer.

Automatic Download

The automatic download feature lets you specify the times, up to once an hour, for WeatherLink to automatically download data from your station. Before the beginning the download, a dialog box allows you to either OK or cancel the download. If you do not make a choice within 10 seconds the automatic download begins. If you have a remote connection, WeatherLink automatically dials and hangs up the connection for you. The log file records whether or not the automatic download was successful.

The software checks every 20 seconds to see if an automatic download is scheduled.

Under certain circumstances, the software will actually download data up to 10 minutes after the automatic download time. This feature allows the software to automatically download data from a station if you launch the software a little later than the automatic download time. For example, if a station is set to download at 12:01, and you launch the software at 12:05, the software will still download the station’s data.

To download more often than once an hour

Back to Technical Reference | Go to Setting Up Auto Download


Daylight Savings Time in WeatherLink

Daylight Savings Time is handled a little differently by different parts of WeatherLink, depending on the model of your Davis weather station and the software function being used.

There are 3 different places where daylight savings time can be set:

  • On the weather station console display

  • The Set Time and Date dialog box in the WeatherLink Setup Menu.

  • The Sunrise & Sunset Report dialog box in the WeatherLink Reports Menu.

In order for the station console and WeatherLink station configuration to stay synchronized, always set the time on the station from WeatherLink, and be sure to use the correct daylight savings setting.

The time on the station controls the time stamps applied to archived data. In order to correctly calculate the THSW index or to generate GLOBE reports, WeatherLink must be able to convert the archived data time stamp into a GMT or UTC times tamp. This calculation requires both the standard time zone, and whether the data's time stamp is a standard or daylight savings time value.

The daylight savings settings for Sunrise & Sunset Reports are independent of the settings for the console or the PC station configuration. For example, you can use the automatic daylight savings feature for sunrise reports, even if your weather station is a Monitor (which doesn't support automatic daylight savings mode).

Time zones are designated by their "standard UTC offset" in hours. This is the number of hours to add to UTC to get the standard time. For example: Pacific Standard Time is -8 hours, so 12 noon UTC = 12 + (-8) = 4:00 am Pacific Standard Time. If daylight savings time is in effect, one hour is added to the local time. In the example above, 12 noon UTC = 12 + (-8) + 1 = 5:00 am Pacific Daylight Savings Time.

See also:

How WeatherLink Calculates Daylight Savings Time

How WeatherLink Uses Daylight Savings Time

Back to Technical Reference


Program & Station Directory Structure

Unless you change the default during installation, in the install script, creates a program directory called "C:\WeatherLink" and several subdirectories for data and configuration files. Click below for information on WeatherLink’s directory and file structure.

  • Station Directory

  • Station Configuration File

  • Database Files

  • Program Directory & Configuration File

  • HTML Templates

  • Expansion Module Directory

Back to Technical Reference


Station Configuration File

When you add a station, the software creates a station configuration file, "station.cfg" in the station directory. Each station has its own separate configuration file that saves the configuration settings listed below. Use the links to learn more about the different configuration settings.

Settings Stored in the Station Configuration File Include:

Latitude and longitude

Time Zone

NOAA report settings

Fuel Demand report settings

Station type and installed sensors

Colors for Standard Plot Elements

Plot Printing Options

Plot Hi/Lo Summary Options

Communications Port Settings

Sensor Calibration Settings

Globe School ID, Air Data Site ID, and Soil Data Site ID

Note: Also stores station configuration settings associated with installed Expansion Modules

To recognize a station, the WeatherLink program creates a station configuration file (in the same directory as the database files). When opening a station, the software locates the station configuration files and reads the station name from them. If you copy database files (to share or transfer data, for example) make sure to copy the station configuration file with them. As long as the station configuration file is in the same directory as the database files, you should be able to read the database files normally.

Back to Technical Reference | Program & Station Directory Structure


Station Directory

When you create a new station a new station directory is created (using the first eight characters of the station name, not including any spaces and punctuation) in the root program directory. The station’s configuration file resides in this directory, as do subdirectories that contain station-specific files.

  • Rain.db

The file "rain.db" is the station’s rain database.

  • Station configuration file

  • DataSets.dat

The DataSets.dat file contains a list of all data values that can be browsed or plotted. It includes color, Browse Window formatting, and names.

Note: To copy color settings from one station to another, copy the DataSets.dat file to the station directory.

  • DataLists.dat

The DataLists.dat file contains a list of data values selected for use by this station.

  • \Datanote directory

The Datanote directory contains any notes you have entered for database records. The software assigns its own coded file names to database files. If you want to delete a note, it is best to do so from the software. Do not rename a note file.

  • \Plots directory

The software automatically creates a Plots directory into which you may store plots, plot templates, and strip chart templates. You may, of course, save plot and strip chart files into any directory you wish.

  • \Degdays directory

The software automatically creates a Degdays directory into which it stores all degree-day information.

  • \Templates directory

The software automatically creates a Templates directory for storing template files and other files selected to be uploaded to the web. If you wish, other directories can also be used to store files to be uploaded to the web.

  • \Images directory

The software automatically creates an Images directory. This directory stores the weather data images created by WeatherLink before the images are uploaded to the web. There are three sub-directories in the Images directory, one for each Data Upload Profile: Profile1, Profile2, and Profile3

  • Internet configuration file

The "Internet.cfg" file contains the internet and FTP configuration settings.

Additional Files Created When Needed

The following files are not created by WeatherLink until needed:

  • Profile list file

The "Profile1.lst", "Profile2.lst", and "Profile3.lst" files show all the template files selected for upload by each Data Upload Profile, including the full directory path for each file.

  • Temporary template list file

"TemplateList.txt" is a list of all HTML Template Files (.htx) to be processed for the current or most recent data upload.

  • Temporary upload list file

"UploadList.txt" is a master list of all files included in the current or most recent upload, including images and reports, and also includes info on the remote paths.

Back to Technical Reference | Program Directory & Config File


Weather Data Calculation

Click on variable to see details on how the software calculates the data for each weather function to enter in the archive memory or database.

Air Density

Average And High Wind Speeds

Bad Data

Bar Trend

Barometric Pressure

Degree-Day Calculation Methods

Dew Point

Equilibrium Moisture Content (EMC)

Forecast

Heat Index

Heating & Cooling Degree-Days

High/Low Temperature

High Wind Speed

High Rain Rate

ISS Reception

Rainfall

Solar Radiation & Solar Energy

Temperature

Temperature Humidity Sun Wind Index

Temperature Humidity Wind Index

UV Index & UV Dose

Wind Chill

Wind Direction

Wind Run

Wind Speed


Calibration Numbers - Vantage Pro, Vantage Pro2

Calibration Numbers - Vantage Vue, Vantage Pro2, Vantage Pro

To fine-tune your station, you can calibrate most of the weather variables. For example, if your outside temperature reading seems consistently too high or too low, you can enter an offset to correct the deviation. You can calibrate most temperature and humidity variables, as well as barometric pressure, through the software. All other calibration numbers, e.g. wind direction, must be set on the console directly.

  • You can use the Clear dialog box to reset all calibration numbers at once, including those you can only set on the console.

  • Although you can set some calibration numbers from the software, all the data the software receives from the Vantage Vue/Vantage Pro/Vantage Pro2 system is calibrated by the console, whether the calibration number is set directly on the console or through the software.

Note: Vantage Vue/Vantage Pro/Vantage Pro2 accepts temperature adjustments of up to ±12.7ºF (~ 7ºC) away from the raw reading. For example, if the (uncalibrated) inside temperature reading is 60º F (15.6ºC), you could set the temperature anywhere between 47.3 ºF (8.6ºC) and 72.7ºF (22.6 ºC). (60-12.7=47.3, 60+12.7=72.7)

Back to Technical Reference


Modem Initialization String

The software automatically enters the following modem initialization string in the Communications Port Settings dialog box, which should work with most modems: AT &F S7=60 E Q V X4. The individual components of the string have the following meaning.

Command | Description
AT | This string precedes all Hayes commands
&F | Resets modem to factory defaults
S7=60 | Tells modem to wait a maximum of 60 seconds for remote modem to answer and issue a data carrier.
E | Turns echo off.
Q | Tells the modem to return result codes.
V | Tells the modem to return short form result codes.
X4 | Enables result codes 0 to 7 and 10.

The software can troubleshoot some modem problems by presenting error messages. For the software to provide error messages, any modem initialization string you enter must contain the E, Q, and V strings.

Note: If you use another communications program after using the modem with the WeatherLink Software, you may need to re-initialize the modem using the modem string expected by the other program.

Back to Technical Reference


Command-Line Options

The following command line options let you to perform specific program functions as the program loads (such as downloading, clearing highs/lows, or opening a specific station. To use a command line option, open the Properties dialog box for the program icon or program shortcut (consult your Windows documentation for instructions) and enter the command line options after WeatherLink.exe.

  • Station Directory -o

If you have multiple stations, this option opens the station in the specified station directory. It can be used to open a specific station when you start WeatherLink, otherwise WeatherLink will automatically open the last opened station from when WeatherLink last ran.

Note: If you use the Station Directory "-o" command line option, the station you specify will become the new "last opened station".

  • Station Directory -d

When the software loads, it automatically downloads data from the station in the station directory specified. After the download is finished, the software closes, unless the &endash;o option is also set.

You do not need to specify the station directory if you want to download the last opened station.

Note: If you use the Station Directory "-d" command line option, the station you specify will become the new "last opened station".

  • Station Directory -c

When the software loads, it automatically clears data from the station in the station directory specified. Only the variables that have been selected using the Auto Clear command are cleared. If you have only one station, you do not need to specify the station directory.

Note: This option is not available for Vantage weather stations.

  • Station Directory -p

Some printers can not print the axis labels in the Plots and Strip Charts vertically. We have seen this on a HP IIP printer at 150 dpi. If you have a printer that does not print the plot axis labels correctly, use the -p command line option to force the printer to print the axis labels out so they’re readable.

If you have only one station, you do not need to specify the station directory.

Examples:

  • WeatherLink.exe -d

Starts software and downloads data from the last opened station, then exits.

  • WeatherLink.exe -p

Resets printer to print plot and strip chart axis labels correctly. Use only if your printer is not printing the axis labels correctly.

  • WeatherLink.exe Official -o

After loading the software, opens the station in the sub-directory named "Official."

  • WeatherLink.exe Stubby1 -o -d

After loading the software, opens the station in the sub-directory named "Stubby1" and downloads any new data stored since the last download.

Back to Technical Reference


Exporting Data

When you create an export file, the software creates a tab-delimited text file. All that means is that the software creates a text file with each record on a separate row and a tab inserted between each piece of data in that row. Most popular spreadsheet and database packages are able to open or import tab-delimited text files while maintaining the structure of the original database. Consult your program’s documentation for instructions on importing tab-delimited text files. You can also open or import the file in most popular word processor programs as a text file. Because tabs separate the columns of data, you can choose most any desired font.

The time will be printed in either 24 or 12 hour format, depending on the format selected in the Windows® control panel. (See your Windows documentation for an explanation.) If you’re using the 12 hour format, the time will be followed by an "a" or a "p", separated from the numerals by a space. This is to allow some spreadsheet programs to correctly import the time column.

Back to Technical Reference


APRS Data Fields

The data fields used for APRS reporting are described below.

Sample APRS Output

CW0538>APRS,TCPIP*:@192243z3738.16N/12207.50W_274/010g...t065P001h61b10084L776.DsVP

Sample APRS Output with Real-Time Window Open

TEST>APRS,TCPIP*:@192243z3738.16N/12207.50W_274/010g015t065r001p001P001h61b10084L776.DsVP

APRS Data Fields

Description

Text From Output Sample

Data Values

Call Sign or Citizen Weather Observers Program number (i.e. "CW0538"). Identifies the station. Entered in the APRS Setup dialog. It should be exactly 6 characters long.

CW0538

Message transmission path

>APRS,TCPIP*:

Zulu, GMT or UTC time. Includes the day of the month, hour, and minutes. Uses the timezone and daylight savings settings of your windows operating system.

@192243z

19th day of the month, 22:43 GMT

Latitude. It’s entered in the Set Latitude & Longitude dialog box.

3738.16N

37° 38.16' N

Longitude. It’s entered in the Set Latitude & Longitude dialog box.

/12207.50W

122° 7.5' W

Current Wind direction (degrees). 360° = North,

_274

274°

Wind speed (MPH). (The Vantage Pro and Vantage Pro2 systems send 10 minute average wind speed, if you do not have a real-time window open. Monitor and Wizard stations send the current speed. With a real-time window open, i.e. Bulletin [excluding the Strip Chart window], the APRS Data field contains a two-minute average depending on the selected reporting standard selected in the APRS Setup dialog box.)

/010

10 mph

Wind Gust (not reported if you do not have a real-time window open. With a real-time window open, i.e. Bulletin, the APRS Data field contains a ten-minute gust depending on the selected reporting standard selected in the APRS Setup dialog box.)

g...

-OR-

g015

Not reported

-OR-

15 mph

Current Temperature (whole degrees F, last reported values)

t065

65°F

Last one hour rain. With a real-time window opened, i.e. Bulletin or Summary, the APRS data fields contain rain data from the last hour.

r...

-OR-

r001

Not reported

-OR-

0.01 in

Last 24-hour rain. With a real-time window opened, i.e. Bulletin or Summary, the APRS data fields contain rain data for the last 24-hour period.

p...

-OR-

p001

Not reported

-OR-

0.01 in

Rain since midnight (in 0.01 inch)

P000

0.01 inches

Current humidity (in percent, 00 = 100%)

H61

61%

Current altimeter setting for Vantage Pro and Vantage Pro2, current barometer reading for Weather Monitor II, Perception II (in 0.1 mb or 0.1 hPa). Monitor II, and Perception II users should set the barometer to match the nearest altimeter setting.

B10084

1008.4 mb

Luminescence (Solar Radiation). Requires solar radiation sensor. Data omitted if no solar radiation sensor is present in the station.

A capital L, "L", is used to report values between 0 and 999 W/m2. A lower case L, "l", used to report values from 1000 to 1999 W/m2.

L776

776 W/m2

Weather station type ID ("DsVP" for Davis Vantage Pro and Vantage Pro2)

.DsVP

-OR-

.DVS

Readings taken by a Vantage Pro or Vantage Pro 2 weather station

-OR-

Readings taken by a Monitor/ Wizard/ Perception station

Note: The Data field types changes if one of the real-time windows (Bulletin, Summary, Etc.) is open when an APRS upload is scheduled. The APRS packet will include averaged and high wind speed values, as well as the last hour rain rate and last 24-hour rain rate. If a real-time window is not open, the APRS packet will include the ten minute average wind speed (or current wind speeds for Monitor/ Wizard/ Perception stations) and will not include any gust or high wind speed data, as well as the last hour rain rate and last 24-hour rain rate.

Back to Technical Reference | APRS Features


GLOBE Output Files

In WeatherLink and in your Davis Weather Station manual, Sea Level Pressure is called Barometric Pressure, Sea Level Barometric Pressure, or Corrected Sea level Barometric Pressure. They all mean the same thing.

In WeatherLink and in your Davis Weather Station manual, station pressure is called atmospheric pressure. They both mean the same thing.

GLOBE Output File Formats

WeatherLink can export weather data into two GLOBE e-mail data entry formats:

Davis Air Data Format (DAVAD) - conforms to the Atmosphere Protocol for the Davis Weather Station.

Davis Soil Data Format (DAVSD) - conforms to the Soil Protocol for the Davis Soil Moisture and Temperature Station.

See our GLOBE Links page for more information on GLOBE and more information on using WeatherLink to support your GLOBE program.

Note: As of August 20, 2003, your Davis Weather Station needs to be configured to output sea level pressure, not station pressure. If your measurements were taken after August 20, 2003, yet your station was not configured to output Sea Level Pressure, then please mark Field 14 as missing ( "X" ).

GLOBE Report Codes

The following codes are used in GLOBE e-mail reports:

DAVAD - Indicates an Atmosphere Report using data from a Davis weather station.

DAVSD - Indicates a Soil Report using data from a Davis Soil Moisture/Temperature Station.

SCHOOLID - The GLOBE school ID code. The school ID is an 8 character code that uniquely defines each school to the GLOBE data system.

ATM-01 - Site ID code. ATM indicates it is an Atmosphere Study Site. 01 indicates the first ATM site at the school sending the report.

SMS-01 - Site ID code. SMS indicates it is a Soil Moisture study site. 01 indicates the first SMS site at the school sending the report.

Back to Technical Reference | Export Records in GLOBE Format


Vantage Pro Archive Memory

Data Logger Storage Capacity

This is the amount of time it takes to completely fill the archive memory:

Archive Interval Setting | Data Storage Capacity (time to fill memory)
2 Minute | 1.7 days (42 hours, 40 minutes)
5 Minute | 8.8 days
10 Minute | 17.7 days
15 Minute | 26.6 days
30 Minute | 53.3 days
60 Minute | 106.7 days
120 Minute | 213.3 days

Data is not erased from the archive when you download. The Vantage Vue, Vantage Pro and Vantage Pro2 consoles are smart enough to send only the data accumulated since the last time you downloaded. The data remains in the logger as a backup until you intentionally clear the memory, reset the archive interval, or the archive memory is full.

Since this backup data is stored on the logger, you can restore edits you’ve made near the end (the more recent data) of the database. Delete the last records from the database file and download again. If you want to see how many records the archive memory holds, download into an empty database. The entire archive will be downloaded.

Back to Technical Reference | Archive Memory


Monitor Wizard and Perception Archive Memory

Monitor, Wizard and Perception Data Logger Storage Capacity

This is the amount of time it takes to completely fill the archive memory:

1 Minute Archive Interval 1.08 days (26 hours)

5 Minute Archive Interval 5.4 days

10 Minute Archive Interval 10.8 days

15 Minute Archive Interval 16.25 days

30 Minute Archive Interval 32.5 days

60 Minute Archive Interval 65 days

120 Minute Archive Interval 130 days

Back to Technical Reference | Archive Memory


Data: Air Density

Air Density (the weight of 1 cubic foot or 1 cubic meter of air ) is a valuable tool for racing enthusiasts, because it helps determine the optimal jetting under current weather conditions.

Note: Air density calculations for Monitor and Perception stations uses the uncorrected bar value. Air density calculations for Vantage Pro and Vantage Pro2 stations use the corrected/final bar value.

Internal combustion engines operate at their peak efficiency (producing the most power or using the least fuel) when the correct ratio of oxygen and fuel are introduced into the combustion chamber. The carburetor jets (or fuel injector setting) control the ratio of how much fuel is introduced into a given airflow. Carburetors do not automatically compensate for changes in the amount of oxygen in that airflow and therefore changes in oxygen concentrations can result in inefficient operation. Changes in the oxygen content of air result from changes in the weather (barometric pressure, temperature, and humidity).

Measuring oxygen concentration in air is difficult; other measures are commonly used to estimate oxygen content. For example, determining changes in the density of the air (i.e., how much a given volume of air weighs) can produce a reasonable estimate of changes in oxygen concentration.

The formula used to calculate air density in the WeatherLink Software requires measures of absolute pressure (barometric pressure uncorrected for altitude), relative humidity, and temperature.

Air Density (in Kg/m3) = 1.2929 X 273.13 X ( AP - ( SVP x RH ))

( T + 273.13) 760

Where:

T = Temperature in Celsius

AP = Absolute Pressure (mm of Hg)

SVP = Saturation Vapor Pressure of air over water at temp T (see Table 1 below)

RH = Relative Humidity (decimal)

Table 1. Saturation Vapor Pressure at Different Temperatures

Temp (C°) | SVP
0 | 4.58
1 | 4.92
2 | 5.29
3 | 5.68
4 | 6.10
5 | 6.54
6 | 7.01
7 | 7.51
8 | 8.04
9 | 8.61
10 | 9.21
11 | 9.85
12 | 10.52
13 | 11.24
14 | 11.99
15 | 12.79
16 | 13.64
17 | 14.54
18 | 15.49
19 | 16.49
20 | 17.55
21 | 18.66
22 | 19.84
23 | 21.09
24 | 22.40
25 | 23.78
26 | 25.24
27 | 26.77
28 | 28.38
29 | 30.08
30 | 31.86
31 | 33.74
32 | 35.70
33 | 37.78
34 | 39.95
35 | 42.23
36 | 44.62
37 | 47.13
38 | 49.76
39 | 52.51
40 | 55.40
41 | 58.42
42 | 61.58
43 | 64.89
44 | 68.35
45 | 71.97
46 | 75.75
47 | 79.70
48 | 83.83
49 | 88.14

One must develop "rules of thumb" to use air density effectively in tuning carburetors for optimal performance. One such rule of thumb is that a five percent (5%) change in air density may require re-adjustment of the carburetor jetting. High air density readings indicate more oxygen in the air, thus more fuel is needed (richer tune), while low readings indicate less oxygen, requiring less fuel (leaner tune).

Back to Data Calculation


Data: Average and High Wind Speeds

WeatherLink samples the wind speed reading from the station a number of times during the interval (the actual number depends on your archive interval). Those readings are averaged to determine at the average wind speed for the interval. WeatherLink accumulates the following wind speed statistics for each minute (as determined by the computer clock): The number of data points received, the highest wind speed value, and the sum of all of the wind speed values received. These statistics are kept for the last full 10 minutes, plus the last minute that is currently being updated.

The average and high wind values are calculated by aggregating the last X minute statistics, plus the statistics for the current minute. For example, the two minute high wind speed is the highest value recorded in the last two full minutes plus the current minute divided by the number of samples over the same period.

Note: Because the average is calculated by the computer, the value is shown with a resolution of 0.1 mph (0.1 km/h, 0.1 knots, or 0.1 m/s). This is different from the 10 minute average wind speed available on the Vantage Pro or Vantage Pro2 station, which is available as soon as a real -time window (excluding the Strip Chart) is open, but only has a resolution of whole miles per hour. Once 10 minutes have passed these two values should be within 1 mph of each other.

Because the current partial minute is included in the calculation, the numbers can change with every sample taken, and the time periods are not exactly the number of minutes specified. For example, the two minute wind values are calculated over a period between two and three minutes depending on the time between when the value is calculated and the time the computer clocked rolled over to a new minute.

The wind data table in Summary window will show dashes until the number of minutes specified have elapsed. For example, at least five minutes must elapse after opening a real time window before the five minute average or high wind speed are shown.

Note: The one minute data will be shown when the computer clock rolls over to a new minute which will occur less than a minute after the window is opened. This "error" becomes a smaller percentage of the measurement interval over longer time intervals, and disappears completely after 11 minutes.

Back to Data Calculation


Data: Bad Data

Should a sensor get disconnected or malfunction, or the wireless model loses reception, the software displays any "bad data" recorded by that sensor as dashes (--). When you create a plot, the software ignores bad data and skips that point on the plot. You can enter dashes (--) into the database using the database record editor to mark bad data points as well.

Note: A dashed wind direction reading usually means there is no wind speed, but can also indicate bad or missing data.

Back to Data Calculation


Data: Barometric Pressure

The weight of the air that makes up our atmosphere exerts a pressure on the surface of the earth. This pressure is known as atmospheric pressure. Generally, the more air above an area, the higher the atmospheric pressure. This, in turn, means that atmospheric pressure changes with altitude. For example, atmospheric pressure is greater at sea-level than on a mountaintop. To compensate for this difference in pressure at different elevations, and to facilitate comparison between locations with different altitudes, meteorologists adjust atmospheric pressure so that it reflects what the pressure would be if measured at sea-level. This adjusted pressure is known as barometric pressure.

Barometric pressure changes with local weather conditions, making barometric pressure an important and useful weather forecasting tool. High pressure zones are generally associated with fair weather, while low pressure zones are generally associated with poor weather. For forecasting purposes, the absolute barometric pressure value is generally less important than the change in barometric pressure. In general, rising pressure indicates improving weather conditions, while falling pressure indicates deteriorating weather conditions.

Vantage Stations

Vantage Vue, Vantage Pro, Vantage Pro2 and Vantage Vue stations measures atmospheric pressure. When you enter your location’s altitude, Vantage station calculates the necessary conversion factor to consistently translate atmospheric pressure to the corrected sea-level barometric pressure for display. You can then fine-tune your barometric pressure reading by entering a new barometer reading in the set barometer dialog box.

WeatherLink for Vantage Pro and Vantage Pro2 samples the barometric pressure every 15 minutes.

Monitor, Wizard and Perception

WeatherLink for the Monitor, Wizard and Perception samples the barometric pressure at the time of each data archive and writes that value into the archive record.

Back to Data Calculation


Bar Trend

Data: Bar Trend

The Bar Trend shows the direction of change (higher, lower, steady) of the barometric pressure over the last three hours.

  • The Bar Trend is updated every 15 minutes.

  • Rapid rise is indicated if the pressure increases >= 0.06"

  • Slow rise is indicated if the pressure increases >= 0.02" and < 0.06"

  • Steady is indicated if the pressure changes < 0.02"

  • Slow fall is indicated if the pressure decreases >= 0.02" and < 0.06"

  • Rapid fall is indicated when the pressure decreases >= 0.06"

Note: Your Vantage Pro or Vantage Pro2 console must have Rev B or newer firmware to show the Bar Trend. If your console has Rev A firmware the Bar Trend will show three dashes "---".

Back to Data Calculation


Data: Degree-Day Calculation Methods

  • High / Low method

If you select the high/low method, the software uses the highest temperature and the lowest temperature for a given day to calculate the average temperature for that day. The difference between the average temperature and the base threshold are assumed to be the number of degree-days accumulated on that day. For example, if the average of the highest and lowest temperatures is 24º above the base threshold, the software assumes 24 degree&endash;days for the entire day.

Note: Unless 15 hours worth of records exist in the database for that day (from midnight to 3pm, for example), the software will not calculate degree-days for that day.

  • Integration method

If you select the integration method, the software calculates degree&endash;days using the average temperature for an interval and the interval time. For example, if the average temperature during a 15 minute interval was 24º above the base threshold, the software would calculate 0.25 degree-days during that interval (24 * 15 minutes in interval/1440 minutes per day). The number of degree-days during each interval are added together to arrive at a degree-day total. This method calculates degree-day totals more accurately than the high/low method.

Back to Heating and Cooling Degree-Days


Data: Dew Point

Dew-point is the temperature to which air must be cooled for saturation (100% relative humidity) to occur, providing there is no change in water content. The dew-point is an important measurement used to predict the formation of dew, frost, and fog. If dew-point and temperature are close together in the late after noon when the air begins to turn colder, fog is likely during the night. Dew-point is also a good indicator of the air’s actual water vapor content, unlike relative humidity, which takes the air’s temperature into account. High dew-point indicates high vapor content; low dew-point indicates low vapor content. In addition a high dew-point indicates a better chance of rain and severe thunder storms. You can even use dew-point to predict the minimum overnight temperature. Provided no new fronts are expected overnight and the afternoon Relative Humidity ³ 50%, the afternoon’s dew-point gives you an idea of what minimum temperature to expect overnight, since the air is not likely to get colder than the dew-point anytime during the night.

Dew point is not stored in archive memory or the database. Dew point is calculated whenever it is displayed. If you edit the temperature or humidity value, the dew point will change as well.

Back to Data Calculation


Data: EMC

Moisture content in wood affects both the size and strength of lumber. If you know the EMC of the storage or manufacturing area (which is derived using temperature and humidity readings), you can also determine the moisture content of the wood stored there.

Back to Data Calculation


Data: Forecast

WeatherLink includes two forecast features &endash; a forecast icon and a scrolling text message. Both use the following variables to generate this forecast: barometric pressure, wind speed and direction, rainfall, temperature, humidity, latitude and longitude, and time of year.

Note: The Forecast requires at least three hours of barometric pressure readings and is only available on those stations that include a barometer: the Vantage Vue, Vantage Pro, Vantage Pro2, Monitor, and Perception.

  • Forecast Icon

The icon gives a quick and simple forecast of the weather conditions 12 hours ahead. Based on the variables listed above, the icon will change to show snow, sun, partly cloudy, cloudy, or rain. Remember that the icon does NOT show what’s happening outside at the moment you look, but rather what Vantage Pro/Vantage Pro2 calculates will be the weather in 12 hours.

  • Text Forecast

The forecast messages that scroll across the bottom of screen on Vantage Vue, Vantage Pro and Vantage Pro2 console, and that appear across the bottom of the WeatherLink Bulletin and Summary windows, provide more detailed forecasts than the forecast icons do. Use the text forecast to help understand what the icons are telling you and as a longer&endash;range forecast. The text forecast will provide information on what could happen up to 48 hours in the future.

Back to Data Calculation


Data: Heat Index

The Heat Index uses the temperature and the relative humidity to deter mine how hot the air actually "feels." When humidity is low, the apparent temperature will be lower than the air temperature, since perspiration evaporates rapidly to cool the body. However, when humidity is high (i.e., the air is saturated with water vapor) the apparent temperature "feels" higher than the actual air temperature, because perspiration evaporates more slowly.

Note: WeatherLink uses the Steadman (1979 & 1998) formula to calculate Heat Index, which is more accurate than the method used by the Vantage Pro/Vantage Pro2 consoles and is calculated for all temperatures..

The Heat Index is not stored in archive memory or in the database, rather it is calculated as necessary (for example, when plotting or displaying database information). When Heat Index data is needed, the software calculates an average for each archive interval based on the temperature and humidity readings for the archive period.

Note: Heat Index temperatures greater than 999.9°F cannot be displayed. When the Heat Index temperature exceeds 999.9°F the temp will be dashed out.

Back to Data Calculation


Data: Heating & Cooling Degree-Days

Although degree-days are most commonly used in agriculture, they are also useful in building design and construction, and in fuel use evaluation. The construction industry uses heating degree-days to calculate the amount of heat necessary to keep a building, be it a house or a skyscraper, comfortable for occupation. Likewise, cooling degree-days are used to estimate the amount of heat that must be removed (through air-conditioning) to keep a structure comfortable. Heating and cooling degree-days are based on departures from a base temperature, typically 65ºF (18ºC).

One heating degree&endash;day is the amount of heat required to keep a structure at 65ºF when the outside temperature remains one degree below the 65ºF threshold for 24 hours. One heating degree&endash;day is also the amount of heat required to keep that structure at 65ºF when the temperature remains 24ºF below that 65º threshold for 1 hour.

Likewise, one cooling degree&endash;day is the amount of cooling required to keep a structure at 65ºF when the outside temperature remains one degree above the 65ºF threshold for 24 hours. One cooling degree&endash;day is also the amount of cooling required to keep that structure at 65ºF when the temperature remains 24ºF above that 65º threshold for 1 hour.

Depending on the calculation method, both heating and cooling degree-days can accumulate in the same day. Also, note that there are no negative degree-days. If the temperature remains below the threshold, there is no degree-day accumulation.

Heating and Cooling degree-days may be calculated by either the High/Low method or the Integration method.

Note: The Heating and Cooling degree-days displayed in the Strip Chart, Plot, and Browser use the integrated calculation method with a 65ºF (18ºC) base.

Below are some representative heating and cooling degree-day totals from different parts of the United States.

Barrow, Alaska Heating degree days 20,370 Cooling degree days 0 | Kansas City, MO. Heating degree days 5,326 Cooling degree days 1,388
Bismarck, N.D. Heating degree days 8,932 Cooling degree days 499 | Key West, Fla. Heating degree days 68 Cooling degree days 4,820
Hilo, Hawaii Heating degree days 0 Cooling degree days 3,134 | Yuma, Ariz. Heating degree days 983 Cooling degree days 4,244
Table data source: Williams, Jack. 1995. The USA TODAY Weather Almanac.

Back to Data Calculation


Data: High / Low Temperature

Data: High and Low Temperatures

WeatherLink is constantly checking for new high and low temperatures. The highest and lowest temperature values recorded during an archive interval are written into archive memory.

Back to Data Calculation


Data: High Wind Speed

WeatherLink is constantly checking for a new high wind speed. The highest wind speed value recorded during the interval gets written into archive memory.

Back to Data Calculation


ISS Reception

Data: ISS Reception

The ISS Reception rate shows the percentage of wind data packets that have been successfully received by the Vantage Pro/Vantage Pro2 or Vantage Vue console.

Back to Data Calculation


Data: High Rain Rate

Available for Vantage Vue, Vantage Pro and Vantage Pro2 stations only, the rain rate is calculated by measuring the time interval between each rainfall increment. When there is rainfall within the archive period, the highest measured value is reported. When no rainfall occurs, the rain rate will slowly decay based on the elapse time since the last measured rainfall.

Back to Data Calculation


Data: Rainfall

In calculating both daily and yearly rainfall totals for the software, WeatherLink checks the total rain register on the station. WeatherLink compares the current total rain value to the previous total rain entry in the archive memory to determine the amount of rainfall that occurred during the interval.

Back to Data Calculation


Solar Radiation & Solar Energy

Data: Solar Radiation & Solar Energy

The solar radiation sensor is only available for Vantage Pro, Vantage Pro, Vantage Pro2 stations and Vantage Vue stations that use the VP2 ISS with solar sensor.

Solar Radiation

What we call "current solar radiation" is technically known as Global Solar Radiation, a measure of the intensity of the sun’s radiation reaching a horizontal surface. This irradiance includes both the direct component from the sun and the reflected component from the rest of the sky. The solar radiation reading gives a measure of the amount of solar radiation hitting the solar radiation sensor at any given time, expressed in Watts per square meter (W/m2). The value logged by WeatherLink is the average solar radiation measured over the archive interval.

High Solar Radiation

This is the peak solar radiation measured during the archive interval.

Note: Vantage Pro consoles with Rev A firmware will only show the average high solar radiation value. Rev B firmware allows the Vantage Pro console to also log the high solar radiation value for each archive period.

Solar Energy

The amount of accumulated solar radiation energy over a period of time is measured in Langleys.

1 Langley = 11.622 Watt-hours per square meter

= 3.687 BTUs per square foot

= 41.84 kilojoules per square meter

Back to Data Calculation


Data: Temperature

Vantage Pro/Vantage Pro2/Vantage Vue

Vantage Vue, Vantage Pro and Vantage Pro2 stations use the ISS’s temperature sensor to measure the outside air temperature. A second temperature sensor in the console measures the inside air temperature. Additional temperature sensors (available only with wireless Vantage Pro and Vantage Pro2 models) can be used to measure temperature in other locations. You may use these extra sensors to measure whatever auxiliary temperature you see fit (including water temperature).

Vantage Vue/Vantage Pro/Vantage Pro2 either samples the temperature at the end of the archive period and writes it to the data logger, or samples the temperature throughout the archive period and calculates an average value at the end of the period.

Note: Temperature averaging is available as an option only if the Vantage Pro console firmware is dated 7/18/2002 or later.

Monitor, Wizard and Perception

The data logger samples the temperature reading from the station a number of times during the interval and then averages all those readings to arrive at the average temperature for the interval. The number of times the data logger samples the temperature depends on the archive interval.

Archive Interval | Sample Rate
1 minute | every 5 seconds
5 minutes | every 5 seconds
10 minutes | every 5 seconds
15 minutes | every 8 seconds
30 minutes | every 15 seconds
1 hour | every 30 seconds
2 hours | every 60 seconds

Back to Data Calculation


Data: Temperature Humidity Sun Wind Index

Data: Temperature Humidity Sun Wind (THSW) Index

The THWS Index uses humidity, temperature, the cooling effects of wind and the heating effects of direct solar radiation to calculate an apparent temperature.

Note: THSW requires a solar radiation sensor. The solar radiation sensor is only available for Vantage Pro or Vantage Pro2 stations, or a Vantage Vue station listening to a Vantage Pro2 ISS with a solar radiation sensor.

Note: THSW Index temperatures greater than 999.9°F cannot be displayed. When the THSW Index temperature exceeds 999.9°F the temp will be dashed out.

Back to Data Calculation


Data: Temperature Humidity Wind Index

Data: Temperature Humidity Wind (THW) Index

The THW Index uses humidity, temperature and wind to calculate an apparent temperature that incorporates the cooling effects of wind on our perception of temperature.

Note: THW Index temperatures greater than 999.9°F cannot be displayed. When the THW Index temperature exceeds 999.9°F the temp will be dashed out.

Back to Data Calculation


UV Index & UV Dose

Data: UV Index & UV Dose

Note: The UV sensor is only available for Vantage Vue, Vantage Pro and Vantage Pro2 stations

Energy from the sun reaches the earth as visible, infrared, and ultraviolet (UV) rays. Exposure to UV rays can cause numerous health problems, such as sun burn, skin cancer, skin aging, and cataracts, and can suppress the immune system. The Vantage Vue, Vantage Pro or Vantage Pro2 console can help analyze the changing levels of UV radiation and can advise of situations where exposure is particularly unacceptable.

Caution: The UV readings do not take into account UV reflected off snow, sand, or water, which can significantly increase the amount of UV to which you are exposed. Nor does the Vantage Pro take into account the dangers of pro longed exposure to UV radiation. The readings do not suggest that any amount of exposure is safe or healthful. Do not use the Vantage Pro to determine the amount of UV radiation to which you expose yourself. Scientific evidence suggests that UV exposure should be avoided and that even low UV doses can be harmful.

The console displays UV readings in two scales: UV Index and UV MEDs.

UV Index

The UV Index measures the intensity of UV. It was first defined by Environment Canada and since has been adopted by the World Meteorological Organization. UV Index uses a scale of 0 to 16 to rate the current intensity of UV. The UV value logged by WeatherLink is the average UV measured during the archive interval.

The US EPA categorizes the UV Index values as shown below in Table 1.

Table 1 &endash; UV Index and Exposure Category

Index Values | Exposure Category
0-2 | Low
3-5 | Moderate
6-7 | High
8-10 | Very High
11+ | Extreme

Hi UV Index

This is the peak UV measured during the archive interval.

Note: Vantage Pro consoles with Rev A firmware will only show the daily high UV value.

UV MEDs

MED stands for Minimum Erythemal Dose, defined as the amount of sunlight exposure necessary to induce a barely perceptible redness of the skin within 24 hours after sun exposure. In other words, exposure to 1 MED will result in a reddening of the skin. Because different skin types burn at different rates, 1 MED for persons with very dark skin is different from 1 MED for persons with very light skin.

Both the U.S. Environmental Protection Agency (EPA) and Environment Canada have developed skin type categories correlating characteristics of skin with rates of sunburn. Tables 2 and 3 below list these skin types.

Table 2 &endash; EPA Skin Phototypes

Skin Photo type | Skin Color | Tanning & Sunburn History
1- Never tans, always burns | Pale or milky white; alabaster | Develops red sunburn; painful swelling, skin peels
2 &endash; Sometimes tans, usually burns | Very light brown; sometimes freckles | Usually burns, pinkish or red coloring appears; can gradually develop light brown tan
3 &endash; Usually tans, sometimes burns | Light tan; brown, or olive; distinctly pigmented | Rarely burns; shows moderately rapid tanning response
4 &endash; Always tans; rarely burns | Brown, dark brown, or black | Rarely burns; shows very rapid tanning response

Table 3 &endash; Environment Canada Skin Types and Reaction to the Sun

Skin Type

Skin Color

History of Tanning & Sun burning

I

White

Always burns easily, never tans

II

White

Always burns easily, tans minimally

III

Light Brown

Burns moderately, tans gradually

IV

Moderate Brown

Burns minimally, tans well

V

Dark Brown

Burns rarely, tans profusely

VI

Black

Rarely burns; shows very rapid tanning response

UV Dose and Sunburn &endash; Use this plot to estimate the MED dose leading to sunburn. A person with Type II (Environment Canada) skin type might choose 0.75 MED as the maximum for the day; in contrast, a person with Type V (Environment Canada) skin type might consider 2.5 MEDs a reasonable dose for the day.

Note: The Vantage Pro/Vantage Pro2/Vantage Vue consoles assume a Fitzpatrick (Environment Canada) Skin Type II. WeatherLink uses the skin factor selected in the Set Skin Type Scale Factor command in the Setup menu.

Back to Data Calculation


Data: Wind Direction

WeatherLink samples the wind direction reading a number of times during the interval (the actual number depends on your archive interval). If wind speed is greater than 0 when WeatherLink samples wind direction, it places a "marker" into one of sixteen "bins" that correspond to the sixteen compass points. At the time of the archive, WeatherLink determines which bin contains the most markers and writes the corresponding wind direction to the archive memory as the dominant wind direction.

Note: During intervals with very low wind speed, it is possible for no wind direction to be recorded, because wind speed was always 0 when direction was sampled. In this case, wind direction for the interval appears as a pair of dashes (--).

Back to Data Calculation


Data: Wind Run

Wind run is measurement of the "amount" of wind passing the station during a given period of time, expressed in either "miles of wind" or "kilometers of wind". WeatherLink calculates wind run by multiplying the average wind speed for each archive record by the archive interval.

For Example:

Average Wind Speed = 5 mph

Archive Interval = 30 minutes (0.5 hours)

Wind Run = 5 mph x 0.5 hours = 2.5 miles of wind

  • If you are using mph to measure wind speed, wind run will be reported in miles.

  • If you are using knots to measure wind speed, wind run will be reported in nautical miles.

  • If you are using km/h to measure wind speed, wind run will be reported in kilometers.

  • If you are using m/s to measure wind speed, wind run will be reported in kilometers.

Back to Data Calculation


Data: Wind Speed

WeatherLink samples the wind speed reading from the station a number of times during the interval (the actual number depends on your archive interval). Those readings are averaged to determine at the average wind speed for the interval.

Vantage Stations

The Vantage Vue, Vantage Pro, and Vantage Pro2 station measures wind speed and the direction from which it’s blowing. The ten-minute average wind speed is displayed in the weather ticker on Vantage Pro and Vantage Pro2, and in the Weather Center on Vantage Vue whenever wind is selected.

Back to Data Calculation


Troubleshooting

Troubleshooting Guide

The following sections provide answers to some of the most commonly asked questions about the WeatherLink Software. Please consult this guide before contacting Technical Support.

  • Communications Problems

  • Troubleshooting - Vantage Stations

  • Troubleshooting - Monitor, Wizard and Perception

  • Contact Davis


Communication Problems

Troubleshooting: Communication Problems

See the following instructions below if you are having problems communicating with the WeatherLink.

Why can't the WeatherLink Software communicate with the data logger and station?

Use the following check list for all connection types if you are experiencing communication difficulties between the station and your computer. See the troubleshooting section for your specific communication type if station is still having difficulties communicating with the computer.

  • First check all the cable connections. Loose cable connections are a common cause of communication problems.

  • If you are having difficulty establishing communication between the weather station and the WeatherLink Software, start by checking the weather station's own diagnostics. To do this, enter the setup screen on the console before powering down, then remove all power to the weather station and then restart it by restoring power after a minute or two (with the data logger still attached).

Note: If you’re connecting to a Vantage Vue, Vantage Pro, or Vantage Pro2, the data logger uses non-volatile memory, so you won’t lose any data you’ve already recorded. However, make sure to put the console in Setup Mode (by pressing and holding DONE and then pressing the [-] key) before removing the batteries. This makes sure the station will not try to write any data when you remove power from the console, and saves any current data in the console that might otherwise be lost.

For Vantage Pro and Vantage Pro2, you should hear three beeps, each of which occurs when the weather station passes one of its diagnostic tests. For Vantage Vue, you should hear four beeps. The first beep tells you the processor is running. On Vantage Vue, the second beep is for the oscillator. The second to last beep will be for the logger (if installed) and the last beep is for the display. If you don’t get the expected number of beeps, you should be able to tell if the logger or the display has failed by looking at the LCD. If you do not hear one or more of these beeps, contact Technical Support.

Note: For Vantage Vue, you’ll only hear three beeps if you don’t have the data logger installed. For Vantage Pro and Vantage Pro2, you’ll only hear two beeps if you don’t have the datalogger installed properly.

  • Enter the console’s Setup mode by pressing and holding DONE and then pressing the down arrow ( - ) key on the Vantage Vue, Vantage Pro or Vantage Pro2 console. Scroll through the setup choices by pressing BAR or DONE until you reach the Baud Rate screen. The Baud Rate Screen should display after the Rain Season screen. This screen only displays if the data logger is plugged into the console. If the data logger is plugged in and the screen does not display, contact Technical Support.

Serial Port Communication Problems

  • If using a serial port connection, if you hear all three beeps, try using the loopback connector to check your standard serial ports. If this identifies a serial port other than the one you selected in serial port setup, try connecting to the WeatherLink again using this port. In addition, make sure you are using the blue serial port adapter supplied with WeatherLink for Vantage Vue, Vantage Pro or Vantage Pro2, or a black adapter if you are using a Weather Monitor, Perception, or Wizard Station. Try connecting the data logger back in using the new port. The data logger requires the use of this special adapter.

  • Open the Communications Port dialog box. Select Serial if Serial mode is not selected. See instructions on creating a Serial Connection for more information.

  • Check the baud rate setting on the console and in the Communications Port dialog box in the software. Make sure they’re set the same.

    If you still cannot connect or if the loopback test identifies the serial port you already have selected, try to eliminate the following possibilities. If you have questions on how to proceed, please contact your PC vendor or PC technical support.

  • You have a hardware device conflict.

    Check the device manager tab in the Windows® system properties dialog box to ensure that Windows recognizes your port with no problems. Consult your pc’s documentation to see how to access the system properties dialog box.

  • Your COM port uses a non-standard device name.

  • Your COM port is defective.

  • The loopback connector or the WeatherLink adapter plug is bad.

  • Remove any added extension cables and try the connection again.

How do I select the correct serial port?

  • If you can use the serial port in question with another program, simply determine the serial port to which that program is set.

  • Otherwise, try using the loopback connector to check your standard serial ports. If this identifies a serial port other than the one you selected in serial port setup, try connecting to the WeatherLink again.

  • Also, try the Auto Detect command to search for the port connected to the data logger and console.

USB Port Communication Problems

If you are having USB Communication Problems:

  • Close the WeatherLink software.

  • Disconnect the USB cable from the console or Envoy.

  • Plug the cable back into the console or Envoy.

  • Open the WeatherLink software again.

  • Open the Communications Port dialog box. Select USB if USB mode is not selected. See instructions on creating a USB Connection for more information.

  • Click Test to verify communication between the station and the software. See Testing Communications for more information.

  • If the test is unsuccessful, either the station is malfunctioning or the drivers for communicating with USB have not been installed successfully. To verify that the driver is installed, look in Windows’ System Properties -> Device Manager -> Universal Serial Bus Controllers and see if the USBXpress Device is listed. If the driver is listed and there is still no communication between the station and the computer, call Technical support. If the drivers are not listed, contact Technical Support for instructions on installing the necessary drivers.

  • If you are using a third party application that requires the USB connection to emulate a COM port connection, contact Technical Support for more information.

TCP/IP Communication Problems

If you are having TCP/IP Communication Problems:

  • See if you have a connection to the internet established.

  • Check the cable connection between your WeatherLinkIP data logger and the local area network router or switch.

  • Close the WeatherLink software.

  • Disconnect and repower your router or switch.

  • Repower the console or Envoy.

  • Check the connection between the WeatherLinkIP data logger and the console or Envoy.

  • Check if the green light on the WeatherLink IP data logger is on. If it is not on, contact Technical Support.

  • Open the WeatherLink software again.

  • Open the Communications Port dialog box. Select TCP/IP if TCP/IP mode is not already selected. See instructions on creating a TCP/IP Connection for more information.

  • For Local Connections Only - Select Local Device ID and click Find. If the data logger is communicating with the software, the Communications Settings dialog box displays. If the dialog box does not display. check connections and try again or contact Technical Support.

  • For Local and Remote Connections Only - Click Test to verify communication between the station and the software. See Testing Communications for more information.

  • For Web download Only - Verify that the User ID and Password are the same User ID and Password you used when you created your web account on www.weatherlink.com.

Modem Communication Problems

If you are having Modem Communication Problems:

  1. Install and set up an internal or external modem (according to the instructions supplied by the manufacturer) for use with your computer. Make a note of the COM port used by the modem. This information is used when entering serial port settings for the weather station and console.

  2. At the station console site, put the external modem in a location where it can connect to both the logger and a phone jack and plug it into the phone jack.

    Note: Do not turn the modem on at this time.

    The cable connecting the data logger to the modem is 8' (2.4 m) long, which should suffice for most installations. If you need to extend the distance, use a 40' (12 m) 4-conductor extension cable to extend the connection between the console and modem. Do not attempt to use more than 40' of extension cable, or the data logger may have difficulty communicating with the computer.

  3. Plug the external modem into the phone jack.

    For consoles only: Enter the console’s Setup Mode by pressing and holding DONE, then pressing the down arrow (-). Entering Setup Mode ensures that the station is not writing any data and saves the current daily weather information to memory.

  4. Remove the battery cover from the console back and remove all power by removing the batteries and AC power adapter, if present.

    Failure to remove power to the console before installing the data logger may cause damage to the data logger or console. Plugging or unplugging the data logger while power is applied can damage or lock up the data logger.

  5. Carefully insert the serial data logger into the receptacle marked EXPANSION inside the battery compartment.

  6. Guide the data logger cable through the square slot below the receptacle.

  7. Connect the Telephone Modem Adapter to the external modem.

    Do not use a DB-25 adapter and a gender changer to attach the logger to a modem. It will not work.

  8. Insert the cable plug at the end of the cable into the Telephone Modem Adapter.

  9. Turn the modem ON.

  10. Restore power to the console by reinstalling the batteries and reattaching the power adapter, if present.

    The console beeps three times; each beep occurring within one second of the others. The Weather Envoy beeps two times, also occurring within one second of each other. Once power has been returned to the console, the Setup Mode is automatically displayed. Turning the modem on at this point allows it to receive the modem initialization string from the console. You also can try using the following modem strings:

    AT &F E Q V X4 S7=60 &N3
    AT &F E Q V X4 S7=60 N0 S37=6

  11. Replace the battery cover, so that the data logger cable exits through the square slot.

  12. Check the baud rate settings on the console. Press BAR to scroll to the Baud Rate settings screen.

Note: You can also use the Baud Rate screen to send the modem initialization string to a remote modem. Set the correct baud rate and press DONE.

Back to Troubleshooting


Finding the Correct COM Port (Loopback)

If using a serial port to connect with your computer, the software contains an optional procedure for locating the serial port supporting your station connection or determining whether that serial port is working. Using the Loopback button (as opposed to the Test button or the Auto Detect button) helps you determine whether a communication problem is being caused by the serial port or by the data logger.

Note: The Loopback procedure also detects any modems you have connected to COM ports. A dialog box will appear saying that it’s detected a modem. In contrast to the Loopback procedure, the Test procedure checks dialing and connecting to the station. So, use Loopback if you’re having trouble finding the right COM port, and Test once you’ve connected the station to the right COM port.

To use this procedure, you will need the Loopback connector (the short cable with a phone jack on one end and a red plastic tip on the other) supplied with your WeatherLink software package.

  1. Disconnect the logger cable from the DB9 or DB25 adapter connected to the COM port.

  2. Insert the Loopback connector into the DB9 or DB25 adapter.

  3. Choose Communications Port from the Setup menu. The Communications Port dialog box displays:

  4. Click Loopback from the Communications Port dialog box.

The software will search all standard serial ports (first the selected port, then ports 1-18, in order) and inform you of the COM port at which the Loopback connector is located. The software automatically selects the correct COM port for you in the Communications Port dialog box. If it cannot find the Loopback connector at any COM port, your serial port is not working. Consult your computer documentation for help.

Back to Communications Port | Walkthrough | Setup | Troubleshooting


Troubleshooting - Vantage Pro

Troubleshooting - Vantage Stations

Check the frequently asked questions below if you are having problems running or using the software. This is application to the Vantage Vue, Vantage Pro, and Vantage Pro2.

Monitor, Wizard and Perception Users Click Here

The barometer graph on the bulletin does not "fill in" completely. Why?

When you first load the bulletin, the only case in which the barometer graph will fill in completely is when you have data in your database for the span of the barometer graph (that is, the past six hours). Make sure of the following:

  • There is data in your database for the span of the barometer graph.

  • The time and date of the stored barometer data is correct in your database.

  • The time and date on the PC is correct.

  • The time and date on the weather station are correct.

No wind direction reading (or dashes instead of a reading) appears in my database.

You should simply be aware that if there is no wind speed when the direction is being sampled, wind direction is not recorded. During intervals with no wind speed at all, no direction will be recorded.

Note: Since high wind speed is sampled more often, it is possible to have a high wind speed but no average wind speed or direction.

My archive memory is empty and I know it should not be. What can I do?

Vantage is smart enough to send only data it hasn’t already sent to the computer. So, when you initiate a new download, the program will retrieve the first record after the last record shown in the WeatherLink’s Browse window. Older data is stored in the logger as a backup. To see how many of these backup records are stored in the logger, create a new station and download the database. Because there are no records stored the in the station you just created, WeatherLink will download everything it has stored.

Next, try clearing the archive memory using the clear dialog box and see if this corrects the problem. You will lose any data stored in your archive memory. If this doesn’t work, reboot your weather station (that is, remove all power including batteries and restart the station).

Note: When you’re rebooting Vantage Pro, make sure to put the console in Setup Mode (by pressing the [DONE] and [-] arrow keys together) before removing the batteries. This ensures the station will not try to write any data when the power goes off and saves any current data in the console that might otherwise be lost.

After successfully downloading, the data does not appear to be in my database. Where is it?

Check to see if the time and date on your weather station are incorrect (this can happen if the station loses power and you forget to reset the time and date on the weather station) and therefore the data was written into the wrong month, day, and/or time. Reset the time and date.

It is also possible, if you have multiple stations, that you downloaded data into the wrong station’s database. Make sure you’ve opened the correct station before downloading.

When viewing data, dashes appear in place of a number for values other than wind direction. Why?

If no data was recorded by a sensor (for example, the sensor was disconnected) or if bad data was recorded (for example, the sensor was malfunctioning), or if you have bad reception, the software dashes out the entry rather than showing invalid data. You can use the record editor to correct these entries.

Back to Troubleshooting


Troubleshooting - Monitor, Wizard and Perception

These troubleshooting tips apply to users with the following Davis Instruments weather stations:

Weather Monitor II

Weather Wizard III

Weather Wizard II & II &endash;S

Perception II

Vantage Pro Users Click Here

Why are the readings on my station and the WeatherLink Software different?

The calibration numbers for the weather station and software may not agree. Make sure you set all calibration numbers from the software.

Why do I get strange daily rainfall readings?

Make sure you set total rainfall from the software. If you change the total rainfall from the weather station, it is very likely that you will create an odd daily rainfall amount for the interval during which you make the change.

I have duplicate records in my database. Why?

If you do not download prior to changing the weather station’s time and date (for a Manual Daylight Savings time change, for example), you may get duplicate records. Make sure to download before setting time and date. In addition, you should be aware that the midnight records are duplicated so they appear in each consecutive day. For example, a midnight record would appear at the end of the data for November 22 and at the start of the data for November 23. Using the record editor to change the record in one day does not change the record in the other day.

No wind direction reading (or dashes instead of a reading) appears in my database.

You should simply be aware that if there is no wind speed when the direction is being sampled, wind direction is not recorded. During intervals with very little wind speed, no direction may be recorded.

Note: Since high wind speed is sampled more often, it is possible to have a high wind speed but no wind speed or direction.

My archive memory is empty and I know it should not be. What can I do?

First try clearing the archive memory using the clear dialog box and see if this corrects the problem. You will lose any data stored in your archive memory, but all of you calibration numbers and alarm settings will remain intact. If this doesn’t work, reboot your weather station (that is, remove all power and restart the station). All data that has not been downloaded will be lost. You will also have to reset all settings (barometer, calibration numbers, etc.).

After successfully downloading, the data does not appear to be in my database. Where is it?

Check to see if the time and date on your weather station are incorrect (this can often happen if you have a power outage and forget to reset the time and date on the weather station) and therefore the data was written into the wrong month, day, and/or time. Reset the time and date.

It is also possible, if you have multiple stations, that you downloaded data into the wrong station’s database. Make sure the desired station is open before downloading.

When viewing data, dashes appear in place of a value for functions other than wind direction. Why?

If no data was recorded by a sensor (for example, the sensor was disconnected) or if bad data was recorded for a sensor (for example, the sensor was malfunctioning), the software dashes out the entry rather than showing invalid data. You may use the record editor to correct these entries.

Back to Troubleshooting


Contacting Davis

Technical Support and Contacting Davis Instruments

You may contact Davis Instruments for technical support or product information using any of the methods shown below.

Technical Support

Technical Support is available Monday through Friday, 7:00 am to 5:30 pm Pacific Time. Or use our web site, fax, fax-back, or email any time day or night.

510-732-7814 | Phone Technical Support
510-670-0589 | Fax Technical Support
support@davisnet.com | Email Technical Support
Internet Support | Includes manuals for all products, technical notes, spec sheets, installation diagrams, and more.

Other Ways to Contact Davis Instruments

800-678-3669 | Sales (US & Canada)
510-732-9229 | Sales (Outside the US & Canada)
510-670-0589 | Fax
sales@davisnet.com | Email to our Customer Service Department
info@davisnet.com | Email for comments or general information on Davis Instruments
Davis Web Site | Davis Instruments' home page

Back to Troubleshooting


Recalculate Daily Values

Choose Recalculate Daily Values in the Browse menu to quickly recalculate all of the derived values in the weather database.

Note: You can use this command to correct faulty derived data created by some Beta versions of WeatherLink 5.2.


Recalculate THSW Index

WeatherLink versions 5.3 and later support a new derived data parameter, the Temperature Humidity Sun Wind (THWS) Index. If your station has a solar radiation sensor, this value can be calculated for existing data.

Choose Recalculate THSW Index to get the THSW index for data collected prior to installing WeatherLink 5.5.1. Be sure to verify that the latitude and longitude settings and daylight savings time settings are correct before using this command.

Note: If you don’t use Daylight Savings Time or if you set Daylight Savings manually in WeatherLink, you will be prompted to enter the Daylight Savings Time dates before WeatherLink exports the data. Either enter the dates and times you manually changed your station to Daylight Savings, or just click OK if you are not using Daylight Savings Time.


Data: Wind Chill

Wind chill takes into account how the speed of the wind affects our perception of air temperature. Your body warms the surrounding air molecules by transferring heat from your skin. If there’s no air movement, this insulating layer of warm air molecules stays next to your body and offers some protection from cooler air molecules. Wind disperses this layer of warm air, causing the air temperature to "feel" colder. The faster the wind blows, the quicker the layer of warm air is dispersed, and the colder you feel. Above 93.2ºF (34.0ºC), wind movement has no effect on the apparent temperature.

Modified Wind Chill calculations between 40ºF (4.4ºC) and 93ºF (33.9ºC) give more intuitive readings for temperatures above the upper limit of the official wind chill formula (40ºF) The result of this modification is lower wind chill values in the above temperature range than using the official formula.

Wind chill is not stored in archive memory. Wind chill is calculated whenever it is displayed. If you edit temperature or wind speed values, the wind chill will change as well.

Note: WeatherLink versions 5.1 and later use the Osczevski (1995) equation to calculate wind chill. This is the method adopted by the US National Weather Service in September of 2001.

Note: All Monitor, Wizard and Perception consoles, as well as Vantage Pro consoles with firmware dated July 18, 2001 or earlier, all use the previous US National Weather Service wind chill calculation formula: Siple and Passel (1948).

Back to Data Calculation


Add an Expansion Module

Expansion modules that are installed are automatically added into WeatherLink and are displayed in the Expansion Module Management dialog box. Use the Add Module button to add a previously deleted expansion module of to re-open a an expansion module's DLL file. To add an expansion module:

  1. Select Manage Modules in the File menu. The Expansion Module Management dialog box opens.

  2. Click the Add Module button. The Select the Module DLL file to load dialog box displays.

Note: A DLL (dynamic link library) file is a type of program file in the Windows operating system that allows programs to share functions and data. It is the sharing of functions that allows an expansion module to add commands to the existing WeatherLink drop-down menus.

  3. Click the DLL file of an expansion module to select the module, then click Open.

Note: If you select a DLL file or expansion module that is already installed and added to the list of expansion modules, the Replace Existing Module dialog box displays. Click Yes to replace the existing file. Click No to keep the existing file.

Note: All expansion module DLL files must be located in the Expansion_Modules file directory. Copy all expansion module DLL files and any other files associated with the expansion module into the file directory before adding an expansion module.

The Expansion Module Management dialog box displays with the new expansion module information.

  4. Click OK. The expansion module installs the next time you start WeatherLink.

To exit the Expansion Module Management dialog box without saving module changes, Click Cancel.

Note: Use the Disable Module or Delete Module commands to prevent an expansion module that has just been added from being loaded the next time you start WeatherLink.

Back to Manage Modules


Change Expansion Module Order

You can adjust the order that multiple expansion module command and menu options are displayed and listed in WeatherLink drop-down menus by changing the order in which the modules are displayed in the Expansion Module Management dialog box, which is also the order in which WeatherLink loads the modules during startup. The first module loaded will have it's commands listed above the second, and the commands for each additional module are listed below the commands of the previously installed modules.

To change the expansion module order:

  1. Select Manage Modules from the File menu. The Expansion Module Management dialog box displays.

  2. Select a module from the list box.

  3. Click the Up button to move the module towards the top of the list.

  4. Click the Down button to move the module towards the bottom of the list.

  5. Click OK to exit the dialog box and save the new module order or click Cancel to exit the dialog box without making any changes to the module order.

Back to Manage Modules


Delete an Expansion Module

  1. Click Manage Modules in the File menu. The Expansion Module Management dialog box is displayed.

  2. Select a module you are deleting from the list box.

  3. Click the Delete Module icon

  4. Click Yes in the Confirm Remove dialog box to confirm the deletion. The Expansion Module Management dialog displays without the module.

Note: The expansion module will not be removed from WeatherLink until the next time you start the program. This command does not delete the module from your computer, but removes the module from the list of modules to be loaded next time WeatherLink is started. The expansion module DLL file is still on your computer and you can add it back into WeatherLink again at any time using the Add an Expansion Module command.

  4. Click OK to exit the dialog box and delete the module or click Cancel to exit without deleting the module.

Back to Manage Modules


Disable an Expansion Module

  1. Select Manage Modules from the File menu. The Expansion Module Management dialog box displays.

  2. Select an expansion module from the list box.

Note: Module status is indicated by either [ ] or [X] at the beginning of a module name. A [X] means the module is enabled. A [ ] means the module has been disabled.

  3. Click the Disable Module button. The 'X" indicator at the beginning of the module name is removed, indicating the module will not be loaded next time WeatherLink starts up.

  4. Click OK to exit the dialog box with the module disabled, or click Cancel to exit without changing module status.

Back to Manage Modules


Enable an Expansion Module

  1. Click Manage Modules from the File menu. The Expansion Module Management dialog box displays.

  2. Select a disabled expansion module from the list box.

Note: Module status is indicated by either [ ] or [X] at the beginning of a module name. A [X] means the module is enabled. A [ ] means the module has been disabled.

  3. Click the Enable Module button. An [X] indicator displays at the beginning of the module name, indicating the module is enabled and will be available after restarting WeatherLink.

  4. Click OK to exit the dialog box with the module enabled, or click Cancel to exit without making any changes to module status.

Back to Manage Modules


Import Database Files

Import Database Files menu option allows you to convert data files from earlier versions of WeatherLink (3, 4, 5.0, or 5.1) for use with WeatherLink 5.2 or later. To learn about importing a database file created by the Weather Data Transfer Utility for Envoy8X, see below.

Note: WeatherLink does not import database files created by versions of WeatherLink 5.2 or later using the Import Database File option. The Import Database Files option only imports database files created by WeatherLink version 5.1 or earlier. To use data files from WeatherLink 5.2 or later, copy the .wlk file directly into your weather station directory.

  1. Select Import Database Files from the File menu.

    The Browse dialog box displays.

  2. Select the data files you want to import. Navigate to the folder containing the database files you want to convert. You can select one file or multiple files in the same folder.

  3. Select Open to have the selected files converted for use by WeatherLink 5.5.1. The converted files will be saved in a directory called Converted Database Files.

  4. Use Windows Explorer to copy the converted files from the Converted Database Files folder to the corresponding station folder.

  5. Open your station in WeatherLink to access the converted database files.

To Import Envoy8x Data

Use this option to import an Envoy8x data file created in the Weather Data Transfer Utility for Envoy8X. When you export data in the Weather Data Transfer Utility, it creates an export file with the name you gave for your export profile and gives them the .bin extension. The file is placed in the \Profiles\Export folder of the Utility's program directory.

  1. Select Import Database Files from the File menu.

    The Browse dialog box displays.

  2. Select the data files you want to import. Navigate to the folder containing the database you want to import. The default path is C:\Weather DTU\Profiles\Export. If your profile name is MyProfile.txt, then your export .bin file will be named MyProfile.bin. Choose this file and it will automatically be imported into your weather database.

  3. Select Open to have the selected files converted for use by WeatherLink.

Note: you will probably need to configure the WeatherLink station to include the weather variables you are interested in. For example, if you are exporting a temperature to the 2nd Temp in WeatherLink, you will need to make sure that check box is selected in the Setup/Station Config before you can see it.

Also, note if you have solar radiation your THSW Index will not be calculated until you set the latitude and longitude for this station. Use Setup/Set Latitude/Longitude on the Envoy8x or other Vantage weather station.

See also:

Database Conversion

Retrieving Data From the Data Logger

Database File

Back to File Menu


Special Instructions for Upgrading WeatherLink

CAUTION: Do not convert data files from WeatherLink version 5.2 or newer. The conversion process will corrupt your data files unless the files were created by WeatherLink version 5.1 or earlier.

Use these instructions if you are upgrading from versions of WeatherLink 3.0 and 4.0, or from WeatherLink 5.0 or 5.1.

Converting Data from Previous Versions of WeatherLink

Retrieving Unlogged Data from the Vantage Pro Data Logger

Back to Getting Started Menu


Davis Air Data Report Format

  • All actual observations are sent to the following email address: DATA@GLOBE.GOV

  • Practice observations can be sent to PRACTICEDATA@GLOBE.GOV

  • The subject line of the message should contain only the word DATA, with no spaces or extra words.

  • //AA is the first line in the body of the email. This tells the GLOBE computer that the following lines contain measurement data.

  • Measurement lines follow the first line. Each begins with the protocol code used for the measurements and contains one record.

  • //ZZ is the last line in the body of your email. This tells the GLOBE computer that there are no more measurements in this email.

The following is an example GLOBE Email data entry message:

TO: DATA@GLOBE.GOV

SUBJECT: DATA

//AA

<Measurement 1>

<Measurement 2>

<Measurement 3>

//ZZ

  • Each line contains one record for the report.

  • Each line consists of 14 fields for site identification and weather data.

  • "M" indicates missing or suspect data.

//AA

DAVAD SCHOOLID ATM-01 200206011915 23.7 69 0.0 SSW 1.3 SSW 0 0.00 0.0 997.7

DAVAD SCHOOLID ATM-01 200206011930 23.7 68 0.0 N 2.2 NNW 0 0.00 0.0 997.7

DAVAD SCHOOLID ATM-01 200206011945 23.7 68 0.0 N 0.4 W 0 0.00 0.0 997.8

//ZZ

Each field number corresponds to the 14 fields displayed in a measurement entry.

Field | Description
1 | DAVAD - code for the Davis Weather Station Protocol
2 | School ID code
3 | Site identifier or number
4 | UTC time using this format: YYYYMMDDHHmm
5 | Air temperature (degrees Celsius)1
6 | Relative Humidity (%)1
7 | Average Wind Speed (meters/second)1
8 | Average Wind Direction (up to 3 level compass direction e.g. N or NNE or NE)1
9 | Maximum Wind Speed (meters/second)1
10 | Maximum Wind Direction (compass direction)1
11 | Wind Run (kilometers)1
12 | Rainfall (millimeters)1
13 | Rainfall Rate (millimeters per hour)1
14 | Sea Level Pressure (mbar)1
1 "M" indicates missing or suspect data

The following codes are used in the air data and soil data reports.

Report Code

Description

DAVAD

Protocol code for Davis Air Data Report

DAVSD

Protocol code for the Davis Soil Data Report

<SCHOOL ID>

An eight character code that uniquely defines each school to the GLOBE data system

<SITE ID>

A three character code that identifies the type of study site: ATM = Atmosphere Study Site; SMS = Soil Moisture Study Site.

A two-digit number uniquely identifies each study site at the school sending the report: -dd

The first study site of it's type at a school is number -01. Additional study sites at the same school are numbered consecutively: -02, -03, and so on.

A DAVAD study site will usually use "ATM", plus the appropriate two digit number: ATM-dd.

A DAVSD study site will probably use the same site ID as the DAVAD study site, ATM-dd, or might use SMS-dd as the site ID.

Note: Data from Vantage Pro and Vantage Pro2 weather station used in this report.

Date: 6/01/02

Time: 12:15 p (Pacific Daylight Saving Time)

Temperature (Celsius): 23.7°C

Humidity (%): 69%

Avg. Wind Speed (m/s): 0.0 m/s

Avg. Wind Direction: SSW

Max. Wind Speed (m/s): 1.3 m/s

Max. Wind Direction: SSW

Wind Run (m): 0 m

Rain Fall (mm): 0.0 mm

Rainfall Rate (mm/hr): 0.0

Barometric Pressure (Millibars): 997.7 mb

Davis Air Data Report (DAVAD) Format

When you export records in the GLOBE format, a text file is exported in the Davis Air Data Report format that conforms to the GLOBE email data entry format for the Davis Weather Station Protocol.

Basic Format for GLOBE Email Data Entry Message

E-Mail Data Entry Format for Air Data Measurements

Air Data Report Field Descriptions

Air Data and Soil Data Report Codes

Sample Data Used for Air Data Report

See also:

Davis Soil Data Report Format

WeatherLink's GLOBE Info Page

Helpful Web Links:

GLOBE E-Mail Data Entry Web Page

Back to Export Records in GLOBE Format


Davis Soil Data Report Format

  • All actual observations are sent to the following e-mail address: DATA@GLOBE.GOV

  • Practice observations can be sent to PRACTICEDATA@GLOBE.GOV

  • The subject line of the message should contain only the word DATA, with no spaces or extra words.

  • //AA is the first line in the body of the e-mail. This tells the GLOBE computer that the following lines contain measurement data.

  • Measurement lines follow the first line. Each begins with the protocol code used for the measurements and contains one record.

  • //ZZ is the last line in the body of your e-mail. This tells the GLOBE computer that there are no more measurements in this e-mail.

The following is an example GLOBE E-mail data entry message:

TO: DATA@GLOBE.GOV

SUBJECT: DATA

//AA

<Measurement 1>

<Measurement 2>

<Measurement 3>

//ZZ

  • When you include soil moisture and temperature data with your Davis Air Data Report, the data in the e-mail alternates between air data (DAVAD) and soil data (DAVSD) records.

  • Each soil data record consists of 12 fields that provide the following information: measurement protocol, school and site ID codes, time and date stamp, soil temperature readings and soil moisture readings.

  • "M" indicates missing or suspect data.

//AA

DAVAD <SCHOOL ID> <SITE ID> 200206011915 23.7 69 0.0 SSW 1.3 SSW 0 0.00 0.0 997.7

DAVSD <SCHOOL ID> <SITE ID> 200401011915 M 23.9 21.1 23.3 49 42 42 42

DAVAD <SCHOOL ID> <SITE ID> 200206011930 23.7 68 0.0 N 2.2 NNW 0 0.00 0.0 997.7

DAVSD <SCHOOL ID> <SITE ID> 200401011930 M 23.9 21.1 23.3 49 42 42 42

DAVAD <SCHOOL ID> <SITE ID> 200206011945 23.7 68 0.0 N 0.4 W 0 0.00 0.0 997.8

DAVSD <SCHOOL ID> <SITE ID> 200401011945 M 23.9 20.6 23.3 51 42 42 42

//ZZ

Each field number corresponds to the 12 fields displayed in a measurement entry.

Field | Description | Soil Station Sensor
1 | DAVSD - code for the Davis Soil Moisture and Temperature Station Protocol |
2 | School ID code |
3 | Site identifier or number |
4 | UTC time using this format: YYYYMMDDHHmm |
5 | Air temperature2 | #1 Temperature Probe
6 | Soil Temperature at a depth of 5 cm (Celsius)1 | #2 Temperature Probe
7 | Soil Temperature at a depth of 10 cm (Celsius)1 | #3 Temperature Probe
8 | Soil Temperature at a depth of 50 cm (Celsius)1 | #4 Temperature Probe
9 | Soil Moisture reading at a depth of 10 cm (cb)1 | #1 Soil Moisture Sensor
10 | Soil Moisture reading at a depth of 30 cm (cb)1 | #2 Soil Moisture Sensor
11 | Soil Moisture reading at a depth of 60 cm (cb)1 | #3 Soil Moisture Sensor
12 | Soil Moisture reading at a depth of 90 cm (cb)1 | #4 Soil Moisture Sensor
1 "M" indicates missing or suspect data
2 If you are also participating in another GLOBE protocol that supplies air temperature data, such as the Davis Air Data protocol, you can omit the #1 temperature probe from your Soil Moisture/Temperature Station installation. The Soil Data Report will place an "M" in the air temperature field and GLOBE will use the air temperature reading from the other protocol in it's place. Soil Moisture data is uncorrected for temperature. The temperature displays appears different from the temperature in WeatherLink.

The following codes are used in Davis Air Data and Davis Soil Data reports.

Report Code

Description

DAVAD

Protocol code for Davis weather station Air Report

DAVSD

Protocol code for the Davis Soil Moisture/Temperature Station Protocol

<SCHOOL ID>

An eight character code that uniquely defines each school to the GLOBE data system

<SITE ID>

A three character code identifies the type of study site: ATM = Atmosphere Study Site; SMS = Soil Moisture Study Site.

A two-digit number uniquely identifies each study site at the school sending the report: -dd

The first study site of it's type at a school is number -01. Additional study sites at the same school are numbered consecutively: -02, -03, and so on.

A DAVAD study site will usually use "ATM", plus the appropriate two digit number: ATM-dd.

A DAVSD study site will probably use the same site ID as the DAVAD study site, ATM-dd, or might use SMS-dd as the site ID.

Air Temperature : "M" - uses air temp from DAVAD report

Soil Temperature at a depth of 5 cm (Celsius): 23.9

Soil Temperature at a depth of 10 cm (Celsius): 21.1

Soil Temperature at a depth of 50 cm (Celsius): 23.3

Soil Moisture at a depth of 10 cm (cb): 49

Soil Moisture at a depth of 30 cm (cb): 42

Soil Moisture at a depth of 60 cm (cb): 42

Soil Moisture at a depth of 90 cm (cb): 42

Davis Soil Data Report (DAVSD) Format

When you export records in the GLOBE format and include soil moisture data, WeatherLink exports a text file that includes both the Davis Air Data Report and the Davis Soil Data Report. The Davis Soil Data Report conforms to the GLOBE e-mail data entry format for the Davis Soil Moisture and Temperature Station Protocol

GLOBE E-Mail Data Entry Message Basic Format

E-Mail Data Entry Format for Soil Data Measurements

Soil Data Report Field Descriptions

Air Data and Soil Data Report Codes

Sample Data used for Soil Data Report

See also:

Davis Air Data Report Format

WeatherLink's GLOBE Info Page

Helpful Web Links:

GLOBE E-Mail Data Entry Web Page

Back to Export Records in GLOBE Format


Report Fields for Air Data

Field | Description
1 | DAVAD - code for the Davis Weather Station Protocol
2 | School ID code
3 | Site identifier or number
4 | UT time using this format: YYYYMMDDHHmm
5 | Air temperature (degrees Celsius)*
6 | Relative Humidity (% or "M" for suspect data ) *
7 | Average Wind Speed (meters/second)*
8 | Average Wind Direction (up to 3 level compass direction e.g. N or NNE or NE)*
9 | Maximum Wind Speed (meters/second)*
10 | Maximum Wind Direction (compass direction)*
11 | Wind Run (kilometers)*
12 | Rainfall (millimeters)*
13 | Rainfall Rate (millimeters per hour)*
14 | Sea Level Pressure (mbar) *
* "M" used for missing or suspect data


Report Fields for Soil Data

Field | Description | Soil Station Sensor
1 | DAVSD - code for the Davis Soil Moisture and Temperature Station Protocol |
2 | School ID code |
3 | Site identifier or number |
4 | UT time using this format: YYYYMMDDHHmm |
5 | Air temperature | #1 Temperature Probe2
6 | Soil Temperature at a depth of 5 cm (Celsius)1 | #2 Temperature Probe
7 | Soil Temperature at a depth of 10 cm (Celsius)1 | #3 Temperature Probe
8 | Soil Temperature at a depth of 50 cm (Celsius)1 | #4 Temperature Probe
9 | Soil Moisture reading at a depth of 10 cm (%)1 | #1 Soil Moisture Sensor
10 | Soil Moisture reading at a depth of 30 cm (%)1 | #2 Soil Moisture Sensor
11 | Soil Moisture reading at a depth of 60 cm (%)1 | #3 Soil Moisture Sensor
12 | Soil Moisture reading at a depth of 90 cm (%)1 | #4 Soil Moisture Sensor
1 "M" indicates missing or suspect data
2 If you are also participating in another GLOBE protocol that supplies air temperature data, such as the Davis Air Data protocol, you can omit the #1 temperature probe from your Soil Moisture/Temperature Station installation. The Soil Data Report will place an "M" in the air temperature field and GLOBE will use the air temperature reading from the other protocol in it's place.


Current_Monitor.htx is the template file that creates the Current_Monitor.htm HTML file.

The davisticker.class file is the Ticker Tape Java applet file. It displays a "ticker tape" message that scrolls horizontally across the screen.

The Davis Logo.jpg file contains the Davis Instruments logo displayed in the upper left-hand corner of the page.

Current Weather Template for Monitor

Follow these instructions to create a current weather conditions web page for your Weather Monitor II station.

  • The Current Monitor template is designed for use with the Weather Monitor II weather station.

  • This template is a good example of an HTML template that uses one data profile, includes weather data images, and includes the Ticker Tape with the message text embedded in the main template file.

Transfer Files To Your Weather Station's "Templates" Sub-Directory

  1. Using Windows Explorer or My Computer, open the WeatherLink program directory. The program directory is the directory that you specified during the installation of WeatherLink.

  2. Open the Sample Templates sub-directory.

  3. Open the Current Monitor directory, which contains all the files necessary to create a Current Weather Conditions web site.

  4. Open your weather station’s Templates sub-directory. This is the destination directory for the template files we will copy in Step 5.

  5. Copy the files listed below from the Current Monitor directory into the Templates sub-directory of your weather station directory:

  • Current_Monitor.htx

  • davisticker.class

  • Davis Logo.jpg

Check Your Internet Configuration Settings

  1. Open WeatherLink.

  2. If WeatherLink has more one than one weather station installed, select the weather station you want to provide data for your web page. This should match the station selected above.

  3. Choose NOAA Setup from the Reports Menu. In the City and State fields, enter your city and state. These entries are used to create the City and State HTML tags.

  4. Choose Set Latitude/Longitude from the Setup Menu. Enter your latitude and longitude settings. These settings are used to calculate the sunrise and sunset HTML tags.

  5. Choose Internet Settings from the Setup Menu.

  6. Choose Internet Connection Settings. Be sure your Internet Connection and FTP Settings are properly configured as directed in the Help Files.

Configure A Local Path Test Sub-Directory

In the Local Path (Path in the Internet Connection Settings dialog box) we will create a test directory in your weather station Templates directory. Use the Local Path file transfer function to test your web page before uploading it to the internet.

  1. Click Browse in the Internet Connection Settings dialog box and then select your weather station's Templates sub-directory.

  2. Create a sub-directory called test by typing in test\ at the end of your weather station directory. When you are finished, the local path should look something like C:\WeatherLink5\weather\Templates\test\

  3. Set Local Transfer Enabled to On (required for testing).

  4. Make sure Internet Transfer Enabled is set to Off (recommended for testing).

Note: Once you have finished testing the template works, you will set "Local Transfer Enabled" to Off and set "Internet Transfer Enabled" to On.

Configure Data Upload Profile 1

Note: After you have tested your template, we recommend using a 5-15 minute interval if you desire frequent updates on your web site. Use a 30 minute or longer interval if you don't require frequent updating of your web site weather information.

  1. On the Internet Settings dialog box, click the Configure button for Data Upload Profile 1

  2. Set the Upload Frequency to 1 min. for testing purposes. (recommended)

  3. Use the default Offset Time of 12:03a (optional).

  4. Select Download First (optional).

  5. Click Select Template Files and select the following files to be uploaded from the Templates/test/ sub-directory of your weather station directory:

  • Current_Monitor.htx

  • davisticker.class

  • Davis Logo.jpg

Note: The files "davisticker.class" and "Davis Logo.jpg" only need to be uploaded once. After the first upload they can be removed from the upload list.

  9. Click the Select Images button for Current Data Images to be Uploaded in the Data Upload Profile dialog box.

  10. In the Current Data Images for Upload Profile dialog box, check each of the images listed below:

  • Outside Temp

  • Heat Index

  • Outside Humidity

  • Dew Point

  • Wind Speed

  • Wind Direction

  • Wind Chill

  • Barometer

  • Daily Rain

  • Year Rain

  • THW Index

  11. Click OK to return to the Data Upload Profile dialog box.

  12. Click the Select Images button for Historical Data Images to be Uploaded in the Data Upload Profile dialog box.

  13. In the Historical Data Images for Upload Profile dialog box, check each of the images listed below:

  • Outside Temp

  • Barometer

  14. You can use the default plot span setting of 1 day, or set it to a different time span.

  15. Click OK to return to the Data Upload Profile dialog box.

  16. Click OK to return to the Internet Settings dialog box.

  17. Click OK to finish the configuration for this template.

Note: This HTML template does not use Data Upload Profile 2 or Data Upload Profile 3.

Test Your Web Page

  1. Watch the WeatherLink window on your computer for the Upload Progress dialog box to briefly appear.

  2. The Upload Progress dialog box will indicate when your Current Monitor template file has been converted to an HTML file and transferred to the test directory.

  3. When the upload is finished, use Windows Explorer or My Computer to locate and open Current_Monitor.htm. It should be located in the test directory you created later for the local path. The HTML file should open as a web page in your web browser.

  4. If the page isn't displayed, make sure you have the correct settings in your Internet Configurations Settings dialog box and in your Data Upload Profile dialog box.

  5. If the page displays correctly, go on to the next step to finish putting your weather web page up on the Internet.

To Put Your Current Weather Web Page On The Internet:

  1. Open the Internet Settings dialog box.

  2. Set Local Copy Enabled to Off.

  3. Make sure you have the correct settings for your Internet connection and the correct FTP settings for your web server.

  4. Set Internet Transfer Enabled to On.

  5. Set the Upload Interval for the Data Upload Profile you are using for this web page to your desired time interval.

  • While we used 1 min. for testing purposes, this is more often than is usually necessary for a web page.

  • We recommend using a 5-10 minute upload if you desire frequent updates on your web site. Use a 30 minute or longer upload interval if you don't require frequent updating of your web site weather information.

Back to Sample HTML Templates | HTML Features


The History_Monitor.htx file is a template file that creates the History_Monitor.htm HTML file.

The data.htx file is the template file that contains the text used by the Ticker Tape Java applet.

The davisticker.class file is the Ticker Tape Java applet file. It displays a "ticker tape" message that scrolls horizontally across the screen.

The Davis Logo.jpg file contains the Davis Instruments logo displayed in the upper left-hand corner of the page.

Historical Weather Template for Monitor

Follow these instructions to create a weather history web page for your Weather Monitor II station that displays month-to-date and year-to-date weather data using a mix of text and graphics. This is a good example of an HTML template using one data profile that includes weather data images and includes the Ticker Tape with the message text embedded in the main template file.

The Historical Weather Template uses two Data Upload Profiles. One profile is used to upload the current weather information displayed in the Ticker Tape message every 5 minutes. The second profile uploads all the weather data images and the main page text once every 1 hour. It could be set to a longer interval as well.

Transfer Files to your weather station's Templates Sub-directory

  1. Using Windows Explorer or My Computer, open the WeatherLink program directory. The program directory is the directory that you specified during the installation of WeatherLink.

  2. Open the Sample Templates sub-directory. You will see the History Monitor Template folder.

  3. Open the "History Monitor" directory. This directory contains all the files needed to create a weather history web page.

  4. Open your weather station’s Templates sub-directory. This is the destination directory for the template files we will copy in Step 5.

  5. Copy the files listed below from the History Monitor directory into the Templates sub-directory of your weather station directory.

  • History_Monitor.htx

  • data.htx

  • davisticker.class

  • Davis Logo.jpg

Check your Internet configuration settings

  1. Open WeatherLink.

  2. If WeatherLink has more one than one weather station installed, select the weather station you want to provide data for your web page. This should match the station selected above.

  3. Select NOAA Setup from the Reports Menu. In the City and State fields, enter your city and state. These entries are used to create the City and State HTML tags.

  4. Select Set Latitude/Longitude from the Setup Menu. Enter your latitude and longitude settings. These settings are used to calculate the sunrise and sunset HTML tags.

  5. Select Internet Settings from the Setup Menu.

  6. Select Configure Internet Settings. Be sure your Internet Connection and FTP Settings are properly configured as directed in the Help Files.

Configure a local path test sub-directory

In the Local Path (Path in the Internet Connection Settings dialog box) we will create a test directory in your weather station Templates directory. The we will use the Local Path file transfer function to test your web page before uploading it to the internet.

  1. Click Browse in the Internet Connection Settings dialog box and then select your weather station's Templates sub-directory.

  2. Create a sub-directory called test by typing in test\ at the end of your weather station directory. When you are finished, the local path should look something like C:\WeatherLink5\weather\Templates\test\

  3. Set Local Transfer Enabled to On (required for testing).

  4. Make sure Internet Transfer Enabled is set to Off (recommended for testing).

Note: Once you have finished testing the template, you will set "Local Transfer Enabled" to "Off" and set "Internet Transfer Enabled" to "On".

Configure Data Upload Profile 1

This profile is used to upload information that does not change very frequently.

  1. On the Internet Settings dialog box, click the Configure button for Data Upload Profile 1.

  2. Set the Upload Interval to 1 min. for testing purposes.

Note: After you have tested your template, we recommend using a 1 hour to 1 day upload interval for Data Upload Profile 1.

Note: Use the default Offset Time of 12:03a. (optional)

  3. Click on the Download First check box. (required)

  4. Click on Select Template Files and select the following files to be uploaded from the Templates/test/ sub-directory of your weather station directory:

  • History_Monitor.htx

  • davisticker.class

  • Davis Logo.jpg

Note: The files "davisticker.class" and "Davis Logo.jpg" only need to be uploaded once. After the first upload they can be removed from the files to be uploaded list.

  5. Click on the "Select Images" button located under Historical Data Images to be Uploaded section in the Data Upload Profile dialog box.

  6. Click on the boxes to select the following Historical Data Images:

  • Outside Temp

  • Heat Index

  • Outside Humidity

  • Dew Point

  • Wind Speed

  • Wind Direction

  • Wind Chill

  • Hi Wind Speed

  • Barometer

  • Rain

  7. You can use the default plot span setting of 1 day, or set it to a different time span.

  8. Click OK to return to the Data Upload Profile dialog box.

  9. Click OK to return to the Internet Settings dialog box.

Note: No Current Data Images are used by this profile.

Configure Data Upload Profile 2

This profile is used to frequently update the current weather information displayed by the Ticker Tape Java applet.

  1. On the Internet Settings dialog box, click the Configure button for Data Upload Profile 2

  2. Set the Upload Interval to 1 min. for testing purposes. (recommended)

Note: After you have tested your template, we recommend using a 5-10 minute upload for this profile. Use the default Offset Time of 12:03a. (optional)Download first is not required for this profile.

  3. Click on Select Template Files and select the following files to be uploaded from the Templates/test/ sub-directory of your weather station directory:

  • data.htx

  4. Click "OK" to return to the Internet Settings dialog box.

Note: No Current Data Images or Historical Data Images are used by Data Upload Profile 2.

  5. Click OK to finish the configuration for this template.

Note: This HTML template does not use Data Upload Profile 3.

Test Your Web Page

  1. Watch the WeatherLink window on your computer for the Upload Progress dialog box to briefly appear.

  2. The Upload Progress dialog box indicates when your Monthly Monitor web page template file has been converted to a .htm file and transferred to the test directory.

  2. When the upload is finished, use Windows Explorer or My Computer to locate and open History_Monitor.htm. The HTML file should open as a web page in your web browser.

  3. If the page isn't displayed, make sure you have the correct settings in your Internet Connection Settings dialog box and in your Data Upload Profile dialog box.

  4. If the page displays correctly, go on to the next step to finish putting your weather web page up on the Internet.

Put Your Weather History Web Page on the Internet:

  1. Open the Internet Settings dialog box.

  2. Set Local Copy Enabled to Off.

  3. Make sure you have the correct settings for your Internet connection and the correct FTP settings for your web server.

  4. Set Internet Transfer Enabled to On.

  5. Change the Upload Interval for Data Upload Profile 1 and Data Upload Profile 2 to your desired settings.

While we used 1 min. for testing purposes, this is usually more often than necessary for a web page. We recommend an upload frequency of 1 hour up to 1 day for Data Upload Profile 1, and an upload frequency of 5 to 15 minutes for Data Upload Profile 2.

  6. Click OK to return to the Internet Settings dialog box.

  7. Click OK to finish the configuration for this template.

Back to Sample HTML Templates | HTML Features


Monitor HTML Templates

The following HTML templates are available for Weather Monitor II weather stations.

List of Templates

Weather Summary Template for Monitor - Shows a current summary of weather conditions as text in a table format.

Current Weather Template for Monitor - Shows current data and daily high/low data in text and graphical format and uses the Ticker Tape Java applet to show monthly and yearly highs and lows.

Weather History Template for Monitor - Shows monthly and yearly high/low data, and historical graphs and uses the Ticker Tape Java applet to show current weather conditions.

Or, create your own template using WeatherLink's built-in HTML Weather data tags.

See also:

Introduction to HTML Template Files

Creating Your Own HTML Template File

WeatherLink Weather Tags

Current Data Images GIF Filenames

Historical Data Images GIF Filenames

Ticker Tape Java Applet

Back to Sample HTML Templates | HTML Features | Internet Features


Weather Summary Template for Monitor

Follow these instructions to create a Weather Summary web page.

Note: This is a good example of a simple HTML template that uses weather tags but does not use data images or the Ticker Tape Java Applet.

Transfer Files To Your Weather Station's Templates Sub-Directory

  1. Using Windows Explorer or My Computer, open the WeatherLink program directory. The program directory is the directory that you specified during the installation of WeatherLink.

  2. Open the Sample Templates sub-directory.

  3. Open the Weather Summary sub-directory. This directory contains all the files needed to create a Weather Summary web page.

  4. Open your weather station’s Templates sub-directory.

  5. Copy the files listed below from the Current Conditions sub-directory into your weather station’s Templates sub-directory.

  • The files required for this template are:
    Current_Conditions_Monitor.htx
    clouds.jpg
    Davis Logo.jpg

  • The Current_Conditions_ Monitor.htx file is a template file that contains current text data in tabular format.

  • The clouds.jpg file contains the blue sky and clouds background image used by the template.

  • The Davis Logo.jpg file contains the Davis Instruments logo displayed at the bottom of the page.

Check Your Internet Configuration Settings

  1. Open WeatherLink.

  2. If WeatherLink has more than one weather station installed, select the weather station you want to provide data for your web page.

  • This should match the station selected above.

  3. Select NOAA Setup from the Reports Menu.

  • In the City and State fields, enter your city and state. These entries are used to create the City and State HTML tags.

  4. Select Set Latitude/Longitude from the Setup Menu.

  • Enter your latitude and longitude settings. These settings are used to calculate the sunrise and sunset HTML tags.

  5. Select Internet Settings from the Setup Menu.

  6. Select Internet Connection Settings.

  • Be sure your Internet Connection and FTP Settings are properly configured as directed in the Help Files.

Configure a Local Path Test Sub-Directory

In the Local Path (Path in the Internet Connection Settings dialog box) create a test sub-directory to your weather station's Templates directory.

Note: We will use the Local Path file transfer function to test your web page before uploading it to the internet.

  1. Click on the Browse button of the dialog box and then select your weather station's Templates directory.

  2. Create a sub-directory called test by typing in test\ at the end of your weather station directory.

  • When you are finished, the local path should look something like C:\WeatherLink5\weather\Templates\test\

  3. Set Local Transfer Enabled to On (required).

  4. Make sure Internet Transfer Enabled is set to Off (recommended).

Note: Once you have determined the template displays correctly, you can set Local Transfer Enabled to Off and set Internet Transfer Enabled to On.

Configure Data Upload Profile 1

  1. On the Internet Settings dialog box, click the Configure button for Data Upload Profile 1.

  2. Set the Upload Frequency to 1 min. for testing purposes (recommended).

Note: After you have tested your template, we recommend using a 5-15 minute interval if you desire frequent updates to your web site. Use a 30 minute or longer upload frequency if you don't require frequent updating of your web site weather information.

  3. Use the default Offset Time of 12:03a (optional).

  4. Do not select Download First. Download First is not used by the Current Conditions template (recommended).

  5. Click on Select Template Files and select the following files to be uploaded from the Templates/ sub-directory of your weather station directory.

  • Current_Conditions_ Monitor.htx

  • Davis Logo.jpg

  • clouds.jpg (optional background image)

Note: The files Davis Logo.jpg and clouds.jpg only need to be uploaded once. After the first upload they can be removed from the files to be uploaded list.

  6. After you have selected the template files to be uploaded, click OK to return to the Internet Settings dialog box.

Note: This Data Upload Profile does not use any Current Data Images or Historical Data Images.

  7. Click OK to finish the configuration for this template.

Note: This template does not use the Data Upload Profile 2 or the Data Upload Profile 3.

Test Your Web Page

  1. Watch the WeatherLink window on your computer for the "Upload Progress" dialog box to briefly appear.

  • The "Upload Progress" dialog box indicates when your current conditions template file has been converted to a .htm file and transferred to the test directory.

  2. When the upload is finished, use Windows Explorer or My Computer to locate and open Current_Conditions.htm.

  • The HTML file should open as the Current Conditions web page in your web browser.

  • If the page isn't displayed, make sure you have the correct settings in your Internet Connection Settings dialog box and in your Data Upload Profile dialog box.

  • If the page displays correctly, go on to the next step to finish putting your weather web page up on the Internet.

Put Your Current Conditions Weather Web Page On the Internet:

  1. Open the Internet Settings dialog box.

  2. Set Local Copy Enabled to Off.

  3. Make sure you have the correct settings for your Internet connection and the correct FTP settings for your web server.

  4. Set Internet Transfer Enabled to On.

  5. Change the Upload Interval for Data Upload Profile 1 to your desired setting.

  • We used 1 min. for testing purposes, but this might be more often than necessary for a web page.

We recommend using a 5-15 minute upload if you desire frequent updates to your web site. Use a 30 minute or longer upload interval if you don't require frequent updating of your web site weather information.

  6. After you have finished configuring the data upload profile, click OK to return to the Internet Settings dialog box.

  7. Click OK in the Internet Settings dialog box to finish the configuration for this template.

Back to Sample HTML Templates | HTML Features


Current Weather Template for Perception

Follow these instructions to create a current weather conditions web page for your Weather Perception station.

  • The Current Perception template is designed for use with the Weather Perception II weather station.

  • This template is a good example of an HTML template that uses one data profile, includes weather data images, and includes the Ticker Tape with the message text embedded in the main template file.

Transfer Files To Your Weather Station's "Templates" Sub-Directory

  1. Using Windows Explorer or My Computer, open the WeatherLink program directory. The program directory is the directory that you specified during the installation of WeatherLink.

  2. Open the Sample Templates sub-directory.

  3. Open the "Current Perception" directory, which contains all the files necessary to create a Current Weather Conditions web site.

  4. Open your weather station’s Templates sub-directory. This is the destination directory for the template files we will copy in Step 5.

  5. Copy the files listed below from the "Current Perception" directory into the "Templates" sub-directory of your weather station directory:

  • The files required for this template are:
    Current_Perception.htx
    davisticker.class
    Davis Logo.jpg

  • The Current_Perception.htx file is a template file that creates the Current_Perception.htm HTML file.

  • The davisticker.class file is the Ticker Tape Java applet file. It displays a "ticker tape" message that scrolls horizontally across the screen.

  • The Davis Logo.jpg file contains the Davis Instruments logo displayed in the upper left-hand corner of the page.

Check Your Internet Configuration Settings

  1. Open WeatherLink.

  2. If WeatherLink has more one than one weather station installed, select the weather station you want to provide data for your web page.

  • This should match the station selected above.

  3. Choose Set Latitude/Longitude from the Setup Menu.

  • Enter your latitude and longitude settings. These settings are used to calculate the sunrise and sunset HTML tags.

  4. Choose Internet Settings from the Setup Menu.

  5. Choose Internet Connection Settings.

  • Be sure your Internet Connection and FTP Settings are properly configured as directed in the Help Files.

Configure A Local Path Test Sub-Directory

  1. In the Local Path (Path in the Internet Connection Settings dialog box) create a test sub-directory to your weather station's Templates directory.

  • Use the Local Path file transfer function to test your web page before uploading it to the internet.

  2. Click on the Browse button of the dialog box and then select your weather station's Templates sub-directory.

  3. Create a sub-directory called test by typing in "test\" at the end of your weather station directory.

  • When you are finished, the local path should look something like C:\WeatherLink5\weather\Templates\test\

  4. Set Local Transfer Enabled to On (required).

  5. Make sure Internet Transfer Enabled is set to Off (recommended for testing).

Note: Once you have finished testing the template works, you will set "Local Transfer Enabled" to Off and set "Internet Transfer Enabled" to On.

Configure Data Upload Profile 1

  1. On the Internet Settings dialog box, click the Configure button for Data Upload Profile 1

  2. Set the Upload Frequency to 1 min. for testing purposes. (recommended)

Note: After you have tested your template, we recommend using a 5-15 minute interval if you desire frequent updates on your web site. Use a 30 minute or longer interval if you don't require frequent updating of your web site weather information.

  3. Use the default Offset Time of 12:03a (optional).

  4. Select Download First (optional).

  5. Select Select Template Files and select the following files to be uploaded from the Templates/test/ sub-directory of your weather station directory:

  • Current_Perception.htx

  • davisticker.class

  • Davis Logo.jpg

Note: The files "davisticker.class" and "Davis Logo.jpg" only need to be uploaded once. After the first upload they can be removed from the upload list.

  6. Click on the Select Images button located under Current Data Images to be Uploaded section in the Data Upload Profile dialog box.

  7. Click on the boxes to select the following Current Data Images:

  • Inside Temp

  • Inside Heat Index

  • Inside Humidity

  • Inside Dew Point

  • Barometer

  • EMC

  • Air Density

  8. Click OK to return to the Data Upload Profile dialog box.

  9. Click on the Select Images button located under Historical Data Images to be Uploaded section in the Data Upload Profile dialog box.

  10. Click on the boxes to select the following Historical Data Images:

  • Barometer

  11. You can use the default plot time span of "1 day", or set it to a different time span.

  12. Click OK to return to the Data Upload Profile dialog box.

  13. Click OK to return to the Internet Settings dialog box.

  14. Click OK to finish the configuration for this template.

Note: This HTML template does not use Data Upload Profile 2 or Data Upload Profile 3.

Test Your Web Page

  1. Watch the WeatherLink window on your computer for the Upload Progress dialog box to briefly appear.

  • The Upload Progress dialog box indicates when your Current Perception template file has been converted to an HTML file and transferred to the test directory.

  2. When the upload is finished, use Windows Explorer or My Computer to locate and open Current_Perception.htm. The file will be located in the test directory you created later for the local path and will open just like a web page in your web browser.

  3. If the page isn't displayed, make sure you have the correct settings in your Internet Configurations Settings dialog box and in your Data Upload Profile dialog box.

  4. If the page displays correctly, go on to the next step to finish putting your weather web page up on the Internet.

To Put Your Current Weather Web Page On The Internet:

  1. Open the Internet Settings dialog box.

  2. Set Local Copy Enabled to Off.

  3. Make sure you have the correct settings for your Internet connection and the correct FTP settings for your web server.

  4. Set Internet Transfer Enabled to On.

  5. Change the Upload Interval for Data Upload Profile 1 to your desired setting.

  • While we used 1 min. for testing purposes, this is usually more often than necessary for a web page.

  • We recommend using a 5-10 minute upload if you desire frequent updates on your web site. Use a 30 minute or longer upload interval if you don't require frequent updating of your web site weather information.

Back to Sample HTML Templates | HTML Features


The History_Perception.htx file is a template file that creates the History_Perception.htm HTML file.

The data.htx file is the template file that contains the text used by the Ticker Tape Java applet.

The davisticker.class file is the Ticker Tape Java applet file. It displays a "ticker tape" message that scrolls horizontally across the screen.

The Davis Logo.jpg file contains the Davis Instruments logo displayed in the upper left-hand corner of the page.

Historical Weather Template for Perception

Follow these instructions to create a weather history web page for your Weather Perception station that displays month-to-date and year-to-date historical weather data using both text and graphics.

The Historical Weather Template uses two Data Upload Profiles. One profile is used to upload the current weather information displayed in the Ticker Tape message every 5 minutes. The second profile uploads all the weather data images and the main page text once every 1 hour. It could be set to a longer interval as well.

Transfer Files to your weather station's Templates Sub-directory

  1. Using Windows Explorer or My Computer, open the WeatherLink program directory. The program directory is the directory that you specified during the installation of WeatherLink.

  2. Open the Sample Templates sub-directory. You will see the History Perception Template folder.

  3. Open the History Perception directory. This directory contains all the files needed to create a weather history web page.

  4. Open your weather station’s Templates sub-directory.

  5. Copy the files listed below from the History Perception directory into the Templates sub-directory of your weather station directory:

  • History_Perception.htx

  • data.htx

  • davisticker.class

  • Davis Logo.jpg

Check your Internet configuration settings

  1. Open WeatherLink.

  2. If WeatherLink has more one than one weather station installed, select the weather station you want to provide data for your web page. This should match the station selected above.

  3. Select Set Latitude/Longitude from the Setup Menu. Enter your latitude and longitude settings. These settings are used to calculate the sunrise and sunset HTML tags.

  4. Choose Internet Settings from the Setup Menu.

  5. Choose Configure Internet Settings. Be sure your Internet Connection and FTP Settings are properly configured as directed in the Help Files.

Configure a local path test sub-directory

  1. In the Local Path (Path in the Internet Connection Settings dialog box) create a test sub-directory to your weather station's Templates directory. We will use the Local Path file transfer function to test your web page before uploading it to the Internet.

  2. Click the Browse button of the dialog box and then select your weather station's Templates sub-directory.

  3. Create a sub-directory called test by typing in test\ at the end of your weather station directory. When you are finished, the local path should look something like C:\WeatherLink5\weather\Templates\test\

  4. Set Local Transfer Enabled to On. (required)

  5. Make sure Internet Transfer Enabled is set to Off. (recommended for testing)

Note: Once you have finished testing the template, you will set Local Transfer Enabled to Off and set Internet Transfer Enabled to On.

Configure Data Upload Profile 1

This profile is used to upload information that does not change very frequently.

Note: After you have tested your template, we recommend using a 1 hour to 1 day upload interval for Data Upload Profile 1.

  1. On the Internet Settings dialog box, click the Configure button for Data Upload Profile 1.

  2. Set the Upload Interval to 1 min. for testing purposes.

  3. Use the default Offset Time of 12:03a. (optional)

  4. Click on the Download First check box. (required)

  5. Click on Select Template Files and select the following files to be uploaded from the Templates/test/ sub-directory of your weather station directory:

  • History_Perception.htx

  • davisticker.class

  • Davis Logo.jpg

Note: The files davisticker.class and Davis Logo.jpg only need to be uploaded once. After the first upload they can be removed from the files to be uploaded list.

  6. Click on the Select Images button located under Historical Data Images to be Uploaded in the Data Upload Profile dialog box.

  7. Click on the boxes to select the following Historical Data Images:

  • Inside Temp

  • Inside Heat Index

  • Inside Humidity

  • Inside Dew Point

  • Barometer

  • EMC

  • Air Density

  8. You can use the default plot span setting of 1 day, or set it to a different time span.

  9. Click OK to return to the Data Upload Profile dialog box.

  10. Click OK to return to the Internet Settings dialog box.

Note: No Current Data Images are used by this profile.

Configure Data Upload Profile 2

This profile provides frequent weather data updates for display in the Ticker Tape Java applet.

  1. On the Internet Settings dialog box, click the Configure button for Data Upload Profile 2.

  2. Set the Upload Interval to 1 min. for testing purposes. (recommended)

Note: After you have tested your template, we recommend using a 5-10 minute upload for this profile.

  3. Use the default Offset Time of 12:03a. (optional)

  4. Do not select Download First. Download first is not required for this profile.

  5. Click on Select Template Files and select the following files to be uploaded from the Templates/test/ sub-directory of your weather station directory:

  • data.htx

  6. Click OK to return to the Internet Settings dialog box.

Note: No Current Data Images or Historical Data Images are used by Data Upload Profile 2.

  7. Click OK to finish the configuration for this template.

Note: This HTML template does not use Data Upload Profile 3.

Test Your Web Page

  1. Watch the WeatherLink window on your computer for the Upload Progress dialog box to briefly appear.

  • The Upload Progress dialog box indicates when your Monthly Perception web page template file has been converted to a .htm file and transferred to the test directory.

  2. When the upload is finished, use Windows Explorer or My Computer to locate and open History_Perception.htm. The HTML file should open as a web page in your web browser.

  3. If the page isn't displayed, make sure you have the correct settings in your Internet Connection Settings dialog box and in your Data Upload Profile dialog box.

  4. If the page displays correctly, go on to the next step to finish putting your weather web page up on the Internet.

Put Your Weather History Web Page on the Internet:

  1. Open the Internet Settings dialog box.

  2. Set Local Copy Enabled to Off.

  3. Make sure you have the correct settings for your Internet connection and the correct FTP settings for your web server.

  4. Set Internet Transfer Enabled to On.

  5. Change the Upload Interval for Data Upload Profile 1 and Data Upload Profile 2 to your desired settings.

Note: While we used 1 min. for testing purposes, this is usually more often than necessary for a web page. We recommend an upload frequency of 1 hour up to 1 day for Data Upload Profile 1, and an upload frequency of 5 to 15 minutes for Data Upload Profile 2.

  6. Click OK to return to the Internet Settings dialog box.

  7. Click OK to finish the configuration for this template.

Back to Sample HTML Templates | HTML Features


Perception HTML Templates

The following HTML templates are available for Weather Perception weather stations:

Weather Summary Template for Perception - Shows a current summary of weather conditions as text in a table format.

Current Weather Template for Perception - Shows current data and daily high/low data in text and graphical format and uses the Ticker Tape Java applet to show monthly and yearly highs and lows.

Weather History Template for Perception - Shows monthly and yearly high/low data, and historical graphs and uses the Ticker Tape Java applet to show current weather conditions.

Or, create a custom template using WeatherLink Weather tags.

Back to:

Introduction to HTML Template Files

Creating Your Own HTML Template File

WeatherLink Weather Tags

Current Data Images GIF Filenames

Historical Data Images GIF Filenames

Ticker Tape Java Applet

Back to Sample HTML Templates | HTML Features | Internet Features


Weather Summary Template for Perception

Follow these instructions to create a Weather Summary web page.

Note: This is a good example of a simple HTML template that uses weather tags but does not use data images or the Ticker Tape Java Applet.

Transfer Files To Your Weather Station's Templates Sub-Directory

  1. Using Windows Explorer or My Computer, open the WeatherLink program directory.

  • The program directory is the directory that you specified during the installation of WeatherLink.

  2. Open the Sample Templates sub-directory.

  3. Open the Weather Summary sub-directory. This directory contains all the files needed to create a Weather Summary web page.

  4. Open your weather station’s Templates sub-directory.

  5. Copy the files listed below from the Current Conditions sub-directory into your weather station’s Templates sub-directory:

  • Current_Conditions_Perception.htx
    clouds.jpg
    Davis Logo.jpg

  • The Current_Conditions_Perception.htx file is a template file that contains current text data in tabular format.

  • The clouds.jpg file contains the blue sky and clouds background image used by the template.

  • The Davis Logo.jpg file contains the Davis Instruments logo displayed at the bottom of the page.

Check Your Internet Configuration Settings

  1. Open WeatherLink.

  2. If WeatherLink has more than one weather station installed, select the weather station you want to provide data for your web page.

  • This should match the station selected above.

  3. Select Set Latitude/Longitude from the Setup Menu.

  • Enter your latitude and longitude settings. These settings are used to calculate the sunrise and sunset HTML tags.

  4. Select Internet Settings from the Setup Menu.

  5. Select Internet Connection Settings.

  • Be sure your Internet Connection and FTP Settings are properly configured as directed in the Help Files.

Configure a Local Path Test Sub-Directory

In the Local Path (Path in the Internet Connection Settings dialog box) create a test sub-directory to your weather station's Templates directory.

  • We will use the Local Path file transfer function to test your web page before uploading it to the internet.

  1. Click on the Browse button of the dialog box and then select your weather station's Templates directory.

  2. Create a sub-directory called test by typing in test\ at the end of your weather station directory.

  • When you are finished, the local path should look something like C:\WeatherLink5\weather\Templates\test\

  3. Set Local Transfer Enabled to On (required).

  4. Make sure Internet Transfer Enabled is set to Off (recommended).

Note: Once you have determined the template displays correctly, you can set Local Transfer Enabled to Off and set Internet Transfer Enabled to On.

Configure Data Upload Profile 1

  1. On the Internet Settings dialog box, click the Configure button for Data Upload Profile 1.

  2. Set the Upload Frequency to 1 min. for testing purposes (recommended).

Note: After you have tested your template, we recommend using a 5-15 minute interval if you desire frequent updates to your web site. Use a 30 minute or longer upload frequency if you don't require frequent updating of your web site weather information.

  3. Use the default Offset Time of 12:03a (optional).

  4. Do not select Download First. Download First is not used by the Current Conditions template (recommended).

  5. Click on Select Template Files and select the following files to be uploaded from the Templates/ sub-directory of your weather station directory.

  • Current_Conditions_Perception.htx

  • Davis Logo.jpg

  • clouds.jpg (optional background image)

Note: The files Davis Logo.jpg and clouds.jpg only need to be uploaded once. After the first upload they can be removed from the files to be uploaded list.

  6. After you have selected the template files to be uploaded, click OK to return to the Internet Settings dialog box.

Note: This Data Upload Profile does not use any Current Data Images or Historical Data Images.

  7. Click OK to finish the configuration for this template.

Note: This template does not use the Data Upload Profile 2 or the Data Upload Profile 3.

Test Your Web Page

  1. Watch the WeatherLink window on your computer for the Upload Progress dialog box to briefly appear.

  • The Upload Progress dialog box indicates when your current conditions template file has been converted to a .htm file and transferred to the test directory.

  2. When the upload is finished, use Windows Explorer or My Computer to locate and open Current_Conditions.htm.

  • The HTML file should open as the Current Conditions web page in your web browser.

  • If the page isn't displayed, make sure you have the correct settings in your Internet Connection Settings dialog box and in your Data Upload Profile dialog box.

  • If the page displays correctly, go on to the next step to finish putting your weather web page up on the Internet.

Put Your Current Conditions Weather Web Page On the Internet:

  1. Open the Internet Settings dialog box.

  2. Set Local Copy Enabled to Off.

  3. Make sure you have the correct settings for your Internet connection and the correct FTP settings for your web server.

  4. Set Internet Transfer Enabled to On.

  5. Change the Upload Interval for Data Upload Profile 1 to your desired setting.

We used 1 min. for testing purposes, but this might be more often than necessary for a web page. We recommend using a 5-15 minute upload if you desire frequent updates to your web site. Use a 30 minute or longer upload interval if you don't require frequent updating of your web site weather information.

  6. After you have finished configuring the data upload profile, click OK to return to the Internet Settings dialog box.

  7. Click OK in the Internet Setting dialog box to finish the configuration for this template.

Back to Sample HTML Templates | HTML Features


Current Weather Template for Vantage Pro

Follow these instructions to create a current weather conditions web page for your Vantage Pro or Vantage Pro2 station. This template is a good example of an HTML template that uses one data profile, includes weather data images, and includes the Ticker Tape with the message text embedded in the main template file.

Transfer Files to your weather station's Templates Sub-directory

  1. Using Windows Explorer or My Computer, open the WeatherLink program directory. The program directory is the directory that you specified during the installation of WeatherLink.

  2. Open the Sample Templates sub-directory.

  3. Open the Current Vantage Pro directory, which contains all the files necessary to create a Current Vantage Pro or Vantage Pro2 web site.

  4. Open your weather station’s Templates sub-directory.

  • This is the destination directory for the template files we will copy in Step 5.

  5. Copy the files listed below from the Current Vantage Pro directory into the Templates sub-directory of your weather station directory:

  • Current_Vantage_Pro.htx
    davisticker.class
    Davis Logo.jpg

  • The Current_ Vantage _Pro.htx file is a template file that creates the Current_ Vantage _Pro.htm HTML file.

  • The davisticker.class file is the Ticker Tape Java applet file. It displays a "ticker tape" message that scrolls horizontally across the screen.

  • The Davis Logo.jpg file contains the Davis Instruments logo displayed in the upper left-hand corner of the page.

Check your Internet configuration settings

  1. Open WeatherLink.

  2. If WeatherLink has more one than one weather station installed, select the weather station you want to provide data for your web page.

  • This should match the station selected above.

  3. Choose NOAA Setup from the Reports Menu.

  • In the City and State fields, enter your city and state. These entries are used to create the City and State HTML tags.

  4. Choose Set Latitude/Longitude from the Setup Menu.

  • Enter your latitude and longitude settings. These settings are used to calculate the sunrise and sunset HTML tags.

  5. Choose Internet Settings from the Setup Menu.

  6. Choose Internet Connection Settings.

  • Be sure your Internet Connection and FTP Settings are properly configured as directed in the Help Files.

Configure a local path test sub-directory

  1. In the Local Path (Path in the Internet Connection Settings dialog box) create a test sub-directory to your weather station's Templates directory.

  • We will use the Local Path file transfer function to test your web page before uploading it to the internet.

  2. Click on the Browse button of the dialog box and then select your weather station's Templates sub-directory.

  3. Create a sub-directory called test by typing in test\ at the end of your weather station directory.

  • When you are finished, the local path should look something like C:\WeatherLink5\weather\Templates\test\

  4. Set Local Transfer Enabled to On (required).

  5. Make sure Internet Transfer Enabled is set to Off (recommended for testing).

Note: Once you have finished testing the template works, you will set "Local Transfer Enabled" to Off and set "Internet Transfer Enabled" to On.

Configure Data Upload Profile 1

  1. On the Internet Settings dialog box, click the Configure button for Data Upload Profile 1.

  2. Set the Upload Frequency to 1 min. for testing purposes. (recommended)

Note: After you have tested your template, we recommend using a 5-15 minute interval if you desire frequent updates on your web site. Use a 30 minute or longer interval if you don't require frequent updating of your web site weather information.

  3. Use the default Offset Time of 12:03a (optional).

  4. Select Download First (optional).

  5. Select Select Template Files and select the following files to be uploaded from the Templates/test/ sub-directory of your weather station directory:

  • Current_Vantage_Pro.htx

  • davisticker.class

  • Davis Logo.jpg

Note: The files davisticker.class and Davis Logo.jpg only need to be uploaded once. After the first upload they can be removed from the upload list.

  6. Click on the Select Images button located under Current Data Images to be Uploaded section in the Data Upload Profile dialog box.

  7. Click on the boxes to select the following Current Data Images:

  • Outside Temp

  • Heat Index

  • Outside Humidity

  • Dew Point

  • Wind Speed

  • Wind Direction

  • Wind Chill

  • Barometer

  • Daily Rain

  • Rain Storm

  • Month Rain

  • Year Rain

  • Rain Rate

  • THW Index

  8. Click OK to return to the Data Upload Profile dialog box.

  9. Click on the Select Images button located under Historical Data Images to be Uploaded section in the Data Upload Profile dialog box.

  10. Click on the boxes to select the following Historical Data Images:

  • Outside Temp

  • Barometer

  11. You can use the default plot span setting of 1 day, or set it to a different time span.

  12. Click OK to return to the Data Upload Profile dialog box.

  13. Click OK to return to the Internet Settings dialog box.

  14. Click OK to finish the configuration for this template.

Note: This HTML template does not use Data Upload Profile 2 or Data Upload Profile 3.

Test Your Web Page

  1. Watch the WeatherLink window on your computer for the Upload Progress dialog box to briefly appear.

  • The Upload Progress dialog box indicates when your Current Vantage Pro template file has been converted to an HTML file and transferred to the test directory.

  2. When the upload is finished, use Windows Explorer or My Computer to locate and open Current_Vantage_Pro.htm.

  • The HTML file should open as a web page in your web browser.

  • If the page isn't displayed, make sure you have the correct settings in your Internet Configurations Settings dialog box and in your Data Upload Profile dialog box.

  • If the page displays correctly, go on to the next step to finish putting your weather web page up on the Internet.

To put your Current Vantage Pro weather web page on the Internet:

  1. Open the Internet Settings dialog box.

  2. Set Local Copy Enabled to Off.

  3. Make sure you have the correct settings for your Internet connection and the correct FTP settings for your web server.

  4. Set Internet Transfer Enabled to On.

  5. Change the Upload Interval for Data Upload Profile 1 to your desired setting.

  • While we used 1 min. for testing purposes, this is usually more often than necessary for a web page.

  • We recommend using a 5-10 minute upload if you desire frequent updates on your web site. Use a 30 minute or longer upload interval if you don't require frequent updating of your web site weather information.

Back to Sample HTML Templates | HTML Features


Current Weather Template for Vantage Pro Plus

Follow these instructions to create a Current Weather Data Vantage Pro or Vantage Pro2 Plus web page.

  • The Current Vantage Pro Plus template is designed for use with the Vantage Pro or Vantage Pro2 Plus weather stations.

  • This template shows data from the Solar Radiation and UV sensors that are standard on a Vantage Pro or Vantage Pro2 Plus weather stations.

  • This template is a good example of an HTML template that uses one data profile, includes weather data images, and includes the Ticker Tape with the message text embedded in the main template file.

Transfer Files to your weather station's Templates Sub-directory

  1. Using Windows Explorer or My Computer, open the WeatherLink program directory.

  • The program directory is the directory that you specified during the installation of WeatherLink.

  2. Open the Sample Templates sub-directory.

  • There you will see the Current Daily Pro Plus Template folder, which contains all the files necessary to create a Current Vantage Pro Plus weather web site.

  3. Open the Current Vantage Pro Plus directory. This directory contains all the files needed to create a Current Vantage Pro Plus web site.

  4. Open your weather station’s Templates sub-directory.

  5. Copy the files listed below from the Current Vantage Pro Plus directory into the Templates sub-directory of your weather station directory:

  • The files required for this template are:
    Current_Vantage_Pro_Plus.htx
    davisticker.class
    Davis Logo.jpg

  • The Current_Vantage_Pro_Plus.htx file is a template file that creates the Current_Vantage_Pro_Plus.htm HTML file.

  • The davisticker.class file is the Ticker Tape Java applet file. It displays a "ticker tape" message that scrolls horizontally across the screen.

  • The Davis Logo.jpg file contains the Davis Instruments logo displayed in the upper left-hand corner of the page.

Check your Internet configuration settings

  1. Open WeatherLink.

  2. If WeatherLink has more one than one weather station installed, select the weather station you want to provide data for your web page.

  3. Choose "NOAA Setup " from the Reports Menu.

  • In the City and State fields, enter your city and state. These entries are used to create the City and State HTML tags.

  4. Choose "Set Latitude/Longitude " from the Setup Menu.

  • Enter your latitude and longitude settings. These settings are used to calculate the sunrise and sunset HTML tags.

  5. Choose "Internet Settings" from the Setup Menu.

  6. Choose "Configure Internet Settings".

  • Be sure your Internet Connection and FTP Settings are properly configured as directed in the Help Files.

Configure a local path test sub-directory

  1. In the Local Path (Path in the Internet Connection Settings dialog box) create a test sub-directory to your weather station's Templates directory.

  • Use the Local Path file transfer function to test your web page before uploading it to the Internet.

  2. Click on the Browse button of the dialog box and then select your weather station's Templates sub-directory.

  3. Create a sub-directory called test by typing in test\ at the end of your weather station directory.

  • When you are finished, the local path should look something like C:\WeatherLink5\weather\Templates\test\

  4. Set Local Transfer Enabled to On (required).

  5. Make sure Internet Transfer Enabled is set to Off (recommended).

Note: Once you have finished testing the template, you will set Local Transfer Enabled to Of" and set Internet Transfer Enabled to On.

Configure Data Upload Profile 1

  1. On the "Internet Settings" dialog box, click the Configure button for Data Upload Profile 1.

  2. Set the Upload Interval to 1 min. for testing purposes (recommended).

Note: After you have tested your template, we recommend using a 5-10 minute upload interval if you desire frequent updates on your web site. Use a 30 minute or longer upload interval if you don't require frequent updating of your web site weather information.

  3. Use the default Offset Time of 12:03a (optional).

  4. Click on the Download First check box (required).

  5. Click on Select Template Files and select the following files to be uploaded from the Templates/test/ sub-directory of your weather station directory.

  • Current_Vantage_Pro_Plus.htx

  • davisticker.class

  • Davis Logo.jpg

Note: The files davisticker.class and Davis Logo.jpg only need to be uploaded once. After the first upload they can be removed from the upload list.

  6. Click on the Select Images button located under Current Data Images to be Uploaded section in the Data Upload Profile dialog box.

  7. Click on the boxes to select the following Current Data Images:

  • Outside Temp

  • Heat Index

  • Outside Humidity

  • Dew Point

  • Wind Speed

  • Wind Direction

  • Wind Chill

  • Barometer

  • Daily Rain

  • Rain Storm

  • Month Rain

  • Year Rain

  • Rain Rate

  • Solar Rad

  • UV

  • THW Index

  8. Click OK to return to the Data Upload Profile dialog box.

  9. Click on the Select Images button located under Historical Data Images to be Uploaded section in the Data Upload Profile dialog box.

  10. Click on the boxes to select the following Historical Data Images:

  • Barometer

  11. You can use the default plot span setting of 1 day, or set it to a different time span.

  12. Click OK to return to the Data Upload Profile dialog box.

  13. Click OK to return to the Internet Settings dialog box.

  14. Click OK to finish the configuration for this template.

Note: This HTML template does not use Data Upload Profile 2 or Data Upload Profile 3.

Test Your Web Page

  1. Watch the WeatherLink window on your computer for the Upload Progress dialog box to briefly appear.

  • The Upload Progress dialog box indicates when your Current Daily web page template file has been converted to a .htm file and transferred to the test directory.

  2. When the upload is finished, use Windows Explorer or My Computer to locate and open Current_Vantage_Pro_Plus.htm.

  • The HTML file should open as a web page in your web browser.

  • If the page isn't displayed, make sure you have the correct settings in your Internet Connection Settings dialog box and in your Data Upload Profile dialog box.

  • If the page displays correctly, go on to the next step to finish putting your weather web page up on the Internet.

Put Your Current Weather Web Page on the Internet:

  1. Open the Internet Settings dialog box.

  2. Set Local Copy Enabled to Off.

  3. Make sure you have the correct settings for your Internet connection and the correct FTP settings for your web server.

  4. Set Internet Transfer Enabled to On.

  5. Change the Upload Interval for Data Upload Profile 1 to your desired setting.

  • While we used 1 min. for testing purposes, this is usually more often than necessary.

  • We recommend using a 5-15 minute upload interval if you desire frequent updates on your web site. Use a 30 minute or longer upload interval if you don't require frequent updating of your web site weather information.

  6. Click OK to return to the Internet Settings dialog box.

  7. Click OK to finish the configuration for this template.

Back to Sample HTML Templates | HTML Features


Historical Weather Template for Vantage Pro

Follow these instructions to create a Monthly Vantage Pro weather web page.

  • The Monthly Vantage Pro template is designed for use with the Vantage Pro weather station.

  • This template will create a web page that displays month-to-date and year-to-date historical weather data using both text and graphics.

  • This template is a good example of an HTML template that uses two data upload profiles, includes weather data images, and includes the Ticker Tape with the message text contained in a second template file.

  • This template uses two Data Upload Profiles. One profile is used to upload the current weather information displayed in the Ticker Tape message every 5 minutes. The second profile uploads all the weather data images and the main page text once every 1 hour. It could be set to a longer interval as well.

Transfer Files to your weather station's Templates Sub-directory

  1. Using Windows Explorer or My Computer, open the WeatherLink program directory.

  • The program directory is the directory that you specified during the installation of WeatherLink.

  2. Open the Sample Templates sub-directory.

  • You will see the History Vantage Pro Template folder.

  3. Open the History Vantage Pro directory. This directory contains all the files needed to create a weather history web page.

  4. Open your weather station’s Templates sub-directory.

  5. Copy the files listed below from the History Vantage Pro directory into the Templates sub-directory of your weather station directory:

  • History_Vantage_Pro.htx
    data.htx
    davisticker.class
    Davis Logo.jpg

  • The History_Vantage_Pro.htx file is a template file that creates the History_Vantage_Pro.htm HTML file.

  • The data.htx file is the template file that contains the text used by the Ticker Tape Java applet.

  • The davisticker.class file is the Ticker Tape Java applet file. It displays a "ticker tape" message that scrolls horizontally across the screen.

  • The Davis Logo.jpg file contains the Davis Instruments logo displayed at the bottom of the page.

Check your Internet configuration settings

  1. Open WeatherLink.

  2. If WeatherLink has more one than one weather station installed, select the weather station you want to provide data for your web page.

  • This should match the station selected above.

  3. Select NOAA Setup from the Reports Menu.

  • In the City and State fields, enter your city and state. These entries are used to create the City and State HTML tags.

  2. Select Set Latitude/Longitude from the Setup Menu.

  • Enter your latitude and longitude settings. These settings are used to calculate the sunrise and sunset HTML tags.

  7. Select Internet Settings from the Setup Menu.

  8. Select Configure Internet Settings.

  • Be sure your Internet Connection and FTP Settings are properly configured as directed in the Help Files.

Configure a local path test sub-directory

  1. In the Local Path (Path in the Internet Connection Settings dialog box) create a test sub-directory to your weather station's Templates directory.

  • Use the Local Path file transfer function to test your web page before uploading it to the Internet.

  2. Click on the Browse button of the dialog box and then select your weather station's Templates sub-directory.

  3. Create a sub-directory called test by typing in test\ at the end of your weather station directory.

  • When you are finished, the local path should look something like C:\WeatherLink5\weather\Templates\test\

  4. Set Local Transfer Enabled to On. (required)

  5. Make sure Internet Transfer Enabled is set to Off. (recommended for testing)

Note: Once you have finished testing the template, you will set Local Transfer Enabled to Off and set Internet Transfer Enabled to On.

Configure Data Upload Profile 1

This profile is used to upload information that does not change very frequently.

  1. On the Internet Settings dialog box, click the Configure button for Data Upload Profile 1.

  2. Set the Upload Interval to 1 min. for testing purposes.

Note: After you have tested your template, we recommend using a 1 hour to 1 day upload interval for Data Upload Profile 1.

  3. Use the default Offset Time of 12:03a. (optional)

  4. Click on the Download First check box. (required)

  5. Click on Select Template Files and select the following files to be uploaded from the Templates/test/ sub-directory of your weather station directory:

  • History_Vantage_Pro.htx

  • davisticker.class

  • Davis Logo.jpg

Note: The files davisticker.class and Davis Logo.jpg only need to be uploaded once. After the first upload they can be removed from the files to be uploaded list.

  6. Click on the Select Images button located under Historical Data Images to be Uploaded section in the Data Upload Profile dialog box.

  7. Click on the boxes to select the following Historical Data Images:

  • Outside Temp

  • Heat Index

  • Outside Humidity

  • Dew Point

  • Wind Speed

  • Wind Direction

  • Wind Chill

  • High Wind Speed

  • High Wind Direction

  • Barometer

  • Rain

  • Rain Rate

  8. You can use the default plot span setting of 1 day, or set it to a different time span.

  9. Click OK to return to the Data Upload Profile dialog box.

Note: No Current Data Images are used by this profile.

  10. Click OK to return to the Internet Settings dialog box.

Configure Data Upload Profile 2

This profile is used to frequently update the current weather information displayed by the Ticker Tape Java applet.

  1. On the Internet Settings dialog box, click the Configure button for Data Upload Profile 2.

  2. Set the Upload Interval to 1 min. for testing purposes. (recommended)

Note: After you have tested your template, we recommend using a 5-10 minute upload for this profile.

  3. Use the default Offset Time of 12:03a. (optional)

  4. Do not select Download First. Download first is not required for this profile.

  5. Click on Select Template Files and select the following files to be uploaded from the Templates/test/ sub-directory of your weather station directory:

  • data.htx

  6. Click OK to return to the Internet Settings dialog box.

Note: No Current Data Images or Historical Data Images are used by Data Upload Profile 2.

  7. Click OK to finish the configuration for this template.

Note: This HTML template does not use Data Upload Profile 3.

Test Your Web Page

  1. Watch the WeatherLink window on your computer for the Upload Progress dialog box to briefly appear.

  • The Upload Progress dialog box indicates when your History Vantage Pro web page template file has been converted to a .htm file and transferred to the test directory.

  2. When the upload is finished, use Windows Explorer or My Computer to locate and open History_Vantage_Pro.htm.

  • The HTML file should open as a web page in your web browser.

  • If the page isn't displayed, make sure you have the correct settings in your Internet Connection Settings dialog box and in your Data Upload Profile dialog box.

  • If the page displays correctly, go on to the next step to finish putting your weather web page up on the Internet.

Put Your Monthly Vantage Pro Weather Web Page on the Internet:

  1. Open the Internet Settings dialog box.

  2. Set Local Copy Enabled to Off.

  3. Make sure you have the correct settings for your Internet connection and the correct FTP settings for your web server.

  4. Set Internet Transfer Enabled to On.

  5. Change the Upload Interval for Data Upload Profile 1 and Data Upload Profile 2 to your desired settings.

Note: While we used 1 min." for testing purposes, this is usually more often than necessary for a web page. We recommend an upload frequency of 1 hour up to 1 day for Data Upload Profile 1, and an upload frequency of 5 to 15 minutes for Data Upload Profile 2.

  6. Click OK to return to the Internet Settings dialog box.

  7. Click OK to finish the configuration for this template.

Back to Sample HTML Templates | HTML Features


Historical Weather Template for Vantage Pro Plus

Follow these instructions to create a history weather web page for your Vantage Pro Plus station.

  • The Historical Weather Template for Vantage Pro Plus is designed for use with the Vantage Pro Plus weather station.

  • This template shows data from the solar radiation and UV sensors that are standard on a Vantage Pro Plus weather station. You can use the template with a standard Vantage Pro that has been equipped with the optional solar radiation and UV sensors.

  • This template will create a web page that displays month-to-date and year-to-date historical weather data using both text and graphics.

  • This template is a good example of an HTML template that uses two data upload profiles, includes weather data images, and includes the Ticker Tape with the message text contained in a second template file.

  • This template uses two Data Upload Profiles. One profile is used to upload the current weather information displayed in the Ticker Tape message every 5 minutes. The second profile uploads all the weather data images and the main page text once every 1 hour. It could be set to a longer interval as well.

Transfer Files to your weather station's Templates Sub-directory

  1. Using Windows Explorer or My Computer, open the WeatherLink program directory.

  • The program directory is the directory that you specified during the installation of WeatherLink.

  2. Open the Sample Templates sub-directory.

  • You will see the History Vantage Pro Plus Template folder, which contains all the files necessary to create a Monthly Vantage Pro Plus web site.

  3. Open the "Monthly Vantage Pro Plus" directory. This directory contains all the files needed to create a weather history web page.

  4. Open your weather station’s "Templates" sub-directory.

  5. Copy the files listed below from the History Vantage Pro Plus directory into the Templates sub-directory of your weather station directory:

  • History_Vantage_Pro_Plus.htx
    data.htx
    davisticker.class
    Davis Logo.jpg

  • The History_Vantage_Pro_Plus.htx file is a template file that is used to create the History_Vantage_Pro_Plus.htm file.

  • The data.htx file is the template file that contains the text used by the Ticker Tape Java applet.

  • The davisticker.class file is the Ticker Tape Java applet file. It displays a ticker tape message that scrolls horizontally across the screen.

  • The Davis Logo.jpg file contains the Davis Instruments logo displayed in the upper left-hand corner of the page.

Check your Internet configuration settings

  1. Open WeatherLink.

  2. If WeatherLink has more one than one weather station installed, select the weather station you want to provide data for your web page.

  3. Select NOAA Setup from the Reports Menu.

  • In the City and State fields, enter your city and state. These entries are used to create the City and State HTML tags.

  4. Select Set Latitude/Longitude from the Setup Menu.

  • Enter your latitude and longitude settings. These settings are used to calculate the sunrise and sunset HTML tags.

  5. Select Internet Settings from the Setup Menu.

  6. Select Configure Internet Settings.

  • Be sure your Internet Connection and FTP Settings are properly configured as directed in the Help Files.

Configure a local path test sub-directory

  1. In the Local Path (Path in the Internet Connection Settings dialog box) create a test sub-directory to your weather station's Templates directory.

  • We will use the Local Path file transfer function to test your web page before uploading it to the internet.

  2. Click on the Browse button of the dialog box and then select your weather station's Templates sub-directory.

  3. Create a sub-directory called test by typing in test\ at the end of your weather station directory.

  • When you are finished, the local path should look something like C:\WeatherLink5\weather\Templates\test\.

  4. Set Local Transfer Enabled to Yes (required).

  5. Make sure Internet Transfer Enabled is set to No (recommended for testing).

Note: Once you have finished testing the template, you will set Local Transfer Enabled to Off and set Internet Transfer Enabled to On.

Configure Data Upload Profile 1

This profile is used to upload information that does not change very frequently.

  1. On the Internet Settings dialog box, click the Configure button for Data Upload Profile 1.

  2. Set the Upload Interval to 1 min. for testing purposes.

Note: After you have tested your template, we recommend using a 1 hour to 1 day upload interval for Data Upload Profile 1.

  3. Use the default Offset Time of 12:03a (optional).

  4. Click on the Download First check box (required).

  5. Click on Select Template Files and select the following files to be uploaded from the Templates/test/ sub-directory of your weather station directory:

  • History_Vantage_Pro_Plus.htx

  • davisticker.class

  • Davis Logo.jpg

Note: The files "davisticker.class" and "Davis Logo.jpg" only need to be uploaded once. After the first upload they can be removed from profile.

  6. Click on the Select Images button located under "Historical Data Images to be Uploaded" in the Data Upload Profile dialog box.

  7. Click on the boxes to select the following Historical Data Images:

  • Outside Temp

  • Heat Index

  • Outside Humidity

  • Dew Point

  • Wind Speed

  • Wind Direction

  • Wind Chill

  • Hi Wind Speed

  • High Wind Direction

  • Barometer

  • Rain

  • Rain Rate

  • Solar Rad

  • UV

  8. You can use the default plot span setting of 1 day, or set it to a different time span.

  9. Click OK to return to the Data Upload Profile dialog box.

Note: No Current Data Images are used by this profile.

  24. Click OK to return to the Internet Settings dialog box.

Configure Data Upload Profile 2

This profile is used to frequently update the current weather information displayed in the Ticker Tape Java applet.

  1. On the Internet Settings dialog box, click the Configure. button for Data Upload Profile 2.

  2. Set the Upload Interval to 1 min. for testing purposes (recommended).

Note: After you have tested your template, we recommend using a 5-10 minute upload for this profile.

  3. Use the default Offset Time of 12:03a (optional).

  4. Do not select Download First. Download first is not required for this profile.

  5. Click on Select Template Files and select the following files to be uploaded from the Templates/test/ sub-directory of your weather station directory:

  • data.htx

  6. Click OK to return to the Internet Settings dialog box.

Note: No Current Data Images or Historical Data Images are used by Data Upload Profile 2.

  7. Click OK to finish the configuration for this template.

Note: This HTML template does not use Data Upload Profile 3.

Test Your Web Page

  1. Watch the WeatherLink window on your computer for the Upload Progress dialog box to briefly appear.

  • The Upload Progress dialog box indicates when your Monthly Vantage Pro web page template file has been converted to a .htm file and transferred to the test directory.

  2. When the upload is finished, use Windows Explorer or My Computer to locate and open History_Vantage_Pro_Plus.htm.

  • The HTML file should open as a web page in your web browser.

  • If the page isn't displayed, make sure you have the correct settings in your Internet Connection Settings dialog box and in your Data Upload Profile dialog box.

  • If the page displays correctly, go on to the next step to finish putting your weather web page up on the Internet.

Put Your Weather History Web Page on the Internet:

  1. Open the Internet Settings dialog box.

  2. Set Local Copy Enabled to Off.

  3. Make sure you have the correct settings for your Internet connection and the correct FTP settings for your web server.

  4. Set Internet Transfer Enabled to On.

  5. Change the Upload Interval for Data Upload Profile 1 and Data Upload Profile 2 to your desired settings.

  • While we used 1 min. for testing purposes, this is usually more often than necessary.

  • We recommend an upload interval of 1 hour up to 1 day for Data Upload Profile 1, and an upload interval of 5 to 15 minutes for Data Upload Profile 2.

  6. Click OK to return to the Internet Settings dialog box.

  7. Click OK to finish the configuration for this template.

Back to Sample HTML Templates | HTML Features


Vantage HTML Templates

The following HTML templates are available for Vantage Pro and Vantage Vue weather stations.

List of Templates

Weather Summary for Vantage

  • Shows a summary of current weather conditions as text in a table format.

Current Weather Template for Vantage

  • Shows current data and daily high/low data in text and graphical format.

  • Uses the Ticker Tape Java applet to show monthly and yearly highs and lows.

Historical Weather Template for Vantage

  • Shows monthly and yearly high/low data, and historical graphs.

  • Uses the Ticker Tape Java applet to show current weather conditions.

Current Weather Template for Vantage Pro Plus

  • Shows Vantage Pro Plus current data and daily high/low data in text and graphical format.

  • Includes the display of data from the Solar Radiation and UV sensors that are standard on Vantage Pro Plus and Vantage Pro2 Plus weather stations.

  • Uses the Ticker Tape Java applet to show monthly and yearly highs and lows.

Historical Weather Template for Vantage Pro Plus

  • Shows Vantage Pro Plus monthly and yearly high/low data, and historical graphs.

  • Includes the display of data from the Solar Radiation and UV sensors that are standard on Vantage Pro Plus and Vantage Pro2 Plus weather stations.

  • Uses the Ticker Tape Java applet to show current weather conditions.

You can also create your own template using WeatherLink Weather tags.

Related Topics

Introduction to HTML Template Files

Creating Your Own HTML Template File

WeatherLink Weather Tags

Current Data Images GIF Filenames

Historical Data Images GIF Filenames

Ticker Tape Java Applet

Back to Sample HTML Templates | HTML Features | Internet Features


Weather Summary for Vantage Pro Plus

Weather Summary Template for Vantage Pro Plus

Follow these instructions to create a Current Weather Conditions web page.

  • This is a good example of a simple HTML template that uses weather tags but does not use data images or the Ticker Tape Java Applet.

Transfer Files to your weather station's Templates Sub-directory

  1. Using Windows Explorer or My Computer, open the WeatherLink program directory.

  • The program directory is the directory that you specified during the installation of WeatherLink.

  2. Open the Sample Templates sub-directory.

  3. Open the Weather Summary sub-directory. This directory contains all the files needed to create a Weather Summary web page.

  4. Open your weather station’s Templates sub-directory.

  5. Copy the files listed below from the Weather Summary sub-directory into your weather station’s Templates sub-directory:

  • Weather_Summary_Vantage_Pro_Plus.htx
    clouds.jpg
    Davis Logo.jpg

  • The Weather_Summary_Vantage_Pro_Plus.htx file is a template file that contains weather summary information in text table.

  • The clouds.jpg file contains the blue sky and clouds background image used by the template.

  • The Davis Logo.jpg file contains the Davis Instruments logo displayed at the bottom of the page.

Check Your Internet Configuration Settings

  1. Open WeatherLink.

  2. If WeatherLink has more than one weather station installed, select the weather station you want to provide data for your web page.

  • This should match the station selected above.

  3. Select NOAA Setup from the Reports Menu.

  • In the City and State fields, enter your city and state. These entries are used to create the City and State HTML tags.

  4. Select Set Latitude/Longitude from the Setup Menu.

  • Enter your latitude and longitude settings. These settings are used to calculate the sunrise and sunset HTML tags.

  5. Select Internet Settings from the Setup Menu.

  6. Select Internet Connection Settings.

  • Be sure your Internet Connection and FTP Settings are properly configured as directed in the Help Files.

Configure a Local Path Test Sub-Directory

In the Local Path (Path in the Internet Connection Settings dialog box) create a test sub-directory to your weather station's Templates directory.

  • We will use the Local Path file transfer function to test your web page before uploading it to the internet.

  1. Click on the Browse button of the dialog box and then select your weather station's Templates directory.

  2. Create a sub-directory called test by typing in test\ at the end of your weather station directory.

  • When you are finished, the local path should look something like C:\WeatherLink5\weather\Templates\test\

  3. Set Local Transfer Enabled to On (required).

  4. Make sure Internet Transfer Enabled is set to Off (recommended).

Note: Once you have determined the template displays correctly, you can set Local Transfer Enabled to Off and set Internet Transfer Enabled to On.

Configure Data Upload Profile 1

  1. On the Internet Settings dialog box, click the Configure button for Data Upload Profile 1.

  2. Set the Upload Frequency to 1 min. for testing purposes (recommended).

Note: After you have tested your template, we recommend using a 5-15 minute interval if you desire frequent updates to your web site. Use a 30 minute or longer upload frequency if you don't require frequent updating of your web site weather information.

  3. Use the default Offset Time of 12:03a (optional).

  4. Do not select Download First. Download First is not used by the Current Conditions template (recommended).

  5. Click on Select Template Files and select the following files to be uploaded from the Templates/ sub-directory of your weather station directory.

  • Weather_Summary_Vantage_Pro_Plus.htx

  • Davis Logo.jpg

  • clouds.jpg (optional background image)

Note: The files Davis Logo.jpg and clouds.jpg only need to be uploaded once. After the first upload they can be removed from the files to be uploaded list.

  6. After you have selected the template files to be uploaded, click OK to return to the Internet Settings dialog box.

Note: This Data Upload Profile does not use any Current Data Images or Historical Data Images.

  7. Click OK to finish the configuration for this template.

Note: This template does not use the Data Upload Profile 2 or the Data Upload Profile 3.

Test Your Web Page

  1. Watch the WeatherLink window on your computer for the Upload Progress dialog box to briefly appear.

  • The Upload Progress dialog box indicates when your current conditions template .htx file has been converted to a .htm file and transferred to the test directory.

  2. When the upload is finished, use Windows Explorer or My Computer to locate and open Weather_Summary_Vantage_Pro_Plus.htm.

  • The HTML file should open as the Weather Summary web page in your web browser.

  • If the page isn't displayed, make sure you have the correct settings in your Internet Connection Settings dialog box and in your Data Upload Profile dialog box.

  • If the page displays correctly, go on to the next step to finish putting your weather web page up on the Internet.

Put Your Current Conditions Weather Web Page On the Internet:

  1. Open the Internet Settings dialog box.

  2. Set Local Copy Enabled to Off.

  3. Make sure you have the correct settings for your Internet connection and the correct FTP settings for your web server.

  4. Set Internet Transfer Enabled to On.

  5. Change the Upload Interval for Data Upload Profile 1 to your desired setting.

  • We used 1 min. for testing purposes, but this might be more often than necessary for a web page.

Note: We recommend using a 5-15 minute upload if you desire frequent updates to your web site. Use a 30 minute or longer upload interval if you don't require frequent updating of your web site weather information.

  6. After you have finished configuring the data upload profile, click OK to return to the Internet Settings dialog box.

  7. Click OK in the Internet Setting dialog box to finish the configuration for this template.

Back to Sample HTML Templates | HTML Features


Weather Summary Template for Vantage Pro

Follow these instructions to create a Current Weather Conditions web page.

  • This is a good example of a simple HTML template that uses weather tags but does not use data images or the Ticker Tape Java Applet.

Transfer Files to your weather station's Templates Sub-directory

  1. Using Windows Explorer or My Computer, open the WeatherLink program directory.

  • The program directory is the directory that you specified during the installation of WeatherLink.

  2. Open the Sample Templates sub-directory.

  3. Open the Weather Summary sub-directory. This directory contains all the files needed to create a Weather Summary web page.

  4. Open your weather station’s Templates sub-directory.

  5. Copy the files listed below from the Weather Summary sub-directory into your weather station’s Templates sub-directory:

  • Weather_Summary_Vantage_Pro.htx
    clouds.jpg
    Davis Logo.jpg

  • The Weather_Summary_Vantage_Pro.htx file is a template file that contains weather summary information in a text table.

  • The clouds.jpg file contains the blue sky and clouds background image used by the template.

  • The Davis Logo.jpg file contains the Davis Instruments logo displayed at the bottom of the page.

Check Your Internet Configuration Settings

  1. Open WeatherLink.

  2. If WeatherLink has more than one weather station installed, select the weather station you want to provide data for your web page.

  • This should match the station selected above.

  3. Select NOAA Setup from the Reports Menu.

  • In the City and State fields, enter your city and state. These entries are used to create the City and State HTML tags.

  4. Select Set Latitude/Longitude from the Setup Menu.

  • Enter your latitude and longitude settings. These settings are used to calculate the sunrise and sunset HTML tags.

  5. Select Internet Settings from the Setup Menu.

  6. Select Internet Connection Settings.

  • Be sure your Internet Connection and FTP Settings are properly configured as directed in the Help Files.

Configure a Local Path Test Sub-Directory

In the Local Path (Path in the Internet Connection Settings dialog box) create a test sub-directory to your weather station's Templates directory.

  • We will use the Local Path file transfer function to test your web page before uploading it to the internet.

  1. Click on the Browse button of the dialog box and then select your weather station's Templates directory.

  2. Create a sub-directory called test by typing in test\ at the end of your weather station directory.

  • When you are finished, the local path should look something like C:\WeatherLink5\weather\Templates\test\

  3. Set Local Transfer Enabled to On (required).

  4. Make sure Internet Transfer Enabled is set to Off (recommended).

Note: Once you have determined the template displays correctly, you can set Local Transfer Enabled to Off and set Internet Transfer Enabled to On.

Configure Data Upload Profile 1

  1. On the Internet Settings dialog box, click the Configure button for Data Upload Profile 1.

  2. Set the Upload Frequency to 1 min. for testing purposes (recommended).

Note: After you have tested your template, we recommend using a 5-15 minute interval if you desire frequent updates to your web site. Use a 30 minute or longer upload frequency if you don't require frequent updating of your web site weather information.

  3. Use the default Offset Time of 12:03a (optional).

  4. Do not select Download First. Download First is not used by the Current Conditions template (recommended).

  5. Click on Select Template Files and select the following files to be uploaded from the Templates/ sub-directory of your weather station directory:

  • Weather_Summary_Vantage_Pro.htx

  • Davis Logo.jpg

  • clouds.jpg (optional background image)

Note: The files Davis Logo.jpg and clouds.jpg only need to be uploaded once. After the first upload they can be removed from the files to be uploaded list.

  6. After you have selected the template files to be uploaded, click OK to return to the Internet Settings dialog box.

Note: This Data Upload Profile does not use any Current Data Images or Historical Data Images.

  7. Click OK to finish the configuration for this template.

Note: This template does not use the Data Upload Profile 2 or the Data Upload Profile 3.

Test Your Web Page

  1. Watch the WeatherLink window on your computer for the Upload Progress dialog box to briefly appear.

  • The Upload Progress dialog box indicates when your current conditions template .htx file has been converted to a .htm file and transferred to the test directory.

  2. When the upload is finished, use Windows Explorer or My Computer to locate and open Weather_Summary_Vantage_Pro.htm.

  • The HTML file should open as the Weather Summary web page in your web browser.

  • If the page isn't displayed, make sure you have the correct settings in your Internet Connection Settings dialog box and in your Data Upload Profile dialog box.

  • If the page displays correctly, go on to the next step to finish putting your weather web page up on the Internet.

Put Your Current Conditions Weather Web Page On the Internet:

  1. Open the Internet Settings dialog box.

  2. Set Local Copy Enabled to Off.

  3. Make sure you have the correct settings for your Internet connection and the correct FTP settings for your web server.

  4. Set Internet Transfer Enabled to On.

  5. Change the Upload Interval for Data Upload Profile 1 to your desired setting.

Note: We used 1 min. for testing purposes, but this might be more often than necessary for a web page. We recommend using a 5-15 minute upload if you desire frequent updates to your web site. Use a 30 minute or longer upload interval if you don't require frequent updating of your web site weather information.

  6. After you have finished configuring the data upload profile, click OK to return to the Internet Settings dialog box.

  7. Click OK in the Internet Settings dialog box to finish the configuration for this template.

Back to Sample HTML Templates | HTML Features


Current Weather Template for Wizard

Follow these instructions to create a current weather conditions web page for your Weather Wizard station.

  • The Current Wizard template is designed for use with the Weather Wizard II weather station.

  • This template is a good example of an HTML template that uses one data profile, includes weather data images, and includes the Ticker Tape with the message text embedded in the main template file.

Transfer Files To Your Weather Station's Templates Sub-Directory

  1. Using Windows Explorer or My Computer, open the WeatherLink program directory.

  • The program directory is the directory that you specified during the installation of WeatherLink.

  1. Open the "Sample Templates" sub-directory.

  2. Open the Current Wizard directory, which contains all the files necessary to create a Current Weather Conditions web site.

  3. Open your weather station’s Templates sub-directory.

  4. Copy the files listed below from the Current Wizard directory into the Templates sub-directory of your weather station directory:

  • Current_Wizard.htx
    davisticker.class
    Davis Logo.jpg

  • The Current_Wizard.htx file is a template file that creates the Current_Wizard.htm HTML file.

  • The davisticker.class file is the Ticker Tape Java applet file. It displays a "ticker tape" message that scrolls horizontally across the screen.

  • The Davis Logo.jpg file contains the Davis Instruments logo displayed in the upper left-hand corner of the page.

Check Your Internet Configuration Settings

  1. Open WeatherLink.

  2. If WeatherLink has more one than one weather station installed, select the weather station you want to provide data for your web page.

  • This should match the station selected above.

  3. Choose NOAA Setup from the Reports Menu.

  • In the City and State fields, enter your city and state. These entries are used to create the City and State HTML tags.

  4. Choose Set Latitude/Longitude from the Setup Menu.

  • Enter your latitude and longitude settings. These settings are used to calculate the sunrise and sunset HTML tags.

  5. Choose Internet Settings from the Setup Menu.

  6. Choose Internet Connection Settings.

  • Be sure your Internet Connection and FTP Settings are properly configured as directed in the Help Files.

Configure A Local Path Test Sub-Directory

  1. In the Local Path (Path in the Internet Connection Settings dialog box) create a test sub-directory to your weather station's Templates directory.

  • We will use the Local Path file transfer function to test your web page before uploading it to the internet.

  2. Click on the Browse button of the dialog box and then select your weather station's Templates sub-directory.

  3. Create a sub-directory called test by typing in test\ at the end of your weather station directory.

  • When you are finished, the local path should look something like C:\WeatherLink5\weather\Templates\test\

  4. Set Local Transfer Enabled to On (required).

  5. Make sure Internet Transfer Enabled is set to Off (recommended for testing).

Note: Once you have finished testing the template works, you will set Local Transfer Enabled to Off and set Internet Transfer Enabled to On.

Configure Data Upload Profile 1

  1. On the Internet Settings dialog box, click the Configure button for Data Upload Profile 1.

  2. Set the Upload Frequency to 1 min. for testing purposes. (recommended)

Note: After you have tested your template, we recommend using a 5-15 minute interval if you desire frequent updates on your web site. Use a 30 minute or longer interval if you don't require frequent updating of your web site weather information.

  3. Use the default Offset Time of 12:03a (optional).

  4. Select Download First (optional).

  5. Select Select Template Files and select the following files to be uploaded from the Templates/test/ sub-directory of your weather station directory:

  • Current_Wizard.htx

  • davisticker.class

  • Davis Logo.jpg

Note: The files davisticker.class and Davis Logo.jpg only need to be uploaded once. After the first upload they can be removed from the upload list.

  6. Click on the Select Images button located under Current Data Images to be Uploaded section in the Data Upload Profile dialog box.

  7. Click on the boxes to select the following Current Data Images:

  • Outside Temp

  • Wind Speed

  • Wind Direction

  • Wind Chill

  • Daily Rain

  • Year Rain

  8. Click OK to return to the Data Upload Profile dialog box.

  9. Click on the Select Images button located under Historical Data Images to be Uploaded in the Data Upload Profile dialog box.

  10. Click on the boxes to select the following Historical Data Images:

  • Outside Temp

  11. You can use the default plot span setting of 1 day, or set it to a different time span.

  12. Click OK to return to the Data Upload Profile dialog box.

  13. Click OK to return to the Internet Settings dialog box.

  14. Click OK to finish the configuration for this template.

Note: This HTML template does not use Data Upload Profile 2 or Data Upload Profile 3.

Test Your Web Page

  30. Watch the WeatherLink window on your computer for the Upload Progress dialog box to briefly appear.

  • The Upload Progress dialog box indicates when your .htx template file has been converted to an HTML file and transferred to the test directory.

  31. When the upload is finished, use Windows Explorer or My Computer to locate and open Current_Wizard.htm. It should be located in the test directory you created later for the local path.

  • The HTML file should open as a web page in your web browser.

  • If the page isn't displayed, make sure you have the correct settings in your Internet Configurations Settings dialog box and in your Data Upload Profile dialog box.

  • If the page displays correctly, go on to the next step to finish putting your weather web page up on the Internet.

To Put Your Current Weather Web Page On The Internet:

  32. Open the Internet Settings dialog box.

  33. Set Local Copy Enabled to Off.

  34. Make sure you have the correct settings for your Internet connection and the correct FTP settings for your web server.

  35. Set Internet Transfer Enabled to On.

  36. Change the Upload Interval for Data Upload Profile 1 to your desired setting.

  • While we used 1 min. for testing purposes, this is usually more often than necessary for a web page.

  • We recommend using a 5-10 minute upload if you desire frequent updates on your web site. Use a 30 minute or longer upload interval if you don't require frequent updating of your web site weather information.

Back to Sample HTML Templates | HTML Features


Historical Weather Template for Wizard

Follow these instructions to create a weather history web page for your Weather Wizard station.

  • The History Wizard template is designed for use with the Wizard weather station.

  • This template will create a web page that displays month-to-date and year-to-date historical weather data using both text and graphics.

  • This template is a good example of an HTML template that uses one data profile, includes weather data images, and includes the Ticker Tape with the message text embedded in the main template file.

  • This template uses two Data Upload Profiles. One profile is used to upload the current weather information displayed in the Ticker Tape message every 5 minutes. The second profile uploads all the weather data images and the main page text once every 1 hour. It could be set to a longer interval as well.

Transfer Files to your weather station's Templates Sub-directory

  1. Using Windows Explorer or My Computer, open the WeatherLink program directory.

  • The program directory is the directory that you specified during the installation of WeatherLink.

  2. Open the Sample Templates sub-directory.

  • You will see the History Wizard Template folder.

  3. Open the History Wizard directory. This directory contains all the files needed to create a weather history web page.

  4. Open your weather station’s Templates sub-directory.

  5. Copy the files listed below from the "History Wizard" directory into the "Templates" sub-directory of your weather station directory:

  • History_Wizard.htx
    data.htx
    davisticker.class
    Davis Logo.jpg

  • The History_Wizard.htx file is a template file that creates the History_Wizard.htm HTML file.

  • The data.htx file is the template file that contains the text used by the Ticker Tape Java applet.

  • The davisticker.class file is the Ticker Tape Java applet file. It displays a "ticker tape" message that scrolls horizontally across the screen.

  • The Davis Logo.jpg file contains the Davis Instruments logo displayed at the bottom of the page.

Check your Internet configuration settings

  1. Open WeatherLink.

  2. If WeatherLink has more one than one weather station installed, select the weather station you want to provide data for your web page.

  • This should match the station selected above.

  3. Select NOAA Setup from the Reports Menu.

  • In the City and State fields, enter your city and state. These entries are used to create the City and State HTML tags.

  4. Select Set Latitude/Longitude from the Setup Menu.

  • Enter your latitude and longitude settings. These settings are used to calculate the sunrise and sunset HTML tags.

  5. Choose Internet Settings from the Setup Menu.

  6. Choose Configure Internet Settings.

  • Be sure your Internet Connection and FTP Settings are properly configured as directed in the Help Files.

Configure a local path test sub-directory

  1. In the Local Path (Path in the Internet Connection Settings dialog box) create a test sub-directory to your weather station's Templates directory.

  • We will use the Local Path file transfer function to test your web page before uploading it to the Internet.

  2. Click on the Browse button of the dialog box and then select your weather station's Templates sub-directory.

  3. Create a sub-directory called test by typing in test\ at the end of your weather station directory.

  • When you are finished, the local path should look something like C:\WeatherLink5\weather\Templates\test\.

  4. Set Local Transfer Enabled to On. (required)

  5. Make sure Internet Transfer Enabled is set to Off. (recommended for testing)

Note: Once you have finished testing the template, you will set Local Transfer Enabled to Off and set Internet Transfer Enabled to On.

Configure Data Upload Profile 1

This profile is used to upload information that does not change very frequently.

  1. On the Internet Settings dialog box, click the Configure button for Data Upload Profile 1.

  2. Set the Upload Interval to 1 min. for testing purposes.

Note: After you have tested your template, we recommend using a 1 hour to 1 day upload interval for Data Upload Profile 1.

  3. Use the default Offset Time of 12:03a. (optional)

  4. Click on the Download First check box. (required)

  5. Click on Select Template Files and select the following files to be uploaded from the Templates/test/ sub-directory of your weather station directory.

  • History_Wizard.htx

  • davisticker.class

  • Davis Logo.jpg

Note: The files davisticker.class and Davis Logo.jpg only need to be uploaded once. After the first upload they can be removed from the files to be uploaded list.

  6. Click on the Select Images button located under the Historical Data Images section to be Uploaded in the Data Upload Profile dialog box.

  7. Click on the boxes to select the following Historical Data Images:

  • Outside Temp

  • Wind Speed

  • Wind Direction

  • Wind Chill

  • Hi Wind Speed

  • Rain

  8. You can use the default plot span setting of 1 day, or set it to a different time span.

  9. Click OK to return to the Data Upload Profile dialog box.

Note: No Current Data Images are used by this profile.

  10. Click OK to return to the Internet Settings dialog box.

Configure Data Upload Profile 2

This profile is used to frequently update the current weather information displayed by the Ticker Tape Java applet.

  1. On the Internet Settings dialog box, click the "Configure" button for Data Upload Profile 2

  2. Set the Upload Interval to 1 min. for testing purposes. (recommended)

Note: After you have tested your template, we recommend using a 5-10 minute upload for this profile.

  3. Use the default Offset Time of 12:03a. (optional)

  4. Do not select Download First. Download first is not required for this profile.

  5. Click on Select Template Files and select the following files to be uploaded from the Templates/test/ sub-directory of your weather station directory:

  • data.htx

  6. Click OK to return to the Internet Settings dialog box.

Note: No Current Data Images or Historical Data Images are used by Data Upload Profile 2.

  7. Click OK to finish the configuration for this template.

Note: This HTML template does not use Data Upload Profile 3.

Test Your Web Page

  1. Watch the WeatherLink window on your computer for the Upload Progress dialog box to briefly appear.

  • The Upload Progress dialog box indicates when your Monthly Wizard web page template file has been converted to a .htm file and transferred to the test directory.

  2. When the upload is finished, use Windows Explorer or My Computer to locate and open History_Wizard.htm.

  • The HTML file should open as a web page in your web browser.

  • If the page isn't displayed, make sure you have the correct settings in your Internet Connection Settings dialog box and in your Data Upload Profile dialog box.

  • If the page displays correctly, go on to the next step to finish putting your weather web page up on the Internet.

Put Your Weather History Web Page on the Internet:

  1. Open the Internet Settings dialog box.

  2. Set Local Copy Enabled to Off.

  3. Make sure you have the correct settings for your Internet connection and the correct FTP settings for your web server.

  4. Set Internet Transfer Enabled to On.

  5. Change the Upload Interval for Data Upload Profile 1 and Data Upload Profile 2 to your desired settings.

Note: While we used 1 min. for testing purposes, this is usually more often than necessary for a web page. We recommend an upload frequency of 1 hour up to 1 day for Data Upload Profile 1, and an upload frequency of 5 to 15 minutes for Data Upload Profile 2.

  6. Click OK to return to the Internet Settings dialog box.

  7. Click OK to finish the configuration for this template.

Back to Sample HTML Templates | HTML Features


Weather Summary Template for Wizard

Follow these instructions to create a Weather Summary web page.

Note: This is a good example of a simple HTML template that uses weather tags but does not use data images or the Ticker Tape Java Applet.

Transfer Files To Your Weather Station's Templates Sub-Directory

  1. Using Windows Explorer or My Computer, open the WeatherLink program directory.

  • The program directory is the directory that you specified during the installation of WeatherLink.

  2. Open the Sample Templates sub-directory.

  3. Open the Weather Summary sub-directory. This directory contains all the files needed to create a Weather Summary web page.

  4. Open your weather station’s Templates sub-directory.

  5. Copy the files listed below from the Weather Summary sub-directory into your weather station’s Templates sub-directory:

  • Weather_Summary_Wizard.htx
    clouds.jpg
    Davis Logo.jpg

  • The Weather_Summary_Wizard.htx file is a template file that contains current text data in tabular format.

  • The clouds.jpg file contains the blue sky and clouds background image used by the template.

  • The Davis Logo.jpg file contains the Davis Instruments logo displayed at the bottom of the page.

Check Your Internet Configuration Settings

  1. Open WeatherLink.

  2. If WeatherLink has more than one weather station installed, select the weather station you want to provide data for your web page.

  • This should match the station selected above.

  3. Select NOAA Setup from the Reports Menu.

  • In the City and State fields, enter your city and state. These entries are used to create the City and State HTML tags.

  4. Select Set Latitude/Longitude from the Setup Menu.

  • Enter your latitude and longitude settings. These settings are used to calculate the sunrise and sunset HTML tags.

  5. Select Internet Settings from the Setup Menu.

  6. Select Internet Connection Settings.

  • Be sure your Internet Connection and FTP Settings are properly configured as directed in the Help Files.

Configure a Local Path Test Sub-Directory

In the Local Path (Path in the Internet Connection Settings dialog box) create a test sub-directory to your weather station's Templates directory.

  • We will use the Local Path file transfer function to test your web page before uploading it to the internet.

  1. Click on the Browse button of the dialog box and then select your weather station's Templates directory.

  2. Create a sub-directory called test by typing in test\ at the end of your weather station directory.

  • When you are finished, the local path should look something like C:\WeatherLink5\weather\Templates\test\

  3. Set Local Transfer Enabled to On (required).

  4. Make sure Internet Transfer Enabled is set to Off (recommended).

Note: Once you have determined the template displays correctly, you can set Local Transfer Enabled to Off and set Internet Transfer Enabled to On.

Configure Data Upload Profile 1

  1. On the Internet Settings dialog box, click the Configure button for Data Upload Profile 1.

  2. Set the Upload Frequency to 1 min. for testing purposes (recommended).

Note: After you have tested your template, we recommend using a 5-15 minute interval if you desire frequent updates to your web site. Use a 30 minute or longer upload frequency if you don't require frequent updating of your web site weather information.

  3. Use the default Offset Time of 12:03a (optional).

  4. Do not select Download First. Download First is not used by the Current Conditions template (recommended).

  5. Click on Select Template Files and select the following files to be uploaded from the Templates/ sub-directory of your weather station directory.

  • Weather_Summary_Wizard.htx

  • Davis Logo.jpg

  • clouds.jpg (optional background image)

Note: The files Davis Logo.jpg and clouds.jpg only need to be uploaded once. After the first upload they can be removed from the files to be uploaded list.

  6. After you have selected the template files to be uploaded, click OK to return to the Internet Settings dialog box.

Note: This Data Upload Profile does not use any Current Data Images or Historical Data Images.

  7. Click OK to finish the configuration for this template.

Note: This template does not use the Data Upload Profile 2 or the Data Upload Profile 3.

Test Your Web Page

  1. Watch the WeatherLink window on your computer for the Upload Progress dialog box to briefly appear.

  • The Upload Progress dialog box indicates when your weather summary template file has been converted to a .htm file and transferred to the test directory.

  2. When the upload is finished, use Windows Explorer or My Computer to locate and open Weather_Summary_Wizard.htm.

  • The HTML file should open as the Weather Summary web page in your web browser.

  • If the page isn't displayed, make sure you have the correct settings in your Internet Connection Settings dialog box and in your Data Upload Profile dialog box.

  • If the page displays correctly, go on to the next step to finish putting your weather web page up on the Internet.

Put Your Current Conditions Weather Web Page On the Internet:

  1. Open the Internet Settings dialog box.

  2. Set Local Copy Enabled to Off.

  3. Make sure you have the correct settings for your Internet connection and the correct FTP settings for your web server.

  4. Set Internet Transfer Enabled to On.

  5. Change the Upload Interval for Data Upload Profile 1 to your desired setting.

Note: We used "1 min." for testing purposes, but this might be more often than necessary for a web page. We recommend using a 5-15 minute upload if you desire frequent updates to your web site. Use a 30 minute or longer upload interval if you don't require frequent updating of your web site weather information.

  6. After you have finished configuring the data upload profile, click OK to return to the Internet Settings dialog box.

  7. Click OK in the Internet Setting dialog box to finish the configuration for this template.

Back to Sample HTML Templates | HTML Features


Wizard HTML Templates

The following HTML templates are available for Weather Wizard weather stations.

List of Templates

Weather Summary Template for Wizard

  • Shows a current summary of weather conditions as text in a table format.

Current Weather Template for Wizard

  • Shows current data and daily high/low data in text and graphical format.

  • Uses the Ticker Tape Java applet to show monthly and yearly highs and lows.

Weather History Template for Wizard

  • Shows monthly and yearly high/low data, and historical graphs.

  • Uses the Ticker Tape Java applet to show current weather conditions.

You can also create your own template using WeatherLink Weather tags.

Related Topics

Introduction to HTML Template Files

Creating Your Own HTML Template File

WeatherLink Weather Tags

Current Data Images GIF Filenames

Historical Data Images GIF Filenames

Ticker Tape Java Applet

Back to Sample HTML Templates | HTML Features | Internet Features


Automatically download before Internet upload

If selected, the profile will download the most recently archived data from your weather station before uploading weather data. If not selected, the profile will upload data previously downloaded from the weather station.

Back to Internet Features


Cancel

Click on Cancel to use the previous Enable Transfer Settings. Clicking Cancel in this dialog box does not undo any changes made in the Internet Connection or Data Upload dialog boxes.

Back to Internet Features


Connection Type

Indicates the method used by your computer to connect to the Internet.

  • "No Internet Connection" indicates no connection is established.

  • "Connect through LAN" indicates the connection is through a local area network server.

  • If you are using a dial-up connection, the name used by the currently selected dial-up connection is displayed.


Conversion of WeatherLink Toolbox 1.4 Tags

This is a list all of the weather tags supported in the WeatherLink Toolbox version 1.4 that have changed or are not currently supported in WeatherLink. Tags not listed here are either unchanged, or were not supported in WeatherLink Toolbox 1.4

Weather Variable | Toolbox 1.4 Tag | WeatherLink Tag
Inside Temperature | <!--intemp--> | <!--insideTemp-->
High Inside Temperature | <!--hiintemp--> | <!--hiInsideTemp-->
Low Inside Temperature | <!--lowintemp--> | <!--lowInsideTemp-->
Time of High inside Temperature | <!--hitimeintemp--> | <!--hiInsideTempTime-->
Time of Low inside Temperature | <!--lowtimeintemp--> | <!--lowInsideTempTime-->
Outside Temperature | <!--outtemp--> | <!--outsideTemp-->
High Outside Temperature | <!--hiouttemp--> | <!--hiOutsideTemp-->
Low Outside Temperature | <!--lowouttemp--> | <!--lowOutsideTemp-->
Time of High outside Temperature | <!--hitimeouttemp--> | <!--hiOutsideTempTime-->
Time of Low Outside Temperature | <!--lowtimeouttemp--> | <!--lowOutsideTempTime-->
Inside Humidity | <!--inhum--> | <!--insideHumidity-->
High Inside Humidity | <!--hiinhum--> | <!--hiInsideHumidity-->
Low Inside Humidity | <!--lowinhum--> | <!--lowInsideHumidity-->
High Inside Humidity Time | <!--hitimeinhum--> | <!--hiInsideHumidityTime-->
Low Inside Humidity Time | <!--lowtimeinhum--> | <!--lowInsideHumidityTime-->
Outside Humidity | <!--outhum--> | <!--outsideHumidity-->
Low Humidity | <!--lowouthum--> | <!--lowHumidity-->
High Humidity | <!--hiouthum--> | <!--hiHumidity-->
Time of Low Hum | <!--lowtimeouthum--> | <!--lowHumTime-->
Time of High Hum | <!--hitimeouthum--> | <!--hiHumTime-->
Barometer | <!--barom--> | <!--barometer-->
Barometer Trend | <!--barometerTrend--> | <!--BarTrend-->
High Wind Speed | <!--hiwindspeed--> | <!--hiWindSpeed-->
Time of High Wind Speed | <!--hitimewindspeed--> | <!--hiWindSpeedTime-->
Wind Chill | <!--windchill--> | <!--windChill-->
Low Wind Chill | <!--lowwindchill--> | <!-- lowWindchill -->
Total ET | <!--totalet--> | <!--yearlyEt-->
Outside Dew Point | <!--dewpt--> | <!--outsideDewPt-->
High Dew Point | <!--hidewpt--> | <!--hiDewpoint-->
Low Dew Point | <!--lowdewpt--> | <!--lowDewpoint-->
Time of High Dew Point | <!--hitimedewpt--> | <!--hiDewpointTime-->
Time of Low Dew Point | <!--lowtimedewpt--> | <!--lowDewpointTime-->
Outside Heat Index | <!--thindex--> | <!--outsideHeatIndex-->
High Heat Index | <!--hithindex--> | <!--hiHeatindex-->
Inside Temperature Calibration | <!--intempcal--> | Not Supported
Outside Temperature Calibration | <!--outtempcal--> | Not Supported
Soil (Temp 2) Calibration | <!--soiltempcal--> | Not Supported
Humidity Calibration | <!--humcal--> | Not Supported
Rain Calibration | <!--raincal--> | Not Supported
Barometer Calibration | <!--baromcal--> | Not Supported
Wind Calibration | <!--windcal--> | Not Supported
Soil (or Temp 2) Temperature | <!--soiltemp--> | <!--SoilTemp1-->
Leaf Wetness | <!--leafwetness--> | <!--LeafWetness1 -->
High Soil (or Temp 2) Temperature | <!--hisoiltemp--> | <!--hiSoilTemp1-->
Low Soil (or Temp 2) Temperature | <!--lowsoiltemp--> | <!--lowSoilTemp1-->
Total Wind Run | <!--totalwindrun--> | Not Supported
Daily Wind Run | <!--dailywindrun--> | Not Supported
Average Wind Run Per Day | <!--averagewindrun--> | Not Supported
Average ET Per Day | <!--averageet--> | <!--dailyET-->
Total Degree Days | <!--totaldegreedays--> | Not Supported
Daily Degree Days | <!--dailydegdays--> | Not Supported
Average Degree Days per day | <!--averagedegdays--> | Not Supported
Degree Day Base Temperature | <!--degdaybasetemp--> | Not Supported
Degree Day Maximum Temperature | <!--degdaymaxtemp--> | Not Supported
Total Solar Energy | <!--totalsolarenergy--> | Not Supported
Daily Solar Radiation | <!--dailysolarrad--> | Not Supported
Average Solar Radiation | <!--averagesolarrad--> | <!--solarRad-->


Current Data Image

Current Data Images are .gif files, generated by WeatherLink using the most current weather data, that display the weather information in a bar chart, or, in a dial image for wind speed and wind direction.


Current Data Image GIF Filenames

This is a list of the filenames used for current data image GIF files.

  • The Wind Speed, 10 Minute Average Wind Speed, and Wind Direction images are 192 x 192 pixels.

  • All other current data images are 128 x 220 pixels.

Weather Parameter | Name of Current Image File
10 Minute Average Wind Speed | 10MinAvgWindSpeed.gif
Air Density | AirDensity.gif
Barometer | Barometer.gif
Daily ET | ET.gif
Daily Rain | Rain.gif
Dew Point | DewPoint.gif
EMC | EMC.gif
Heat Index | HeatIndex.gif

Humidity 2

Humidity2.gif

Humidity 3 | Humidity3.gif
Inside Dew Point | InsideDewPoint.gif
Inside Heat Index | InsideHeatIndex.gif
Inside Humidity | InsideHumidity.gif
Inside Temperature | InsideTemp.gif
Leaf Temp 2 | LeafTemp2.gif
Leaf Temperature 1 | LeafTemp1.gif
Leaf Wetness 1 | LeafWetness1.gif
Leaf Wetness 2 | LeafWetness2.gif
Monthly ET | MonthlyET.gif
Monthly Rain | MonthlyRain.gif
Outside Humidity | OutsideHumidity.gif
Outside Temperature | OutsideTemp.gif
Rain Rate | RainRate.gif

Rain Rate

RainRate.gif

Rain Storm

RainStorm.gif

Soil Moisture 1

SoilMoisture1.gif

Soil Moisture 2 | SoilMoist2.gif
Soil Moisture 3 | SoilMoist3.gif
Soil Moisture 4 | SoilMoist4.gif

Soil Temperature 1

SoilTemp1.gif

Soil Temperature 2 | SoilTemp2.gif
Soil Temperature 3 | SoilTemp3.gif
Soil Temperature 4 | SoilTemp4.gif
Solar Radiation | SolarRad.gif
Temp Hum Wind Index | THW.gif

Temperature 2

Temperature2.gif

Temperature 2 | Temperature2.gif
Temperature 3 | Temperature3.gif
Temperature 4 | Temperature4.gif
UV | UV.gif
Wind Chill | WindChill.gif
Wind Direction | WindDirection.gif
Wind Speed | WindSpeed.gif
Yearly ET | YearlyET.gif
Yearly Rain | YearlyRain.gif


Data Upload Profile

The upload profile contains the weather data upload configuration. Eight different data upload profiles allow you to selectively update the weather information in your web site. Each data upload profile can be configured separately for the upload interval, offset time, files and reports to be uploaded, current data images settings, and historical data images settings. The data upload profile is also where you configure the APRS setup information.

A typical application of the profiles is to use one profile to frequently upload weather data that changes rapidly, such as wind speed and direction. Use a second profile to do a more comprehensive data upload, including such things as historical data or reports, on a less frequent basis.

Back to Data Calculation


FTP Help

To learn about or troubleshoot specific FTP questions, you have a few of options:

  • To find out your FTP Host address (that is, the host name), contact your FTP host.

  • To test your FTP connection, use an FTP application (available for free at filezilla.org) or use Windows FTP facility. To use the Windows facility, click Start, then click Run. In the Run dialog box, type ftp. At the FTP prompt (ftp>), type open and then the FTP address. If the FTP site opens successfully, you probably will be prompted for your user name and password. If your user name and password are accepted, then you can be sure that your FTP information is correct.

  • To identify what directory you are in when you FTP to your FTP Host, type pwd at the ftp> prompt. This will give you your working directory.

  • If "/" is your working directory, then you are in what’s called a root directory &endash;the uppermost level of your account.

  • Type ls (lower-case "L", lower-case "S", no space) to see a list of files and directories stored in this working directory. This should help you get your bearings.


FTP Host

Web server site that contains your web site's HTML files.


FTP Logon

User name used to connect to the FTP host.


FTP Path

The sub-directory on the FTP site where your uploaded files are placed. Leave this blank to upload your files to the default directory.


Help

Click on the Help button in any dialog box to display the help available for the current window and to access additional helpful information.


Historical Data Image GIF Filenames

This is a list of the filenames used for historical graph GIF files.

  • The historical data images are 320 x 200 pixels.

Weather Parameter | Name of Historical Image File
Air Density | AirDensityHistory.gif
Barometer | BarometerHistory.gif
Cooling Degree Days | CoolDegDaysHistory.gif
Dew Point | DewPointHistory.gif
EMC | EMCHistory.gif
ET | ETHistory.gif
Heat Index | HeatIndexHistory.gif
Heating Degree Days | HeatDegDaysHistory.gif
Hi Wind Speed | HiWindSpeedHistory.gif
High Solar Radiation | HighSolarRadHistory.gif
High UV | HighUVHistory.gif
High Wind Direction | HighWindDirHistory.gif
Humidity 2 | Humidity2History.gif
Humidity 3 | Humidity3History.gif
Inside Dew Point | InsideDewPointHistory.gif
Inside Heat Index | InsideHeatIndexHistory.gif
Inside Humidity | InsideHumidityHistory.gif
Inside Temp | InsideTempHistory.gif
ISS Reception | ReceptionHistory.gif
Leaf Temperature 1 | LeafTemp1History.gif
Leaf Temperature 2 | LeafTemp2History.gif
Leaf Wetness 1 | LeafWet1History.gif
Leaf Wetness 2 | LeafWet2History.gif
Outside Humidity | OutsideHumidityHistory.gif
Outside Temp | OutsideTempHistory.gif
Rain | RainHistory.gif
Rain Rate | RainRateHistory.gif
Soil Moisture 1 | SoilMoist1History.gif
Soil Moisture 2 | SoilMoist2History.gif
Soil Moisture 3 | SoilMoist3History.gif
Soil Moisture 4 | SoilMoist4History.gif
Soil Temperature 1 | SoilTemp1History.gif
Soil Temperature 2 | SoilTemp2History.gif
Soil Temperature 3 | SoilTemp3History.gif
Soil Temperature 4 | SoilTemp4History.gif
Solar Energy | SolarEnergyHistory.gif
Solar Radiation | SolarRadHistory.gif
Temp Hum Sun Wind Index | THSWHistory.gif
Temp Hum Wind Index | THWHistory.gif
Temperature 2 | Temperature2History.gif
Temperature 3 | Temperature3History.gif
Temperature 4 | Temperature4History.gif
UV | UVHistory.gif
UV Dose | UV DoseHistory.gif
Wind Chill | WindChillHistory.gif
Wind Direction | WindDirectionHistory.gif
Wind Run | WindRunHistory.gif
Wind Speed | WindSpeedHistory.gif


Historical Data Images

Historical Data Images are .gif files, generated by WeatherLink based on a user-defined time span, that display historical weather information in a line graph.


Internet Logon

User name used to make the Internet connection.


Local Path

Shows the directory on your computer or local network where your weather files are transferred. Used to post current weather data to an Intranet web site or to a web server located in your network. Not required to transfer data to a remote web server.


Number of Current Data Images to transfer

Displays the number of Current Data Images that will be uploaded by the indicated Data Upload Profile.


Number of Historical Data Images to transfer

Displays the number of Historical Data Images that will be uploaded by the indicated Data Upload Profile.


Number of Reports to transfer

Shows the number of pre-configured weather data reports, including APRS, that will be uploaded by the indicated Data Upload Profile.


Number of Template Files to transfer

Displays the number of Template Files selected to be uploaded in the indicated Data Upload Profile.


Offset Time

The Offset Time is the time upon which all weather data upload intervals are based.

Note: If the Upload Frequency is 1 minute, the offset time will be dashed out.


OK

Click on OK to use the Enable Transfer Settings shown in this dialog box. Clicking OK is not required to keep any changes you made on the Internet Connection Settings or on the Data Upload Profile 1, 2, or 3 dialog boxes.


Proxy Server

The proxy server set up configured in the Internet Connection Settings dialog box.

  • "Direct" means no local proxy server is being used.

  • "Proxy" means a local proxy server has been configured.

  • "Pre-configured" means the default proxy setting stored in the Windows registry is being used.


Referencing the Ticker Tape Applet

To pull the Davis Ticker into your web page, you need to specify its name, where to find it, and some criteria for how the browser should display it.

The Davis Ticker Applet Configuration Wizard

You can also use the Davis Ticker Applet Configuration Wizard to generate the HTML code for your Ticker. The wizard is available from Davis. Contact Technical Support.

Sample HTML to call the Davis Ticker Applet

Below is an example of one possible way to use the Davis Ticker Applet:

<applet code="davisticker.class" width="650" Height= "40">

<param name="dataFile" value="data.htm">

<param name="fps" value="250">

<param name="dataInterval" value="60">

<param name="font" value="sans-serif">

<param name="style" value="PLAIN">

<param name="size" value="15">

<param name="fontColor" value="255,000,051">

<param name="borColor" value="153,000,051">

<param name="borWidth" value="4">

<param name="backColor" value="000,000,051">

</applet>

To use the above example, simply cut and past the above tags into your web template page (.htx file). If you would like to configure your own applet, you can use the tags described below or go to the Davis web site, www.davisnet.com, to use a unique applet code generator designed for the Davis Ticker.

<param name=DataFile> Specifies the path name of the data file that you want to display relative to the current web page (e.g.- "data.htm"). The file can be any file with ASCII text content.

<param name=dataInterval> Sets the time interval in seconds for when the applet retrieves new data from the dataFile. This allows the message to be updated without refreshing the whole web page. Only applies if the dataFile parameter is used.

<param name=string value> Sets the text to be displayed if no dataFile is specified, or if the dataFile cannot be found. This is where to put Weather Tags if you want the Ticker to show weather information.

<param name=font value> Sets the text font.

<param name=style value> Sets the font style. This can be "Plain","Bold" or "Italic" .

<param name=size value> Sets the font size.

<param name=fps value> Frames per second. Used to set the rate of scrolling.

<param name=borWidth> Sets the border width in pixels.

<param name=borColor> Sets the border color. Specify a color by using decimal Red, Green, and Blue values between 000 and 255, separated by commas.

<param name=backColor> Sets the color of the text background. Specify a color by using decimal Red, Green, and Blue values between 000 and 255, separated by commas.

<param name=fontColor> Sets the font color. Specify a color by using decimal Red, Green, and Blue values between 000 and 255, separated by commas.

Applet Scrolling Speed

Several factors affect the applet scroll speed including:

  • The Web browser

  • The Version of the Java virtual machine

  • The operating system

  • The size of the ticker display

  • Whether the string or dataFile parameters are used

  • Whether the file is located on a local machine or is on the Internet

  • The speed of the network connection

For scroll rates greater than 200 fps, the text will scroll by more than one pixel when it is updated.

The scrolling speed will slow down by a factor of three when the mouse cursor is on top of the applet. Normal scrolling speed will resume when the cursor is removed.


Report File Names

This is a list of the file names used by WeatherLink Weather Reports.

Weather Report File Name

NOAA Report for the Current Month NOAAMO.TXT

NOAA Report for a Previous Month NOAAPRMO.TXT

NOAA Report for the Current Year NOAAYR.TXT

NOAA Report for a Previous Year NOAAPRYR.TXT

Two-Day Archived Data Report downld02.txt

One Week Archived Data Report downld08.txt


Select Reports to Upload

Use this dialog box to select weather data reports to upload, as well as to configure WeatherLink for APRS reporting.

Selecting Reports

These are standardized NOAA reports and data lists that you can upload for display on the Internet.

  1. Select reports to be uploaded to your web server:

  • Check the box next to the report to select it for uploading to your web server.

  • Only checked reports will be uploaded.

  2. Select the sub-directory to upload these reports to (Optional):

  • Enter the sub-directory in which these images will be uploaded.

  • WeatherLink will create the sub-directory if it does not already exist.

  • This is a sub-directory of the FTP path or the local path, set in the Internet Connection Settings dialog box

List of Reports

  • List of Report File Names
  • NOAA This Month

Shows weather data for the current month in the NOAA Monthly Summary format.

  • NOAA Last Month

Shows weather data for the past month in the NOAA Monthly Summary format.

  • NOAA This Year

Shows weather data for the current year in the NOAA Yearly Summary format.

  • NOAA Last Year

Shows weather data for the past year in the NOAA Yearly Summary format.

  • 2-Day Data Archive

Shows weather data for the past two days in the WeatherLink Browse Window format.

  • 1-Week Data Archive

Shows weather data for the past week in the WeatherLink Browse Window format.

APRS Reporting

APRS Reporting allows you to participate in the NOAA Citizen Weather Observers Program.

  1. Click on Configure to enter your APRS call sign and to verify the telnet settings.

  2. Click on the APRS ON/OFF button to turn APRS ON.

To Exit the Upload Weather Reports dialog box

  1. Click on OK to save the setup changes or click Cancel to exit without saving.

See also:

Reports: NOAA Setup

APRS Setup

Back to Data Upload Profile | Internet Settings | Internet Features


Ticker Tape Java Applet Sample Template File

To specify the contents of the Java applet, create an .htx file that includes the comment tags for the weather conditions that you wish to display.

For example, this template file:

Current Weather at <!-date--> <!--time--> Inside Temperature is <!--insideTemp--> <!--tempUnit-->

Will produce this finished file:

Current Weather at 10/11/01 4:02p Inside Temperature is 67.9°F

The text can also appear in a "string" parameter in the web page that references the applet, as long as the web page is processed as an HTML template file before uploading.

Sample File

  • Also see the data.htm and data.htx files in the Ticker Example sub-directory of your WeatherLink Sample Templates directory.

Related Topics

Ticker Tape Java Applet

Referencing the Applet

Home | Menu Commands | Bulletin | Summary | Strip Charts | Plots | Browse Database | Reports | Internet Features | Technical Reference | Hot Keys | User Tips | Troubleshooting


Upload Frequency

This is the Upload Frequency defined in the Data Upload Configuration dialog box. It shows how often weather data is transferred to your FTP Host or to your Local Path.

  • If the Upload Frequency does not show a numeric value, then the Data Upload Profile is not active and data will not be uploaded.


WeatherLink HTML Tags

The following are Weather tags you can use to pull weather readings into your web pages. Please note that the following "Accessories" items are only available to the Vantage Pro and Vantage Pro 2 stations, but not the Vantage Vue stations: 2nd Temperature 2 to 4, Humidity 2 to 3, all Leaf variables and all Soil variables.

Creating Your Own Web Page Templates

Provides information on how to use these Weather tags in your own .htx web templates.

Conversion of WeatherLink Toolbox 1.4 Tags

Lists all the WeatherLink Toolbox 1.4 weather data tags with the corresponding tag used for WeatherLink 5.x.

Variable

WeatherLink Tag

Temperature Tags

Inside Temperature | <!--insideTemp-->
High Inside Temperature | <!--hiInsideTemp-->
Low Inside Temperature | <!--lowInsideTemp-->
Time of High Inside Temperature | <!--hiInsideTempTime-->
Time of Low Inside Temperature | <!--lowInsideTempTime-->
High Monthly Inside Temperature | <!--hiMonthlyInsideTemp-->
Low Monthly Inside Temperature | <!--lowMonthlyInsideTemp-->
High Yearly Inside Temperature | <!--hiYearlyInsideTemp-->
Low Yearly Inside Temperature | <!--lowYearlyInsideTemp-->

Outside Temperature | <!--outsideTemp-->
High Outside Temperature | <!--hiOutsideTemp-->
Low Outside Temperature | <!--lowOutsideTemp-->
Time of High Outside Temperature | <!--hiOutsideTempTime-->
Time of Low Outside Temperature | <!--lowOutsideTempTime-->
High monthly Outside Temperature | <!--hiMonthlyOutsideTemp-->
Low monthly Outside Temperature | <!--lowMonthlyOutsideTemp-->
High yearly Outside Temperature | <!--hiYearlyOutsideTemp-->
Low yearly Outside Temperature | <!--lowYearlyOutsideTemp-->

Temperature 2 | <!--Temperature2-->
High Temperature 2 | <!--hiTemp2-->
Low Temperature 2 | <!--lowTemp2-->
Time of High Temperature 2 | <!--hiTempTime2-->
Time of Low Temperature 2 | <!--lowTempTime2-->

Temperature 3 | <!--Temperature3-->
High Temperature 3 | <!--hiTemp3-->
High Temperature 3 Time | <!--hiTempTime3-->
Low Temperature 3 | <!--lowTemp3-->
Low Temperature 3 Time | <!--lowTempTime3-->

Temperature 4 | <!--Temperature4-->
High Temperature 4 | <!--hiTemp4-->
High Temperature 4 Time | <!--hiTempTime4-->
Low Temperature 4 | <!--lowTemp4-->
Low Temperature 4 Time | <!--lowTempTime4-->

Temperature 5 | <!--Temperature5-->
High Temperature 5 | <!--hiTemp5-->
High Temperature 5 Time | <!--hiTempTime5-->
Low Temperature 5 | <!--lowTemp5-->
Low Temperature 5 Time | <!--lowTempTime5-->

Temperature 6 | <!--Temperature6-->
High Temperature 6 | <!--hiTemp6-->
High Temperature 6 Time | <!--hiTempTime6-->
Low Temperature 6 | <!--lowTemp6-->
Low Temperature 6 Time | <!--lowTempTime6-->

Temperature 7 | <!--Temperature7-->
High Temperature 7 | <!--hiTemp7-->
High Temperature 7 Time | <!--hiTempTime7-->
Low Temperature 7 | <!--lowTemp7-->
Low Temperature 7 Time | <!--lowTempTime7-->

Temperature 8 | <!--Temperature8-->
High Temperature 8 | <!--hiTemp8-->
High Temperature 8 Time | <!--hiTempTime8-->
Low Temperature 8 | <!--lowTemp8-->
Low Temperature 8 Time | <!--lowTempTime8-->

Humidity Tags

Inside Humidity | <!--insideHumidity-->
High Inside Humidity | <!--hiInsideHumidity-->
Low Inside Humidity | <!--lowInsideHumidity-->
High Inside Humidity Time | <!--hiInsideHumidityTime-->
Low Inside Humidity Time | <!--lowInsideHumidityTime-->
High Monthly Inside Humidity | <!--hiMonthlyInsideHumidity-->
Low Monthly Inside Humidity | <!--lowMonthlyInsideHumidity-->
High Yearly Inside Humidity | <!--hiYearlyInsideHumidity-->
Low Yearly Inside Humidity | <!--lowYearlyInsideHumidity-->

Outside Humidity | <!--outsideHumidity-->
Low Humidity | <!--lowHumidity-->
High Humidity | <!--hiHumidity-->
Time of Low Humidity | <!--lowHumTime-->
Time of High Humidity | <!--hiHumTime-->
High Monthly Humidity | <!--hiMonthlyHumidity-->
Low Monthly Humidity | <!--lowMonthlyHumidity-->
High Yearly Humidity | <!--hiYearlyHumidity-->
Low Yearly Humidity | <!--lowYearlyHumidity-->

Humidity 2 | <!--Humidity2-->
High Humidity 2 | <!--hiHum2-->
Low Humidity 2 | <!--lowHum2-->
High Humidity Time 2 | <!--hiHumTime2-->
Low Humidity Time 2 | <!--lowHumTime2-->

Humidity 3 | <!--Humidity3-->
High Humidity 3 | <!--hiHum3-->
High Humidity 3 Time | <!--hiHumTime3-->
Low Humidity 3 | <!--lowHum3-->
Low Humidity 3 Time | <!--lowHumTime3-->

Humidity 4 | <!--Humidity4-->
High Humidity 4 | <!--hiHum4-->
High Humidity 4 Time | <!--hiHumTime4-->
Low Humidity 4 | <!--lowHum4-->
Low Humidity 4 Time | <!--lowHumTime4-->

Humidity 5 | <!--Humidity5-->
High Humidity 5 | <!--hiHum5-->
High Humidity 5 Time | <!--hiHumTime5-->
Low Humidity 5 | <!--lowHum5-->
Low Humidity 5 Time | <!--lowHumTime5-->

Humidity 6 | <!--Humidity6-->
High Humidity 6 | <!--hiHum6-->
High Humidity 6 Time | <!--hiHumTime6-->
Low Humidity 6 | <!--lowHum6-->
Low Humidity 6 Time | <!--lowHumTime6-->

Humidity 7 | <!--Humidity7-->
High Humidity 7 | <!--hiHum7-->
High Humidity 7 Time | <!--hiHumTime7-->
Low Humidity 7 | <!--lowHum7-->
Low Humidity 7 Time | <!--lowHumTime7-->

Humidity 8 | <!--Humidity8-->
High Humidity 8 | <!--hiHum8-->
High Humidity 8 Time | <!--hiHumTime8-->
Low Humidity 8 | <!--lowHum8-->
Low Humidty 8 Time | <!--lowHumTime8-->

Barometer Tags

Barometer | <!--barometer-->
3-Hour Barometer Trend* | <!--BarTrend-->
Low Barometer | <!--lowBarometer-->
High Barometer | <!--hiBarometer-->
Low Monthly Barometer | <!--lowMonthlyBarometer-->
High Monthly Barometer | <!--hiMonthlyBarometer-->
Low Yearly Barometer | <!--lowYearlyBarometer-->
High Yearly Barometer | <!--hiYearlyBarometer-->
Time of Low Barometer | <!--lowBarometerTime-->
Time of High Barometer | <!--hiBarometerTime-->

*Note: Your Vantage Pro Console must have Rev B or newer firmware in order for WeatherLink to support the 3-hour Barometer Trend tag. If your console has Rev A firmware the Bar Trend tag will display dashes instead of the trend. The Bar Trend tag is supported by all versions of the Monitor and Perception weather stations. This does not impact Vantage Pro2 consoles.

Wind Tags

Wind Speed | <!--windSpeed-->
10 Minute Average Wind Speed* | <!--wind10Avg-->
High Wind Speed | <!--hiWindSpeed-->
Time of High Wind Speed | <!--hiWindSpeedTime-->
High Monthly Wind Speed | <!--hiMonthlyWindSpeed-->
High Yearly Wind Speed | <!--hiYearlyWindSpeed-->

*Note: This tag is only available for Vantage Pro and Vantage Pro2 stations. It does not require a real-time window to be open for ten minutes in order to report the wind speed.

Wind Direction In Degrees | <!--windDir-->
Wind Direction Sector (16-point compass) | <!--windDirection-->

Wind Chill | <!--windChill-->
Low Wind Chill | <!--lowWindchill-->
Time of Low Wind Chill | <!--lowWindchillTime-->
Low Monthly Wind Chill | <!--lowMonthlyWindchill-->
Low Yearly Wind Chill | <!--lowYearlyWindchill-->

One-minute Wind Speed Average* | <!--windAvg1-->
Two-minute Wind Speed Average | <!--windAvg2-->
Five-minute Wind Speed Average | <!--windAvg5-->
10-minute Wind Speed Average | <!--windAvg10-->

One-minute Wind High Speed* | <!--windHigh1-->
Two-minute Wind High Speed | <!--windHigh2-->
Five-minute Wind High Speed | <!--windHigh5-->
10-minute Wind High Speed | <!--windHigh10-->

*Note: All Wind Speed tags involving a 1 minute to ten minute interval readings (Averages and Highs) are only available if a real-time window (except for the Strip Chart Window) is open during internet upload. Also, the real time window must be open for at least as many minutes as specified on the HTML tag.

Rain Tags

Yearly Rain | <!--totalRain-->
Daily Rain | <!--dailyRain-->
Monthly Rain | <!--monthlyRain-->
Storm Rain | <!--stormRain-->

Rain Rate | <!--rainRate-->
High Rain Rate | <!--hiRainRate-->
Time of High Rain Rate | <!--hiRainRateTime-->
High Rain Rate Hour | <!--hiRainRateHour-->
High Monthly Rain Rate | <!--hiMonthlyRainRate-->
High Yearly Rain Rate | <!--hiYearlyRainRate-->

ET, Solar Radiation and Ultraviolet Tags*

Daily ET | <!--dailyEt-->
Monthly ET | <!--monthlyEt-->
Yearly ET | <!--yearlyEt-->

Solar Radiation | <!--solarRad-->
High Solar Radiation | <!--hiSolarRad-->
Time of High Solar Radiation | <!--hiSolarRadTime-->
High Monthly Solar Radiation | <!--hiMonthlySolarRad-->
High Yearly Solar Radiation | <!--hiYearlySolarRad-->

UV | <!--uv-->
High UV | <!--hiUV-->
Time of High UV | <!--hiUVTime-->
High monthly UV | <!--hiMonthlyUV-->
High yearly UV | <!--hiYearlyUV-->

*Note: ET, Solar Radiation and Ultraviolet tags work in conjunction with Vantage Pro Plus or Vantage Pro2 Plus systems only.

Dew Point Tags

Outside Dew Point | <!--outsideDewPt-->
High Dew Point | <!--hiDewpoint-->
Low Dew Point | <!--lowDewpoint-->
Time of High Dew Point | <!--hiDewpointTime-->
Time of Low Dew Point | <!--lowDewpointTime-->
High Monthly Dew Point | <!--hiMonthlyDewpoint-->
Low Monthly Dew Point | <!--lowMonthlyDewpoint-->
High Yearly Dew Point | <!--hiYearlyDewpoint-->
Low Yearly Dew Point | <!--lowYearlyDewpoint-->
Inside Dew Point | <!--insideDewPt-->

Heat Index Tags

Outside Heat Index | <!--outsideHeatIndex-->
High Heat Index | <!--hiHeatindex-->
Time of High Heat Index | <!--hiHeatindexTime-->
High Monthly Heat Index | <!--hiMonthlyHeatindex-->
High Yearly Heat Index | <!--hiYearlyHeatindex-->
Inside Heat Index | <!--insideHeatIndex-->

THW Index

<!--thw-->

Soil Moisture Tags

Soil Moisture 1 | <!--SoilMoisture1-->
High Soil Moisture 1 | <!--hiSoilMoist1-->
Low Soil Moisture 1 | <!--lowSoilMoist1-->
High Soil Moisture 1 Time | <!--hiSoilMoistTime1-->
Low Soil Moisture 1 Time | <!--lowSoilMoistTime1-->

Soil Moisture 2 | <!--SoilMoisture2-->
High Soil Moisture 2 | <!--hiSoilMoist2-->
High Soil Moist 2 Time | <!--hiSoilMoistTime2-->
Low Soil Moisture 2 | <!--lowSoilMoist2-->
Low Soil Moist 2 Time | <!--lowSoilMoistTime2-->

Soil Moisture 3 | <!--SoilMoisture3-->
High Soil Moisture 3 | <!--hiSoilMoist3-->
High Soil Moisture 3 Time | <!--hiSoilMoistTime3-->
Low Soil Moisture 3 | <!--lowSoilMoist3-->
Low Soil Moisture 3 Time | <!--lowSoilMoistTime3-->

Soil Moisture 4 | <!--SoilMoisture4-->
High Soil Moisture 4 | <!--hiSoilMoist4-->
High Soil Moisture 4 Time | <!--hiSoilMoistTime4-->
Low Soil Moisture 4 | <!--lowSoilMoist4-->
Low Soil Moisture 4 Time | <!--lowSoilMoistTime4-->

Soil Temperature Tags

Soil Temp 1 | <!--SoilTemp1-->
High Soil Temp 1 | <!--hiSoilTemp1-->
Low Soil Temp 1 | <!--lowSoilTemp1-->
High Soil Temp 1 Time | <!--hiSoilTempTime1-->
Low Soil Temp 1 Time | <!--lowSoilTempTime1-->

Soil Temperature 2 | <!--SoilTemp2-->
High Soil Temp 2 | <!--hiSoilTemp2-->
High Soil Temp 2 Time | <!--hiSoilTempTime2-->
Low Soil Temp 2 | <!--lowSoilTemp2-->
Low Soil Temp 2 Time | <!--lowSoilTempTime2-->

Soil Temperature 3 | <!--SoilTemp3-->
High Soil Temp 3 | <!--hiSoilTemp3-->
High Soil Temp 3 Time | <!--hiSoilTempTime3-->
Low Soil Temp 3 | <!--lowSoilTemp3-->
Low Soil Temp 3 Time | <!--lowSoilTempTime3-->

Soil Temperature 4 | <!--SoilTemp4-->
High Soil Temp 4 | <!--hiSoilTemp4-->
High Soil Temp 4 Time | <!--hiSoilTempTime4-->
Low Soil Temp 4 | <!--lowSoilTemp4-->
Low Soil Temp 4 Time | <!--lowSoilTempTime4-->

Leaf Wetness and Temperature Tags

Leaf Wetness 1 | <!--LeafWetness1-->
High Leaf Wetness 1 | <!--hiLeaf1-->
Low Leaf Wetness 1 | <!--lowLeaf1-->
High Leaf Wetness 1 Time | <!--hiLeafTime1-->
Low Leaf Wetness 1 Time | <!--lowLeafTime1-->

Leaf Wetness 2 | <!--LeafWetness2-->
High Leaf Wetness 2 | <!--hiLeaf2-->
High Leaf Time | <!--hiLeafTime2-->
Low Leaf Wetness 2 | <!--lowLeaf2-->
Low Leaf Time 2 | <!--lowLeafTime2-->

Leaf Temp 1 | <!--LeafTemp1-->
High Leaf Temp 1 | <!--hiLeafTemp1-->
Low Leaf Temp 1 | <!--lowLeafTemp1-->
High Leaf Temp 1 Time | <!--hiLeafTempTime1-->
Low Leaf Temp 1 Time | <!--lowLeafTempTime1-->

Miscellaneous Tags

EMC | <!--emc-->
EMC Unit | <!--emcUnit-->

Air Density | <!--airDensity-->
Air Density Unit | <!--airDensityUnit-->

Date on the PC | <!--date-->
Time on the PC | <!--time-->

UTC Time | <!--utcTime-->
UTC Date | <!--utcDate-->

Date on the Station | <!--stationDate-->
Time on the Station | <!--stationTime-->
Name of Station | <!--StationName-->
City (from NOAA Setup) | <!--StationCity-->
State (from NOAA Setup) | <!--StationState-->
Elevation (from NOAA Setup) | <!--StationElevation-->
Latitude (from NOAA Setup) | <!--StationLatitude-->
Longitude (from NOAA Setup) | <!--StationLongitude-->

Sunrise Time | <!--sunriseTime-->
Sunset Time | <!--sunsetTime-->

Current Weather Forecast * | <!--ForecastStr-->
Current Moon Phase | <!--MoonPhaseStr-->

*Note: The Weather Forecast tag is only available with Monitor or Perception stations if the Bulletin or other real-time window is open during upload. It is always available on Vantage Pro and Vantage Pro2 stations and is not available on Wizard stations.

Unit Tags

Temperature Units | <!--tempUnit-->
Hum Units | <!--humUnit-->
Wind Units | <!--windUnit-->
Bar Units | <!--barUnit-->
Rain Units | <!--rainUnit-->
Solar Units | <!--solarUnit-->
Rain Rate Units | <!--rateUnit-->
UV Units | <!--uvUnit-->
Soil Moisture Units | <!--SoilUnit-->


Color Menu: Standard Plot Elements

You can use the Color Menu to change the color for the following window features:

  • Title Text

  • Axis Text

  • Legend Text

  • Value Axis Line

  • Time Axis Line

  • Vertical Gridlines

  • Horizontal Gridlines

  • Title Background

  • Plot Background

  • Legend Background

  • Window Background

Back to Color Menu


Module Management

Expansion Modules


Plot Hi Low Summary Options

The daily high and low values are used instead of the data from the archive period for long plot spans for the high and low outside temperature, high wind speed and direction, high rain rate, high solar, and high UV.

  • You can choose to display the daily values instead of the archive values in plot spans of one week or longer, plot spans of one month or longer, or plot spans of one year.

  • You can also select the same plot span or a different plot span for averaging values for each of the variables.

Note: Plots and Strip Charts share the same summary options. A change made to the summary options for Plots will also affect the summary options for Strip Charts.

Back to Plot Menu | Using the Plot Window


Calculating K Factor

To calculate a K Factor for a customer based on previous fuel usage, choose Calc. K Factor. Enter the start date, end date, and gallons of fuel used during the specified period into the dialog box which appears and choose OK. The software will automatically calculate a K Factor and enter it into the K Factor text box for this customer.

Back to Reports


Deleting a Customer

To delete a degree-day total, select it from the list and click Delete. The software will prompt you to confirm that you want to delete the total before doing so.

Back to Reports


Estimating Fuel Usage

To view an estimate of the remaining fuel for a customer, open the customer’s record and choose Estimate. The software calculates the heating degree-days since the last reading date (using the heating degree day threshold entered from the software) and calculates fuel usage based on this number of degree days. The estimated fuel used is subtracted from the number of gallons at the last reading to arrive at an estimate of the number of gallons remaining. The estimated gallons left is shown at the bottom of the dialog box.

Back to Reports


Fuel Demand: Adding a Customer

You may enter a separate record for each customer for whom you want to track fuel demand.

  1. To add a customer, choose Add from the Fuel Demand list box and enter the following information for each customer total:

  • Customer #

Enter the customer number into the text box. Because the software uses the customer number to create the file name for each record, the customer number can only be 8 characters long and must contain only numeric characters (0-9).

  • Last Name, First Name

Enter the customer’s name into the appropriate text box.

  • Address

Enter the customer’s address information into the appropriate text box.

  • Comments

Enter any necessary comments into the text boxes provided.

  • K Factor

Enter the K factor for this customer into the text box. You can choose the Estimate button to have the K factor automatically calculated based on past client fuel usage.

  • Hot Water Heater Usage

The software has the ability to factor hot water heater usage into its fuel estimation calculations. You may turn this option on or off by selecting the check box. You may also enter the number of gallons of hot water per day you want the software to use in making fuel estimates into the text box.

  • Last Fuel Reading

Enter the number of gallons of fuel from the last fuel reading for this customer into the text box.

  • Reading Date

Enter the date of the last fuel reading into the text box.

  2. Click OK to save the settings and return to the Fuel Demand Report Window.

The software saves the customer information. Instead of closing, the Fuel Client Information dialog box remains open so you can enter information on another customer.

  3. Select Estimate to have WeatherLink estimate the number of gallons of fuel the customer has left.

  4. Select Calc. K Factor to have the K factor updated based on past usage.

  5. Click Cancel to exit the Fuel Client Information window without saving any changes made in the current Fuel Client Information window.

Back to Reports


Fuel Demand K factor

Fuel Demand K factors allow you to calculate fuel demand more accurately by factoring in the different fuel consumption rate each customer has for a given number of heating degree-days. A K factor of 1.0 is used when degree days equals fuel consumption. If a customer uses more or less fuel then the K factor is adjusted up or down.

The Fuel Demand report will calculate the K factor based on past usage, and also allows you to edit the K factor if you wish.

Back to Reports


Fuel Demand: Long Report

The long Fuel Demand Report shows the following information for each customer:

  • Last Name

The report shows the last name and customer number (in parenthesis) for each customer.

  • Address

The report shows the address information for each customer.

  • Gallons Left

The report shows the estimated gallons of fuel remaining for each customer.

  • Last Reading

The report shows the last reading date for each customer.

  • K Factor

The report shows the K factor for each customer.

  • Water Heater

The report shows the number of gallons of hot water used per day, if applicable.

  • Comments

The report shows the comments for each customer.

Back to Reports


Fuel Demand Report Formats

The software allows you to create reports on some or all of your customers. The report is opened into Windows Notepad from which you may copy or print the report information. To generate the fuel demand report, choose report from the Fuel Demand list. Set the following report options in the dialog box which appears:

  • Format

Select either the long or the short report format.

  • Sort

Select the sort order. You may sort by the number of gallons of fuel remaining (which will show the totals closest to being empty at the top of the report) or you may sort by name which will show totals in alphabetical order.

  • Fuel Remaining check box

By selecting this check box and entering a number of gallons into the text box, you may choose to include only those customers whose estimated remaining fuel amount is below specified number of gallons.

When finished setting options, choose OK. The software calculates and displays the fuel demand report for all selected customers.

Short Report Format

Long Report Format

Back to Reports


Fuel Demand: Short Report

The short Fuel Demand Report shows the following information for each customer:

  • Last Name

The report shows the last name and customer number (in parenthesis) for each customer.

  • Gallons Left

The report shows the estimated gallons of fuel remaining for each customer.

  • Street Address

The report shows the street address of each customer.

Back to Reports


Reports: Latitude & Longitude

Reports: NOAA Setup: Latitude & Longitude

Latitude and longitude together comprise a spherical grid that allows pinpointing positions on the earth. For example, Davis Instruments' Hayward, California factory is located at 37º 38' 10" North latitude, 122º 07' 30" West longitude. You can find your latitude and longitude in a variety of sources. You can use a geographical atlas to estimate your position, of course, but it's easier to use the world wide web. If you don't have access from your home, your local public library or community college will likely provide access.

As of November 2017, this web site was providing latitude and longitude coordinates by city or town:

https://www.latlong.net/

To set your latitude and longitude, click here.

Back to Reports Menu


Opening a Customer Record

You may open a previously saved customer record to edit information, view fuel estimates, or calculate a K Factor. To open a customer record, double click on the desired record or select it from the list and choose Open.

Back to Reports


Console Diagnostics Report Parameters

The Wireless Vantage Pro,Vantage Pro2, and Vantage Vue consoles and Weather Envoys continuously monitor the reception of ISS data and calculate various signal strength statistics. The radio signal data can be viewed in the Console Diagnostics Report. To view the Console Diagnostics dialog box:

  1. Select Console Diagnostics from the Reports Menu. The Console Diagnostics displays in one of two ways:

Console Diagnostics with date

Console Diagnostics with firmware version

  • The Console Diagnostics report is only available for wireless Vantage Pro, Vantage Pro2 consoles, and Weather Envoys.

  • The Console Diagnostics report cannot be displayed if the Bulletin window, Summary window, or Strip Chart are open.

  • All diagnostic measurements are the total counts since 12:00 am Midnight or since the values were last cleared on the console.

The Console Diagnostics dialog box displays the following parameters:

Parameter | Description
Firmware Version | The firmware version is identified either by firmware date or version number. The latest console or Envoy firmware shows version 1.6 or later. Older console or Envoy firmware shows firmware date April 2006 or earlier.
Total Received | The total number of data packets received from the ISS.
Total Resynchs | The number of times the console has needed to re-synchronize itself with the ISS.
Total Misses | The total number of missed data packets.
Max in a Row | The largest number of consecutive data packets successfully received by the console.
CRC Errors | The number of CRC errors reflects the quality of the data being received by the console
% Good | The percentage of the total number of data packets that have been successfully received.
Console Battery | Console battery voltage. This is the total voltage of the three (3) C-cells installed in the Vantage Pro console. The Vantage Pro console needs at least 3.2 VDC to operate. The "Low Console Battery Voltage" message appears on the console when the battery voltage drops below 3.2 VDC

Back to Reports Window


Yearly Rain: Opening

To open the Yearly Rainfall Window, choose Yearly Rainfall from the Reports menu, click on the Yearly Rainfall icon in the toolbar, or press Ctrl-R.

Note: The first time you attempt to open the rain database, the software will prompt you to indicate whether you want to create the rainfall database. Choose Yes to create the database (note that depending on the size of your main weather database and the speed of your computer, this can take some time).

The top section of the Yearly Rainfall window displays the amount of rainfall each month for every year in your database and the total rainfall for each year. The bottom section shows the minimum, maximum, and average rainfall amounts for each month and year in the database.

Note: Dashes indicate that no data exists for a particular month.

There must be 12 undashed monthly records in a year to tabulate annual minimum, maximum, and average amounts.

Back to Reports Window


Finding the Correct COM Port (Auto Detect)

Auto Detect can be used to find and select the correct COM port being used for your serial port connection. Use Auto Detect (as opposed to Test ) to detect the correct COM port being used by your data logger and console if you do not know the COM port your computer is using.

  1. Select Communications Port from the Setup menu. The Communications Port dialog box displays:

  2. Select Serial from the Communications box if it is not already selected.

  3. Make sure that your console is connected to your computer and that the baud rate displaying in the dialog box matches the baud rate of your console.

  4. Click Auto Detect.

The software scans all the listed COM ports in the COM port box (starting from COM 1) and checks each COM Port for a connection to the data logger and console. Once a COM port with connection to console is found a dialog box displays, informing you which COM port is connected the console. The software automatically selects the correct COM port for you in the Communications Port dialog box. If the software cannot find any COM port connected to your console, your COM port may not be working. See Communications Problems for more information. Also consult your computer documentation for help.

Back to Communications Port | Walkthrough | Setup | Troubleshooting


Manually Setting Daylight Savings Time

Follow this procedure when switching between standard time and daylight savings time:

  1. Download your weather station.

    This will bring your weather database up to date, since we will be clearing the archived data on the station in a later step.

  2. Set your weather station to the new time and make sure that the daylight savings options are set correctly.

  3. If you are turning daylight savings on, check the On box in the Set Time & Date dialog box.

  4. If you are turn daylight savings off, uncheck the On box in the Set Time & Date dialog box.

  5. When asked if you want to clear the archive memory, choose Yes.

  6. Open the Browse window and make a note of the time and date (including year) of the last record displayed.

You will need this information for creating GLOBE reports.


Network Upload

If you are using the WeatherLink Network Annual Subscription plan to automatically upload data to WeatherLink.com, you can use this menu command to toggle automatic uploads on and off.

Note: You can also use the F12 key to toggle the uploads on and off.

When you first enter your Device ID and Key, you will see a confirmation dialog box. The box next to Network Upload will be checked automatically and uploads will begin. As long as the box is checked, uploads will continue automatically.

WeatherLink software will pause briefly and the spinning wind cups will appear when data is being uploaded.

You can temporarily stop these brief pauses by unchecking the box next to this menu item.

Note: Be sure to remember to recheck the box next to Network Upload to start automatic uploads again.

If you are using WeatherLinkIP, this menu item will be disabled, as it is not needed with WeatherLinkIP.

If you are using WeatherLink but not uploading to WeatherLink.com, checking the box will not initiate uploading, as automatic uploading requires a Device ID and Key.

Back to Setup


Set Alarms for Monitor, Wizard and Perception Stations

  1. Choose Set Alarms from the Setup menu or press Ctrl-A.

  2. Set the desired alarms:

  • High/Low Alarm - For all of the standard high/low alarms, enter the desired alarm threshold into the text box. To clear an alarm, clear the contents of the text box or enter "&emdash;" (two dashes).

  • Dew Point - Turn on the dew point alarm by selecting the check box. Clear the alarm by "de-selecting" the check box.

  • Barometer - Select the desired change per hour which will trigger the barometer alarm. To clear the alarm, select Off.

  • Time - Enter the time at which the alarm should be triggered into the text box. To clear the alarm, delete the contents of the text box.

  3. Click Set when finished entering alarm information, or click Cancel to exit without changing alarm settings.

The software sets the alarms on the station console to match the settings in this dialog box.

Back to Walkthrough | Setup


Set Alarms for Vantage Stations

Note: Enter all temperature alarms in whole degrees. The range of valid temperature alarm settings is &endash;90 to +164ºF. Wind chill limits are &endash;120 and + 134ºF. Barometric pressure trend alarm range is ±0.25in. The wind alarm may be set between 0 and 255, and the rain amount from 0 to 99.99in.

  1. Choose Set Alarms from the Setup menu or press Ctrl-A.

  2. Set the desired alarms:

  • High/Low Alarm

For all standard high/low alarms, enter the desired alarm threshold into the text box. To clear an alarm, clear the contents of the text box or enter "&emdash;" (two dashes).

  • Barometric pressure alarms

Enter the 3-hour low (fall) and /or high (rise) pressure trend thresholds. To clear an alarm, clear the contents of the text box or enter "&emdash;" (two dashes).

  • Time alarm

Enter the time for the alarm in the text box. To clear the alarm, clear the contents of the text box or enter "&emdash;" (two dashes).

  • Sound PC Buzzer for Active Alarm

Check this box if you want an audible alarm notification from your PC when your weather station is in alarm. The audible alarm uses your PC’s internal buzzer, and will work even if you don’t have speakers or if the speakers are turned off.

Note: The PC buzzer for active alarm function is only available when the bulletin, summary, strip chart or any of the alarm status windows are running.

  3. When finished entering alarm information, select Set.

The software sets the alarms on the station console to match the settings in this dialog box.

Note: You can clear all alarm settings at once using the Clear function on the Setup menu.

Back to Walkthrough | Setup


Testing Communication

Test can be used to communications between a serial data logger, USB data logger, WeatherLinkIP data logger, or Modem. Use Test (as opposed to Auto Detect ) to test a selected COM port being used by your serial data logger and console, to test USB communications, to test the Local Area and Remote Network connection between your WeatherLink IP data logger and your computer, or to test the modem connection

  1. Select Communications Port from the Setup menu. The Communications Port dialog box displays:

  2. Select the communication type and select or input the information pertaining to the communication device.

  3. Click Test.

    The software tests the communications between the communication device and the software. If the test completes successfully, the Please Note dialog box displays, confirming that the communication was successful and a station was found:

    If the software cannot communicate with the device, there may be a connection issue between the device and the computer. See Communications Problems for more information. Also consult your computer documentation for help.

Note: If testing a serial data logger, make sure the correct communications port is already selected in the Com Port box. To search all the communications ports to determine the correct port, click Auto Detect instead.

Note: If testing a TCP/IP connection, note that Test only works for Local Device ID and Remote IP Address connections. You can not test the Web Download connection using Test.

Back to Communications Port | Walkthrough | Setup | Troubleshooting


USB Connection

If you are using a USB data logger, there are two connection types you must consider when making a connection to the WeatherLink software: Serial and USB. The serial connection type can be used for both serial (# 6510SER) and USB models (# 6510USB). The USB connection type can only be used for USB models.

Serial means that you either have a Serial data logger or using a USB data logger emulates a serial port connection. The driver used to communicate with the data logger assigns the data logger to a COM port, such as COM 6.

USB means that there is a direct connection between the USB data logger and the software and no COM port has been assigned to the data logger.

Select USB in the Communications Port dialog box if you have a USB data logger and you are not using any third party applications.

Select Serial in the Communications Port dialog box only if you have you are using third party software or application that requires communication via a COM port.

When the USB radio button is selected, the USB Connection dialog box displays .

If you have a USB data logger that you would like to emulate a serial port connection, click Cancel. If you have a USB data logger and want to set up a direct link between the USB data logger and the software, click OK. The software creates a direct USB connection, assigning the data logger with a unique serial number.

Note: Once the data logger has been assigned this unique serial number, it cannot be converted back to emulate a serial port connection within the software. Included with the WeatherLink software is a utility that allows you to convert a USB data logger from a direct USB data logger back to a USB data logger that emulates the serial port. Select Convert USB to Virtual Serial in your WeatherLink program group on the Start menu (Start>All Programs>WeatherLink>Convert USB to Virtual Serial) and run the utility to convert your data logger.Please contact Technical Support if you have any further issues.

Back to Walkthrough | Setup


Calibration for Monitor, Wizard and Perception

The following applies to users with the following Davis Instruments weather stations only.

  • Weather Monitor II

  • Weather Wizard III

  • Weather Wizard II & II &endash;S

Depending on the sensors installed on your weather station, you can calibrate sensor readings for temperature, humidity, and barometric pressure. To increase performance, the software maintains sensor calibration numbers separately from the weather station. If you do not set calibration numbers from the software, the weather station and software will not "agree" on what the calibration number is. Therefore, you must set the temperature, humidity, and barometer calibration numbers () from the software.

The following explanation of how the station and software determine barometric pressure may help you understand this better.

The weather station actually reads atmospheric pressure, not barometric pressure. When you set the barometric pressure from the station console, the station automatically calculates the difference between the barometric pressure you enter and the atmospheric pressure it reads. This difference gets stored as the barometric pressure calibration number. When displaying the barometric pressure, the station reads atmospheric pressure and adds the calibration number to determine barometric pressure.

When you enter barometric pressure from the software, the software calculates the calibration number and stores it in the weather station’s memory (in the same way it would if you set the barometer from the station console) and in the station’s configuration file. The station calculates barometric pressure normally, while the software reads atmospheric pressure from the station and the calibration number from the station configuration file in order to determine the barometric pressure.

If you enter barometric pressure (or any calibration number) from the software, both the software and station will "agree" on the calibration number. If you enter barometric pressure (or any calibration number) from the weather station console, nothing gets stored in the station’s configuration file. The calibration number in the software now differs from the calibration number in the station, and your bulletin readings and database will be incorrect.

Note: The software does not support wind speed calibration numbers.

Back to Technical Reference


Calibration Numbers

Calibration

To fine-tune your station, you can calibrate most of the sensor readings reported by your weather station. Use links below to obtain calibration information for your station.

Calibration Numbers - Vantage Vue, Vantage Pro, Vantage Pro2

Calibration Numbers - Monitor, Wizard and Perception

Back to Technical Reference


Checking the Console Firmware Revision

You can easily check the firmware version on your Vantage Vue/Vantage Pro2/Vantage Pro console by pressing and holding the DONE key and then pressing the up arrow [+] key. The firmware version will scroll across the bottom of the LCD screen.

Back to Technical Reference


Expansion Module Directory

The expansion module directory is created when you install an expansion module on WeatherLink. The expansion module directory contains all the files related to the expansion modules. The files stored in this directory depend on the expansion modules you have installed on WeatherLink. The file types are:

Dynamic Link Library (.dll) file(s) - Contains the dynamic link library for the installed expansion modules.

Note: A DLL (dynamic link library) file is a type of program file in the Windows operating system that allows programs to share functions and data. It is the sharing of functions that allows an expansion module to add commands to the existing WeatherLink drop-down menus.

Compiled help (.chm) file(s) - Contains the expansion module help file.

Readme.wri file(s) - Contains the readme information available for the expansion module.

ModuleList.dat file - Contains expansion module ordering information. This file tells WeatherLink which expansion modules have been installed and what order to load and display them.

Note: See the WeatherLink readme.wri file for more information on using the ModuleList.dat file.

Back to Technical Reference | Program Directory & Config File


Expansion Modules

Here is a brief overview of WeatherLink Expansion Modules:

  • Expansion Module support allows you to selectively add new functions to WeatherLink.

  • Module Management allows expansion modules to be selectively added, deleted, enabled or disabled at any time.

  • Module status is indicated by either [ ] or [X] at the beginning of a module name. A [X] means the module is Enabled. A [ ] means the module has been Disabled.

  • Multiple modules can be installed at the same time.

  • When more than one module is installed in WeatherLink, the order in which modules are listed in the Module Management dialog box controls the order in which modules are loaded at startup. As each module is loaded, the commands for that module are inserted beneath the commands of any previously loaded module. Change the order in which modules are listed using the Module Management dialog box.

  • The order in which WeatherLink loads expansion modules controls the order in which module commands are added to WeatherLink menus. You can change the order in which modules are loaded in the Module Management dialog box.

  • Expansion module files are contained in Windows DLL files that are loaded by WeatherLink during startup. Any change to expansion module status will take effect the next time WeatherLink is started.

  • Expansion modules are implemented via Windows DLL files.

  • The Expansion Module Programming Interface will be published soon after the WeatherLink 5.5.1 release. The information in this document will allow 3rd parties to write their own WeatherLink-compatible expansion modules.

  • We recommend using C or C++ for development system used to create expansion module

  • The first two expansion modules are the Agricultural & Turf Management Module and the Email and Phone Alert Module.

See Also:

Expansion Module Directory

Back to Technical Reference


How WeatherLink Calculates Daylight Savings Time

Before 2007:

  • If you are in a time zone with a negative offset from UTC (North America), then daylight savings starts on the first Sunday in April at 2:00 am.

  • If you are in a time zone with a positive offset from UTC (Europe, North Africa, Middle East, Asia), the daylight savings starts on the last Sunday in March at 2:00 am.

  • Daylight savings always ends on the last Sunday in October at 2:00 am.

After 2007 in the United States:

  • If you are in a time zone with a negative offset from UTC (North America) then daylight savings starts on the second Sunday in March at 2:00 am.

  • Daylight savings in a time zone with a negative offset ends on the first Sunday in November.

The start and end dates for daylight savings are the opposite from those calculated for the northern hemisphere. Daylight savings starts on the "end" day through the end of the year and ends on the "start" date for the next year. And the same conventions for Northern Hemisphere time zone offsets applies as well.

  • Daylight savings always starts on the last Sunday in October at 2:00 am.

  • If you are in a time zone with a negative offset from UTC (South America), then daylight savings ends on the first Sunday in April at 2:00 am.

  • If you are in a time zone with a positive offset from UTC (Australia), the daylight savings ends on the last Sunday in March at 2:00 am.

How WeatherLink Calculates Daylight Savings Time

There are two daylight savings calculation modes: Automatic and Manual.

Automatic Daylight Savings Mode

When you set the time on a Vantage Pro or Vantage Pro2 station, or for a Sunrise & Sunset Report in WeatherLink, the automatic daylight savings mode will automatically adjust the clock for daylight savings according to which hemisphere you are located in:

In the Northern Hemisphere

In the Southern Hemisphere

Manual Daylight Savings Mode

Use manual daylight savings adjustments for the Monitor, Wizard, and Perception stations, or where local daylight savings conventions are different from the automatic ones above. Also, if you are in an area that does not use daylight savings time, use the manual mode to set daylight savings to off.

The operation of the manual daylight savings mode is different for different parts of the WeatherLink program. In some places, such as Sunrise Reports, the setting is "absolute". Either daylight savings is on or off for the entire set of date range processed.

In other places (GLOBE reports, Recalculate THSW Index), you are prompted to enter the date and times that daylight savings was entered and exited. It is important to enter the date and time that the time on the weather station was changed for the time period being processed, not the official dates that the daylight savings setting changed.

Back to Technical Reference


How WeatherLink Uses Daylight Savings Time

The settings in this dialog tells WeatherLink (and the Vantage console) whether to use automatic or manual daylight savings mode and, if manual mode is selected, whether the time on the station is standard time or daylight savings time.

For Monitor, Wizard, and Perception stations, the automatic daylight savings option is disabled and the manual mode must be used to turn daylight savings on and off at the appropriate time of year.

Note: Please make sure that the time zone setting and daylight savings settings are set correctly every time that you set the time on the weather station console.

If you decide to maintain your weather station on standard time, but Windows adjusts the clock on your PC to daylight savings time, the barometer plot will not plot correctly. There will be a 1-hour "gap" between the last data in the weather database and the current time on the PC.

Also, if you have a Monitor or Perception station, the Bulletin will be unable to generate a forecast right away. Because of the hour "lost" to daylight savings time, the Bulletin thinks that the current forecast is already more than 1 hour old. In this case the Bulletin will need to run continuously for at least 3 hours to collect the necessary barometer data to create a forecast.

Plots and the Browser do not make any adjustments for daylight savings time. This means that for both automatic and manual daylight savings mode, when you switch from standard to daylight savings time, there will appear to be an hour gap in the data (i.e. the 1:59 am record is followed by a 3:00 am record instead of a 2:00 am record), and an hour of data will be lost when you switch from daylight savings time back to standard time (i.e. the 1:59 am record would be followed by a 1:00 am record, but this "duplicate" record is ignored because its time stamp is "earlier" than the last record in the database at 1:59 am.).

If automatic daylight savings mode is selected for sunrise reports, the reported sunrise, sunset, and twilight times will be adjusted automatically for daylight savings time.

When manual daylight savings mode is selected, all sunrise, sunset, and twilight times will be reported in either standard or daylight savings time.

If automatic daylight savings mode is selected, the archived data automatically switches between standard time and daylight savings time, and the uploaded data is sent correctly.

When manual daylight savings mode is selected, a dialog box displays for you to enter the dates and times that daylight savings was changed on the station. These dates should match the calendar year of the data selected for the report. Do not select data from more than one year at a time, since the dates of the daylight savings changes are usually different from year to year.

Note: If you live in a place that doesn't use daylight savings time, leave the entries as dashes.

  1. Download your weather station. This will bring your weather database up to date, since we will be clearing the archived data on the station in a later step.

  2. Set your weather station to the new time and make sure that the daylight savings options are set correctly. When prompted, choose to clear your archived data.

  3. Open the Browse window and make a note of the time and date (including year) of the last record displayed. You will need this information for creating GLOBE reports.

Hint: Create a data note for this record by double clicking to the left of the date.

How WeatherLink Uses Daylight Savings Time

Use the following drop down lists to display information about how the Daylight Savings Time setting is used by the WeatherLink software:

Set Time Dialog

Bulletin

Plotting and Browsing Archived Data

Sunrise Sunset Reports

GLOBE Reports

Procedure for manually changing daylight savings setting

Back to Technical Reference


Installing WeatherLink Downloader Software

Use the following instructions to install the WeatherLink Downloader software onto your Palm or Palm OS-compatible PDA.

Note: These instructions were written for Palm Desktop 3.1.1. If you are using different software for your Palm OS PDA, please refer to the instructions for your software to install the WeatherLink Downloader software on your PDA.

  1. Open the Palm Desktop or equivalent software on your PC.

Note: If you do not have Palm Desktop or equivalent software installed on your computer, please refer to the instructions that came with your PDA to install the software before proceeding.

  2. Click the Install button from the programs tool bar, from the View menu, or press the F7 function key. Or, click the Windows Task Bar Start button, high light Programs, highlight Desktop, and select Install Tool.

  3. Verify that the correct user account is displayed in the User box.

  4. Click the Add button in the Install Tool dialog box

  5. In the Open dialog box, locate and select "weatherlink.prc".

  6. Click the OK button in the Open dialog box.

  7. Click the Done button.

  8. Place your Palm in the Hot Sync cradle.

  9. Press the Hot Sync button on the cradle. The Palm Desktop automatically installs the WeatherLink Downloader software on your Palm.

Back to Technical Reference


Program Configuration File

Program Directory and Configuration Files

The program directory, called WeatherLink unless you chose a different name in the installation program, stores various program configuration files, station directories, and help file resources.

These files include:

  • Program configuration file

This file, called progdata.dat stores settings that the WeatherLink program itself requires:

  • Auto Download settings

  • Program window positions

  • Units settings

  • Auto Download station file

The download.lst file lists the directories of stations to be auto-downloaded.

  • Default strip chart template for each station type

Vantage.str, Monitor.str, Perception.str, Wizard.str

  • Default plot template

Vantage.ate, Monitor.ate, Perception.ate, Wizard.ate

  • Readme File

This contains the latest program development information including bug fixes and details about data file formats.

readme.wri

Back to Technical Notes | Program Directory Structure


Yearly Rainfall Database

Rainfall Database

WeatherLink maintains a separate rainfall database. This database includes yearly and monthly rainfall totals and calculates minima, maxima, and averages of the yearly and monthly totals. Each row in the database represents a year’s worth of rainfall data. Each column represents a particular month’s worth of rainfall. The bottom three rows tabulate the minimum, maximum, and average rainfall for each month’s accumulation; the last column tallies the total for each year and calculates the minimum, maximum, and average yearly rainfall totals.

Note: Three dashes mean that there is no data for that particular field. (Missing data is not the same as zero rainfall.) The rainfall database accommodates missing data in its calculations by ignoring dashed entries. Therefore, monthly average rainfall tabulations include only months with numbers in that field. Dashed entries are not included. Likewise, monthly or yearly averages, minimums, or maximums do not include any entries with missing data. There must be 12 un-dashed monthly records in a year to tabulate annual minimum, maximum, and average amounts.

You can edit the rainfall database to add, remove, and change rainfall amounts. This is especially useful if you’d like to transfer rain data from years before you had a Vantage Pro or Vantage Pro2 weather station. The rain database is separate from the main database files so if you edit rain values in one, you must also edit rain values in the other. You can also delete the rain database and have WeatherLink construct a new one from the information in the main database.

Back to Technical Reference


Download Highs/Lows and Archive Data

We you display the Bulletin or Summary windows, WeatherLink asks if you wish to download the highs and lows or the archive data.

You should download the highs and lows if you want to display the current high and low information. Monitor, Wizard and Perception stations only.

You should download the archive data if you want the barometer history and forecast. This is for the Monitor and Perception stations only.